//---------------------------------------------------------------------------

#ifndef OD_DMH
#define OD_DMH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <DBXFirebird.hpp>
#include <SqlExpr.hpp>
#include <WideStrings.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
//---------------------------------------------------------------------------
class TDM_OD : public TDataModule
{
__published:	// IDE-managed Components
	TSQLConnection *SC_OD;
	TSQLDataSet *dsetTipDuvana;
	TDataSetProvider *dspTipDuvana;
	TClientDataSet *cdsTipDuvana;
	TDataSource *dsTipDuvana;
	TSQLDataSet *dsetStatusBatcha;
	TDataSetProvider *dspStatusBatcha;
	TClientDataSet *cdsStatusBatcha;
	TDataSource *dsStatusBatcha;
	TIntegerField *cdsStatusBatchaID;
	TStringField *cdsStatusBatchaOPIS;
	TDataSource *dsStatusBale;
	TClientDataSet *cdsStatusBale;
	TIntegerField *IntegerField1;
	TStringField *StringField1;
	TDataSetProvider *dspStatusBale;
	TSQLDataSet *dsetStatusBale;
	TSQLDataSet *dsetSystemOD;
	TDataSetProvider *dspSystemOD;
	TClientDataSet *cdsSystemOD;
	TDataSource *dsSystemOD;
	TSQLDataSet *dsetPoreklo;
	TDataSetProvider *dspPoreklo;
	TClientDataSet *cdsPoreklo;
	TIntegerField *cdsPorekloID;
	TStringField *cdsPorekloOPIS;
	TDataSource *dsPoreklo;
	TSQLDataSet *sqlStatusKutije;
	TDataSetProvider *dspStatusKutije;
	TClientDataSet *cdsStatusKutije;
	TIntegerField *IntegerField2;
	TStringField *StringField2;
	TDataSource *dsStatusKutije;
	TDataSource *dsPrava;
	TSQLDataSet *sqlPrava;
	TDataSetProvider *dspPrava;
	TClientDataSet *cdsPrava;
	TIntegerField *cdsPravaID;
	TIntegerField *cdsPravaID_ROLE;
	TIntegerField *cdsPravaID_FORME;
	TStringField *cdsPravaSOFTVER;
	TSmallintField *cdsPravaPRAVO_SELECT;
	TSmallintField *cdsPravaPRAVO_INSERT;
	TSmallintField *cdsPravaPRAVO_DELETE;
	TSmallintField *cdsPravaPRAVO_UPDATE;
	TIntegerField *cdsPravaSIFRA_RADNIKA;
	TSmallintField *cdsPravaGRUPA;
	TStringField *cdsPravaRADNIK;
	TIntegerField *cdsPravaPRAVA;
	TStringField *cdsPravaKORISNICKO_IME;
	TStringField *cdsPravaLOZINKA;
	TSmallintField *cdsPravaULOGOVAN;
	TStringField *cdsPravaADRESA;
	TStringField *cdsPravaTELEFON;
	TStringField *cdsPravaMOBILNI;
	TStringField *cdsPravaMESTO;
	TStringField *cdsPravaIMEOCA;
	TStringField *cdsPravaBRLK;
	TIntegerField *cdsPravaIDOPSTINE;
	TStringField *cdsPravaPOSTBROJ;
	TSmallintField *cdsPravaIDSKOLE;
	TSmallintField *cdsPravaIDZARADA_GRUPA;
	TStringField *cdsPravaPOL;
	TDateField *cdsPravaDATUM_STAZA;
	TDateField *cdsPravaDATUM_ZAPOSLENJA;
	TDateField *cdsPravaDATUM_ODLASKA;
	TSmallintField *cdsPravaIDZADRUGA;
	TStringField *cdsPravaKASACLAN;
	TStringField *cdsPravaSTALNI;
	TSmallintField *cdsPravaIDSINDIKAT;
	TSmallintField *cdsPravaIDODELJENJE;
	TSmallintField *cdsPravaIDRADNOMESTO;
	TFMTBCDField *cdsPravaTEKPROC;
	TSmallintField *cdsPravaIDBANKA1;
	TStringField *cdsPravaBRTEKUCEG1;
	TIntegerField *cdsPravaIDBANKA2;
	TStringField *cdsPravaBRTEKUCEG2;
	TLargeintField *cdsPravaLIBR;
	TStringField *cdsPravaJMBG;
	TSmallintField *cdsPravaGODTEK;
	TSmallintField *cdsPravaGODPRO;
	TSmallintField *cdsPravaIDSLAVE;
	TFMTBCDField *cdsPravaCIPELE;
	TFMTBCDField *cdsPravaODELO;
	TSmallintField *cdsPravaOSNIVAC;
	TIntegerField *cdsPravaID_DEF_KAT;
	TIntegerField *cdsPravaID_DEF_MG;
	TFMTBCDField *cdsPravaNETO;
	TFMTBCDField *cdsPravaKOEFICIJENT;
	TIntegerField *cdsPravaIDFUNKCIJA;
	TIntegerField *cdsPravaIDKOEFICIJENT;
	TIntegerField *cdsPravaIDPUTNITR;
	TIntegerField *cdsPravaIDPOSLOVI;
	TIntegerField *cdsPravaIDPROFIL;
	TIntegerField *cdsPravaIDPUNKT;
	TIntegerField *cdsPravaIDZANIMANJE;
	TIntegerField *cdsPravaID_DEF_MG_MP;
	TIntegerField *cdsPravaIDZANIMANJA;
	TIntegerField *cdsPravaSPISAK;
	TIntegerField *cdsPravaPRAVA_OTKUP;
	TIntegerField *cdsPravaPRIPRAVNIK;
	TIntegerField *cdsPravaIDSMERSKOLE;
	TIntegerField *cdsPravaIDDELATNOST;
	TIntegerField *cdsPravaSMPTPORT;
	TIntegerField *cdsPravaGODINA_RODJENJA;
	TIntegerField *cdsPravaID_PROFILA;
	TIntegerField *cdsPravaDEF_KUPAC_MP;
	TSmallintField *cdsPravaIDMESTOTROSKA;
	TSmallintField *cdsPravaPRG_VP;
	TSmallintField *cdsPravaSPECIJAL;
	TSmallintField *cdsPravaMESEC_RODJENJA;
	TSmallintField *cdsPravaID_DEF_ULAZ_DOK;
	TSmallintField *cdsPravaID_NAZIV_SKOLE;
	TSmallintField *cdsPravaFIKSNA_ZARADA;
	TSmallintField *cdsPravaAKTIVAN;
	TSmallintField *cdsPravaIDSEDISTE;
	TSmallintField *cdsPravaPRAVO_PLACANJA;
	TSmallintField *cdsPravaPROSEK;
	TSmallintField *cdsPravaPRAVA_ZARADA;
	TSmallintField *cdsPravaIDSEPEN_INVALIDNOSTI;
	TSmallintField *cdsPravaRADNI_UCINAK;
	TSmallintField *cdsPravaPENZIJA;
	TSmallintField *cdsPravaDOBIJA_REGRES;
	TSmallintField *cdsPravaSORTIRANJE_MP;
	TSmallintField *cdsPravaIDDELATNOSTRADNIKA;
	TSmallintField *cdsPravaDOBIJA_TOPLIOBROK;
	TSmallintField *cdsPravaDEF_FONT_MP;
	TSmallintField *cdsPravaPROSEKS1;
	TSmallintField *cdsPravaDOBIJA_MINULI;
	TSmallintField *cdsPravaCONTROL_PANEL;
	TSmallintField *cdsPravaPROSEKS2;
	TSmallintField *cdsPravaPROSEKS3;
	TSmallintField *cdsPravaDAN_RODJENJA;
	TSmallintField *cdsPravaINVALIDNOSTID;
	TDateField *cdsPravaDATUM_INVALIDNOSTI;
	TDateField *cdsPravaDATUM_ZAVRSETKA_SKOLE;
	TStringField *cdsPravaPRAVA_MG;
	TStringField *cdsPravaRUKOVODILAC;
	TStringField *cdsPravaLBO;
	TStringField *cdsPravaREGBR;
	TStringField *cdsPravaRFID;
	TStringField *cdsPravaBRZDRAVSTVENE_KNJIZICE;
	TStringField *cdsPravaSLIKA;
	TStringField *cdsPravaIME;
	TStringField *cdsPravaPREZIME;
	TStringField *cdsPravaUSERNAME;
	TStringField *cdsPravaPASSWD;
	TStringField *cdsPravaROLENAME;
	TStringField *cdsPravaMAIL;
	TStringField *cdsPravaSMPTHOST;
	TStringField *cdsPravaADRESA1;
	TIntegerField *cdsPravaDEF_MG_SERVIS;
	TIntegerField *cdsPravaAP_ID_MG_P;
	TIntegerField *cdsPravaSIFRA;
	TFloatField *cdsPravaPROSEKI1;
	TFloatField *cdsPravaPROSEKI2;
	TFloatField *cdsPravaPROSEKI3;
	TStringField *cdsPravaAP_KOD_ART_P;
	TIntegerField *cdsPravaID_DEF_MG_USLUGE;
	TIntegerField *cdsPravaID_1;
	TStringField *cdsPravaNAZIV_FORME_MENI;
	TStringField *cdsPravaNAZIV_FORME_PROGRAM;
	TDataSource *dsRadnik;
	TClientDataSet *cdsRadnik;
	TSmallintField *cdsRadnikGRUPA;
	TIntegerField *cdsRadnikID_DEF_KAT;
	TIntegerField *cdsRadnikID_DEF_MG;
	TIntegerField *cdsRadnikID_DEF_MG_MP;
	TStringField *cdsRadnikKORISNICKO_IME;
	TStringField *cdsRadnikLOZINKA;
	TStringField *cdsRadnikMAIL;
	TStringField *cdsRadnikMESTO;
	TStringField *cdsRadnikMOBILNI;
	TIntegerField *cdsRadnikPRAVA;
	TIntegerField *cdsRadnikSIFRA_RADNIKA;
	TStringField *cdsRadnikSMPTHOST;
	TIntegerField *cdsRadnikSMPTPORT;
	TStringField *cdsRadnikTELEFON;
	TSmallintField *cdsRadnikULOGOVAN;
	TStringField *cdsRadnikUSERNAME;
	TStringField *cdsRadnikRADNIK;
	TStringField *cdsRadnikPRAVA_MG;
	TSmallintField *cdsRadnikCONTROL_PANEL;
	TIntegerField *cdsRadnikIDZANIMANJE;
	TDataSetProvider *dspRadnik;
	TSQLDataSet *sqlRadnik;
	TSQLDataSet *sqlProveraSelect;
	TDataSetProvider *dspProveraSelect;
	TClientDataSet *cdsProveraSelect;
	TIntegerField *cdsProveraSelectID;
	TIntegerField *cdsProveraSelectID_ROLE;
	TSmallintField *cdsProveraSelectPRAVO_SELECT;
	TSmallintField *cdsProveraSelectPRAVO_INSERT;
	TSmallintField *cdsProveraSelectPRAVO_DELETE;
	TSmallintField *cdsProveraSelectPRAVO_UPDATE;
	TIntegerField *cdsProveraSelectID_FORME;
	TDataSource *dsProveraSelect;
	TSQLDataSet *sqlProveraRole;
	TDataSetProvider *dspProveraRole;
	TClientDataSet *cdsProveraRole;
	TIntegerField *cdsProveraRoleSIFRA_RADNIKA;
	TIntegerField *cdsProveraRoleID_ROLE;
	TStringField *cdsProveraRoleSOFTVER;
	TSmallintField *cdsProveraRolePRAVO_SELECT;
	TDataSource *dsProveraRole;
	TSQLDataSet *dsetIntKlasa;
	TDataSetProvider *dspIntKlasa;
	TClientDataSet *cdsIntKlasa;
	TDataSource *dsIntKlasa;
	TIntegerField *cdsIntKlasaMAGACINID;
	TStringField *cdsIntKlasaOZNAKA;
	TSQLQuery *qAktivnaSorta;
	TIntegerField *qAktivnaSortaSORTAID;
	TStringField *qAktivnaSortaIMESORTE;
	TSmallintField *qAktivnaSortaVAZECASORTA;
	TSmallintField *qAktivnaSortaVAZECANAOBRADI;
	TDataSource *dsOznakaBlenda;
	TClientDataSet *cdsOznakaBlenda;
	TDataSetProvider *dspOznakaBlenda;
	TSQLDataSet *sqlOznakaBlenda;
	TSQLStoredProc *SP_ID_ZG;
	TSQLStoredProc *SP_ID_STAV;
	TIntegerField *cdsTipDuvanaSORTAID;
	TStringField *cdsTipDuvanaIMESORTE;
	TSmallintField *cdsTipDuvanaNACIN;
	TFMTBCDField *cdsTipDuvanaVLAGA;
	TStringField *cdsTipDuvanaOZNAKA_VLAGE;
	TFloatField *cdsTipDuvanaPRASINA_MIN;
	TFloatField *cdsTipDuvanaPRASINA_MAX;
	TFloatField *cdsTipDuvanaVLAGA_MIN;
	TFloatField *cdsTipDuvanaVLAGA_MAX;
	TFloatField *cdsTipDuvanaTEZINA_MIN;
	TFloatField *cdsTipDuvanaTEZINA_MAX;
	TSQLDataSet *dsetEtiketa;
	TDataSetProvider *dspEtiketa;
	TClientDataSet *cdsEtiketa;
	TDataSource *dsEtiketa;
	TIntegerField *cdsEtiketaBAR_KOD;
	TStringField *cdsEtiketaINTERNA_KLASA;
	TFMTBCDField *cdsEtiketaMASA;
	TIntegerField *cdsEtiketaAMBALAZA;
	TStringField *cdsEtiketaPODSORTA;
	TStringField *cdsEtiketaPROIZVODJAC;
	TStringField *cdsEtiketaMESTO;
	TStringField *cdsEtiketaOZNAKA;
	TFMTBCDField *cdsEtiketaVLAGA;
	TStringField *cdsEtiketaNACIN_BRANJA;
	TStringField *cdsEtiketaNACIN_UZGOJA;
	TFMTBCDField *cdsEtiketaNETOMASA;
	TDateField *cdsEtiketaDATUM;
	TIntegerField *cdsEtiketaKOOPERANTID;
	TFMTBCDField *cdsEtiketaPRASINA;
	TStringField *cdsEtiketaOZNAKA_VLAGE;
	TIntegerField *cdsEtiketaPRIMESE;
	TStringField *cdsEtiketaBARKOD;
	TStringField *cdsEtiketaEXT_BARKOD;
	TIntegerField *cdsEtiketaBALAID;
	TIntegerField *cdsEtiketaKUTIJAID;
	TIntegerField *cdsSystemODID;
	TSmallintField *cdsSystemODEXT_MR_TEZINE;
	TTimeField *cdsSystemODSTART_RADNI_DAN;
	TFloatField *cdsSystemODMAX_PRINOS;
	TFloatField *cdsSystemODKONT_BL_PROIZ;
	TSQLDataSet *sql_sorta;
	TDataSetProvider *dsp_sorta;
	TClientDataSet *cdssorta;
	TIntegerField *cdssortaSORTAID;
	TStringField *cdssortaIMESORTE;
	TSmallintField *cdssortaVAZECASORTA;
	TSmallintField *cdssortaVAZECANAOBRADI;
	TSmallintField *cdssortaNACIN;
	TFMTBCDField *cdssortaVLAGA;
	TStringField *cdssortaOZNAKA_VLAGE;
	TFloatField *cdssortaPRASINA_MIN;
	TFloatField *cdssortaPRASINA_MAX;
	TFloatField *cdssortaVLAGA_MIN;
	TFloatField *cdssortaVLAGA_MAX;
	TFloatField *cdssortaTEZINA_MIN;
	TFloatField *cdssortaTEZINA_MAX;
	TFloatField *cdssortaMAX_PRIN_HA;
	TDataSource *ds_sorta;
	TSQLDataSet *sql_podsorta;
	TDataSetProvider *dsp_podsorta;
	TClientDataSet *cdspodsorta;
	TIntegerField *cdspodsortaPODSORTAID;
	TStringField *cdspodsortaPODSORTA;
	TIntegerField *cdspodsortaSORTAID;
	TSmallintField *cdspodsortaPOREKLOID;
	TDataSource *ds_podsorta;
	TSQLDataSet *sql_klase;
	TDataSetProvider *dsp_klase;
	TClientDataSet *cdsklase;
	TIntegerField *cdsklaseKLASACENAID;
	TStringField *cdsklaseKLASA;
	TFMTBCDField *cdsklaseCENA;
	TFMTBCDField *cdsklaseCENASTIMULACIJE;
	TIntegerField *cdsklaseSORTAID;
	TStringField *cdsklaseOZNAKA;
	TSmallintField *cdsklasePRASINA;
	TDataSource *ds_klase;
	TSQLDataSet *sql_pomklase;
	TDataSetProvider *dsp_pomklase;
	TClientDataSet *cdspomklase;
	TIntegerField *cdspomklaseSORTAID;
	TStringField *cdspomklaseOZNAKA;
	TIntegerField *cdspomklasePOM_KLASAID;
	TIntegerField *cdspomklaseMAGACINID;
	TIntegerField *cdspomklaseVRSTALISTAID;
	TIntegerField *cdspomklaseKLASAID;
	TIntegerField *cdspomklaseBOJAID;
	TIntegerField *cdspomklaseSKLADISTEID;
	TIntegerField *cdspomklaseOSTECENJEID;
	TIntegerField *cdspomklaseNEODREDJENOID;
	TIntegerField *cdspomklaseKLASACENAID;
	TStringField *cdspomklaseCEOOPIS;
	TFMTBCDField *cdspomklaseCENAMAGACINAID;
	TFloatField *cdspomklasePOINTS;
	TDataSource *ds_pomklase;
	TSQLDataSet *sqlMagacin;
	TDataSetProvider *dspMagacin;
	TClientDataSet *cdsMagacin;
	TDataSource *dsMagacin;
	TSQLDataSet *sqlLokacija;
	TDataSetProvider *dspLokacija;
	TClientDataSet *cdsLokacija;
	TDataSource *dsLokacija;
	TIntegerField *cdsMagacinSIFRA_MAGACINA;
	TStringField *cdsMagacinMAGACIN;
	TIntegerField *cdsMagacinTIP;
	TStringField *cdsMagacinMESTO;
	TStringField *cdsMagacinADRESA;
	TIntegerField *cdsLokacijaSIFRA_LOKACIJE;
	TStringField *cdsLokacijaLOKACIJA;
	TIntegerField *cdsLokacijaSIFRA_MAGACIN;
	TStringField *cdsLokacijaMAGACIN;
	TClientDataSet *cdsMaxBarKod;
	TDataSource *dsMaxBarKod;
	TDataSetProvider *dspMaxBarKod;
	TSQLDataSet *dsetMaxBarKod;
	TStringField *cdspodsortaOZNAKA;
	TIntegerField *cdsMaxBarKodMAX_BR;
	TDateField *cdsSystemODDATUM_OD;
	TIntegerField *cdsSystemODMAX_PROC;
	void __fastcall DataModuleCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TDM_OD(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TDM_OD *DM_OD;
//---------------------------------------------------------------------------
#endif
