//---------------------------------------------------------------------------

#ifndef MG_Ulaz_Izlaz_RobeH
#define MG_Ulaz_Izlaz_RobeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxClasses.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include <DB.hpp>
#include <ExtCtrls.hpp>
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxContainer.hpp"
#include "cxDBEdit.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxLookupEdit.hpp"
#include "cxMaskEdit.hpp"
#include "cxTextEdit.hpp"
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxLabel.hpp"
//---------------------------------------------------------------------------
class TfmUlazIzlazNTM : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPageControl1;
	TcxTabSheet *cxTabDokument;
	TcxTabSheet *cxTabPregled;
	TPanel *Panel1;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxGridStavke;
	TcxGridLevel *cxGridLevel1;
	TPanel *Panel2;
	TPanel *Panel3;
	TcxButton *btNoviDoc;
	TcxButton *btSnimi;
	TcxButton *btStampaj;
	TcxButton *btFunkcije;
	TSQLDataSet *sqlZG_NTM;
	TDataSetProvider *dspZG_NTM;
	TClientDataSet *cdsZG_NTM;
	TDataSource *dsZG_NTM;
	TSQLDataSet *sqlSTAV_NTM;
	TDataSetProvider *dspSTAV_NTM;
	TClientDataSet *cdsSTAV_NTM;
	TDataSource *dsSTAV_NTM;
	TIntegerField *cdsSTAV_NTMID;
	TIntegerField *cdsSTAV_NTMIDZG;
	TIntegerField *cdsSTAV_NTMMAGACIN_STAV;
	TIntegerField *cdsSTAV_NTMSIFRA_ROBE;
	TFMTBCDField *cdsSTAV_NTMULAZ_KOL;
	TFMTBCDField *cdsSTAV_NTMIZLAZ_KOL;
	TFMTBCDField *cdsSTAV_NTMULAZ_KOL_ALT;
	TFMTBCDField *cdsSTAV_NTMIZLAZ_KOL_ALT;
	TStringField *cdsSTAV_NTMKOD;
	TSQLTimeStampField *cdsSTAV_NTMVREME;
	TSmallintField *cdsSTAV_NTMSTATUS;
	TSmallintField *cdsSTAV_NTMAKTIVAN;
	TIntegerField *cdsSTAV_NTMRADNIK_DEL;
	TSQLTimeStampField *cdsSTAV_NTMVREME_DEL;
	TIntegerField *cdsZG_NTMID;
	TIntegerField *cdsZG_NTMBROJ;
	TDateField *cdsZG_NTMDATUM_RADA;
	TDateField *cdsZG_NTMDATUMDPO;
	TIntegerField *cdsZG_NTMSIFRA_KOMITENTA;
	TIntegerField *cdsZG_NTMSIFRA_DOKUMENTA;
	TIntegerField *cdsZG_NTMSIFRA_MAGACINA;
	TIntegerField *cdsZG_NTMVEZA;
	TIntegerField *cdsZG_NTMSIFRA_RADNIKA;
	TIntegerField *cdsZG_NTMSIFRA_MAGACINA_U;
	TIntegerField *cdsZG_NTMVEZA_IDN;
	TStringField *cdsZG_NTMBUD;
	TStringField *cdsZG_NTMOPIS;
	TIntegerField *cdsZG_NTMSTATUS;
	TSQLTimeStampField *cdsZG_NTMVREME;
	TSmallintField *cdsZG_NTMAKTIVAN;
	TSmallintField *cdsZG_NTMZAVRSENO;
	TStringField *cdsZG_NTMPO;
	TIntegerField *cdsZG_NTMIDBLENDA;
	TIntegerField *cdsZG_NTMRADNIK_DEL;
	TSQLTimeStampField *cdsZG_NTMVREME_DEL;
	TcxDBLookupComboBox *cxDBLookupComboBox1;
	TcxDBLookupComboBox *cxDBLookupComboBox2;
	TcxDBDateEdit *cxDatum;
	TSQLStoredProc *spZaglavlje;
	TSQLStoredProc *spStavke;
	TcxLabel *cxLabel1;
	TcxLabel *cxLabel2;
	TcxLabel *cxLabel3;
	TcxDBTextEdit *cxDBTextEdit1;
	TcxLabel *cxLabel4;
	TcxGridDBColumn *cxGridStavkeID;
	TcxGridDBColumn *cxGridStavkeIDZG;
	TcxGridDBColumn *cxGridStavkeMAGACIN_STAV;
	TcxGridDBColumn *cxGridStavkeSIFRA_ROBE;
	TcxGridDBColumn *cxGridStavkeULAZ_KOL;
	TcxGridDBColumn *cxGridStavkeIZLAZ_KOL;
	TcxGridDBColumn *cxGridStavkeULAZ_KOL_ALT;
	TcxGridDBColumn *cxGridStavkeIZLAZ_KOL_ALT;
	TcxGridDBColumn *cxGridStavkeKOD;
	TcxGridDBColumn *cxGridStavkeVREME;
	TcxGridDBColumn *cxGridStavkeSTATUS;
	TcxGridDBColumn *cxGridStavkeAKTIVAN;
	TcxGridDBColumn *cxGridStavkeRADNIK_DEL;
	TcxGridDBColumn *cxGridStavkeVREME_DEL;
	TStringField *cdsSTAV_NTMARTIKAL;
	TStringField *cdsSTAV_NTMJM;
	TcxGridDBColumn *cxGridStavkeARTIKAL;
	TcxGridDBColumn *cxGridStavkeJM;
	TcxLabel *cxLabel5;
	TcxDBLookupComboBox *cxDBLookupComboBox3;
	TFloatField *cdsZG_NTMKOLICINA;
	TcxDBTextEdit *cxDBTextEdit2;
	TcxLabel *cxLabel6;
	TcxLabel *cxLabel7;
	TcxLabel *cxLabel8;
	TcxDateEdit *od_datuma;
	TcxDateEdit *do_datuma;
	TcxLabel *cxLabel9;
	TcxButton *cxPregled;
	TcxButton *cxButton1;
	TSQLDataSet *sqlMagacin;
	TDataSetProvider *dspMagacin;
	TClientDataSet *cdsMagacin;
	TDataSource *dsMagacin;
	TIntegerField *cdsMagacinSIFRA_MAGACINA;
	TStringField *cdsMagacinMAGACIN;
	TSQLDataSet *sqlDokumenti;
	TDataSetProvider *dspDokumenti;
	TClientDataSet *cdsDokumenti;
	TDataSource *dsDokumenti;
	TSQLDataSet *sqlBlend;
	TDataSetProvider *dspBlend;
	TClientDataSet *cdsBlend;
	TDataSource *dsBlend;
	TIntegerField *cdsBlendID;
	TStringField *cdsBlendOZNAKA_BLENDA;
	TStringField *cdsBlendOPIS;
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall cxPregledClick(TObject *Sender);
	void __fastcall btNoviDocClick(TObject *Sender);
	void __fastcall cdsZG_NTMNewRecord(TDataSet *DataSet);
	void __fastcall cxGridStavkeEditKeyDown(TcxCustomGridTableView *Sender, TcxCustomGridTableItem *AItem, TcxCustomEdit *AEdit,
          WORD &Key, TShiftState Shift);
	void __fastcall cdsSTAV_NTMNewRecord(TDataSet *DataSet);
	void __fastcall btSnimiClick(TObject *Sender);
	void __fastcall cdsZG_NTMAfterEdit(TDataSet *DataSet);
	void __fastcall cdsSTAV_NTMAfterOpen(TDataSet *DataSet);
	void __fastcall cdsSTAV_NTMAfterInsert(TDataSet *DataSet);
	void __fastcall cdsSTAV_NTMAfterDelete(TDataSet *DataSet);
private:	// User declarations
public:		// User declarations
	__fastcall TfmUlazIzlazNTM(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmUlazIzlazNTM *fmUlazIzlazNTM;
//---------------------------------------------------------------------------
#endif
