//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "MG_UnosBalaMg.h"
#include "OD_funkcije.h"
//#include "MG_DM.h"
//#include "MG_tools.h"
//#include "PorukaOGresci.h"
#include "OD_DM.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxDBEdit"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxGraphics"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxLookupEdit"
#pragma link "cxMaskEdit"
#pragma link "cxTextEdit"
#pragma link "frxClass"
#pragma link "frxDBSet"
#pragma link "frxExportPDF"
#pragma link "cxMemo"
#pragma link "cxPC"
#pragma link "cxClasses"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxFilter"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxStyles"
#pragma link "cxDateUtils"
#pragma link "cxNavigator"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxCore"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"
TfmUnosBalaMg *fmUnosBalaMg;
extern AnsiString DIR_STAMPE;
//---------------------------------------------------------------------------
__fastcall TfmUnosBalaMg::TfmUnosBalaMg(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfmUnosBalaMg::cdsBalaMGNewRecord(TDataSet *DataSet)
{
 try {

		spBalaMG->Prepared = true;
		spBalaMG->ExecProc();

		cdsBalaMG->FieldByName("id")->AsInteger              = spBalaMG->ParamByName("ID")->AsInteger;
		cdsBalaMG->FieldByName("datum_prijema")->Value       = Now();
		cdsBalaMG->FieldByName("obrisano")->AsInteger        = 0;

		cdsBalaMG->FieldByName("DATUM_PRIJEMA")->Value       = Date();
		cdsBalaMG->FieldByName("DATUM_OTKUPA")->Value        = Date();
		cdsBalaMG->FieldByName("sortaid")->AsInteger         = DM_OD->qAktivnaSorta->FieldByName("sortaid")->AsInteger;
		cdsBalaMG->FieldByName("tip_proizvoda")->AsInteger   = 4;
		cdsBalaMG->FieldByName("sifra_mg")->AsInteger        = 10;
		cdsBalaMG->FieldByName("podsortaid")->AsInteger      = 100;
		cdsBalaMG->FieldByName("klasa")->AsInteger           = 100;  //zbog stampe etikete
		cdsBalaMG->FieldByName("ambalaza")->AsCurrency       = 0;
		cdsBalaMG->FieldByName("prasina")->AsCurrency        = 0;
		cdsBalaMG->FieldByName("vlaga")->AsCurrency          = 0;
		cdsBalaMG->FieldByName("prasinaodbitak")->AsCurrency = 0;
		cdsBalaMG->FieldByName("vlagaodbitak")->AsCurrency   = 0;
		cdsBalaMG->FieldByName("netomasa")->AsCurrency       = 0;
		cdsBalaMG->FieldByName("brutomasa")->AsCurrency      = 0;
		cdsBalaMG->FieldByName("crop")->AsInteger            = YearOf(cdsBalaMG->FieldByName("DATUM_PRIJEMA")->Value);
		cdsBalaMG->FieldByName("kooperantid")->AsInteger     = 0;
     cdsBalaMG->FieldByName("kolicina_alt")->AsFloat 	  = 1;
		cdsBalaMG->FieldByName("obrisano")->AsInteger        = 0;
 }
 catch(Exception &e) {
     ShowMessage("Nemogu da otvorim novi zapis!! "+e.Message);
 }
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::btSnimiClick(TObject *Sender)
{
	  btSnimi->Enabled = SnimiCDS(dspBalaMG, cdsBalaMG, dsBalaMG);
	  if(!btSnimi->Enabled) btStampaj->SetFocus();
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::btNoviDocClick(TObject *Sender)
{
	try {
	  cdsBalaMG->Active = false;
	  sqlBalaMG->ParamByName("id")->AsInteger = -1;
	  cdsBalaMG->Active = true;

	  cdsBalaMG->Append();

	  btSnimi->Enabled = true;
	  cxInternaKlasa->SetFocus();
	}
	catch (Exception &e)
	{
	  ShowMessage("Greska!! "+e.Message);
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::FormClose(TObject *Sender, TCloseAction &Action)
{
   Action = caFree;
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::FormCreate(TObject *Sender)
{
	od_datuma->Date = StartOfTheMonth(Date());
	do_datuma->Date = Date();

	DM_OD->qAktivnaSorta->Active = true;
	cdsPodsorte->Active = true;

	if(!DM_OD->cdssorta->Active) 	  	DM_OD->cdssorta->Active = true;
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::cdsBalaMGSORTAIDChange(TField *Sender)
{
	cdspodsorta->Active = false;
	sql_podsorta->ParamByName("sorta")->AsInteger = cdsBalaMG->FieldByName("sortaid")->AsInteger;
	cdspodsorta->Active = true;

	cdspomklase->Active = false;
	sql_pomklase->ParamByName("sorta")->AsInteger = cdsBalaMG->FieldByName("sortaid")->AsInteger;
	cdspomklase->Active = true;

	DM_OD->cdsklase->Active = false;
	DM_OD->sql_klase->ParamByName("sorta")->AsInteger = cdsBalaMG->FieldByName("sortaid")->AsInteger;
	DM_OD->cdsklase->Active = true;

	sqlSistemVlaga->Active = false;
	sqlSistemVlaga->ParamByName("sorta")->AsInteger = cdsBalaMG->FieldByName("sortaid")->AsInteger;
	sqlSistemVlaga->Active = true;
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::btStampajClick(TObject *Sender)
{
 int idbale;

 if(Sender == btStampaj)   idbale = cdsBalaMG->FieldByName("id")->AsInteger;
 else                      idbale = cdsPicking->FieldByName("id")->AsInteger;

 DM_OD->cdsEtiketa->Active = false;
 DM_OD->dsetEtiketa->ParamByName("id")->AsInteger = idbale;
 DM_OD->cdsEtiketa->Active = true;

 if(frxReport1->LoadFromFile(DIR_STAMPE + "\\StampaLeaf\\EtiketaPicking.fr3")) {

		//frxReport1->PrintOptions->ShowDialog = false;
		//frxReport1->Print();
		frxReport1->ShowReport();

		//btNoviDoc->Click();
 }
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::cdsBalaMGBRUTOMASAChange(TField *Sender)
{
	float TezinaZaObracunPrasine= cdsBalaMG->FieldByName("brutomasa")->AsFloat-(cdsBalaMG->FieldByName("ambalaza")->AsFloat*0.001);

	float SistemVlaga = sqlSistemVlaga->FieldByName("PROCENAT_VLAGE")->AsFloat;
	float SistemPrasina = sqlSistemVlaga->FieldByName("PRASINA")->AsFloat;

		if(cdsBalaMG->FieldByName("prasina")->AsCurrency > SistemPrasina)
				cdsBalaMG->FieldByName("prasinaodbitak")->AsFloat = RoundTo(TezinaZaObracunPrasine * (cdsBalaMG->FieldByName("prasina")->AsFloat-SistemPrasina)/100.000, -4);
		else  cdsBalaMG->FieldByName("prasinaodbitak")->AsFloat = 0;

	float TezinaZaObracunVlage  = cdsBalaMG->FieldByName("brutomasa")->AsFloat-(cdsBalaMG->FieldByName("ambalaza")->AsFloat*0.001)-cdsBalaMG->FieldByName("prasinaodbitak")->AsFloat;

		if(cdsBalaMG->FieldByName("vlaga")->AsCurrency > SistemVlaga)
				cdsBalaMG->FieldByName("vlagaodbitak")->AsFloat   = TezinaZaObracunVlage-RoundTo(TezinaZaObracunVlage*RoundTo((100.0000-cdsBalaMG->FieldByName("vlaga")->AsFloat)/(100.000-SistemVlaga),-2), -4);
		else  cdsBalaMG->FieldByName("vlagaodbitak")->AsFloat   = 0;

	cdsBalaMG->FieldByName("netomasa")->AsFloat = cdsBalaMG->FieldByName("brutomasa")->AsCurrency-cdsBalaMG->FieldByName("prasinaodbitak")->AsCurrency-cdsBalaMG->FieldByName("vlagaodbitak")->AsCurrency-(cdsBalaMG->FieldByName("ambalaza")->AsCurrency*0.001);
	cdsBalaMG->FieldByName("kolicina_alt")->AsFloat = cdsBalaMG->FieldByName("brutomasa")->AsCurrency;
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::cdsBalaMGReconcileError(TCustomClientDataSet *DataSet, EReconcileError *E, TUpdateKind UpdateKind,
          TReconcileAction &Action)
{
   ShowMessage("Greska!! " + E->Message + ", Kod greske=" + E->ErrorCode + ", DataSet=" + DataSet->Name);
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::cdsBalaMGPODSORTAIDChange(TField *Sender)
{
	DM_OD->cdsMaxBarKod->Active = false;
	DM_OD->dsetMaxBarKod->ParamByName("podsorta")->AsInteger = cdsBalaMG->FieldByName("podsortaid")->AsInteger;
	DM_OD->cdsMaxBarKod->Active = true;

	sqlOznakaPodsorte->Active = false;
	sqlOznakaPodsorte->ParamByName("podsorta")->AsInteger = cdsBalaMG->FieldByName("podsortaid")->AsInteger;
	sqlOznakaPodsorte->Active = true;

  cdsBalaMG->FieldByName("klasa")->AsInteger     = cdsBalaMG->FieldByName("podsortaid")->AsInteger;
	cdsBalaMG->FieldByName("brbarkoda")->AsInteger = DM_OD->cdsMaxBarKod->FieldByName("max_br")->AsInteger+1;             //sledeci broj

	cdsBalaMG->FieldByName("barkod")->AsString     = IntToStr(YearOf(Date())).SubString(3,2)+                             //GODINA RADA
																	  sqlOznakaPodsorte->FieldByName("OZNAKA")->AsString+                //OZNAKA PODSORTE
																	  Strutils::DupeString('0', (5-cdsBalaMG->FieldByName("brbarkoda")->AsString.Length()))+ //MAXIMALNO 5 KARAKTERA
																	  cdsBalaMG->FieldByName("brbarkoda")->AsString;                      //SLEDECI BROJ
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::FormActivate(TObject *Sender)
{
	cxInternaKlasa->SetFocus();
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::cxInternaKlasaKeyPress(TObject *Sender, wchar_t &Key)
{
	cxBruto->SetFocus();
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::cxBrutoKeyPress(TObject *Sender, wchar_t &Key)
{
	if(Key == VK_RETURN)	{
		cdsBalaMG->CheckBrowseMode();
		btSnimi->SetFocus();
  }
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::btSnimiKeyPress(TObject *Sender, wchar_t &Key)
{
	btNoviDoc->SetFocus();
}
//---------------------------------------------------------------------------

void __fastcall TfmUnosBalaMg::cxButton4Click(TObject *Sender)
{
Screen->Cursor = crSQLWait;

	cdsPicking->Active = false;
	sqlPicking->ParamByName("od_datuma")->Value = od_datuma->Date;
	sqlPicking->ParamByName("do_datuma")->Value = do_datuma->Date;
	sqlPicking->ParamByName("podsorta")->AsInteger    = cxPodsorta->EditValue;
	cdsPicking->Active = true;

Screen->Cursor = crDefault;
}
//---------------------------------------------------------------------------

