//---------------------------------------------------------------------------

#ifndef MG_UnosBalaMgH
#define MG_UnosBalaMgH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxDBEdit.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxGraphics.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxLookupEdit.hpp"
#include "cxMaskEdit.hpp"
#include "cxTextEdit.hpp"
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "frxClass.hpp"
#include "frxDBSet.hpp"
#include "frxExportPDF.hpp"
#include "cxMemo.hpp"
#include "cxPC.hpp"
#include "cxClasses.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxFilter.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxStyles.hpp"
#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <Vcl.ComCtrls.hpp>
//---------------------------------------------------------------------------
class TfmUnosBalaMg : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TSQLDataSet *sqlBalaMG;
	TDataSetProvider *dspBalaMG;
	TClientDataSet *cdsBalaMG;
	TDataSource *dsBalaMG;
	TIntegerField *cdsBalaMGID;
	TIntegerField *cdsBalaMGBALAID;
	TIntegerField *cdsBalaMGKUTIJAID;
	TStringField *cdsBalaMGBARKOD;
	TIntegerField *cdsBalaMGBRBARKODA;
	TIntegerField *cdsBalaMGSORTAID;
	TIntegerField *cdsBalaMGPODSORTAID;
	TIntegerField *cdsBalaMGKLASA;
	TIntegerField *cdsBalaMGKLASAID;
	TFloatField *cdsBalaMGAMBALAZA;
	TIntegerField *cdsBalaMGPRASINA;
	TFMTBCDField *cdsBalaMGVLAGA;
	TFMTBCDField *cdsBalaMGBRUTOMASA;
	TFMTBCDField *cdsBalaMGNETOMASA;
	TFMTBCDField *cdsBalaMGPRASINAODBITAK;
	TFMTBCDField *cdsBalaMGVLAGAODBITAK;
	TStringField *cdsBalaMGOZNAKA_VLAGE;
	TIntegerField *cdsBalaMGKOOPERANTID;
	TSQLTimeStampField *cdsBalaMGDATUM_PRIJEMA;
	TSmallintField *cdsBalaMGOBRISANO;
	TStringField *cdsBalaMGNAVODNJAVAN;
	TStringField *cdsBalaMGSECEN;
	TSmallintField *cdsBalaMGPRIMESE;
	TStringField *cdsBalaMGGRUPA;
	TIntegerField *cdsBalaMGRACK;
	TSQLTimeStampField *cdsBalaMGIZMENA;
	TIntegerField *cdsBalaMGIZMENIO;
	TIntegerField *cdsBalaMGVEZA_ID;
	TIntegerField *cdsBalaMGSIFRA_MG;
	TIntegerField *cdsBalaMGSIFRA_LOKACIJE;
	TIntegerField *cdsBalaMGSIFRA_MG_U;
	TIntegerField *cdsBalaMGTIP_PROIZVODA;
	TSmallintField *cdsBalaMGZAVRSENO;
	TStringField *cdsBalaMGFUMIG_CERTIF;
	TDateField *cdsBalaMGFUMIG_DATUM;
	TIntegerField *cdsBalaMGCROP;
	TDateField *cdsBalaMGDATUM_OTKUPA;
	TSQLTimeStampField *cdsBalaMGVREME_CIPH;
	TSmallintField *cdsBalaMGBLOKADA;
	TSQLStoredProc *spBalaMG;
	TfrxReport *frxReport1;
	TfrxDBDataset *frxDBDataset1;
	TfrxPDFExport *frxPDFExport1;
	TSQLQuery *sqlSistemVlaga;
	TIntegerField *sqlSistemVlagaTSISTEMVLAGAID;
	TIntegerField *sqlSistemVlagaSORTAID;
	TFMTBCDField *sqlSistemVlagaPROCENAT_VLAGE;
	TFMTBCDField *sqlSistemVlagaPRASINA;
	TSQLQuery *sqlOznakaPodsorte;
	TcxPageControl *cxPageControl1;
	TcxTabSheet *cxTabSheet1;
	TcxTabSheet *cxTabSheet2;
	TPanel *Panel2;
	TcxDBTextEdit *cxDBTextEdit1;
	TcxLabel *cxLabel1;
	TcxLabel *cxLabel5;
	TcxDBTextEdit *cxBruto;
	TcxLabel *cxLabel6;
	TcxDBTextEdit *cxDBTextEdit6;
	TcxDBDateEdit *cxDBDateEdit1;
	TcxLabel *cxLabel9;
	TcxLabel *cxLabel12;
	TcxDBTextEdit *cxDBTextEdit10;
	TcxDBLookupComboBox *cxDBLookupComboBox1;
	TcxDBLookupComboBox *cxDBLookupComboBox2;
	TcxDBLookupComboBox *cxInternaKlasa;
	TcxDBLookupComboBox *cxDBLookupComboBox6;
	TcxLabel *cxLabel14;
	TcxLabel *cxLabel15;
	TcxLabel *cxLabel17;
	TcxLabel *cxLabel21;
	TPanel *Panel1;
	TcxButton *btNoviDoc;
	TcxButton *btSnimi;
	TcxButton *btStampaj;
	TSQLDataSet *sqlPicking;
	TDataSetProvider *dspPicking;
	TClientDataSet *cdsPicking;
	TDataSource *dsPicking;
	TSQLDataSet *sql_pomklase;
	TDataSetProvider *dsp_pomklase;
	TClientDataSet *cdspomklase;
	TIntegerField *cdspomklaseSORTAID;
	TStringField *cdspomklaseOZNAKA;
	TIntegerField *cdspomklasePOM_KLASAID;
	TIntegerField *cdspomklaseMAGACINID;
	TIntegerField *cdspomklaseVRSTALISTAID;
	TIntegerField *cdspomklaseKLASAID;
	TIntegerField *cdspomklaseBOJAID;
	TIntegerField *cdspomklaseSKLADISTEID;
	TIntegerField *cdspomklaseOSTECENJEID;
	TIntegerField *cdspomklaseNEODREDJENOID;
	TIntegerField *cdspomklaseKLASACENAID;
	TStringField *cdspomklaseCEOOPIS;
	TFMTBCDField *cdspomklaseCENAMAGACINAID;
	TFloatField *cdspomklasePOINTS;
	TDataSource *ds_pomklase;
	TSQLDataSet *sql_podsorta;
	TDataSetProvider *dsp_podsorta;
	TClientDataSet *cdspodsorta;
	TIntegerField *cdspodsortaPODSORTAID;
	TStringField *cdspodsortaPODSORTA;
	TIntegerField *cdspodsortaSORTAID;
	TSmallintField *cdspodsortaPOREKLOID;
	TStringField *cdspodsortaOZNAKA;
	TDataSource *ds_podsorta;
	TSQLDataSet *sqlPodsorte;
	TDataSetProvider *dspPodsorte;
	TClientDataSet *cdsPodsorte;
	TIntegerField *IntegerField1;
	TStringField *StringField1;
	TIntegerField *IntegerField2;
	TSmallintField *SmallintField1;
	TStringField *StringField2;
	TDataSource *dsPodsorte;
	TPanel *Panel3;
	TcxLookupComboBox *cxPodsorta;
	TcxLabel *cxLabel2;
	TcxGrid *cxGrid2;
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridLevel *cxGridLevel1;
	TIntegerField *cdsPickingBALAID;
	TStringField *cdsPickingBARKOD;
	TIntegerField *cdsPickingBRBARKODA;
	TIntegerField *cdsPickingSORTAID;
	TIntegerField *cdsPickingPODSORTAID;
	TIntegerField *cdsPickingKLASA;
	TIntegerField *cdsPickingKLASAID;
	TFMTBCDField *cdsPickingBRUTOMASA;
	TFMTBCDField *cdsPickingNETOMASA;
	TSQLTimeStampField *cdsPickingDATUM_PRIJEMA;
	TIntegerField *cdsPickingSIFRA_MG;
	TDateField *cdsPickingDATUM_OTKUPA;
	TIntegerField *cdsPickingID;
	TcxGridDBColumn *cxGrid1DBTableView1ID;
	TcxGridDBColumn *cxGrid1DBTableView1BALAID;
	TcxGridDBColumn *cxGrid1DBTableView1BARKOD;
	TcxGridDBColumn *cxGrid1DBTableView1BRBARKODA;
	TcxGridDBColumn *cxGrid1DBTableView1SORTAID;
	TcxGridDBColumn *cxGrid1DBTableView1PODSORTAID;
	TcxGridDBColumn *cxGrid1DBTableView1KLASA;
	TcxGridDBColumn *cxGrid1DBTableView1KLASAID;
	TcxGridDBColumn *cxGrid1DBTableView1BRUTOMASA;
	TcxGridDBColumn *cxGrid1DBTableView1NETOMASA;
	TcxGridDBColumn *cxGrid1DBTableView1DATUM_PRIJEMA;
	TcxGridDBColumn *cxGrid1DBTableView1SIFRA_MG;
	TcxGridDBColumn *cxGrid1DBTableView1DATUM_OTKUPA;
	TStringField *cdsPickingPODSORTA;
	TStringField *cdsPickingIMESORTE;
	TStringField *cdsPickingINT_KLASA;
	TcxGridDBColumn *cxGrid1DBTableView1PODSORTA;
	TcxGridDBColumn *cxGrid1DBTableView1IMESORTE;
	TcxGridDBColumn *cxGrid1DBTableView1INT_KLASA;
	TcxLabel *cxLabel13;
	TcxLabel *cxLabel3;
	TcxDateEdit *do_datuma;
	TcxDateEdit *od_datuma;
	TcxButton *cxButton4;
	TcxButton *btStampajPregled;
	TFloatField *cdsBalaMGKOLICINA;
	TFloatField *cdsBalaMGKOLICINA_ALT;
	TcxLabel *cxLabel4;
	TcxDBTextEdit *cxDBTextEdit2;
	TFloatField *cdsPickingKOLICINA;
	TFloatField *cdsPickingKOLICINA_ALT;
	TcxGridDBColumn *cxGrid1DBTableView1KOLICINA;
	TcxGridDBColumn *cxGrid1DBTableView1KOLICINA_ALT;
	void __fastcall cdsBalaMGNewRecord(TDataSet *DataSet);
	void __fastcall btSnimiClick(TObject *Sender);
	void __fastcall btNoviDocClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall cdsBalaMGSORTAIDChange(TField *Sender);
	void __fastcall btStampajClick(TObject *Sender);
	void __fastcall cdsBalaMGBRUTOMASAChange(TField *Sender);
	void __fastcall cdsBalaMGReconcileError(TCustomClientDataSet *DataSet, EReconcileError *E, TUpdateKind UpdateKind, TReconcileAction &Action);
	void __fastcall cdsBalaMGPODSORTAIDChange(TField *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall cxInternaKlasaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxBrutoKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall btSnimiKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxButton4Click(TObject *Sender);

private:	// User declarations
public:		// User declarations
	__fastcall TfmUnosBalaMg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmUnosBalaMg *fmUnosBalaMg;
//---------------------------------------------------------------------------
#endif
