//---------------------------------------------------------------------------

#ifndef OD_IzvHearsonH
#define OD_IzvHearsonH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxCustomPivotGrid.hpp"
#include "cxDBPivotGrid.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxLookupEdit.hpp"
#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <Vcl.ComCtrls.hpp>
//---------------------------------------------------------------------------
class TfrmIzvHerason : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TcxPageControl *PC;
	TcxTabSheet *tsPregled;
	TPanel *Panel1;
	TcxDateEdit *deOdDatuma;
	TcxDateEdit *deDoDatuma;
	TcxLabel *cxLabel1;
	TcxLabel *cxLabel2;
	TcxButton *btnPregled;
	TcxButton *btnStampa;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridLevel *cxGrid1Level1;
	TDataSource *dsIzvestaj;
	TClientDataSet *cdsIzvestaj;
	TDataSetProvider *dspIzvestaj;
	TSQLDataSet *sqlIzvestaj;
	TDateField *cdsIzvestajDATUM;
	TSQLTimeStampField *cdsIzvestajMERENJE_START;
	TSQLTimeStampField *cdsIzvestajMERENJE_STOP;
	TFloatField *cdsIzvestajPRITISAK_START;
	TFloatField *cdsIzvestajPRITISAK_STOP;
	TFloatField *cdsIzvestajTEMP_START;
	TFloatField *cdsIzvestajTEMP_STOP;
	TFloatField *cdsIzvestajVLAGA_START;
	TFloatField *cdsIzvestajVLAGA_STOP;
	TFloatField *cdsIzvestajPROTOK_V;
	TIntegerField *cdsIzvestajID;
	TIntegerField *cdsIzvestajIDZ;
	TIntegerField *cdsIzvestajBROJ_TACNE;
	TFloatField *cdsIzvestajTEZINA_TACNE;
	TFloatField *cdsIzvestajTEZINA_BRUTO;
	TFloatField *cdsIzvestajDUVAN_PRE_SUS;
	TFloatField *cdsIzvestajTACNA_POSLE_SUS;
	TIntegerField *cdsIzvestajBROJ_KUTIJE;
	TStringField *cdsIzvestajGRADE;
	TSQLTimeStampField *cdsIzvestajVREME;
	TIntegerField *cdsIzvestajSIFRA_RADNIKA;
	TIntegerField *cdsIzvestajRADNIK_CHANGE;
	TSQLTimeStampField *cdsIzvestajVREME_CHANGE;
	TFloatField *cdsIzvestajVLAGA_SADRZAJ;
	TFloatField *cdsIzvestajVLAGA_H;
	TFloatField *cdsIzvestajVLAGA_M;
	TFloatField *cdsIzvestajVLAGA_TARGET;
	TFloatField *cdsIzvestajUCL;
	TFloatField *cdsIzvestajLCL;
	TStringField *cdsIzvestajIDSMENE;
	TcxGridDBColumn *cxGrid1DBTableView1DATUM;
	TcxGridDBColumn *cxGrid1DBTableView1MERENJE_START;
	TcxGridDBColumn *cxGrid1DBTableView1MERENJE_STOP;
	TcxGridDBColumn *cxGrid1DBTableView1PRITISAK_START;
	TcxGridDBColumn *cxGrid1DBTableView1PRITISAK_STOP;
	TcxGridDBColumn *cxGrid1DBTableView1TEMP_START;
	TcxGridDBColumn *cxGrid1DBTableView1TEMP_STOP;
	TcxGridDBColumn *cxGrid1DBTableView1VLAGA_START;
	TcxGridDBColumn *cxGrid1DBTableView1VLAGA_STOP;
	TcxGridDBColumn *cxGrid1DBTableView1PROTOK_V;
	TcxGridDBColumn *cxGrid1DBTableView1ID;
	TcxGridDBColumn *cxGrid1DBTableView1IDZ;
	TcxGridDBColumn *cxGrid1DBTableView1BROJ_TACNE;
	TcxGridDBColumn *cxGrid1DBTableView1TEZINA_TACNE;
	TcxGridDBColumn *cxGrid1DBTableView1TEZINA_BRUTO;
	TcxGridDBColumn *cxGrid1DBTableView1DUVAN_PRE_SUS;
	TcxGridDBColumn *cxGrid1DBTableView1TACNA_POSLE_SUS;
	TcxGridDBColumn *cxGrid1DBTableView1BROJ_KUTIJE;
	TcxGridDBColumn *cxGrid1DBTableView1GRADE;
	TcxGridDBColumn *cxGrid1DBTableView1VREME;
	TcxGridDBColumn *cxGrid1DBTableView1SIFRA_RADNIKA;
	TcxGridDBColumn *cxGrid1DBTableView1RADNIK_CHANGE;
	TcxGridDBColumn *cxGrid1DBTableView1VREME_CHANGE;
	TcxGridDBColumn *cxGrid1DBTableView1VLAGA_SADRZAJ;
	TcxGridDBColumn *cxGrid1DBTableView1VLAGA_H;
	TcxGridDBColumn *cxGrid1DBTableView1VLAGA_M;
	TcxGridDBColumn *cxGrid1DBTableView1VLAGA_TARGET;
	TcxGridDBColumn *cxGrid1DBTableView1UCL;
	TcxGridDBColumn *cxGrid1DBTableView1LCL;
	TcxGridDBColumn *cxGrid1DBTableView1IDSMENE;
	TFMTBCDField *cdsIzvestajvlaga_h_2;
	TFMTBCDField *cdsIzvestajvlaga_m_2;
	TAggregateField *cdsIzvestajvlaga_h_suma;
	TAggregateField *cdsIzvestajvlaga_m_suma;
	TAggregateField *cdsIzvestajvlaga_h_suma_2;
	TAggregateField *cdsIzvestajvlaga_m_suma_2;
	TcxGridDBColumn *cxGrid1DBTableView1vlaga_h_2;
	TcxGridDBColumn *cxGrid1DBTableView1vlaga_m_2;
	TDataSource *dsDevijacija;
	TClientDataSet *cdsDevijacija;
	TDataSetProvider *dspDevijacija;
	TSQLDataSet *sqlDevijacija;
	TStringField *cdsDevijacijaIDSMENE;
	TFloatField *cdsDevijacijaSUMA_VLAGE_H;
	TFloatField *cdsDevijacijaVLAGA_H_2;
	TIntegerField *cdsDevijacijaBROJ_MERENJA;
	TcxGrid *cxGrid2;
	TcxGridDBTableView *cxGridDBTableView1;
	TcxGridLevel *cxGridLevel1;
	TcxGridDBColumn *cxGridDBTableView1IDSMENE;
	TcxGridDBColumn *cxGridDBTableView1SUMA_VLAGE_H;
	TcxGridDBColumn *cxGridDBTableView1VLAGA_H_2;
	TcxGridDBColumn *cxGridDBTableView1BROJ_MERENJA;
	TcxGridDBColumn *cxGridDBTableView1devijacija;
	TFloatField *cdsDevijacijaMin;
	TFloatField *cdsDevijacijaMax;
	TFloatField *cdsDevijacijaAvg;
	TcxGridDBColumn *cxGridDBTableView1Min;
	TcxGridDBColumn *cxGridDBTableView1Max;
	TcxGridDBColumn *cxGridDBTableView1Avg;
	TcxStyleRepository *cxStyle;
	TcxStyle *cxStyleZuta;
	TcxStyle *cxStyleZelena;
	TcxStyle *cxStylePlava;
	TcxStyle *cxStylePink;
	TcxStyle *cxStyleBraon;
	TStringField *cdsDevijacijaGRADE;
	TcxGridDBColumn *cxGridDBTableView1GRADE;
	TStringField *cdsDevijacijaBLEND;
	TcxGridDBColumn *cxGridDBTableView1BLEND;
	TFloatField *cdsDevijacijadevijacija;
	TcxLabel *cxLabel12;
	TcxLookupComboBox *cxVrsteMerenja;
	TSQLDataSet *sqlVrstaMerenja;
	TDataSetProvider *dspVrstaMerenja;
	TClientDataSet *cdsVrstaMerenja;
	TDataSource *dsVrstaMerenja;
	void __fastcall btnPregledClick(TObject *Sender);
	void __fastcall cdsIzvestajCalcFields(TDataSet *DataSet);
	void __fastcall cxGrid1DBTableView1DataControllerSummaryAfterSummary(TcxDataSummary *ASender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
public:		// User declarations
	__fastcall TfrmIzvHerason(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmIzvHerason *frmIzvHerason;
//---------------------------------------------------------------------------
#endif
