//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <math.h>
#include "OD_izv_degradacija_lista.h"
#include "OD_DM.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxLookAndFeels"
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridBandedTableView"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBBandedTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxMaskEdit"
#pragma link "cxPC"
#pragma link "cxStyles"
#pragma link "cxTextEdit"
#pragma resource "*.dfm"
TOD_IzvDegradacijaLista *OD_IzvDegradacijaLista;
//---------------------------------------------------------------------------
__fastcall TOD_IzvDegradacijaLista::TOD_IzvDegradacijaLista(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{
	cxOdDatuma->Date = StartOfTheMonth(Date());
	cxDoDatuma->Date = EndOfTheMonth(Date());

	pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
	pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
	pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;
}
//---------------------------------------------------------------------------
void __fastcall TOD_IzvDegradacijaLista::cdsIzvestajCalcFields(TDataSet *DataSet)

{
	cdsIzvestaj->FieldByName("UkupnaKolicina")->AsCurrency = cdsIzvestaj->FieldByName("KOLICINA_OV1")->AsCurrency+
																			cdsIzvestaj->FieldByName("KOLICINA_OV12")->AsCurrency+
																			cdsIzvestaj->FieldByName("KOLICINA_OV14")->AsCurrency+
																			cdsIzvestaj->FieldByName("KOLICINA_OV18")->AsCurrency+
																			cdsIzvestaj->FieldByName("KOLICINA_PAN")->AsCurrency;
	 /*
	if(cdsIzvestaj->FieldByName("UkupnaKolicina")->AsCurrency != 0) {

		cdsIzvestaj->FieldByName("Over1")->AsFloat = RoundTo(100.0000*cdsIzvestaj->FieldByName("KOLICINA_OV1")->AsCurrency/
																							cdsIzvestaj->FieldByName("UkupnaKolicina")->AsCurrency, -3);

		cdsIzvestaj->FieldByName("Over12")->AsFloat = RoundTo(100.0000*cdsIzvestaj->FieldByName("KOLICINA_OV12")->AsCurrency/
																			cdsIzvestaj->FieldByName("UkupnaKolicina")->AsCurrency, -3);

		cdsIzvestaj->FieldByName("TotalOver1_12")->AsFloat = RoundTo(100.0000*(cdsIzvestaj->FieldByName("KOLICINA_OV1")->AsCurrency+cdsIzvestaj->FieldByName("KOLICINA_OV12")->AsCurrency)/
																			cdsIzvestaj->FieldByName("UkupnaKolicina")->AsCurrency, -3);

		cdsIzvestaj->FieldByName("Over14")->AsFloat = RoundTo(100.0000*cdsIzvestaj->FieldByName("KOLICINA_OV14")->AsCurrency/
																			cdsIzvestaj->FieldByName("UkupnaKolicina")->AsCurrency, -3);

		cdsIzvestaj->FieldByName("TotalOver1_14")->AsFloat = RoundTo(100.0000*(cdsIzvestaj->FieldByName("KOLICINA_OV1")->AsCurrency+cdsIzvestaj->FieldByName("KOLICINA_OV12")->AsCurrency+cdsIzvestaj->FieldByName("KOLICINA_OV14")->AsCurrency)/
																			cdsIzvestaj->FieldByName("UkupnaKolicina")->AsCurrency, -3);


		cdsIzvestaj->FieldByName("Over18")->AsFloat = RoundTo(100.0000*cdsIzvestaj->FieldByName("KOLICINA_OV18")->AsCurrency/
																			cdsIzvestaj->FieldByName("UkupnaKolicina")->AsCurrency, -3);

		cdsIzvestaj->FieldByName("OnPan")->AsFloat = RoundTo(100.0000*cdsIzvestaj->FieldByName("KOLICINA_PAN")->AsCurrency/
																			cdsIzvestaj->FieldByName("UkupnaKolicina")->AsCurrency, -3);

		cdsIzvestaj->FieldByName("TotalOver18_pan")->AsFloat = RoundTo(100.0000*(cdsIzvestaj->FieldByName("KOLICINA_OV18")->AsCurrency+cdsIzvestaj->FieldByName("KOLICINA_PAN")->AsCurrency)/
																			cdsIzvestaj->FieldByName("UkupnaKolicina")->AsCurrency, -3);
	}  */
}
//---------------------------------------------------------------------------
void __fastcall TOD_IzvDegradacijaLista::cxButton2Click(TObject *Sender)
{
	cdsIzvestaj->Active = false;
	dsetIzvestaj->ParamByName("od_datuma")->Value = cxOdDatuma->Date;
	dsetIzvestaj->ParamByName("do_datuma")->Value = cxDoDatuma->Date;
	dsetIzvestaj->ParamByName("id_transakcije")->AsInteger = 6;
	cdsIzvestaj->Active = true;


try {
 if(cdsIzvestaj->RecordCount > 1)
 {
	double Devijacija1=0, Devijacija12=0, Devijacija1_12=0,Devijacija14=0,Devijacija1_14=0,Devijacija18=0,DevijacijaPan=0,Devijacija18_Pan=0;

	TcxDataSummary *footer      = cxGrid1DBBandedTableView1->DataController->Summary;

	if((cdsIzvestaj->Active == true) && (!cdsIzvestaj->IsEmpty()))
	{
		 footer->FooterSummaryValues[1]  = 0;
		 footer->FooterSummaryValues[2]  = 0;
		 footer->FooterSummaryValues[24] = 0;
		 footer->FooterSummaryValues[3]  = 0;
		 footer->FooterSummaryValues[28] = 0;
		 footer->FooterSummaryValues[4]  = 0;
		 footer->FooterSummaryValues[5]  = 0;
		 footer->FooterSummaryValues[32] = 0;
	}
		 Devijacija1=0;Devijacija12=0;Devijacija1_12=0;Devijacija14=0;Devijacija1_14=0;Devijacija18=0;DevijacijaPan=0;Devijacija18_Pan=0;

		 cdsIzvestaj->First();

		 while(!cdsIzvestaj->Eof)
		 { 																																							//Devijacija =RoundTo(Devijacija, -4);
				Devijacija1      = Devijacija1      + pow(cdsIzvestaj->FieldByName("over1")->AsFloat - footer->FooterSummaryValues[7], 2);
				Devijacija12     = Devijacija12     + pow(cdsIzvestaj->FieldByName("over12")->AsFloat - footer->FooterSummaryValues[8], 2);
				Devijacija1_12   = Devijacija1_12   + pow(cdsIzvestaj->FieldByName("TotalOver1_12")->AsFloat - footer->FooterSummaryValues[25], 2);
				Devijacija14     = Devijacija14     + pow(cdsIzvestaj->FieldByName("over14")->AsFloat - footer->FooterSummaryValues[9], 2);
				Devijacija1_14   = Devijacija1_14   + pow(cdsIzvestaj->FieldByName("TotalOver1_14")->AsFloat - footer->FooterSummaryValues[29], 2);
				Devijacija18     = Devijacija18     + pow(cdsIzvestaj->FieldByName("Over18")->AsFloat - footer->FooterSummaryValues[10], 2);
				DevijacijaPan    = DevijacijaPan    + pow(cdsIzvestaj->FieldByName("OnPan")->AsFloat - footer->FooterSummaryValues[11], 2);
				Devijacija18_Pan = Devijacija18_Pan + pow(cdsIzvestaj->FieldByName("TotalOver18_pan")->AsFloat - footer->FooterSummaryValues[33], 2);

			cdsIzvestaj->Next();
		 }
		 footer->FooterSummaryValues[1]  = sqrt(Devijacija1/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[2]  = sqrt(Devijacija12/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[24] = sqrt(Devijacija1_12/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[3]  = sqrt(Devijacija14/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[28] = sqrt(Devijacija1_14/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[4]  = sqrt(Devijacija18/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[5]  = sqrt(DevijacijaPan/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[32] = sqrt(Devijacija18_Pan/(cdsIzvestaj->RecordCount-1));
 }
}
 catch(Exception &e) {
		//-------------
}
}
//---------------------------------------------------------------------------
void __fastcall TOD_IzvDegradacijaLista::FormClose(TObject *Sender, TCloseAction &Action)

{
	 Action = caFree;
}
//---------------------------------------------------------------------------


void __fastcall TOD_IzvDegradacijaLista::cxGrid1DBBandedTableView1DataControllerSummaryAfterSummary(TcxDataSummary *ASender)

{ /*
try {
	if((cdsIzvestaj->Active == true) && (!cdsIzvestaj->IsEmpty()))
	{
		double Devijacija;

		TcxDataSummary *footer      = cxGridStavke->DataController->Summary;
/*
		TcxDataSummary *std_12     = cxGridStavke->DataController->Summary;
		TcxDataSummary *std_1_12   = cxGridStavke->DataController->Summary;
		TcxDataSummary *std_14     = cxGridStavke->DataController->Summary;
		TcxDataSummary *std_1_4    = cxGridStavke->DataController->Summary;
		TcxDataSummary *std_18     = cxGridStavke->DataController->Summary;
		TcxDataSummary *std_pan    = cxGridStavke->DataController->Summary;
		TcxDataSummary *std_18_pan = cxGridStavke->DataController->Summary;
*/ /*
		 footer->FooterSummaryValues[0] = 0;
		 footer->FooterSummaryValues[1] = 0;
		 footer->FooterSummaryValues[2] = 0;
		 footer->FooterSummaryValues[3] = 0;



		 cdsDevijacija->First();

		 while(!cdsDevijacija->Eof)
		 {
			Devijacija=0;

			if(cdsDevijacija->FieldByName("broj_merenja")->AsFloat > 1)
			{
				Devijacija_12 = (cdsDevijacija->FieldByName("suma_vlage_h")->AsFloat-((cdsDevijacija->FieldByName("vlaga_h_2")->AsFloat)/cdsDevijacija->FieldByName("broj_merenja")->AsFloat))/
									  (cdsDevijacija->FieldByName("broj_merenja")->AsFloat-1.0000);
																																								//Devijacija =RoundTo(Devijacija, -4);
			}
			footer->FooterSummaryValues[7] = 0; = (pow(Devijacija,0.5));
		 }
		}
 }
 catch(Exception &e) {
		//-------------
 }


*/

}
//---------------------------------------------------------------------------


void __fastcall TOD_IzvDegradacijaLista::Excel1Click(TObject *Sender)
{
	SaveDialog1->Title = "Izvoz podataka u excel";
  if (SaveDialog1->Execute())
	{
	  ExportGridToExcel(SaveDialog1->FileName, cxGrid1, False, True, True, "xls");
	}
}
//---------------------------------------------------------------------------

