//---------------------------------------------------------------------------

#ifndef OD_izv_degradacija_listaH
#define OD_izv_degradacija_listaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxLookAndFeels.hpp"
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridBandedTableView.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBBandedTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxGridExportLink.hpp"
//---------------------------------------------------------------------------
class TOD_IzvDegradacijaLista : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TPopupMenu *PM_izmena;
	TMenuItem *Export1;
	TMenuItem *Excel1;
	TSaveDialog *SaveDialog1;
	TSQLDataSet *dsetIzvestaj;
	TDataSetProvider *dspIzvestaj;
	TClientDataSet *cdsIzvestaj;
	TDataSource *dsIzvestaj;
	TcxPageControl *cxPageControl1;
	TcxTabSheet *cxTabSheet1;
	TPanel *Panel1;
	TcxButton *cxButton2;
	TcxLabel *cxLabel9;
	TcxLabel *cxLabel10;
	TcxDateEdit *cxDoDatuma;
	TcxButton *cxButton1;
	TcxDateEdit *cxOdDatuma;
	TcxGrid *cxGrid1;
	TcxGridDBBandedTableView *cxGrid1DBBandedTableView1;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1DATUM;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1BATCH_NO;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1CASE_NO;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1VREME;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1KOLICINA;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1GRADE;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1SMENA;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1IDTIP;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1TRANSAKCIJA;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1ID_LAB;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1IDPROCESA;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1PARAMETAR1;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1KOLICINA_OBJ;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1KOLICINA_7SL;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1KOLICINA_12SL;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1KOLICINA_12MESH;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1KOLICINA_PAN;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1UkupnoSteam;
	TcxGridLevel *cxGrid1Level1;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1Over1;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1Over12;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1TotalOver1_12;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1Over14;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1TotalOver1_14;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1Over18;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1OnPan;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1TotalOver18_pan;
	TcxStyleRepository *cxStyle;
	TcxStyle *cxStyleZuta;
	TcxStyle *cxStyleZelena;
	TcxStyle *cxStylePlava;
	TcxStyle *cxStylePink;
	TcxStyle *cxStyleBraon;
	TIntegerField *cdsIzvestajID;
	TDateField *cdsIzvestajDATUM;
	TStringField *cdsIzvestajIDGRADE;
	TStringField *cdsIzvestajIDSMENE;
	TStringField *cdsIzvestajBATCH_NO;
	TIntegerField *cdsIzvestajCASE_NO;
	TTimeField *cdsIzvestajVREME;
	TFloatField *cdsIzvestajKOLICINA;
	TFloatField *cdsIzvestajOVER1_SUM2;
	TFloatField *cdsIzvestajOVER1_2SUMA;
	TFloatField *cdsIzvestajOVER12_SUM2;
	TFloatField *cdsIzvestajOVER12_2SUMA;
	TFloatField *cdsIzvestajTOTAL1_12_SUM2;
	TFloatField *cdsIzvestajTOTAL1_12_2SUMA;
	TFloatField *cdsIzvestajOVER14_SUM2;
	TFloatField *cdsIzvestajOVER14_2SUMA;
	TFloatField *cdsIzvestajTOTALOVER1_14_SUM2;
	TFloatField *cdsIzvestajTOTALOVER1_14_2SUMA;
	TFloatField *cdsIzvestajOVER18_SUM2;
	TFloatField *cdsIzvestajOVER18_2SUMA;
	TFloatField *cdsIzvestajONPAN_SUM2;
	TFloatField *cdsIzvestajONPAN_2SUMA;
	TFloatField *cdsIzvestajTOTALOVER18PAN_SUM2;
	TFloatField *cdsIzvestajTOTALOVER18PAN_2SUMA;
	TFloatField *cdsIzvestajUKUPNAKOLICINA;
	TFloatField *cdsIzvestajKOLICINA_OV1;
	TFloatField *cdsIzvestajKOLICINA_OV12;
	TFloatField *cdsIzvestajKOLICINA_OV14;
	TFloatField *cdsIzvestajKOLICINA_OV18;
	TFloatField *cdsIzvestajKOLICINA_PAN;
	TStringField *cdsIzvestajGRADE;
	TFloatField *cdsIzvestajOVER1;
	TFloatField *cdsIzvestajOVER12;
	TFloatField *cdsIzvestajTOTALOVER1_12;
	TFloatField *cdsIzvestajOVER14;
	TFloatField *cdsIzvestajTOTALOVER1_14;
	TFloatField *cdsIzvestajOVER18;
	TFloatField *cdsIzvestajONPAN;
	TFloatField *cdsIzvestajTOTALOVER18_PAN;
	void __fastcall cdsIzvestajCalcFields(TDataSet *DataSet);
	void __fastcall cxButton2Click(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall cxGrid1DBBandedTableView1DataControllerSummaryAfterSummary(TcxDataSummary *ASender);
	void __fastcall Excel1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TOD_IzvDegradacijaLista(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOD_IzvDegradacijaLista *OD_IzvDegradacijaLista;
//---------------------------------------------------------------------------
#endif
