//---------------------------------------------------------------------------

#ifndef OD_izv_nikotin_secerH
#define OD_izv_nikotin_secerH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "cxControls.hpp"
#include "cxGraphics.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxPC.hpp"
#include "OD_OsnovnaPrazna.h"
#include <ActnList.hpp>
#include <Menus.hpp>
#include "cxClasses.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxStyles.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxContainer.hpp"
#include "cxDropDownEdit.hpp"
#include "cxLabel.hpp"
#include "cxMaskEdit.hpp"
#include "cxTextEdit.hpp"
#include "cxGridExportLink.hpp"
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TOd_IzvNikotinSecer : public TfmOsnovnaPrazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPageControl1;
	TcxTabSheet *cxTabSheet1;
	TPanel *Panel1;
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridLevel *cxGrid1Level1;
	TcxGrid *cxGrid1;
	TSQLDataSet *dsetIzvestaj;
	TDataSetProvider *dspIzvestaj;
	TClientDataSet *cdsIzvestaj;
	TDataSource *dsIzvestaj;
	TcxButton *cxButton2;
	TcxLabel *cxLabel9;
	TcxLabel *cxLabel10;
	TcxDateEdit *cxDoDatuma;
	TcxButton *cxButton1;
	TcxDateEdit *cxOdDatuma;
	TIntegerField *cdsIzvestajID;
	TDateField *cdsIzvestajDATUM;
	TStringField *cdsIzvestajIDGRADE;
	TStringField *cdsIzvestajIDSMENE;
	TStringField *cdsIzvestajIDLIST;
	TIntegerField *cdsIzvestajRUNDAY;
	TIntegerField *cdsIzvestajIDBLEND;
	TStringField *cdsIzvestajBATCH_NO;
	TIntegerField *cdsIzvestajCASE_NO;
	TIntegerField *cdsIzvestajIDLABORANTA;
	TIntegerField *cdsIzvestajSIFRA_RADNIKA;
	TTimeField *cdsIzvestajVREME;
	TSQLTimeStampField *cdsIzvestajIZMENA;
	TIntegerField *cdsIzvestajVRSTA_TRANSAKCIJE;
	TStringField *cdsIzvestajID_UZORKA;
	TFloatField *cdsIzvestajVLAGA;
	TFloatField *cdsIzvestajTEMPERATURA;
	TFloatField *cdsIzvestajKOLICINA;
	TStringField *cdsIzvestajSTATUS;
	TSQLTimeStampField *cdsIzvestajUNOS;
	TIntegerField *cdsIzvestajVEZA;
	TFloatField *cdsIzvestajSUGAR;
	TFloatField *cdsIzvestajNICOTIN;
	TStringField *cdsIzvestajGRADE;
	TStringField *cdsIzvestajSMENA;
	TStringField *cdsIzvestajLIST;
	TStringField *cdsIzvestajLABORANT;
	TStringField *cdsIzvestajMESTO_UZORKA;
	TIntegerField *cdsIzvestajIDTIP;
	TStringField *cdsIzvestajTRANSAKCIJA;
	TcxGridDBColumn *cxGrid1DBTableView1ID;
	TcxGridDBColumn *cxGrid1DBTableView1DATUM;
	TcxGridDBColumn *cxGrid1DBTableView1IDGRADE;
	TcxGridDBColumn *cxGrid1DBTableView1IDSMENE;
	TcxGridDBColumn *cxGrid1DBTableView1IDLIST;
	TcxGridDBColumn *cxGrid1DBTableView1RUNDAY;
	TcxGridDBColumn *cxGrid1DBTableView1IDBLEND;
	TcxGridDBColumn *cxGrid1DBTableView1BATCH_NO;
	TcxGridDBColumn *cxGrid1DBTableView1CASE_NO;
	TcxGridDBColumn *cxGrid1DBTableView1IDLABORANTA;
	TcxGridDBColumn *cxGrid1DBTableView1SIFRA_RADNIKA;
	TcxGridDBColumn *cxGrid1DBTableView1VREME;
	TcxGridDBColumn *cxGrid1DBTableView1IZMENA;
	TcxGridDBColumn *cxGrid1DBTableView1VRSTA_TRANSAKCIJE;
	TcxGridDBColumn *cxGrid1DBTableView1ID_UZORKA;
	TcxGridDBColumn *cxGrid1DBTableView1VLAGA;
	TcxGridDBColumn *cxGrid1DBTableView1TEMPERATURA;
	TcxGridDBColumn *cxGrid1DBTableView1KOLICINA;
	TcxGridDBColumn *cxGrid1DBTableView1STATUS;
	TcxGridDBColumn *cxGrid1DBTableView1UNOS;
	TcxGridDBColumn *cxGrid1DBTableView1VEZA;
	TcxGridDBColumn *cxGrid1DBTableView1SUGAR;
	TcxGridDBColumn *cxGrid1DBTableView1NICOTIN;
	TcxGridDBColumn *cxGrid1DBTableView1GRADE;
	TcxGridDBColumn *cxGrid1DBTableView1SMENA;
	TcxGridDBColumn *cxGrid1DBTableView1LIST;
	TcxGridDBColumn *cxGrid1DBTableView1LABORANT;
	TcxGridDBColumn *cxGrid1DBTableView1MESTO_UZORKA;
	TcxGridDBColumn *cxGrid1DBTableView1IDTIP;
	TcxGridDBColumn *cxGrid1DBTableView1TRANSAKCIJA;
	TPopupMenu *PM_export;
	TMenuItem *Exportu1;
	TMenuItem *Excel2;
	TMenuItem *HTML2;
	TMenuItem *XT2;
	void __fastcall cxButton2Click(TObject *Sender);
	void __fastcall Excel2Click(TObject *Sender);
	void __fastcall HTML2Click(TObject *Sender);
	void __fastcall XT2Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TOd_IzvNikotinSecer(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOd_IzvNikotinSecer *Od_IzvNikotinSecer;
//---------------------------------------------------------------------------
#endif
