//---------------------------------------------------------------------------

#ifndef OD_izv_rebro_u_listuH
#define OD_izv_rebro_u_listuH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include "OD_OsnovnaPrazna.h"
#include <ActnList.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxGridBandedTableView.hpp"
#include "cxGridDBBandedTableView.hpp"
#include "cxGridExportLink.hpp"
//---------------------------------------------------------------------------
class TOD_IzvRebroUListu : public TfmOsnovnaPrazna
{
__published:	// IDE-managed Components
	TSQLDataSet *dsetIzvestaj;
	TDataSetProvider *dspIzvestaj;
	TClientDataSet *cdsIzvestaj;
	TIntegerField *cdsIzvestajID;
	TDateField *cdsIzvestajDATUM;
	TStringField *cdsIzvestajIDGRADE;
	TStringField *cdsIzvestajIDSMENE;
	TStringField *cdsIzvestajIDLIST;
	TIntegerField *cdsIzvestajRUNDAY;
	TIntegerField *cdsIzvestajIDBLEND;
	TStringField *cdsIzvestajBATCH_NO;
	TIntegerField *cdsIzvestajCASE_NO;
	TIntegerField *cdsIzvestajIDLABORANTA;
	TIntegerField *cdsIzvestajSIFRA_RADNIKA;
	TTimeField *cdsIzvestajVREME;
	TSQLTimeStampField *cdsIzvestajIZMENA;
	TIntegerField *cdsIzvestajVRSTA_TRANSAKCIJE;
	TStringField *cdsIzvestajID_UZORKA;
	TFloatField *cdsIzvestajVLAGA;
	TFloatField *cdsIzvestajTEMPERATURA;
	TFloatField *cdsIzvestajKOLICINA;
	TStringField *cdsIzvestajSTATUS;
	TSQLTimeStampField *cdsIzvestajUNOS;
	TIntegerField *cdsIzvestajVEZA;
	TFloatField *cdsIzvestajSUGAR;
	TFloatField *cdsIzvestajNICOTIN;
	TStringField *cdsIzvestajGRADE;
	TStringField *cdsIzvestajSMENA;
	TStringField *cdsIzvestajLIST;
	TStringField *cdsIzvestajLABORANT;
	TStringField *cdsIzvestajMESTO_UZORKA;
	TIntegerField *cdsIzvestajIDTIP;
	TStringField *cdsIzvestajTRANSAKCIJA;
	TDataSource *dsIzvestaj;
	TcxPageControl *cxPageControl1;
	TcxTabSheet *cxTabSheet1;
	TPanel *Panel1;
	TcxButton *cxButton2;
	TcxLabel *cxLabel9;
	TcxLabel *cxLabel10;
	TcxDateEdit *cxDoDatuma;
	TcxButton *cxButton1;
	TcxDateEdit *cxOdDatuma;
	TcxGrid *cxGrid1;
	TcxGridLevel *cxGrid1Level1;
	TIntegerField *cdsIzvestajID_LAB;
	TIntegerField *cdsIzvestajIDPROCESA;
	TStringField *cdsIzvestajPARAMETAR1;
	TStringField *cdsIzvestajPARAMETAR2;
	TStringField *cdsIzvestajPARAMETAR3;
	TFloatField *cdsIzvestajKOLICINA_OBJ;
	TFloatField *cdsIzvestajPROCENAT_OBJ;
	TFloatField *cdsIzvestajKOLICINA_7SL;
	TFloatField *cdsIzvestajPROCENAT_7SL;
	TFloatField *cdsIzvestajKOLICINA_12SL;
	TFloatField *cdsIzvestajPROCENAT_12SL;
	TFloatField *cdsIzvestajKOLICINA_12MESH;
	TFloatField *cdsIzvestajPROCENAT_12MESH;
	TcxGridDBBandedTableView *cxGrid1DBBandedTableView1;
	TFloatField *cdsIzvestajKOLICINA_PAN;
	TFloatField *cdsIzvestajPROCENAT_PAN;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1DATUM;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1BATCH_NO;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1CASE_NO;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1VREME;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1KOLICINA;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1GRADE;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1SMENA;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1IDTIP;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1TRANSAKCIJA;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1ID_LAB;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1IDPROCESA;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1PARAMETAR1;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1KOLICINA_OBJ;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1PROCENAT_OBJ;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1KOLICINA_7SL;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1PROCENAT_7SL;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1KOLICINA_12SL;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1PROCENAT_12SL;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1KOLICINA_12MESH;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1PROCENAT_12MESH;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1KOLICINA_PAN;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1PROCENAT_PAN;
	TcxStyleRepository *cxStyleRepository1;
	TcxStyle *cxStyle1;
	TcxStyleRepository *cxStyleRepository2;
	TcxStyle *cxStyle2;
	TcxStyleRepository *cxStyleRepository3;
	TcxStyle *cxStyle3;
	TCurrencyField *cdsIzvestajUkupnoSteam;
	TcxGridDBBandedColumn *cxGrid1DBBandedTableView1UkupnoSteam;
	TcxStyleRepository *cxStyleRepository4;
	TcxStyle *cxStyle4;
	void __fastcall cxButton2Click(TObject *Sender);
	void __fastcall cdsIzvestajCalcFields(TDataSet *DataSet);
	void __fastcall Excel1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TOD_IzvRebroUListu(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOD_IzvRebroUListu *OD_IzvRebroUListu;
//---------------------------------------------------------------------------
#endif
