//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_izv_ulaza_u_obradu.h"
#include "OD_DM.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxLookAndFeels"
#pragma link "OD_OsnovnaPrazna"
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxGraphics"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxMaskEdit"
#pragma link "cxPC"
#pragma link "cxTextEdit"
#pragma link "cxClasses"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxFilter"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxStyles"

#pragma link "cxDateUtils"
#pragma link "cxNavigator"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxCore"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma link "cxCustomPivotGrid"
#pragma link "cxDBPivotGrid"
#pragma link "frxClass"
#pragma link "frxDBSet"
#pragma resource "*.dfm"
TfmObradaPregledUlaza *fmObradaPregledUlaza;
extern int MAGACIN_BUFFER;
extern int DOC_PROIZVODNJE;
//---------------------------------------------------------------------------
__fastcall TfmObradaPregledUlaza::TfmObradaPregledUlaza(TComponent* Owner)
	: TfmOsnovnaPrazna(Owner)
{
	cxOdDatuma->Date = StartOfTheMonth(Date());
	cxDoDatuma->Date = EndOfTheMonth(Date());

	deOdDatuma2->Date = StartOfTheMonth(Date());
	deDoDatuma2->Date = EndOfTheMonth(Date());

	deOdDatuma3->Date = StartOfTheMonth(Date());
	deDoDatuma3->Date = EndOfTheMonth(Date());

	deOdDatuma4->Date = StartOfTheMonth(Date());
	deDoDatuma4->Date = EndOfTheMonth(Date());

	pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
	pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
	pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

}
//---------------------------------------------------------------------------
void __fastcall TfmObradaPregledUlaza::cxButton2Click(TObject *Sender)
{
	cdsPregledPoBatchu->Active = false;
	dsetPregledPoBatchu->ParamByName("od_datuma")->Value = cxOdDatuma->Date;
	dsetPregledPoBatchu->ParamByName("do_datuma")->Value = cxDoDatuma->Date;
	dsetPregledPoBatchu->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
	dsetPregledPoBatchu->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
	cdsPregledPoBatchu->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall TfmObradaPregledUlaza::Excel1Click(TObject *Sender)
{
	  SaveDialog1->Title = "Izvoz podataka u excel";
	  if (SaveDialog1->Execute()) {
			 if(cxPC->ActivePage == cxTabBatch) 			ExportGridToExcel(SaveDialog1->FileName, cxGrid1, False, True, True, "xls");
			 else if(cxPC->ActivePage == cxTabSAP) 		ExportGridToExcel(SaveDialog1->FileName, cxGrid2, False, True, True, "xls");
			 else if(cxPC->ActivePage == cxTabPivot) 		cxExportPivotGridToExcel(SaveDialog1->FileName, ptObradaDuvana, False, True, "xls");
			 else if(cxPC->ActivePage == cxTabUtrosakPoProizvodjacima) ExportGridToExcel(SaveDialog1->FileName, cxGrid3, False, True, True, "xls");
	  }
}
//---------------------------------------------------------------------------
void __fastcall TfmObradaPregledUlaza::cdsPregledPoBatchuCalcFields(TDataSet *DataSet)
{
	 cdsPregledPoBatchu->FieldByName("vrednost")->AsFloat=RoundTo(cdsPregledPoBatchu->FieldByName("tezina")->AsCurrency*cdsPregledPoBatchu->FieldByName("cena")->AsCurrency, -2);
   cdsPregledPoBatchu->FieldByName("neto_tezina")->AsFloat=cdsPregledPoBatchu->FieldByName("tezina")->AsFloat-cdsPregledPoBatchu->FieldByName("ambalaza")->AsFloat;
}
//---------------------------------------------------------------------------


void __fastcall TfmObradaPregledUlaza::cxButton5Click(TObject *Sender)
{
	cdsPregledBala->Active = false;
	dsetPregledBala->ParamByName("od_datuma")->Value = deOdDatuma2->Date;
	dsetPregledBala->ParamByName("do_datuma")->Value = deDoDatuma2->Date;
	dsetPregledBala->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
	dsetPregledBala->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
	cdsPregledBala->Active = true;
}
//---------------------------------------------------------------------------

void __fastcall TfmObradaPregledUlaza::cdsPregledBalaCalcFields(TDataSet *DataSet)
{
	 cdsPregledBala->FieldByName("vrednost")->AsFloat=RoundTo(cdsPregledBala->FieldByName("tezina")->AsCurrency*cdsPregledBala->FieldByName("cena")->AsCurrency, -2);
	 cdsPregledBala->FieldByName("neto_tezina")->AsFloat=cdsPregledBala->FieldByName("tezina")->AsFloat-cdsPregledBala->FieldByName("ambalaza")->AsFloat;
}
//---------------------------------------------------------------------------



void __fastcall TfmObradaPregledUlaza::cxButton3Click(TObject *Sender)
{
	cdsSAPReport->Active = false;
	sqlSAPReport->ParamByName("od_datuma")->Value = deOdDatuma3->Date;
	sqlSAPReport->ParamByName("do_datuma")->Value = deDoDatuma3->Date;
	sqlSAPReport->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
	sqlSAPReport->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
	cdsSAPReport->Active = true;
}
//---------------------------------------------------------------------------

void __fastcall TfmObradaPregledUlaza::cdsSAPReportCalcFields(TDataSet *DataSet)
{
	 cdsSAPReport->FieldByName("vrednost")->AsFloat=RoundTo(cdsSAPReport->FieldByName("tezina")->AsCurrency*cdsSAPReport->FieldByName("cena")->AsCurrency, -2);
	 cdsSAPReport->FieldByName("neto_tezina")->AsFloat=cdsSAPReport->FieldByName("tezina")->AsFloat-cdsSAPReport->FieldByName("ambalaza")->AsFloat;
}
//---------------------------------------------------------------------------

void __fastcall TfmObradaPregledUlaza::Kopiraj1Click(TObject *Sender)
{
 if(cxPC->ActivePage == cxTabBatch) gtvStavkeBatch->CopyToClipboard(false);
 else 	  									 gtvStavkeSAP->CopyToClipboard(false);
}
//---------------------------------------------------------------------------

void __fastcall TfmObradaPregledUlaza::cxButton6Click(TObject *Sender)
{
	cdsIzvestajPoProizvodjacima->Active = false;
	sqlIzvestajPoProizvodjacima->ParamByName("od_datuma")->Value = deOdDatuma4->Date;
	sqlIzvestajPoProizvodjacima->ParamByName("do_datuma")->Value = deDoDatuma4->Date;
	sqlIzvestajPoProizvodjacima->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
	sqlIzvestajPoProizvodjacima->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
	cdsIzvestajPoProizvodjacima->Active = true;
}
//---------------------------------------------------------------------------




void __fastcall TfmObradaPregledUlaza::cxButton8Click(TObject *Sender)
{
	 frxReport1->ShowReport(true);
}
//---------------------------------------------------------------------------

