//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_promet_magacina.h"
#include "OD_DM.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxLookupEdit"
#pragma link "cxMaskEdit"
#pragma link "cxPC"
#pragma link "cxStyles"
#pragma link "cxTextEdit"

#pragma link "cxDateUtils"
#pragma link "cxNavigator"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxCore"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma link "cxCustomPivotGrid"
#pragma link "cxDBPivotGrid"
#pragma resource "*.dfm"
TfmPrometMagacina *fmPrometMagacina;
//---------------------------------------------------------------------------
__fastcall TfmPrometMagacina::TfmPrometMagacina(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfmPrometMagacina::cxPregledClick(TObject *Sender)
{
Screen->Cursor = crSQLWait;
	cdsPromet->Active = false;
	sqlPromet->ParamByName("od_datuma")->Value = od_datuma->Date;
	sqlPromet->ParamByName("do_datuma")->Value = do_datuma->Date;
	sqlPromet->ParamByName("mg")->AsInteger 	 = cxMagacin->EditValue;
	cdsPromet->Active = true;
Screen->Cursor = crDefault;
}
//-------------------------------------------------------------------------

void __fastcall TfmPrometMagacina::FormCreate(TObject *Sender)
{
	od_datuma->Date = StartOfTheYear(Date());
	do_datuma->Date = EndOfTheMonth(Date());

	od_datuma2->Date = StartOfTheYear(Date());
	do_datuma2->Date = EndOfTheMonth(Date());

	cdsMagacin->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall TfmPrometMagacina::FormClose(TObject *Sender, TCloseAction &Action)
{
   Action = caFree;
}
//---------------------------------------------------------------------------
void __fastcall TfmPrometMagacina::cxPregledPivotClick(TObject *Sender)
{
Screen->Cursor = crSQLWait;
	cdsPrometPoDanima->Active = false;
	sqlPrometPoDanima->ParamByName("od_datuma")->Value = od_datuma2->Date;
	sqlPrometPoDanima->ParamByName("do_datuma")->Value = do_datuma2->Date;
	sqlPrometPoDanima->ParamByName("mg")->AsInteger 	= cxMagacin2->EditValue;
	cdsPrometPoDanima->Active = true;
Screen->Cursor = crDefault;
}
//---------------------------------------------------------------------------
