//---------------------------------------------------------------------------

#ifndef OD_promet_magacinaH
#define OD_promet_magacinaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxLookupEdit.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>

#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <Vcl.ComCtrls.hpp>
#include "cxCustomPivotGrid.hpp"
#include "cxDBPivotGrid.hpp"
//---------------------------------------------------------------------------
class TfmPrometMagacina : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPageControl1;
	TcxTabSheet *cxTabPrometMG;
	TPanel *Panel1;
	TcxLabel *cxLabel1;
	TcxDateEdit *od_datuma;
	TcxDateEdit *do_datuma;
	TcxLabel *cxLabel2;
	TcxButton *cxPregled;
	TcxButton *btStampaj;
	TcxLookupComboBox *cxMagacin;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridLevel *cxGridLevel1;
	TcxLabel *cxLabel3;
	TSQLDataSet *sqlPromet;
	TDataSetProvider *dspPromet;
	TClientDataSet *cdsPromet;
	TDataSource *dsPromet;
	TStringField *cdsPrometKOD;
	TStringField *cdsPrometARTIKAL;
	TStringField *cdsPrometJM;
	TFMTBCDField *cdsPrometULAZ_KOL;
	TFMTBCDField *cdsPrometIZLAZ_KOL;
	TFMTBCDField *cdsPrometSTANJE;
	TcxGridDBColumn *cxGrid1DBTableView1KOD;
	TcxGridDBColumn *cxGrid1DBTableView1ARTIKAL;
	TcxGridDBColumn *cxGrid1DBTableView1JM;
	TcxGridDBColumn *cxGrid1DBTableView1ULAZ_KOL;
	TcxGridDBColumn *cxGrid1DBTableView1IZLAZ_KOL;
	TcxGridDBColumn *cxGrid1DBTableView1STANJE;
	TSQLDataSet *sqlMagacin;
	TDataSetProvider *dspMagacin;
	TClientDataSet *cdsMagacin;
	TIntegerField *cdsMagacinSIFRA_MAGACINA;
	TStringField *cdsMagacinMAGACIN;
	TDataSource *dsMagacin;
	TcxStyleRepository *cxMyStyle;
	TcxStyle *cxStyleRoze;
	TcxStyle *cxStyleZuta;
	TcxStyle *cxStyleSiva;
	TcxTabSheet *cxTabPrometPoDanima;
	TPanel *Panel2;
	TcxLabel *cxLabel4;
	TcxDateEdit *od_datuma2;
	TcxDateEdit *do_datuma2;
	TcxLabel *cxLabel5;
	TcxButton *cxPregledPivot;
	TcxButton *cxButton2;
	TcxLookupComboBox *cxMagacin2;
	TcxLabel *cxLabel6;
	TSQLDataSet *sqlPrometPoDanima;
	TDataSetProvider *dspPrometPoDanima;
	TClientDataSet *cdsPrometPoDanima;
	TDataSource *dsPrometPoDanima;
	TStringField *cdsPrometPoDanimaKOD;
	TStringField *cdsPrometPoDanimaARTIKAL;
	TStringField *cdsPrometPoDanimaJM;
	TDateField *cdsPrometPoDanimaDATUMDPO;
	TIntegerField *cdsPrometPoDanimaIDBLENDA;
	TFMTBCDField *cdsPrometPoDanimaULAZ_KOL;
	TFMTBCDField *cdsPrometPoDanimaIZLAZ_KOL;
	TFMTBCDField *cdsPrometPoDanimaSTANJE;
	TStringField *cdsPrometPoDanimaOZNAKA_BLENDA;
	TcxDBPivotGrid *cxDBPivotGrid1;
	TcxDBPivotGridField *cxDBPivotGrid1KOD;
	TcxDBPivotGridField *cxDBPivotGrid1ARTIKAL;
	TcxDBPivotGridField *cxDBPivotGrid1JM;
	TcxDBPivotGridField *cxDBPivotGrid1DATUMDPO;
	TcxDBPivotGridField *cxDBPivotGrid1IDBLENDA;
	TcxDBPivotGridField *cxDBPivotGrid1ULAZ_KOL;
	TcxDBPivotGridField *cxDBPivotGrid1IZLAZ_KOL;
	TcxDBPivotGridField *cxDBPivotGrid1STANJE;
	TcxDBPivotGridField *cxDBPivotGrid1OZNAKA_BLENDA;
	void __fastcall cxPregledClick(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall cxPregledPivotClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfmPrometMagacina(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmPrometMagacina *fmPrometMagacina;
//---------------------------------------------------------------------------
#endif
