//---------------------------------------------------------------------------

#ifndef OD_vakumirane_baleH
#define OD_vakumirane_baleH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxGridExportLink.hpp"
//---------------------------------------------------------------------------
class TfrmVakumiraneBale : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TcxPageControl *PC;
	TcxTabSheet *tsPregled;
	TPanel *Panel1;
	TcxDateEdit *deOdDatuma;
	TcxDateEdit *deDoDatuma;
	TcxLabel *cxLabel1;
	TcxLabel *cxLabel2;
	TcxButton *btnPregled;
	TcxButton *btnStampa;
	TcxGrid *grdPregled;
	TcxGridDBTableView *grdPregledDBTableView;
	TcxGridLevel *grdPregledLevel1;
	TSaveDialog *SaveDialog1;
	TPopupMenu *PopupMenu1;
	TMenuItem *Exportu1;
	TMenuItem *Excel1;
	TDataSource *dsVakumiraneBale;
	TClientDataSet *cdsVakumiraneBale;
	TDataSetProvider *dspVakumiraneBale;
	TSQLDataSet *sqlVakumiraneBale;
	TIntegerField *cdsVakumiraneBaleID;
	TFloatField *cdsVakumiraneBaleTEZINA;
	TSQLTimeStampField *cdsVakumiraneBaleVREME;
	TIntegerField *cdsVakumiraneBaleSIFRA_RADNIKA;
	TSmallintField *cdsVakumiraneBaleDELETED;
	TIntegerField *cdsVakumiraneBaleBRBARKODA;
	TStringField *cdsVakumiraneBaleINT_KLASA;
	TSmallintField *cdsVakumiraneBaleSTATUS;
	TFloatField *cdsVakumiraneBaleTEMP_MASA;
	TcxGridDBColumn *grdPregledDBTableViewID;
	TcxGridDBColumn *grdPregledDBTableViewTEZINA;
	TcxGridDBColumn *grdPregledDBTableViewVREME;
	TcxGridDBColumn *grdPregledDBTableViewSIFRA_RADNIKA;
	TcxGridDBColumn *grdPregledDBTableViewDELETED;
	TcxGridDBColumn *grdPregledDBTableViewBRBARKODA;
	TcxGridDBColumn *grdPregledDBTableViewINT_KLASA;
	TcxGridDBColumn *grdPregledDBTableViewSTATUS;
	TcxGridDBColumn *grdPregledDBTableViewTEMP_MASA;
	void __fastcall btnPregledClick(TObject *Sender);
	void __fastcall Excel1Click(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
public:		// User declarations
	__fastcall TfrmVakumiraneBale(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmVakumiraneBale *frmVakumiraneBale;
//---------------------------------------------------------------------------
#endif
