//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_Hearson.h"
#include "OD_DM.h"
#include "OD_funkcije.h"
#include "OD_DmPretraga.h"
#include "OD_PretragaPodataka.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxLookAndFeels"
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDBEdit"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookupEdit"
#pragma link "cxMaskEdit"
#pragma link "cxPC"
#pragma link "cxSpinEdit"
#pragma link "cxSplitter"
#pragma link "cxStyles"
#pragma link "cxTextEdit"
#pragma link "cxTimeEdit"
#pragma link "frxClass"
#pragma link "frxDBSet"
#pragma link "cxGridChartView"
#pragma link "cxGridDBChartView"
#pragma link "cxDateUtils"
#pragma link "cxNavigator"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxCore"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"
TfrmHearson *frmHearson;
extern TKorisnik *myTKorisnik;
extern AnsiString DIR_STAMPE;
//---------------------------------------------------------------------------
__fastcall TfrmHearson::TfrmHearson(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{
	pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
	pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
	pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

	cxOdDatuma->Date = Date();
	cxDoDatuma->Date = Date();

	qSmene->Active = true;
	cdsVrstaMerenja->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall TfrmHearson::cdsHearsonNewRecord(TDataSet *DataSet)
{
	sp_processing->Prepared = true;
	sp_processing->ExecProc();
	cdsHearson->FieldByName("id")->AsInteger            = sp_processing->ParamByName("ID")->Value;
	cdsHearson->FieldByName("datum")->Value             = Date();
	cdsHearson->FieldByName("datumrada")->Value         = Now();
	cdsHearson->FieldByName("sifra_radnika")->AsInteger = myTKorisnik->sifra_usera;
	cdsHearson->FieldByName("merenje_start")->AsFloat   = Now();
	cdsHearson->FieldByName("merenje_stop")->AsFloat    = Now();
	cdsHearson->FieldByName("pritisak_start")->AsFloat  = 0;
	cdsHearson->FieldByName("pritisak_stop")->AsFloat   = 0;
	cdsHearson->FieldByName("temp_start")->AsFloat      = 0;
	cdsHearson->FieldByName("temp_stop")->AsFloat       = 0;
	cdsHearson->FieldByName("vlaga_start")->AsFloat     = 0;
	cdsHearson->FieldByName("vlaga_stop")->AsFloat      = 0;
	cdsHearson->FieldByName("protok_v")->AsFloat        = 24;
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::cdsHearsonStavkeNewRecord(TDataSet *DataSet)
{
	sp_lab_merenja->Prepared = true;
	sp_lab_merenja->ExecProc();

	cdsHearsonStavke->FieldByName("id")->AsInteger            = sp_lab_merenja->ParamByName("ID")->Value;
	cdsHearsonStavke->FieldByName("idz")->AsInteger           = cdsHearson->FieldByName("id")->AsInteger;
	cdsHearsonStavke->FieldByName("tezina_bruto")->AsFloat    = tezina_duvana;
	cdsHearsonStavke->FieldByName("tezina_tacne")->AsFloat    = 0;
	cdsHearsonStavke->FieldByName("duvan_pre_sus")->AsFloat   = 10;
	cdsHearsonStavke->FieldByName("tacna_posle_sus")->AsFloat = 0;
	cdsHearsonStavke->FieldByName("sifra_radnika")->AsInteger = myTKorisnik->sifra_usera;
	cdsHearsonStavke->FieldByName("vlaga_h")->AsFloat         = 0;
	cdsHearsonStavke->FieldByName("vlaga_m")->AsFloat         = 0;
	cdsHearsonStavke->FieldByName("vlaga_sadrzaj")->AsFloat   = 0;
	cdsHearsonStavke->FieldByName("vlaga_target")->AsFloat    = 0;
	cdsHearsonStavke->FieldByName("grade")->AsString          = grade;
	cdsHearsonStavke->FieldByName("vlaga_target")->AsFloat    =target;
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::btNoviDocClick(TObject *Sender)
{
if (pravoInsert) {

		grade="";
		tezina_tacne=0;
		tezina_duvana=10;
		target=0;

		cdsHearson->Active = false;
		dsetHearson->ParamByName("id")->AsInteger = -1;
		cdsHearson->Active = true;

		cdsHearsonStavke->Active = false;
		dsetHearsonStavke->ParamByName("idz")->AsInteger = -1;
		cdsHearsonStavke->Active = true;

		cdsHearson->Append();
		cdsHearson->Post();

		btSnimi->Enabled = true;
		deStart->SetFocus();

	}
	else {
		ShowMessage("Nemate prava da dodate podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::btSnimiClick(TObject *Sender)
{
	btSnimi->Enabled = Snimi_2CDS(dspHearson, cdsHearson, dsHearson, dspHearsonStavke, cdsHearsonStavke, dsHearsonStavke);
	if(!btSnimi->Enabled) btNoviDoc->SetFocus();
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::FormClose(TObject *Sender, TCloseAction &Action)
{
   Action = caFree;
}
//---------------------------------------------------------------------------


void __fastcall TfrmHearson::cdsHearsonStavkeAfterPost(TDataSet *DataSet)
{
	cxStavke->NewItemRow->Visible = false;
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::cdsHearsonStavkeAfterDelete(TDataSet *DataSet)
{
	if(cdsHearsonStavke->IsEmpty()) cxStavke->NewItemRow->Visible = true;
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::btnPregledClick(TObject *Sender)
{
	cdsZaglavlje->Active = false;
	dsetZaglavlje->ParamByName("od_datuma")->Value = cxOdDatuma->Date;
	dsetZaglavlje->ParamByName("do_datuma")->Value = cxDoDatuma->Date;
	cdsZaglavlje->Active = true;
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::cdsZaglavljeAfterScroll(TDataSet *DataSet)
{
	cdsStavke->Active = false;
	dsetStavke->ParamByName("idz")->AsInteger = cdsZaglavlje->FieldByName("id")->AsInteger;
	cdsStavke->Active = true;
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::Izmeni1Click(TObject *Sender)
{
		if (pravoUpdate) {
        	cdsHearson->Active = false;
        		dsetHearson->ParamByName("id")->AsInteger = cdsZaglavlje->FieldByName("id")->AsInteger;
        		cdsHearson->Active = true;

        		cdsHearsonStavke->Active = false;
        		dsetHearsonStavke->ParamByName("idz")->AsInteger = cdsZaglavlje->FieldByName("id")->AsInteger;
        		cdsHearsonStavke->Active = true;

        		cxPC->ActivePage = cxTabUnos;
        		btSnimi->Enabled = true;

        		if(!cdsHearsonStavke->IsEmpty()) cxStavke->NewItemRow->Visible = false;
	}else {
		ShowMessage("Nemate prava da menjate podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::Obrisi1Click(TObject *Sender)
{
if (pravoDelete) {
     TTransactionDesc TD;
     int greska;

    try {

    	TD.TransactionID = 1;
    	TD.IsolationLevel = 0;// xilREADCOMMITTED;  //xilREADCOMMITTED

      if (!DM_OD->SC_OD->InTransaction)  {

        DM_OD->SC_OD->StartTransaction(TD);

       if(MessageBoxA(Handle,"Da li ste sigurni da zelite da nastavite?", "Brisanje ", MB_YESNO) == IDYES)
    		{
    			 qDeleteMerenje->ParamByName("idz")->AsInteger = cdsZaglavlje->FieldByName("id")->AsInteger;
    			 qDeleteMerenje->ExecSQL();

				 qDelete->ParamByName("id")->AsInteger = cdsZaglavlje->FieldByName("id")->AsInteger;
				 qDelete->ExecSQL();

    			 btnPregled->Click();
    	 }

        if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Commit(TD);
      }
    }
    catch(Exception &e) {
      if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
	  ShowMessage("Greska: "+e.Message);
    }
}else {
		ShowMessage("Nemate prava da brisete podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::btStampajClick(TObject *Sender)
{
	try {
		int ID;

		if(Sender == btStampaj)  ID = cdsHearson->FieldByName("id")->AsInteger;
		else                     ID = cdsZaglavlje->FieldByName("id")->AsInteger;


		cdsStampaHearson->Active = false;
		sqlStampaHearson->ParamByName("id")->AsInteger = ID;
		cdsStampaHearson->Active = true;

		cdsStampaHearsonStavke->Active = false;
		sqlStampaHearsonStavke->ParamByName("idz")->AsInteger = ID;
		cdsStampaHearsonStavke->Active = true;

		if(frxReport1->LoadFromFile(DIR_STAMPE + "\\StampaLeaf\\OD_HearsonForm.fr3")) {
				frxReport1->ShowReport(true);
		}
		else ShowMessage("Ne postoji fajl!! "+DIR_STAMPE + "\\StampaLeaf\\OD_HearsonForm.fr3");

	}
	catch (Exception &e)
	{
	  ShowMessage("Greska!! "+e.Message);
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::deStartKeyPress(TObject *Sender, wchar_t &Key)
{
	if(Key == VK_RETURN) {
	  if(Sender == deStart) 	deStop->SetFocus();
	  else if(Sender == deStop) 	edtPritisakStart->SetFocus();
	  else if(Sender == edtPritisakStart) 	edtPritisakStop->SetFocus();
	  else if(Sender == edtPritisakStop) 	edtTempStart->SetFocus();
	  else if(Sender == edtTempStart) 	edtTempStop->SetFocus();
	  else if(Sender == edtTempStop) 	edtVlagaStart->SetFocus();
	  else if(Sender == edtVlagaStart) 	edtVlagaStop->SetFocus();
	  else if(Sender == edtVlagaStop) 	{
			grdStavke->SetFocus();
			cxStavkeBROJ_TACNE->FocusWithSelection();
			if(cdsHearsonStavke->IsEmpty()) cdsHearsonStavke->Append();
	  }
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::cdsHearsonStavkeBeforeScroll(TDataSet *DataSet)
{
	tezina_tacne  =	cdsHearsonStavke->FieldByName("tezina_tacne")->AsFloat;
	grade         =	cdsHearsonStavke->FieldByName("grade")->AsString;
	target        =	cdsHearsonStavke->FieldByName("vlaga_target")->AsFloat;
	tezina_duvana = cdsHearsonStavke->FieldByName("DUVAN_PRE_SUS")->AsFloat;
}
//---------------------------------------------------------------------------


void __fastcall TfrmHearson::cdsHearsonStavkeTEZINA_BRUTOChange(TField *Sender)
{
	 cdsHearsonStavke->FieldByName("VLAGA_SADRZAJ")->AsFloat = cdsHearsonStavke->FieldByName("tezina_bruto")->AsFloat -
																				  cdsHearsonStavke->FieldByName("TACNA_POSLE_SUS")->AsFloat;
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::cdsHearsonStavkeTACNA_POSLE_SUSChange(TField *Sender)
{
	 cdsHearsonStavke->FieldByName("VLAGA_SADRZAJ")->AsFloat = cdsHearsonStavke->FieldByName("tezina_bruto")->AsFloat -
																				  cdsHearsonStavke->FieldByName("TACNA_POSLE_SUS")->AsFloat;

	 if(cdsHearsonStavke->FieldByName("VLAGA_SADRZAJ")->AsFloat != 0)
	 {
		cdsHearsonStavke->FieldByName("VLAGA_H")->AsFloat = RoundTo((100.0000*cdsHearsonStavke->FieldByName("VLAGA_SADRZAJ")->AsFloat)/
																							 cdsHearsonStavke->FieldByName("DUVAN_PRE_SUS")->AsFloat, -2);
	 }
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::cdsHearsonStavkeDUVAN_PRE_SUSChange(TField *Sender)
{
	 cdsHearsonStavke->FieldByName("tezina_bruto")->AsFloat =  cdsHearsonStavke->FieldByName("DUVAN_PRE_SUS")->AsFloat+
																				  cdsHearsonStavke->FieldByName("tezina_tacne")->AsFloat;
}
//---------------------------------------------------------------------------

void __fastcall TfrmHearson::cxStavkeEditKeyDown(TcxCustomGridTableView *Sender, TcxCustomGridTableItem *AItem, TcxCustomEdit *AEdit,
          WORD &Key, TShiftState Shift)
{
	AnsiString List;

	if(Key == VK_RETURN && AItem == cxStavkeGRADE)
	{
		  List = VarToStr(AEdit->EditingValue);

		  OD_DM_Pretraga->cdsList->Filter = "";
		  OD_DM_Pretraga->cdsList->Filtered = false;
		  OD_DM_Pretraga->cdsList->Active = false;
		  OD_DM_Pretraga->dsetList->ParamByName("opis")->AsString = UpperCase(List);
		  OD_DM_Pretraga->cdsList->Active = true;

		  if ( OD_DM_Pretraga->cdsList->RecordCount > 1)
       {
				TOD_Osnovna_pretrage *OD_Osnovna_pretrage = new TOD_Osnovna_pretrage(OD_DM_Pretraga->dsetList, OD_DM_Pretraga->dsList, "ID","NAZIV", this);
				OD_Osnovna_pretrage->WindowState = wsNormal;

				if(OD_Osnovna_pretrage->ShowModal() == mrOk) {
					 cdsHearsonStavke->Edit();
					 cdsHearsonStavke->FieldByName("GRADE")->AsString       = OD_DM_Pretraga->cdsList->FieldByName("LIST")->AsString;
					 cdsHearsonStavke->FieldByName("VLAGA_TARGET")->AsFloat = OD_DM_Pretraga->cdsList->FieldByName("VLAGA_TARGET")->AsFloat;
					 cdsHearsonStavke->FieldByName("UCL")->AsFloat          = OD_DM_Pretraga->cdsList->FieldByName("UCL")->AsFloat;
					 cdsHearsonStavke->FieldByName("LCL")->AsFloat          = OD_DM_Pretraga->cdsList->FieldByName("LCL")->AsFloat;
					 cdsHearsonStavke->Post();
				}

				delete OD_Osnovna_pretrage;
		  }
		  else if (OD_DM_Pretraga->cdsList->RecordCount == 1) {
					cdsHearsonStavke->Edit();
					cdsHearsonStavke->FieldByName("LIST")->AsString         = OD_DM_Pretraga->cdsList->FieldByName("LIST")->AsString;
					 cdsHearsonStavke->FieldByName("VLAGA_TARGET")->AsFloat = OD_DM_Pretraga->cdsList->FieldByName("VLAGA_TARGET")->AsFloat;
					 cdsHearsonStavke->FieldByName("UCL")->AsFloat          = OD_DM_Pretraga->cdsList->FieldByName("UCL")->AsFloat;
					 cdsHearsonStavke->FieldByName("LCL")->AsFloat          = OD_DM_Pretraga->cdsList->FieldByName("LCL")->AsFloat;
					cdsHearsonStavke->Post();
		  }
       else ShowMessage("Ne postoji PODATAK koji sadrzi u svom nazivu tekst: "+List);
	}
}
//---------------------------------------------------------------------------
void __fastcall TfrmHearson::cdsHearsonID_VRSTE_MERChange(TField *Sender)
{
	if(!cdsHearsonStavke->IsEmpty()) {
		if (MessageDlg("Da li zelite da promenite set tacni?", mtWarning, TMsgDlgButtons() << mbYes<<mbNo, 0) == mrNo)  return;
	}

	qTacne->Active = false;
	qTacne->ParamByName("idvrste")->AsInteger = cdsHearson->FieldByName("id_vrste_mer")->AsInteger;
	qTacne->Active = true;

	cdsHearsonStavke->Active = false;
	dsetHearsonStavke->ParamByName("idz")->AsInteger = cdsHearson->FieldByName("id")->AsInteger;
	cdsHearsonStavke->Active = true;

	qTacne->First();

	while(!qTacne->Eof) {
		cdsHearsonStavke->Append();
		cdsHearsonStavke->FieldByName("broj_tacne")->AsInteger = qTacne->FieldByName("broj")->AsInteger;
		cdsHearsonStavke->Post();

		qTacne->Next();
	}
}
//---------------------------------------------------------------------------


