//---------------------------------------------------------------------------

#ifndef OD_SadrzajNikotinaSeceraH
#define OD_SadrzajNikotinaSeceraH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include "OD_OsnovnaPrazna.h"
#include <ActnList.hpp>
#include <DB.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxSpinEdit.hpp"
#include "cxTimeEdit.hpp"
#include <Dialogs.hpp>
#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
#include <Vcl.ComCtrls.hpp>
//---------------------------------------------------------------------------
class TOD_NikotinSecer : public TfmOsnovnaPrazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPC;
	TcxTabSheet *cxTabUnos;
	TPanel *Panel1;
	TPanel *Panel2;
	TcxButton *btNoviDoc;
	TcxButton *btSnimi;
	TcxButton *btStampaj;
	TcxButton *btFunkcije;
	TcxPageControl *cxPageControl2;
	TcxTabSheet *cxTabSheet1;
	TcxGrid *cxGrid2;
	TcxGridDBTableView *cxStavke;
	TcxGridLevel *cxGridLevel1;
	TcxTabSheet *cxTabPolja;
	TcxDBTextEdit *cxNikotin;
	TcxLabel *cxLabel6;
	TcxLabel *cxLabel7;
	TcxDBTextEdit *cxSecer;
	TcxTabSheet *cxTabPregled;
	TPanel *Panel3;
	TcxDateEdit *cxOdDatuma;
	TcxDateEdit *cxDoDatuma;
	TcxLabel *cxLabel9;
	TcxLabel *cxLabel10;
	TcxButton *cxButton1;
	TcxButton *btnPregled;
	TcxLabel *cxLabel3;
	TSQLDataSet *dsetProcessing;
	TIntegerField *dsetProcessingID;
	TStringField *dsetProcessingIDGRADE;
	TStringField *dsetProcessingIDSMENE;
	TStringField *dsetProcessingIDLIST;
	TIntegerField *dsetProcessingRUNDAY;
	TIntegerField *dsetProcessingIDBLEND;
	TStringField *dsetProcessingBATCH_NO;
	TIntegerField *dsetProcessingCASE_NO;
	TIntegerField *dsetProcessingIDLABORANTA;
	TIntegerField *dsetProcessingSIFRA_RADNIKA;
	TSQLTimeStampField *dsetProcessingIZMENA;
	TIntegerField *dsetProcessingVRSTA_TRANSAKCIJE;
	TStringField *dsetProcessingID_UZORKA;
	TFloatField *dsetProcessingVLAGA;
	TFloatField *dsetProcessingTEMPERATURA;
	TFloatField *dsetProcessingKOLICINA;
	TStringField *dsetProcessingMESTO_UZORKA;
	TStringField *dsetProcessingSMENA;
	TStringField *dsetProcessingTRANSAKCIJA;
	TStringField *dsetProcessingLIST;
	TDateField *dsetProcessingDATUM;
	TTimeField *dsetProcessingVREME;
	TDataSetProvider *dspProcessing;
	TClientDataSet *cdsProcessing;
	TIntegerField *cdsProcessingID;
	TStringField *cdsProcessingIDGRADE;
	TStringField *cdsProcessingIDSMENE;
	TStringField *cdsProcessingIDLIST;
	TIntegerField *cdsProcessingRUNDAY;
	TIntegerField *cdsProcessingIDBLEND;
	TIntegerField *cdsProcessingCASE_NO;
	TIntegerField *cdsProcessingIDLABORANTA;
	TIntegerField *cdsProcessingSIFRA_RADNIKA;
	TSQLTimeStampField *cdsProcessingIZMENA;
	TIntegerField *cdsProcessingVRSTA_TRANSAKCIJE;
	TFloatField *cdsProcessingVLAGA;
	TFloatField *cdsProcessingTEMPERATURA;
	TFloatField *cdsProcessingKOLICINA;
	TStringField *cdsProcessingMESTO_UZORKA;
	TStringField *cdsProcessingSMENA;
	TStringField *cdsProcessingGRADE;
	TStringField *cdsProcessingTRANSAKCIJA;
	TStringField *cdsProcessingBATCH_NO;
	TStringField *cdsProcessingID_UZORKA;
	TStringField *cdsProcessingLIST;
	TDateField *cdsProcessingDATUM;
	TTimeField *cdsProcessingVREME;
	TDataSource *dsProcessing;
	TSQLStoredProc *sp_processing;
	TSQLDataSet *dsetZaglavlje;
	TDataSetProvider *dspZaglavlje;
	TClientDataSet *cdsZaglavlje;
	TIntegerField *IntegerField8;
	TStringField *StringField11;
	TStringField *StringField12;
	TStringField *StringField13;
	TIntegerField *IntegerField9;
	TIntegerField *IntegerField10;
	TIntegerField *IntegerField11;
	TIntegerField *IntegerField12;
	TIntegerField *IntegerField13;
	TSQLTimeStampField *SQLTimeStampField6;
	TIntegerField *IntegerField14;
	TFloatField *FloatField4;
	TFloatField *FloatField5;
	TFloatField *FloatField6;
	TStringField *StringField14;
	TStringField *StringField15;
	TStringField *StringField16;
	TStringField *StringField17;
	TStringField *StringField18;
	TStringField *StringField19;
	TStringField *StringField20;
	TDateField *cdsZaglavljeDATUM;
	TTimeField *cdsZaglavljeVREME;
	TStringField *cdsZaglavljeSTATUS;
	TDataSource *dsZaglavlje;
	TSQLQuery *sqlObrisi;
	TcxLabel *cxLabel2;
	TcxLabel *cxLabel1;
	TcxLabel *cxLabel4;
	TcxDBTextEdit *cxKlasa;
	TcxDBTimeEdit *cxVreme;
	TcxDBDateEdit *cxDatum;
	TcxLabel *cxLabel12;
	TcxDBTextEdit *cxBrojBatch;
	TcxLabel *cxLabel13;
	TcxDBTextEdit *cxBrojKutije;
	TFloatField *dsetProcessingSUGAR;
	TFloatField *dsetProcessingNICOTIN;
	TFloatField *cdsProcessingSUGAR;
	TFloatField *cdsProcessingNICOTIN;
	TIntegerField *cdsZaglavljeVEZA;
	TFloatField *cdsZaglavljeSUGAR;
	TFloatField *cdsZaglavljeNICOTIN;
	TIntegerField *dsetProcessingVEZA;
	TIntegerField *cdsProcessingVEZA;
	TcxGridDBColumn *cxStavkeID;
	TcxGridDBColumn *cxStavkeIDGRADE;
	TcxGridDBColumn *cxStavkeCASE_NO;
	TcxGridDBColumn *cxStavkeGRADE;
	TcxGridDBColumn *cxStavkeBATCH_NO;
	TcxGridDBColumn *cxStavkeDATUM;
	TcxGridDBColumn *cxStavkeVREME;
	TcxGridDBColumn *cxStavkeSUGAR;
	TcxGridDBColumn *cxStavkeNICOTIN;
	TcxGridDBColumn *cxStavkeVEZA;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxPregled;
	TcxGridDBColumn *cxGridDBColumn1;
	TcxGridDBColumn *cxGridDBColumn2;
	TcxGridDBColumn *cxGridDBColumn3;
	TcxGridDBColumn *cxGridDBColumn4;
	TcxGridDBColumn *cxGridDBColumn5;
	TcxGridDBColumn *cxGridDBColumn6;
	TcxGridDBColumn *cxGridDBColumn7;
	TcxGridDBColumn *cxGridDBColumn8;
	TcxGridDBColumn *cxGridDBColumn9;
	TcxGridDBColumn *cxGridDBColumn10;
	TcxGridLevel *cxGridLevel2;
	TcxStyleRepository *cxStyleRepository1;
	TcxStyle *cxStyle1;
	TStringField *dsetProcessingSTATUS;
	TStringField *dsetProcessingLABORANT;
	TStringField *cdsProcessingSTATUS;
	TStringField *cdsProcessingLABORANT;
	TStringField *cdsZaglavljeLABORANT;
	TStringField *dsetProcessingGRADE;
	TIntegerField *dsetProcessingIDTIP;
	TIntegerField *cdsProcessingIDTIP;
	TStringField *dsetProcessingOPIS;
	TStringField *cdsProcessingOPIS;
	TStringField *cdsZaglavljeOPIS;
	TStringField *cdsProcessingTip_duvana;
	void __fastcall btNoviDocClick(TObject *Sender);
	void __fastcall cdsProcessingNewRecord(TDataSet *DataSet);
	void __fastcall cdsProcessingAfterPost(TDataSet *DataSet);
	void __fastcall cdsProcessingAfterDelete(TDataSet *DataSet);
	void __fastcall btSnimiClick(TObject *Sender);
	void __fastcall cxStavkeEditKeyDown(TcxCustomGridTableView *Sender, TcxCustomGridTableItem *AItem,
          TcxCustomEdit *AEdit, WORD &Key, TShiftState Shift);
	void __fastcall cxKlasaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxDatumKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxVremeKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxBrojBatchKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxBrojKutijeKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxNikotinKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxSecerKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall btnPregledClick(TObject *Sender);
	void __fastcall cdsProcessingAfterInsert(TDataSet *DataSet);
	void __fastcall cdsProcessingAfterEdit(TDataSet *DataSet);
	void __fastcall btSnimiKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall Izmeni1Click(TObject *Sender);
	void __fastcall Obrisi1Click(TObject *Sender);
	void __fastcall dspProcessingBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS,
          TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind, bool &Applied);
	void __fastcall FormCreate(TObject *Sender);


private:	// User declarations
	TDateTime OldDatum;
	int OldSifraRadnika, OldIdLaborant, OldRunday, OldIdBlend;
	AnsiString 	OldIdsmene,	OldIdList, OldIdGrade, OldBatch,	OldIdUzorka;
	AnsiString OldLaborant, OldIdTransakcija, OldMesto_Uzorka, OldSmena, OldGrade, OldList, OldTransakcija;
public:		// User declarations
	__fastcall TOD_NikotinSecer(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOD_NikotinSecer *OD_NikotinSecer;
//---------------------------------------------------------------------------
#endif
