//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_glavna.h"
#include "OD_VlagaPrasina.h"
#include "OD_izv_obrada.h"
#include "OD_izv_MAG.h"
#include "od_statisika_potrosnje.h"
#include "OD_Primese.h"
#include "OD_RebroUStripsu.h"
#include "OD_RecepturaBlenda.h"
#include "OD_SadrzajNikotinaSecera.h"
#include "OD_DnevnoPracenjeVlage.h"
#include "OD_degradacija_lista.h"
#include "OD_izv_nikotin_secer.h"
#include "OD_izv_rebro_u_listu.h"
#include "OD_setup_parametri.h"
#include "OD_setup_mesta_uzorkovanja.h"
#include "OD_setup_grade.h"
#include "OD_izv_degradacija_lista.h"
#include "OD_ObradaDuvanaVaga1.h"
#include "OD_OtvaranjeBatcha.h"
#include "OD_ObradaDuvanaPressa2.h"
#include "OD_setup_etiketa.h"
#include "OD_setup_blend.h"
#include "OD_izv_ulaza_u_obradu.h"
#include "OD_izv_izlaza_iz_obrade.h"
#include "OD_PromenaStatusaBatcha.h"
#include "OD_PregledBalaLaboratorija.h"
#include "SetupPrava.h"
#include "OD_Hearson.h"
#include "OD_IzvHearson.h"
#include "OD_reklasirane_bale.h"
#include "OD_vakumirane_bale.h"
#include "OD_Obrada_TP.h"
#include "OD_izv_primese.h"
#include "OD_system.h"
#include "MG_UnosBalaMg.h"
#include "OD_setup_int_klase.h"
#include "OD_ObradaDuvanaPressaNUS.h"
#include "PR_TehnologijeNormativiNovo.h"
#include "MG_Ulaz_Izlaz_Robe.h"
#include "MG_Izlaz_Robe.h"
#include "OD_promet_magacina.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxClasses"
#pragma link "cxGraphics"
#pragma link "dxBar"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinsdxBarPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"
TfmGlavna *fmGlavna;
AnsiString DIR_STAMPE = GetCurrentDir();
int MAGACIN_BUFFER = 10;
int DOC_PROIZVODNJE = 6001;
int MAGACIN_PROIZVODNJE = 10;
//---------------------------------------------------------------------------
__fastcall TfmGlavna::TfmGlavna(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfmGlavna::VlagaPrasinaClick(TObject *Sender)
{
//odradjeno
	nadjiPravoZaFormu("OD_EvidencijaVlagePrasine");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TOD_EvidencijaVlagePrasine *OD_EvidencijaVlagePrasine = new TOD_EvidencijaVlagePrasine(this);
		OD_EvidencijaVlagePrasine->FormStyle = fsMDIChild;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::StranePrimeseClick(TObject *Sender)
{
//odradjeno
	nadjiPravoZaFormu("OD_EvidencijaPrimesa");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TOD_EvidencijaPrimesa *OD_EvidencijaPrimesa = new TOD_EvidencijaPrimesa(this);
		OD_EvidencijaPrimesa->FormStyle = fsMDIChild;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::RebroUStripsuClick(TObject *Sender)
{
//odradjeno
	nadjiPravoZaFormu("OD_Rebro_u_stripsu");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TOD_Rebro_u_stripsu *OD_Rebro_u_stripsu = new TOD_Rebro_u_stripsu(this);
		OD_Rebro_u_stripsu->FormStyle = fsMDIChild;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::RecepturaBlendaClick(TObject *Sender)
{
//odradjeno
	nadjiPravoZaFormu("OD_DefinisanjeReceptureBlenda");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TOD_DefinisanjeReceptureBlenda *OD_DefinisanjeReceptureBlenda = new TOD_DefinisanjeReceptureBlenda(this);
		OD_DefinisanjeReceptureBlenda->FormStyle = fsMDIChild;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::NikotinSecerClick(TObject *Sender)
{
//odradjeno
	nadjiPravoZaFormu("OD_NikotinSecer");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TOD_NikotinSecer *OD_NikotinSecer = new TOD_NikotinSecer(this);
		OD_NikotinSecer->FormStyle = fsMDIChild;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------


void __fastcall TfmGlavna::PracenjeVlageClick(TObject *Sender)
{
//odradjeno
	nadjiPravoZaFormu("OD_dnevno_pracenje_vlage");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TOD_dnevno_pracenje_vlage *OD_dnevno_pracenje_vlage = new TOD_dnevno_pracenje_vlage(this);
		OD_dnevno_pracenje_vlage->FormStyle = fsMDIChild;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------


void __fastcall TfmGlavna::DegradacijaClick(TObject *Sender)
{
//odradjeno
	nadjiPravoZaFormu("OD_Degradacija");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TOD_Degradacija *OD_Degradacija = new TOD_Degradacija(this);
		OD_Degradacija->FormStyle = fsMDIChild;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------


void __fastcall TfmGlavna::NikotinSecerListaClick(TObject *Sender)
{
//security ODRADJENO (NEMA POTREBE)
	nadjiPravoZaFormu("Od_IzvNikotinSecer");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TOd_IzvNikotinSecer *Od_IzvNikotinSecer = new TOd_IzvNikotinSecer(this);
		Od_IzvNikotinSecer->FormStyle = fsMDIChild;
		Od_IzvNikotinSecer->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::OstatakRebraClick(TObject *Sender)
{
//security ODRADJENO (NEMA POTREBE)
	nadjiPravoZaFormu("OD_IzvRebroUListu");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TOD_IzvRebroUListu *OD_IzvRebroUListu = new TOD_IzvRebroUListu(this);
		OD_IzvRebroUListu->FormStyle = fsMDIChild;
		OD_IzvRebroUListu->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::SetupParametriClick(TObject *Sender)
{
//odradjeno
//nasledjuje BUS_osnovna_setup
	nadjiPravoZaFormu("fmSetupParametri");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfmSetupParametri *fmSetupParametri = new TfmSetupParametri(this);

		//OD_IzvRebroUListu->WindowState = wsMaximized;
		fmSetupParametri->FormStyle = fsMDIChild;
		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}

//		TfmSetupParametri *fmSetupParametri = new TfmSetupParametri(this);
//		pokreniFormu(fmSetupParametri, "fmSetupParametri");
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::MestaUzorkovanjaClick(TObject *Sender)
{
//odradjeno
//nasledjuje BUS_osnovna_setup
	nadjiPravoZaFormu("OD_SetupMestaUzorkovanja");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TOD_SetupMestaUzorkovanja *OD_SetupMestaUzorkovanja = new TOD_SetupMestaUzorkovanja(this);
		OD_SetupMestaUzorkovanja->FormStyle = fsMDIChild;

		//OD_IzvRebroUListu->WindowState = wsMaximized;
		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------


void __fastcall TfmGlavna::KlaseDuvanaClick(TObject *Sender)
{
//odradjeno
//nasledjuje BUS_osnovna_setup
	nadjiPravoZaFormu("OD_SetupGrade");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TOD_SetupGrade *OD_SetupGrade = new TOD_SetupGrade(this);
		OD_SetupGrade->FormStyle = fsMDIChild;

		//OD_IzvRebroUListu->WindowState = wsMaximized;
		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::DegradacijaListaClick(TObject *Sender)
{
//security ODRADJENO (NEMA POTREBE)
	nadjiPravoZaFormu("OD_IzvDegradacijaLista");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TOD_IzvDegradacijaLista *OD_IzvDegradacijaLista = new TOD_IzvDegradacijaLista(this);
		OD_IzvDegradacijaLista->FormStyle = fsMDIChild;
		OD_IzvDegradacijaLista->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::UlazUProizvodnjuClick(TObject *Sender)
{
//odradjeno
	nadjiPravoZaFormu("ODObradaVagaI");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TODObradaVagaI *ODObradaVagaI = new TODObradaVagaI(this);
		ODObradaVagaI->FormStyle = fsMDIChild;
		ODObradaVagaI->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::OtvaranjeBatchaClick(TObject *Sender)
{
//odradjeno
//nasledjuje OD_OsnovnaPrazna
	nadjiPravoZaFormu("fmOtvaranjeBatcha");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfmOtvaranjeBatcha *fmOtvaranjeBatcha = new TfmOtvaranjeBatcha(this);
		fmOtvaranjeBatcha->FormStyle = fsMDIChild;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::ObradaPressa2Click(TObject *Sender)
{
//odradjeno
	nadjiPravoZaFormu("ODObradaPressa2");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TODObradaPressa2 *ODObradaPressa2 = new TODObradaPressa2(this);
		//ODObradaPressa2->WindowState = wsMaximized;

		ODObradaPressa2->pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
		ODObradaPressa2->pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
		ODObradaPressa2->pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

		ODObradaPressa2->ShowModal();//FormStyle = fsMDIChild;
		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::DefinisanjeEtiketeClick(TObject *Sender)
{
//odradjeno
//nasledjuje BUS_osnovna_setup
	nadjiPravoZaFormu("fmSetupEtikete");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfmSetupEtikete *fmSetupEtikete = new TfmSetupEtikete(this);
		//ODObradaPressa2->WindowState = wsMaximized;

		fmSetupEtikete->pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
		fmSetupEtikete->pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
		fmSetupEtikete->pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

		fmSetupEtikete->ShowModal();//FormStyle = fsMDIChild;
		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBlendClick(TObject *Sender)
{
//odradjeno
//nasledjuje BUS_osnovna_setup
	nadjiPravoZaFormu("fmSetupBlend");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfmSetupBlend *fmSetupBlend = new TfmSetupBlend(this);

		fmSetupBlend->pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
		fmSetupBlend->pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
		fmSetupBlend->pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

		fmSetupBlend->ShowModal();//FormStyle = fsMDIChild;
		//ODObradaPressa2->WindowState = wsMaximized;
		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarLargeButton2Click(TObject *Sender)
{
//security ODRADJENO (NEMA POTREBE)
	nadjiPravoZaFormu("fmObradaPregledUlaza");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfmObradaPregledUlaza *fmObradaPregledUlaza = new TfmObradaPregledUlaza(this);
		fmObradaPregledUlaza->FormStyle = fsMDIChild;
		fmObradaPregledUlaza->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarLargeButton3Click(TObject *Sender)
{
//security ODRADJENO (NEMA POTREBE)
	nadjiPravoZaFormu("fmObradaPregledIzlaza");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfmObradaPregledIzlaza *fmObradaPregledIzlaza = new TfmObradaPregledIzlaza(this);
		fmObradaPregledIzlaza->FormStyle = fsMDIChild;
		fmObradaPregledIzlaza->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarLargeButton4Click(TObject *Sender)
{
//nije zavrsena forma
	nadjiPravoZaFormu("fmPromenaStatusaBatcha");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfmPromenaStatusaBatcha *fmPromenaStatusaBatcha = new TfmPromenaStatusaBatcha(this);
		//fmPromenaStatusaBatcha->WindowState = wsMaximized;

		fmPromenaStatusaBatcha->pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
		fmPromenaStatusaBatcha->pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
		fmPromenaStatusaBatcha->pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

		fmPromenaStatusaBatcha->ShowModal();//FormStyle = fsMDIChild;
		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarLargeButton5Click(TObject *Sender)
{
//odradjeno
	nadjiPravoZaFormu("frmPregledKutijaDuvana");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfrmPregledKutijaDuvana *frmPregledKutijaDuvana = new TfrmPregledKutijaDuvana(this);
		frmPregledKutijaDuvana->FormStyle = fsMDIChild;
		frmPregledKutijaDuvana->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::FormCreate(TObject *Sender)
{
	SOFTVER = "LEAF";
}
//---------------------------------------------------------------------------
//void pokreniFormu(TObject* forma, String naziv) {
//	DM_OD->cdsPrava->Active = false;
//		DM_OD->sqlPrava->ParamByName("formName")->AsString = naziv;
//		DM_OD->sqlPrava->ParamByName("sifraRadnika")->AsInteger = DM_OD->cdsRadnik->FieldByName("SIFRA_RADNIKA")->AsInteger;
//	DM_OD->cdsPrava->Active = true;
//
//	if (DM_OD->cdsPrava->FieldByName("PRAVO_SELECT")->AsInteger) {
//		Screen->Cursor = crHourGlass;
//		//TfmSetupParametri *fmSetupParametri = new TfmSetupParametri(this);
//		forma->FormStyle = fsMDIChild;
//		forma->pravoDelete = DM_OD->cdsPrava->FieldByName("PRAVO_DELETE")->AsInteger;
//		forma->pravoInsert = DM_OD->cdsPrava->FieldByName("PRAVO_INSERT")->AsInteger;
//		forma->pravoUpdate = DM_OD->cdsPrava->FieldByName("PRAVO_UPDATE")->AsInteger;
//		//OD_IzvRebroUListu->WindowState = wsMaximized;
//		Screen->Cursor = crDefault;
//	}else {
//		ShowMessage("Nemate prava da vidite podatke!");
//	}
//}

void __fastcall TfmGlavna::bbIzmenaPravaClick(TObject *Sender)
{
//odradjeno po defaultu
	nadjiPravoZaFormu("frmSetupPrava");

	if ((DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger == 1)
			&&(DM_OD->cdsProveraRole->FieldByName("SOFTVER")->AsString == this->SOFTVER)) {
		Screen->Cursor = crHourGlass;
		TfrmSetupPrava *frmSetupPrava = new TfrmSetupPrava(this);
		frmSetupPrava->FormStyle = fsMDIChild;
		frmSetupPrava->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------
void __fastcall TfmGlavna::nadjiPravoZaFormu(String nazivForme) {

	DM_OD->cdsProveraSelect->Active = false;
		DM_OD->sqlProveraSelect->ParamByName("formName")->AsString = nazivForme;
		DM_OD->sqlProveraSelect->ParamByName("rola")->AsInteger = DM_OD->cdsProveraRole->FieldByName("ID_ROLE")->AsInteger;
	DM_OD->cdsProveraSelect->Active = true;
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::FormShow(TObject *Sender)
{
	DM_OD->cdsProveraRole->Active = false;
		DM_OD->sqlProveraRole->ParamByName("username")->AsString = DM_OD->cdsRadnik->FieldByName("KORISNICKO_IME")->AsString;
		DM_OD->sqlProveraRole->ParamByName("password")->AsString = DM_OD->cdsRadnik->FieldByName("LOZINKA")->AsString;
		DM_OD->sqlProveraRole->ParamByName("softver")->AsString = this->SOFTVER;
	DM_OD->cdsProveraRole->Active = true;
}
//---------------------------------------------------------------------------
//void __fastcall TfmGlavna::podesiPrava(TObject* forma) {
//		forma->pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
//		forma->pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
//		forma->pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;
//}


void __fastcall TfmGlavna::dxBarButton2Click(TObject *Sender)
{
//odradjeno
	nadjiPravoZaFormu("frmHearson");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfrmHearson *frmHearson = new TfrmHearson(this);
		frmHearson->FormStyle = fsMDIChild;
		frmHearson->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarButton3Click(TObject *Sender)
{
	nadjiPravoZaFormu("frmIzvHerason");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfrmIzvHerason *frmIzvHerason = new TfrmIzvHerason(this);
		frmIzvHerason->FormStyle = fsMDIChild;
		frmIzvHerason->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarButton4Click(TObject *Sender)
{
	nadjiPravoZaFormu("frmReklasiraneBale");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfrmReklasiraneBale *frmReklasiraneBale = new TfrmReklasiraneBale(this);
		frmReklasiraneBale->FormStyle = fsMDIChild;
		frmReklasiraneBale->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarButton5Click(TObject *Sender)
{
	nadjiPravoZaFormu("frmVakumiraneBale");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfrmVakumiraneBale *frmVakumiraneBale = new TfrmVakumiraneBale(this);
		frmVakumiraneBale->FormStyle = fsMDIChild;
		frmVakumiraneBale->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::Obrada_TPClick(TObject *Sender)
{
	nadjiPravoZaFormu("fmPrijemBalaUObradu_TP");

	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfmPrijemBalaUObradu_TP *fmPrijemBalaUObradu_TP = new TfmPrijemBalaUObradu_TP(this);
		fmPrijemBalaUObradu_TP->FormStyle = fsMDIChild;
		fmPrijemBalaUObradu_TP->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::IzvPrimeseClick(TObject *Sender)
{
//	nadjiPravoZaFormu("frmIzvPrimese");

//	if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfrmIzvPrimese *frmIzvPrimese = new TfrmIzvPrimese(this);
		frmIzvPrimese->FormStyle = fsMDIChild;
		frmIzvPrimese->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
//	}else {
//		ShowMessage("Nemate prava da vidite podatke!");
//	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarLargeButton8Click(TObject *Sender)
{
 //	nadjiPravoZaFormu("fmSystem");

	//if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		//Screen->Cursor = crHourGlass;
		TfmSystem *fmSystem = new TfmSystem(this);
		fmSystem->ShowModal();//FormStyle = fsMDIChild;
		//frmIzvPrimese->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
//	}else {
//		ShowMessage("Nemate prava da vidite podatke!");
//	}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarLargeButton6Click(TObject *Sender)
{
	//nadjiPravoZaFormu("frmIzvPrimese");

	//if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfmUnosBalaMg *fmUnosBalaMg = new TfmUnosBalaMg(this);
		fmUnosBalaMg->ShowModal();
		//frmIzvPrimese->FormStyle = fsMDIChild;
		//frmIzvPrimese->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
	//}else {
	//	ShowMessage("Nemate prava da vidite podatke!");
	//}
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxIntKlaseClick(TObject *Sender)
{
		Screen->Cursor = crHourGlass;
		TfmSetupInternihKlase *fmSetupInternihKlase = new TfmSetupInternihKlase(this);
		fmSetupInternihKlase->ShowModal();
		Screen->Cursor = crDefault;
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarLargeButton9Click(TObject *Sender)
{
	nadjiPravoZaFormu("PR_TehnologijeNormativi");

	//if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TPR_TehnologijeNormativi *PR_TehnologijeNormativi = new TPR_TehnologijeNormativi(this);
		//ODObradaPressa2->WindowState = wsMaximized;

//		PR_TehnologijeNormativi->pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
//		PR_TehnologijeNormativi->pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
//		PR_TehnologijeNormativi->pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

		PR_TehnologijeNormativi->FormStyle = fsMDIChild;
		Screen->Cursor = crDefault;/*
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}  */
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarLargeButton10Click(TObject *Sender)
{
	//nadjiPravoZaFormu("PR_TehnologijeNormativi");

	//if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfmUlazIzlazNTM *fmUlazIzlazNTM = new TfmUlazIzlazNTM(this);
		//ODObradaPressa2->WindowState = wsMaximized;

//		PR_TehnologijeNormativi->pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
//		PR_TehnologijeNormativi->pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
//		PR_TehnologijeNormativi->pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

		fmUlazIzlazNTM->FormStyle = fsMDIChild;
		Screen->Cursor = crDefault;/*
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}  */
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarLargeButton11Click(TObject *Sender)
{
	//nadjiPravoZaFormu("PR_TehnologijeNormativi");

	//if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfmUlazIzlazNTM_izlaz *fmUlazIzlazNTM_izlaz = new TfmUlazIzlazNTM_izlaz(this);
		//ODObradaPressa2->WindowState = wsMaximized;

//		PR_TehnologijeNormativi->pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
//		PR_TehnologijeNormativi->pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
//		PR_TehnologijeNormativi->pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

		fmUlazIzlazNTM_izlaz->FormStyle = fsMDIChild;
		Screen->Cursor = crDefault;/*
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}  */
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarPrometMagacinaClick(TObject *Sender)
{
	//nadjiPravoZaFormu("PR_TehnologijeNormativi");

	//if (DM_OD->cdsProveraSelectPRAVO_SELECT->AsInteger) {
		Screen->Cursor = crHourGlass;
		TfmPrometMagacina *fmPrometMagacina = new TfmPrometMagacina(this);
		//ODObradaPressa2->WindowState = wsMaximized;

//		PR_TehnologijeNormativi->pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
//		PR_TehnologijeNormativi->pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
//		PR_TehnologijeNormativi->pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

		fmPrometMagacina->FormStyle = fsMDIChild;
		Screen->Cursor = crDefault;/*
	}else {
		ShowMessage("Nemate prava da vidite podatke!");
	}  */
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarLargeButton12Click(TObject *Sender)
{
		Screen->Cursor = crHourGlass;

		Tod_izv_blend_mg *od_izv_blend_mg = new Tod_izv_blend_mg(this);
		od_izv_blend_mg->FormStyle = fsMDIChild;
		od_izv_blend_mg->WindowState = wsMaximized;

		Screen->Cursor = crDefault;
}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarLargeButton13Click(TObject *Sender)
{
	Screen->Cursor = crHourGlass;

		Tod_izv_sa_obrd_duvana *od_izv_sa_obrd_duvana = new Tod_izv_sa_obrd_duvana(this);
		od_izv_sa_obrd_duvana->FormStyle = fsMDIChild;
		od_izv_sa_obrd_duvana->WindowState = wsMaximized;

		Screen->Cursor = crDefault;


}
//---------------------------------------------------------------------------

void __fastcall TfmGlavna::dxBarLargeButton14Click(TObject *Sender)
{
    Screen->Cursor = crHourGlass;

		Tod_potrosanja_kg *od_potrosanja_kg = new Tod_potrosanja_kg(this);
		od_potrosanja_kg->FormStyle = fsMDIChild;
		od_potrosanja_kg->WindowState = wsMaximized;

		Screen->Cursor = crDefault;



}
//---------------------------------------------------------------------------

