//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "BUS_osnovna_setup.h"
#include "OD_DM.h"
#include "OD_funkcije.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxButtons"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxGroupBox"
#pragma link "cxMaskEdit"
#pragma link "cxPC"
#pragma link "cxStyles"
#pragma link "cxTextEdit"
#pragma link "cxDBNavigator"
#pragma link "cxNavigator"
#pragma link "cxLookAndFeels"
#pragma link "cxCheckBox"
#pragma link "cxDBEdit"
#pragma link "cxLabel"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"
TfmOsnovna__Setup *fmOsnovna__Setup;
//---------------------------------------------------------------------------
__fastcall TfmOsnovna__Setup::TfmOsnovna__Setup(TComponent* Owner)
 : TfmOsnovna_prazna(Owner)
{
}
//---------------------------------------------------------------------------
__fastcall TfmOsnovna__Setup::TfmOsnovna__Setup(TDataSource *dm_ds,TComponent* Owner)
 : TfmOsnovna_prazna(Owner)
{
 //cds = dynamic_cast<TClientDataSet*>(dm_ds->DataSet);
 // dbg->DataSource = dm_ds;
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovna__Setup::FormClose(TObject *Sender,
      TCloseAction &Action)
{
  Action = caFree;
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovna__Setup::btDodajClick(TObject *Sender)
{
  if     (Sender == btIzmeni) {
	//if (pravoUpdate) {
	  cds->Edit();
	  btDodaj->Enabled = false;
	  btIzmeni->Enabled = false;
	  btSnimi->Enabled = true;
	  btPonisti->Enabled = true;
	  btObrisi->Enabled = false;
	//  cxPC->Enabled = true;
	//}
  }
  else if(Sender == btDodaj) {
	//if (pravoInsert) {
	  cds->Append();
	  btDodaj->Enabled = false;
	  btIzmeni->Enabled = false;
	  btSnimi->Enabled = true;
	  btPonisti->Enabled = true;
	  btObrisi->Enabled = false;
	//  cxPC->Enabled = true;
	//}
  }
  else if(Sender == btObrisi) {
	//if (pravoDelete) {
	  Obrisi();

	  btDodaj->Enabled = false;
	  btIzmeni->Enabled = false;
	  btSnimi->Enabled = true;
	  btPonisti->Enabled = true;
	  btObrisi->Enabled = true;
   //   cxPC->Enabled = true;
	//}
  }
  else if(Sender == btSnimi) {

      Snimi();

      btDodaj->Enabled = true;
      btIzmeni->Enabled = true;
      btSnimi->Enabled = false;
      btPonisti->Enabled = false;
      btObrisi->Enabled = true;
  }
  else if(Sender == btPonisti) {

      cds->Cancel();

      btDodaj->Enabled = true;
      btIzmeni->Enabled = true;
      btSnimi->Enabled = false;
      btPonisti->Enabled = false;
      btObrisi->Enabled = true;
  }
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovna__Setup::FormCreate(TObject *Sender)
{
	 TDataSource *ds= dynamic_cast<TDataSource *> (dbg->DataController->DataSource);
	 cds0 = dynamic_cast<TClientDataSet *> (ds->DataSet);
   dbNG->DataSource = ds;

   for(int i = 0; i < cds0->FieldCount; i++) {
	  if ((cds0->Fields->Fields[i]->DataType == ftString	||
           cds0->Fields->Fields[i]->DataType == ftInteger) &&
           cds0->Fields->Fields[i]->FieldKind != fkLookup) cbFilter->Properties->Items->Add(cds0->Fields->Fields[i]->FieldName);
   }

	//podesiPrava("fmOsnovna__Setup");
//	DM_OD->cdsPrava->Active = false;
//		DM_OD->sqlPrava->ParamByName("formName")->Text = "fmOsnovna__Setup";
//		DM_OD->sqlPrava->ParamByName("sifraRadnika")->AsInteger = DM_OD->cdsRadnik->FieldByName("SIFRA_RADNIKA")->AsInteger;
//	DM_OD->cdsPrava->Active = true;
//
//	pravoInsert = DM_OD->cdsPrava->FieldByName("PRAVO_INSERT")->AsInteger;
//	pravoDelete = DM_OD->cdsPrava->FieldByName("PRAVO_DELETE")->AsInteger;
//	pravoUpdate = DM_OD->cdsPrava->FieldByName("PRAVO_UPDATE")->AsInteger;
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovna__Setup::edTekstKeyPress(TObject *Sender,
      char &Key)
{
  if(Key == VK_RETURN && edTekst->Text != "")        btTrazi->Click();
  else if (Key == VK_RETURN && edTekst->Text == "")  {
     cds->Filtered = false;
     cds->Filter = "";
  }

  cxFilter->Checked = cds->Filtered;
  cxFilter->Caption = cds->Filter;
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovna__Setup::btTraziClick(TObject *Sender)
{
  try {

    if(edTekst->Text != "") {


       cds->Filtered = false;

       if(cds->Filter != "") {

          if(cds->Fields->FieldByName(cbFilter->Text)->DataType == ftInteger)
                cds->Filter = cds->Filter+ " AND " +cbFilter->Text+" = "+edTekst->Text;
          else  {
             if(cxNacinPretrage->Checked == false) cds->Filter = cds->Filter+ " AND " +cbFilter->Text+" LIKE '%"+edTekst->Text+"%'";
             else                                  cds->Filter = cds->Filter+ " AND " +cbFilter->Text+" LIKE '"+edTekst->Text+"%'";
          }

          edTekst->Text = "";
       }
       else {

           if(cds->Fields->FieldByName(cbFilter->Text)->DataType == ftInteger)
               cds->Filter = cbFilter->Text+" = "+edTekst->Text;
           else {
               if(cxNacinPretrage->Checked == false) cds->Filter = cbFilter->Text+" LIKE '%"+edTekst->Text+"%'";
               else                                  cds->Filter = cbFilter->Text+" LIKE '"+edTekst->Text+"%'";
           }

         edTekst->Text = "";
       }

       cds->Filtered = true;
    }
  }
  catch(...) {
    try{
       cds->Filtered = false;
       cds->Filtered = true;
    }
    catch(...) {
         ShowMessage("Ne mozete filtrirati podatke po tom polju!! ");
	}
  }
	//cxFilter->Checked = cds->Filtered;
	//cxFilter->Caption = cds->Filter;
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovna__Setup::Snimi()
{
	SnimiCDS(dsp, cds, ds);
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovna__Setup::Obrisi()
{
	if(MessageBoxA(Handle,"Da li ste sigurni da zelite da nastavite?", "Brisanje ", MB_YESNO) == IDYES)
	{
			 cds->Delete();
			 SnimiCDS(dsp, cds, ds);
	}
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovna__Setup::btIzlazClick(TObject *Sender)
{
 Close();
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovna__Setup::edTekstEnter(TObject *Sender)
{
   edTekst->Text="";
}
//---------------------------------------------------------------------------

void __fastcall TfmOsnovna__Setup::ExportuExcel1Click(TObject *Sender)
{
  SaveDialog1->Title = "Izvoz podataka u excel";
  if (SaveDialog1->Execute())
  {
     ExportGridToExcel(SaveDialog1->FileName, cxGrid, False, True, True, "xls");
  }
}
//---------------------------------------------------------------------------

void __fastcall TfmOsnovna__Setup::ExportuTXT1Click(TObject *Sender)
{
  SaveDialog1->Title = "Izvoz podataka u html format";
  if (SaveDialog1->Execute())
  {
     ExportGridToHTML(SaveDialog1->FileName, cxGrid, False, True, "html");
  }
}
//---------------------------------------------------------------------------

void __fastcall TfmOsnovna__Setup::cxButton10Click(TObject *Sender)
{
   if(cds->Active == true)
     if(cds->ChangeCount == 0) cds->Refresh();
}
//---------------------------------------------------------------------------


void __fastcall TfmOsnovna__Setup::dbgKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
   if(Key == VK_DELETE) {
      btDodaj->Enabled = false;
      btIzmeni->Enabled = false;
      btSnimi->Enabled = true;
      btPonisti->Enabled = true;
      btObrisi->Enabled = true;
   }
}
//---------------------------------------------------------------------------




void __fastcall TfmOsnovna__Setup::dbgEditKeyPress(
      TcxCustomGridTableView *Sender, TcxCustomGridTableItem *AItem,
      TcxCustomEdit *AEdit, char &Key)
{
      btDodaj->Enabled = false;
      btIzmeni->Enabled = false;
      btSnimi->Enabled = true;
      btPonisti->Enabled = true;
      btObrisi->Enabled = false;
      cxPC->Enabled = true;
}
//---------------------------------------------------------------------------


void __fastcall TfmOsnovna__Setup::cxPCEnter(TObject *Sender)
{
   btDodajClick(btIzmeni);
}
//---------------------------------------------------------------------------


void __fastcall TfmOsnovna__Setup::dspBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS,
          TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind, bool &Applied)

{  /*
	if (UpdateKind == ukInsert) {
		if (!pravoInsert) {
			Applied = true;
			ShowMessage("Nemate pravo da dodate nove podatke!");
			if(cds->Active == true) {
				if(cds->ChangeCount == 0)
					cds->Refresh();
				else {
					cds->Active = false;
					cds->Active = true;
                }
            }
		}

	}else if (UpdateKind == ukModify) {
		if (!pravoUpdate) {
			Applied = true;
			ShowMessage("Nemate pravo da menjate postojece podatke!");
			if(cds->Active == true) {
				if(cds->ChangeCount == 0)
					cds->Refresh();
				else {
					cds->Active = false;
					cds->Active = true;
                }
			}
		}

	}else if (UpdateKind == ukDelete) {
		if (!pravoDelete) {
			Applied = true;
			ShowMessage("Nemate pravo da brisete postojece podatke!");
			if(cds->Active == true) {
				if(cds->ChangeCount == 0)
					cds->Refresh();
				else {
					cds->Active = false;
					cds->Active = true;
                }
            }
		}
    } */
}
//---------------------------------------------------------------------------

