//---------------------------------------------------------------------------

#ifndef BUS_osnovna_setupH
#define BUS_osnovna_setupH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DBClient.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxButtons.hpp"
#include "cxLookAndFeelPainters.hpp"
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxGroupBox.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include "cxDBNavigator.hpp"
#include "cxNavigator.hpp"
#include "cxGridExportLink.hpp"
#include <Dialogs.hpp>
#include "cxLookAndFeels.hpp"
#include "cxCheckBox.hpp"
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include <ImgList.hpp>
#include <ActnList.hpp>
#include <DBActns.hpp>
#include "cxDBEdit.hpp"
#include "cxLabel.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
//---------------------------------------------------------------------------
class TfmOsnovna__Setup : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
 TPanel *Panel2;
 TcxButton *btIzlaz;
 TcxButton *btPonisti;
 TcxButton *btSnimi;
 TcxButton *btObrisi;
 TcxButton *btIzmeni;
 TcxButton *btDodaj;
 TcxPageControl *cxPC;
 TcxTabSheet *cxT1;
 TcxGroupBox *cxGroupBox1;
 TcxComboBox *cbFilter;
 TcxTextEdit *edTekst;
 TcxButton *btTrazi;
 TcxDBNavigator *dbNG;
 TPopupMenu *PopupMenu1;
 TMenuItem *ExportuExcel1;
 TMenuItem *ExportuTXT1;
 TSaveDialog *SaveDialog1;
 TcxButton *cxButton10;
 TcxLookAndFeelController *cxLookAndFeelController1;
 TcxCheckBox *cxFilter;
        TcxImageList *cxImageList1;
 TcxCheckBox *cxNacinPretrage;
 TcxButton *cxStampa;
 TActionList *ActionList10;
 TDataSetEdit *DataSetEdit1;
 TPopupMenu *PMF;
	TcxGrid *cxGrid;
	TcxGridDBTableView *dbg;
	TcxGridLevel *cxGridLevel1;
	TAction *ZatvoriFormu;
	TAction *Odustani;
	TAction *ObrisiAkcija;
	TAction *SnimiAkcija;
	TAction *Izmeni;
	TAction *Dodaj;
	TAction *Osvezi;
	TAction *Stampa;
	TcxDBTextEdit *cxDBTextEdit100;
	TcxLabel *cxLabel100;
	TcxLabel *cxLabel300;
	TcxDBTextEdit *cxDBTextEdit300;
	TSQLDataSet *dset;
	TDataSetProvider *dsp;
	TClientDataSet *cds;
	TDataSource *ds;
	TcxButton *cxButton12;
 void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
 void __fastcall btDodajClick(TObject *Sender);
 void __fastcall FormCreate(TObject *Sender);
 void __fastcall edTekstKeyPress(TObject *Sender, char &Key);
 void __fastcall btTraziClick(TObject *Sender);
 void __fastcall btIzlazClick(TObject *Sender);
 void __fastcall edTekstEnter(TObject *Sender);
 void __fastcall ExportuExcel1Click(TObject *Sender);
 void __fastcall ExportuTXT1Click(TObject *Sender);
 void __fastcall cxButton10Click(TObject *Sender);
 void __fastcall dbgKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
 void __fastcall dbgEditKeyPress(TcxCustomGridTableView *Sender,
          TcxCustomGridTableItem *AItem, TcxCustomEdit *AEdit, char &Key);
 void __fastcall cxPCEnter(TObject *Sender);
	void __fastcall dspBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS, TCustomClientDataSet *DeltaDS,
          TUpdateKind UpdateKind, bool &Applied);
private:	// User declarations
public:		// User declarations
	//bool pravoInsert, pravoDelete, pravoUpdate;
 int greska;
 TClientDataSet *cds0;
 __fastcall TfmOsnovna__Setup(TComponent* Owner);
 __fastcall TfmOsnovna__Setup(TDataSource *dm_ds,TComponent* Owner);
 void __fastcall Obrisi();
 void __fastcall Snimi();
};
//---------------------------------------------------------------------------
extern PACKAGE TfmOsnovna__Setup *fmOsnovna__Setup;
//---------------------------------------------------------------------------
#endif
