//---------------------------------------------------------------------------

#ifndef OD_ObradaDuvanaPressa2H
#define OD_ObradaDuvanaPressa2H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxDBEdit.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxGraphics.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxLookupEdit.hpp"
#include "cxMaskEdit.hpp"
#include "cxTextEdit.hpp"
#include <ExtCtrls.hpp>
#include "cxGroupBox.hpp"
#include "cxCalendar.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxPC.hpp"
#include "cxButtons.hpp"
#include <Menus.hpp>
#include <ActnList.hpp>
#include "cxClasses.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxFilter.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxStyles.hpp"
#include "frxClass.hpp"
#include "frxDBSet.hpp"
#include "frxBarcode.hpp"
#include <Dialogs.hpp>
#include "cxGridExportLink.hpp"
#include "cxCheckBox.hpp"
#include "cxSplitter.hpp"
#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
#include <Vcl.ComCtrls.hpp>
//---------------------------------------------------------------------------
class TODObradaPressa2 : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TSQLDataSet *dsetList;
	TDataSetProvider *dspList;
	TClientDataSet *cdsList;
	TDataSource *dsList;
	TStringField *cdsListID;
	TStringField *cdsListNAZIV;
	TStringField *cdsListOZNAKA;
	TStringField *cdsListOPIS;
	TIntegerField *cdsListSIFRA_RADNIKA;
	TSQLTimeStampField *cdsListVREME;
	TStringField *cdsListSAP_BATCH;
	TStringField *cdsListMO_PI;
	TSQLDataSet *dsetEtiketa;
	TDataSetProvider *dspEtiketa;
	TClientDataSet *cdsEtiketa;
	TDataSource *dsEtiketa;
	TcxPageControl *cxPC1;
	TcxTabSheet *cxTabSheet1;
	TcxTabSheet *cxTabSheet2;
	TPanel *Panel2;
	TPanel *Panel1;
	TcxGroupBox *cxGroupBox4;
	TcxDBTextEdit *cxDealer;
	TcxGroupBox *cxGroupBox6;
	TcxDBTextEdit *cxCrop;
	TPanel *Panel5;
	TcxGroupBox *cxGroupBox10;
	TcxDBTextEdit *cxGrade;
	TPanel *Panel7;
	TcxGroupBox *cxGroupBox2;
	TcxDBTextEdit *cxCaseNo;
	TcxGroupBox *cxGroupBox3;
	TcxDBDateEdit *cxDate;
	TPanel *Panel4;
	TcxGroupBox *cxGroupBox7;
	TcxDBTextEdit *cxGross;
	TcxGroupBox *cxGroupBox8;
	TcxDBTextEdit *cxTare;
	TcxGroupBox *cxGroupBox9;
	TcxDBTextEdit *cxNeto;
	TActionList *ActionList1;
	TAction *Action1;
	TAction *Action2;
	TSQLDataSet *dsetObradaGP;
	TDataSetProvider *dspObradaGP;
	TClientDataSet *cdsObradaGP;
	TDataSource *dsObradaGP;
	TSQLStoredProc *spObradaGP;
	TIntegerField *cdsEtiketaID;
	TStringField *cdsEtiketaDEALER;
	TStringField *cdsEtiketaORIGIN;
	TIntegerField *cdsEtiketaBERBA;
	TFloatField *cdsEtiketaSTAND_NETO;
	TFloatField *cdsEtiketaSTAND_TARA;
	TSQLTimeStampField *cdsEtiketaIZMENA;
	TIntegerField *cdsEtiketaSIFRA_RADNIKA;
	TIntegerField *cdsObradaGPID;
	TIntegerField *cdsObradaGPBARKOD;
	TIntegerField *cdsObradaGPCASE_NO;
	TStringField *cdsObradaGPGRADE;
	TStringField *cdsObradaGPMOPI;
	TStringField *cdsObradaGPSAP_BATCH;
	TStringField *cdsObradaGPBATCH_NO;
	TFloatField *cdsObradaGPNETO;
	TFloatField *cdsObradaGPTARA;
	TFloatField *cdsObradaGPBRUTO;
	TSQLTimeStampField *cdsObradaGPDATUM;
	TStringField *cdsObradaGPDEALER;
	TStringField *cdsObradaGPORIGIN;
	TIntegerField *cdsObradaGPCROP;
	TSQLQuery *sqlCaseNo;
	TPanel *Panel8;
	TcxLabel *cxLabel9;
	TcxDateEdit *cxOdDatuma;
	TcxDateEdit *cxDoDatuma;
	TcxLabel *cxLabel10;
	TcxButton *cxPregled;
	TcxButton *btStampaj2;
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridLevel *cxGrid1Level1;
	TcxGrid *cxGrid1;
	TPanel *Panel6;
	TcxButton *btStampaj;
	TcxButton *btSnimi;
	TcxButton *btNoviDoc;
	TSQLDataSet *dsetPregledBala;
	TDataSetProvider *dspPregledBala;
	TClientDataSet *cdsPregledBala;
	TDataSource *dsPregledBala;
	TIntegerField *cdsPregledBalaID;
	TIntegerField *cdsPregledBalaBARKOD;
	TIntegerField *cdsPregledBalaCASE_NO;
	TStringField *cdsPregledBalaGRADE;
	TStringField *cdsPregledBalaMOPI;
	TStringField *cdsPregledBalaSAP_BATCH;
	TStringField *cdsPregledBalaBATCH_NO;
	TFloatField *cdsPregledBalaNETO;
	TFloatField *cdsPregledBalaTARA;
	TFloatField *cdsPregledBalaBRUTO;
	TSQLTimeStampField *cdsPregledBalaDATUM;
	TStringField *cdsPregledBalaDEALER;
	TStringField *cdsPregledBalaORIGIN;
	TIntegerField *cdsPregledBalaCROP;
	TcxGridDBColumn *cxGrid1DBTableView1ID;
	TcxGridDBColumn *cxGrid1DBTableView1BARKOD;
	TcxGridDBColumn *cxGrid1DBTableView1CASE_NO;
	TcxGridDBColumn *cxGrid1DBTableView1GRADE;
	TcxGridDBColumn *cxGrid1DBTableView1MOPI;
	TcxGridDBColumn *cxGrid1DBTableView1SAP_BATCH;
	TcxGridDBColumn *cxGrid1DBTableView1BATCH_NO;
	TcxGridDBColumn *cxGrid1DBTableView1NETO;
	TcxGridDBColumn *cxGrid1DBTableView1TARA;
	TcxGridDBColumn *cxGrid1DBTableView1BRUTO;
	TcxGridDBColumn *cxGrid1DBTableView1DATUM;
	TcxGridDBColumn *cxGrid1DBTableView1DEALER;
	TcxGridDBColumn *cxGrid1DBTableView1ORIGIN;
	TcxGridDBColumn *cxGrid1DBTableView1CROP;
	TSQLQuery *sqlBrojBarkoda;
	TfrxReport *frxReport1;
	TfrxDBDataset *frxDBObradaStampa;
	TSQLDataSet *dsetObradaStampa;
	TDataSetProvider *dspObradaStampa;
	TClientDataSet *cdsObradaStampa;
	TIntegerField *IntegerField1;
	TIntegerField *IntegerField2;
	TIntegerField *IntegerField3;
	TStringField *StringField1;
	TStringField *StringField2;
	TStringField *StringField3;
	TStringField *StringField4;
	TFloatField *FloatField1;
	TFloatField *FloatField2;
	TFloatField *FloatField3;
	TSQLTimeStampField *SQLTimeStampField1;
	TStringField *StringField5;
	TStringField *StringField6;
	TIntegerField *IntegerField4;
	TDataSource *dsObradaStampa;
	TfrxBarCodeObject *frxBarCodeObject1;
	TPopupMenu *PopupMenu1;
	TMenuItem *Izmenietiketu1;
	TMenuItem *Obrisi1;
	TSmallintField *cdsObradaGPDELETED;
	TIntegerField *cdsObradaGPSIFRA_RADNIKA;
	TSQLTimeStampField *cdsObradaGPDATE_CHANGE;
	TIntegerField *cdsObradaGPRADNIKA_CHANGE;
	TSmallintField *cdsPregledBalaDELETED;
	TIntegerField *cdsPregledBalaSIFRA_RADNIKA;
	TSQLTimeStampField *cdsPregledBalaDATE_CHANGE;
	TIntegerField *cdsPregledBalaRADNIKA_CHANGE;
	TMenuItem *N1;
	TMenuItem *Exportuexcel1;
	TSaveDialog *SaveDialog1;
	TSmallintField *cdsListTIP_STAMPE;
	TcxButton *cxStampaGP;
	TcxButton *cxStampaGP2;
	TSQLQuery *sqlIntBatch;
	TStringField *cdsListBATCH;
	TIntegerField *cdsObradaGPID_BLENDA;
	TIntegerField *cdsObradaGPIDZG;
	TStringField *cdsObradaGPINT_BARKOD;
	TIntegerField *cdsObradaGPIDOZBLENDA;
	TStringField *cdsObradaStampaINT_BARKOD;
	TIntegerField *cdsPregledBalaID_BLENDA;
	TIntegerField *cdsPregledBalaIDZG;
	TStringField *cdsPregledBalaINT_BARKOD;
	TIntegerField *cdsPregledBalaIDOZBLENDA;
	TcxGridDBColumn *cxGrid1DBTableView1INT_BARKOD;
	TcxGridDBColumn *cxGrid1DBTableView1SIFRA_RADNIKA;
	TcxGridDBColumn *cxGrid1DBTableView1DATE_CHANGE;
	TcxGridDBColumn *cxGrid1DBTableView1RADNIKA_CHANGE;
	TcxGridDBColumn *cxGrid1DBTableView1ID_BLENDA;
	TcxGridDBColumn *cxGrid1DBTableView1IDZG;
	TcxGridDBColumn *cxGrid1DBTableView1IDOZBLENDA;
	TcxGridDBColumn *cxGrid1DBTableView1DELETED;
	TStringField *cdsListDOZNAKA;
	TFloatField *cdsListNETO_AMB;
	TFloatField *cdsListTARA_AMB;
	TIntegerField *sqlIntBatchIDZG;
	TIntegerField *sqlIntBatchIDBLEND;
	TIntegerField *sqlIntBatchBROJ_BATCHA;
	TIntegerField *sqlIntBatchID;
	TSmallintField *cdsObradaGPBLOKIRAJ;
	TIntegerField *cdsObradaGPSTATUS;
	TSmallintField *cdsPregledBalaBLOKIRAJ;
	TIntegerField *cdsPregledBalaSTATUS;
	TcxGridDBColumn *cxGrid1DBTableView1BLOKIRAJ;
	TcxGridDBColumn *cxGrid1DBTableView1STATUS;
	TPanel *Panel9;
	TcxDBLookupComboBox *cxDBLookupComboBox1;
	TcxLabel *cxLabel2;
	TcxTextEdit *edtKopija;
	TSQLTimeStampField *cdsObradaGPDATUM_ETIKETE;
	TSQLTimeStampField *cdsObradaStampaDATUM_ETIKETE;
	TSQLDataSet *dsetMG_ZG;
	TIntegerField *dsetMG_ZGID;
	TIntegerField *dsetMG_ZGSIFRA_MAGACINA;
	TIntegerField *dsetMG_ZGSIFRA_DOKUMENTA;
	TIntegerField *dsetMG_ZGSIFRA_KOMITENTA;
	TDateField *dsetMG_ZGDATUMDPO;
	TDateField *dsetMG_ZGDATUMVALUTE;
	TStringField *dsetMG_ZGBID;
	TIntegerField *dsetMG_ZGBROJ;
	TStringField *dsetMG_ZGBUD;
	TIntegerField *dsetMG_ZGSIFRA_RADNIKA;
	TStringField *dsetMG_ZGOPIS;
	TIntegerField *dsetMG_ZGSIFRA_MAGACINA_U;
	TIntegerField *dsetMG_ZGVEZA_IDN;
	TIntegerField *dsetMG_ZGVEZA;
	TDateField *dsetMG_ZGDATUM_RADA;
	TSmallintField *dsetMG_ZGZAVRSENO;
	TStringField *dsetMG_ZGMAGACIN_U;
	TSQLDataSet *dsetMG_STAV;
	TIntegerField *dsetMG_STAVID;
	TIntegerField *dsetMG_STAVIDZG;
	TFMTBCDField *dsetMG_STAVULAZ_KOL;
	TFMTBCDField *dsetMG_STAVIZLAZ_KOL;
	TStringField *dsetMG_STAVKOD;
	TFMTBCDField *dsetMG_STAVULAZ_KOL_ALT;
	TFMTBCDField *dsetMG_STAVIZLAZ_KOL_ALT;
	TIntegerField *dsetMG_STAVMAGACIN_STAV;
	TStringField *dsetMG_STAVBROJ_SERIJE;
	TIntegerField *dsetMG_STAVBALAID;
	TIntegerField *dsetMG_STAVLOKACIJA;
	TIntegerField *dsetMG_STAVLOKACIJA_U;
	TStringField *dsetMG_STAVBARKOD;
	TDataSetProvider *dspMG_STAV;
	TDataSetProvider *dspMG_ZG;
	TClientDataSet *cdsMG_ZG;
	TIntegerField *cdsMG_ZGID;
	TIntegerField *cdsMG_ZGSIFRA_MAGACINA;
	TIntegerField *cdsMG_ZGSIFRA_KOMITENTA;
	TIntegerField *cdsMG_ZGSIFRA_DOKUMENTA;
	TDateField *cdsMG_ZGDATUMDPO;
	TDateField *cdsMG_ZGDATUMVALUTE;
	TStringField *cdsMG_ZGBID;
	TStringField *cdsMG_ZGBUD;
	TIntegerField *cdsMG_ZGSIFRA_RADNIKA;
	TStringField *cdsMG_ZGOPIS;
	TIntegerField *cdsMG_ZGSIFRA_MAGACINA_U;
	TIntegerField *cdsMG_ZGVEZA_IDN;
	TIntegerField *cdsMG_ZGVEZA;
	TDateField *cdsMG_ZGDATUM_RADA;
	TSmallintField *cdsMG_ZGZAVRSENO;
	TIntegerField *cdsMG_ZGBROJ;
	TStringField *cdsMG_ZGMAGACIN_U;
	TClientDataSet *cdsMG_STAV;
	TIntegerField *cdsMG_STAVID;
	TIntegerField *cdsMG_STAVIDZG;
	TFMTBCDField *cdsMG_STAVULAZ_KOL;
	TFMTBCDField *cdsMG_STAVIZLAZ_KOL;
	TFMTBCDField *cdsMG_STAVULAZ_KOL_ALT;
	TFMTBCDField *cdsMG_STAVIZLAZ_KOL_ALT;
	TStringField *cdsMG_STAVKOD;
	TIntegerField *cdsMG_STAVMAGACIN_STAV;
	TStringField *cdsMG_STAVBROJ_SERIJE;
	TIntegerField *cdsMG_STAVBALAID;
	TIntegerField *cdsMG_STAVLOKACIJA;
	TIntegerField *cdsMG_STAVLOKACIJA_U;
	TStringField *cdsMG_STAVBARKOD;
	TDataSource *dsMG_STAV;
	TDataSource *dsMG_ZG;
	TSQLDataSet *dsetBalaMG;
	TDataSetProvider *dspBalaMG;
	TClientDataSet *cdsBalaMG;
	TIntegerField *cdsBalaMGID;
	TIntegerField *cdsBalaMGBALAID;
	TIntegerField *cdsBalaMGBRBARKODA;
	TIntegerField *cdsBalaMGRACK;
	TIntegerField *cdsBalaMGSIFRA_MG;
	TIntegerField *cdsBalaMGSIFRA_LOKACIJE;
	TIntegerField *cdsBalaMGTIP_PROIZVODA;
	TStringField *cdsBalaMGBARKOD;
	TSQLTimeStampField *cdsBalaMGDATUM_PRIJEMA;
	TSmallintField *cdsBalaMGOBRISANO;
	TIntegerField *cdsBalaMGSIFRA_MG_U;
	TDataSource *dsBalaMG;
	TSQLStoredProc *spBalaMG;
	TSQLQuery *sqlOtvorenaPrijemnicaNaDan;
	TClientDataSet *cdsPostojiBala;
	TStringField *cdsPostojiBalaBARKOD;
	TSQLDataSet *dsetPostojiBala;
	TDataSetProvider *dspPostojiBala;
	TDataSource *dsPostojiBala;
	TDataSource *dsPostojiBalaGP;
	TClientDataSet *cdsPostojiBalaGP;
	TIntegerField *cdsPostojiBalaGPID;
	TIntegerField *cdsPostojiBalaGPBARKOD;
	TIntegerField *cdsPostojiBalaGPCASE_NO;
	TStringField *cdsPostojiBalaGPGRADE;
	TStringField *cdsPostojiBalaGPMOPI;
	TStringField *cdsPostojiBalaGPSAP_BATCH;
	TStringField *cdsPostojiBalaGPBATCH_NO;
	TFloatField *cdsPostojiBalaGPNETO;
	TFloatField *cdsPostojiBalaGPTARA;
	TFloatField *cdsPostojiBalaGPBRUTO;
	TSQLTimeStampField *cdsPostojiBalaGPDATUM;
	TIntegerField *cdsPostojiBalaGPCROP;
	TStringField *cdsPostojiBalaGPDEALER;
	TStringField *cdsPostojiBalaGPORIGIN;
	TSmallintField *cdsPostojiBalaGPDELETED;
	TIntegerField *cdsPostojiBalaGPSIFRA_RADNIKA;
	TSQLTimeStampField *cdsPostojiBalaGPDATE_CHANGE;
	TIntegerField *cdsPostojiBalaGPRADNIKA_CHANGE;
	TIntegerField *cdsPostojiBalaGPID_BLENDA;
	TIntegerField *cdsPostojiBalaGPIDZG;
	TStringField *cdsPostojiBalaGPINT_BARKOD;
	TIntegerField *cdsPostojiBalaGPIDOZBLENDA;
	TSmallintField *cdsPostojiBalaGPBLOKIRAJ;
	TIntegerField *cdsPostojiBalaGPSTATUS;
	TDataSetProvider *dspPostojiBalaGP;
	TSQLDataSet *sqlPostojiBalaGP;
	TSQLDataSet *dsetPrijemnica;
	TDataSetProvider *dspPrijemnica;
	TClientDataSet *cdsPrijemnica;
	TIntegerField *cdsPrijemnicaBROJ;
	TDateField *cdsPrijemnicaDATUMDPO;
	TIntegerField *cdsPrijemnicaSIFRA_MAGACINA;
	TStringField *cdsPrijemnicaOPIS;
	TStringField *cdsPrijemnicaMAGACIN;
	TDataSource *dsPrijemnica;
	TPanel *Panel10;
	TcxGroupBox *cxGroupBox13;
	TcxDBTextEdit *cxDBTextEdit2;
	TcxDBLookupComboBox *cxMagacin;
	TcxDBLookupComboBox *cxDBLookupComboBox2;
	TcxDBTextEdit *cxDBTextEdit3;
	TcxLabel *cxLabel3;
	TcxLabel *cxLabel4;
	TcxLabel *cxLabel5;
	TcxDBTextEdit *cxSifraMg;
	TcxLabel *cxLabel6;
	TcxDBTextEdit *cxDBTextEdit7;
	TcxDBDateEdit *cxDatumPrijema;
	TcxLabel *cxLabel15;
	TcxSplitter *cxSplitter1;
	TSQLDataSet *sdsDokumenti;
	TDataSetProvider *dspDokumenti;
	TClientDataSet *cdsDokumenti;
	TIntegerField *cdsDokumentiSIFRA_DOKUMENTA;
	TStringField *cdsDokumentiDOKUMENT;
	TIntegerField *cdsDokumentiSIFRA_DELATNOSTI;
	TStringField *cdsDokumentiFORMA;
	TSmallintField *cdsDokumentiKEPU;
	TIntegerField *cdsDokumentiGARANCIJA;
	TStringField *cdsDokumentiTIP_DOKUMENTA;
	TSmallintField *cdsDokumentiSORTIRANJE;
	TSmallintField *cdsDokumentiSTANJE;
	TStringField *cdsDokumentiSKRACENICA;
	TStringField *cdsDokumentiKNJIGOVODSTVO;
	TStringField *cdsDokumentiOPIS;
	TSmallintField *cdsDokumentiPDV;
	TSmallintField *cdsDokumentiROBNI;
	TSmallintField *cdsDokumentiROBNI_DOC;
	TSmallintField *cdsDokumentiTIP;
	TSmallintField *cdsDokumentiKNJIGA_RACUNA;
	TSmallintField *cdsDokumentiPR_DOC;
	TIntegerField *cdsDokumentiKONTO;
	TSmallintField *cdsDokumentiINO_DOC;
	TIntegerField *cdsDokumentiVEZANI_DOC;
	TDataSource *dsDokumenti;
	TDataSource *dsMagacin;
	TClientDataSet *cdsMagacin;
	TIntegerField *cdsMagacinSIFRA_MAGACINA;
	TStringField *cdsMagacinMAGACIN;
	TIntegerField *cdsMagacinSIFRA_DELATNOSTI;
	TIntegerField *cdsMagacinSEDISTE;
	TStringField *cdsMagacinSKRACENICA;
	TStringField *cdsMagacinTIP_PROIZVODA;
	TSmallintField *cdsMagacinROBNO;
	TIntegerField *cdsMagacinTIP;
	TSmallintField *cdsMagacinVIDLJIV;
	TStringField *cdsMagacinMESTO;
	TStringField *cdsMagacinADRESA;
	TSmallintField *cdsMagacinVIDLJIV_MP;
	TSmallintField *cdsMagacinTIP_CENA;
	TSmallintField *cdsMagacinPDV_KNJIGA;
	TSmallintField *cdsMagacinCENA_MAGACIN;
	TIntegerField *cdsMagacinDEF_DOKUMENT;
	TStringField *cdsMagacinKONTO;
	TDataSetProvider *dspMagacin;
	TSQLDataSet *dsetMagacin;
	TPopupMenu *PM2;
	TMenuItem *Stampajetiketezacelulistu1;
	TPopupMenu *PM3;
	TMenuItem *MenuItem1;
	TStringField *cdsListBC_GRADE;
	TStringField *cdsListBC_PACK_TYPE;
	TStringField *cdsObradaStampaBC_GRADE;
	TStringField *cdsObradaStampaBC_PACK_TYPE;
	TStringField *cdsObradaStampabarcode1;
	TStringField *cdsObradaStampabarcode2;
	TStringField *cdsEtiketaBC_ORIGIN;
	TStringField *cdsEtiketaSUPPLIER;
	TStringField *cdsBalaMGGRUPA;
	TIntegerField *cdsBalaMGKUTIJAID;
	TSQLTimeStampField *cdsPregledBalaDATUM_ETIKETE;
	TcxGridDBColumn *cxGrid1DBTableView1DATUM_ETIKETE;
	TSQLTimeStampField *dsetMG_STAVVREME;
	TIntegerField *dsetMG_STAVIDBALAMG;
	TSQLTimeStampField *cdsMG_STAVVREME;
	TIntegerField *cdsMG_STAVIDBALAMG;
	TSmallintField *cdsListSTAMPA_BARKODA;
	TSmallintField *cdsObradaStampaSTAMPA_BARKODA;
	TMenuItem *N2;
	TMenuItem *Updatevremenaobrade1;
	TSQLQuery *sqlVremeObrade;
	TSQLTimeStampField *cdsObradaGPDATUM_OBRADE;
	TIntegerField *dsetMG_STAVSIFRA_MG;
	TIntegerField *cdsMG_STAVSIFRA_MG;
	TMenuItem *Updatebarkodova1;
	TSQLQuery *sqlUpdateBarkodovaNovo;
	TSQLQuery *sqlInsertTBALA_MG;
	TSQLQuery *sqlUpdateBalaMg;
	TSQLQuery *sqlProveraBale;
	TSQLQuery *sqlMaxFCDBarkod;
	TSQLTimeStampField *cdsObradaStampaDATUM_OBRADE;
	TcxDBDateEdit *cxDBDateEdit1;
	TcxLabel *cxLabel7;
	TSQLTimeStampField *cdsPregledBalaDATUM_OBRADE;
	TcxGridDBColumn *cxGrid1DBTableView1DATUM_OBRADE;
	TcxStyleRepository *cxMyStyle;
	TcxStyle *cxStyleRoze;
	TcxStyle *cxStyleZuta;
	TcxStyle *cxStyleSiva;
	TTimer *TimerNoviGP;
	TSmallintField *cdsObradaGPZAPRIMLJENA;
	TFloatField *cdsObradaGPTEZINA;
	TFloatField *cdsListMAX_TEZINA;
	TFloatField *cdsListMIN_TEZINA;
	TcxDBTextEdit *cxDBTextEdit4;
	TcxLabel *cxLabel11;
	TStringField *cdsListOpseg_tezine;
	TFloatField *cdsPregledBalaTEZINA;
	TSmallintField *cdsPregledBalaZAPRIMLJENA;
	TcxGridDBColumn *cxGrid1DBTableView1TEZINA;
	TcxGridDBColumn *cxGrid1DBTableView1ZAPRIMLJENA;
	TStringField *cdsObradaStampaBC_TYPE;
	TStringField *cdsObradaStampabarcode_no;
	TSQLQuery *sqlCaseUK;
	TIntegerField *sqlCaseUKBROJKUTIJAUK;
	TcxDBTextEdit *cxDBTextEdit1;
	TIntegerField *cdsObradaGPCASE_UK;
	TcxLabel *cxLabel1;
	TIntegerField *cdsObradaStampaCASE_UK;
	TSQLQuery *sqlPromenaStatusa;
	TIntegerField *IntegerField5;
	TfrxDBDataset *frxDBPregledDanas;
	TSQLDataSet *sqlPregledDanas;
	TDataSetProvider *dspPregledDanas;
	TClientDataSet *cdsPregled;
	TDataSource *dsPregledDanas;
	TfrxReport *frxReport2;
	TStringField *cdsPregledGRADE;
	TStringField *cdsPregledNAZIV;
	TFloatField *cdsPregledNETO;
	TIntegerField *cdsPregledBROJ_BALA;
	TIntegerField *cdsPregledID;
	TcxButton *btPonisti;
	TSQLQuery *sqlProvera;
	TIntegerField *sqlProveraCASE_NO;
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall Action1Execute(TObject *Sender);
	void __fastcall Action2Execute(TObject *Sender);
	void __fastcall cdsObradaGPNewRecord(TDataSet *DataSet);
	void __fastcall cdsObradaGPNETOChange(TField *Sender);
	void __fastcall btNoviDocClick(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall cdsObradaGPSAP_BATCHChange(TField *Sender);
	void __fastcall cdsObradaGPGRADEChange(TField *Sender);
	void __fastcall btSnimiClick(TObject *Sender);
	void __fastcall cxPregledClick(TObject *Sender);
	void __fastcall btStampajClick(TObject *Sender);
	void __fastcall cxGrossKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall Izmenietiketu1Click(TObject *Sender);
	void __fastcall Obrisi1Click(TObject *Sender);
	void __fastcall Exportuexcel1Click(TObject *Sender);
	void __fastcall cxStampaGPClick(TObject *Sender);
	void __fastcall cdsObradaGPCASE_NOChange(TField *Sender);
	void __fastcall dspObradaGPBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS, TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind,
          bool &Applied);
	void __fastcall dspPregledBalaBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS,
          TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind, bool &Applied);
	void __fastcall cdsMG_STAVNewRecord(TDataSet *DataSet);
	void __fastcall cdsMG_STAVAfterPost(TDataSet *DataSet);
	void __fastcall cdsMG_ZGNewRecord(TDataSet *DataSet);
	void __fastcall cdsMG_ZGAfterPost(TDataSet *DataSet);
	void __fastcall cdsBalaMGNewRecord(TDataSet *DataSet);
	void __fastcall cdsBalaMGAfterPost(TDataSet *DataSet);
	void __fastcall Stampajetiketezacelulistu1Click(TObject *Sender);
	void __fastcall MenuItem1Click(TObject *Sender);
	void __fastcall cdsObradaStampaCalcFields(TDataSet *DataSet);
	void __fastcall cxSledecaBalaClick(TObject *Sender);
	void __fastcall Updatevremenaobrade1Click(TObject *Sender);
	void __fastcall Updatebarkodova1Click(TObject *Sender);
	void __fastcall cdsObradaGPBARKODChange(TField *Sender);
	void __fastcall frxReport1AfterPrintReport(TObject *Sender);
	void __fastcall cxPocetakMerenjaClick(TObject *Sender);
	void __fastcall TimerNoviGPTimer(TObject *Sender);
	void __fastcall cdsListCalcFields(TDataSet *DataSet);
	void __fastcall cdsObradaGPReconcileError(TCustomClientDataSet *DataSet, EReconcileError *E,
          TUpdateKind UpdateKind, TReconcileAction &Action);
	void __fastcall cxStampaSmenaClick(TObject *Sender);
	void __fastcall btPonistiClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TODObradaPressa2(TComponent* Owner);
	void NovoZaglavljePrijemnice();
	void DodajNoviRedStavke(AnsiString barkod);
	bool ProveraTezine();
	void Merenje();
	double Tezina;
	bool IzmenaPodataka;
	int BarkodInt();
};
//---------------------------------------------------------------------------
extern PACKAGE TODObradaPressa2 *ODObradaPressa2;
//---------------------------------------------------------------------------
#endif
