//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_ObradaDuvanaPressaNUS.h"
#include "OD_DM.h"
#include "fmMessageRed.h"
#include "OD_funkcije.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxCheckBox"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDBEdit"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxGroupBox"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxLookupEdit"
#pragma link "cxMaskEdit"
#pragma link "cxPC"
#pragma link "cxSplitter"
#pragma link "cxStyles"
#pragma link "cxTextEdit"
#pragma link "frxBarcode"
#pragma link "frxClass"
#pragma link "frxDBSet"
#pragma link "OD_ObradaDuvanaPressa2"
#pragma link "cxDateUtils"
#pragma link "cxNavigator"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxCore"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"

extern int MAGACIN_BUFFER;
extern int DOC_PROIZVODNJE;

TODObradaPressaNUS *ODObradaPressaNUS;
extern TKorisnik *myTKorisnik;
extern AnsiString DIR_STAMPE;
//extern "C" __declspec(dllimport) double MerenjeTezineVaga(int a, AnsiString Vaga, TSQLConnection *SC);
//---------------------------------------------------------------------------
__fastcall TODObradaPressaNUS::TODObradaPressaNUS(TComponent* Owner)
	: TODObradaPressa2(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TODObradaPressaNUS::TimerNoviGPTimer(TObject *Sender)
{
//				Tezina=0;
//
//				try {
//						TimerNoviGP->Enabled = false;
//						Tezina = 0;// MerenjeTezineVaga(1, "VAGA_NUS", DM_OD->SC_OD);
//						cxTezina->Text = FloatToStr(Tezina);
//				}
//				catch(Exception &e) {
//					ShowMyMessageRed->Show("Proverite da li je ispravno definisan komunikacioni port!!", 0x00FFDDFF);
//					//TfmPorukaGreska *fmPorukaGreska = new TfmPorukaGreska("Proverite da li je ispravno definisan komunikacioni port!!", this);
//					//fmPorukaGreska->ShowModal();
//					//delete fmPorukaGreska;
//
//					Tezina=-1;
//					cxTezina->Text = FloatToStr(Tezina);
//				}
}
//---------------------------------------------------------------------------

void __fastcall TODObradaPressaNUS::btStampajClick(TObject *Sender)
{
 if(Sender == btStampaj2) {  //stampa etikete iz pregleda kutija
		  if(myTKorisnik->dozvola_stampe == 1) {
				  cdsObradaStampa->Active = false;
				  dsetObradaStampa->ParamByName("id")->AsInteger = cdsPregledBala->FieldByName("id")->AsInteger;
				  cdsObradaStampa->Active = true;
		  }
		  else {
				ShowMyMessageRed->Show("Nemate prava stampanja etikete!!", 0x00CCF8F9);
				return;
		  }
	}
	else {                     //stampa nove etikete

//	   Merenje();
//
//		if(!ProveraTezine()) return;
//
//		if(cdsObradaGP->Active)
//		{
//		  try {
//			 cdsObradaGP->Edit();
//			 cdsObradaGP->FieldByName("tezina")->AsFloat 	= StrToFloat(cxTezina->Text);
//			 cdsObradaGP->FieldByName("BARKOD")->AsInteger  = BarkodInt();
//			 cdsObradaGP->Post();
//		  }
//		  catch (Exception &e) {
//			  ShowMessage("Greska! Tezina bale nije ispravna!!");
//			  return;
//		  }
   //  }

		btSnimi->Click();

		//DodajNoviRedStavke(cdsObradaGP->FieldByName("int_barkod")->AsString);  //iskljucio nesa zbog novih zahteva JT-a za 2013/2014 godinu

		cdsObradaStampa->Active = false;
		dsetObradaStampa->ParamByName("id")->AsInteger = cdsObradaGP->FieldByName("id")->AsInteger;
		cdsObradaStampa->Active = true;
	}

	if(!cdsObradaStampa->IsEmpty()) {
		if(frxReport1->LoadFromFile(DIR_STAMPE+"\\StampaLeaf\\EtiketaGP.fr3")) {

			 frxReport1->PrintOptions->ShowDialog = false;
			 frxReport1->PrintOptions->Copies = StrToIntDef(edtKopija->Text, 1);

			 TfrxMemoView *datum_etikete;
			 datum_etikete = (TfrxMemoView *) frxReport1->FindObject("datum_etikete");
			 datum_etikete->Text = FormatDateTime("yyyy",cdsObradaStampa->FieldByName("datum_etikete")->Value)+"/"+FormatDateTime("mm",cdsObradaStampa->FieldByName("datum_etikete")->Value)+"/"+FormatDateTime("dd",cdsObradaStampa->FieldByName("datum_etikete")->Value);

			 if(cdsObradaStampa->FieldByName("STAMPA_BARKODA")->AsInteger != 1) {
				TfrxMemoView *barkod1;  barkod1 = (TfrxMemoView *) frxReport1->FindObject("BarCode1");
				TfrxMemoView *barkod2;  barkod2 = (TfrxMemoView *) frxReport1->FindObject("BarCode2");

				barkod1->Visible = false;
				barkod2->Visible = false;
         }

			 if(frxReport1->PrepareReport())  frxReport1->ShowReport();//Print();
		}
	}
	else ShowMyMessageRed->Show("Nema podataka za stampu etikete ", 0x00CCF8F9);

 if(Sender != btStampaj2) {
	 if(IzmenaPodataka == false) {
		btNoviDoc->Click();
	 }
  //	 cxTezina->Text = "0";
 }

	btStampaj->Enabled = !IzmenaPodataka;
}
//---------------------------------------------------------------------------

void __fastcall TODObradaPressaNUS::cxStampaGPClick(TObject *Sender)
{

 if(Sender == cxStampaGP2) {     //stampa iz pregleda kutija
		if(myTKorisnik->dozvola_stampe) {
			cdsObradaStampa->Active = false;
			dsetObradaStampa->ParamByName("id")->AsInteger = cdsPregledBala->FieldByName("id")->AsInteger;
			cdsObradaStampa->Active = true;
		}
		else {
			ShowMyMessageRed->Show("Nemate prava stampanja etikete!!", 0x00CCF8F9);
			return;
		 }
	}
	else {                          //stampa iz proizvodnje

//     Merenje();
//
//		if(!ProveraTezine()) return;
//
//		if(cdsObradaGP->Active)
//		{
//		  try {
//			 cdsObradaGP->Edit();
//			 cdsObradaGP->FieldByName("tezina")->AsFloat = StrToFloat(cxTezina->Text);
//			 cdsObradaGP->FieldByName("BARKOD")->AsInteger  = BarkodInt();
//			 cdsObradaGP->Post();
//		  }
//		  catch (Exception &e) {
//			  ShowMessage("Greska! Tezina bale nije ispravna!!");
//			  return;
//		  }
   //  }

		btSnimi->Click();

		//DodajNoviRedStavke(cdsObradaGP->FieldByName("int_barkod")->AsString);  //iskljucio nesa zbog novih zahteva JT-a za 2013/2014 godinu

		cdsObradaStampa->Active = false;
		dsetObradaStampa->ParamByName("id")->AsInteger = cdsObradaGP->FieldByName("id")->AsInteger;
		cdsObradaStampa->Active = true;
	}


	if(!cdsObradaStampa->IsEmpty()) {
		if(frxReport1->LoadFromFile(DIR_STAMPE+"\\StampaLeaf\\EtiketaIntNalepnice.fr3")) {

		frxReport1->PrintOptions->ShowDialog = false;
		if(frxReport1->PrepareReport())  frxReport1->ShowReport();
		}
	}
	else ShowMyMessageRed->Show("Nema podataka za stampu interne etikete ", 0x00CCF8F9);

	if(IzmenaPodataka == false) {

		btNoviDoc->Click();
		cxStampaGP->Enabled = !IzmenaPodataka;
	  //	cxTezina->Text = "0";
	}
}
//---------------------------------------------------------------------------
void TODObradaPressaNUS::Merenje()
{
//	  Tezina=0;
//
//	  try
//	  {
//			Tezina = 0;//MerenjeTezineVaga(1, "VAGA_NUS", DM_OD->SC_OD);
//			cxTezina->Text = FloatToStr(Tezina);
//	  }
//	  catch(Exception &e)
//	  {
//			ShowMyMessageRed->Show("Proverite da li je ispravno definisan komunikacioni port!!", 0x00FFDDFF);
//			Tezina=-1;
//			cxTezina->Text = FloatToStr(Tezina);
//	  }
}
//---------------------------------------------------------------------------

void __fastcall TODObradaPressaNUS::cdsObradaGPGRADEChange(TField *Sender)
{
    sqlCaseNo->Active = false;
	sqlCaseNo->ParamByName("grade")->AsString = cdsObradaGP->FieldByName("grade")->AsString;
	sqlCaseNo->ParamByName("crop")->AsInteger = cdsObradaGP->FieldByName("crop")->AsInteger;
	sqlCaseNo->Active = true;

	cdsObradaGP->FieldByName("case_no")->AsInteger   = sqlCaseNo->FieldByName("BrojKutijeGrade")->AsInteger+1;

	sqlIntBatch->Active = false;
	sqlIntBatch->ParamByName("status_batcha")->AsInteger = cdsList->FieldByName("BATCH")->AsInteger;
	sqlIntBatch->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
	sqlIntBatch->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
	sqlIntBatch->Active = true;

//	if(sqlIntBatch->FieldByName("broj_batcha")->AsInteger == 0) {
//		 ShowMyMessageRed->Show("Proverite sa SUPERVIZOROM da li postoje batch-evi u stanju U SILOSU ili NA PAKOVANJU!!", 0x00CCF8F9);
//	}

	cdsObradaGP->FieldByName("BATCH_NO")->AsInteger = sqlIntBatch->FieldByName("broj_batcha")->AsInteger;
	cdsObradaGP->FieldByName("ID_BLENDA")->AsInteger= sqlIntBatch->FieldByName("idblend")->AsInteger;
	cdsObradaGP->FieldByName("IDZG")->AsInteger  	= sqlIntBatch->FieldByName("IDZG")->AsInteger;
	cdsObradaGP->FieldByName("IDOZBLENDA")->AsInteger  = cdsList->FieldByName("DOZNAKA")->AsInteger;
	cdsObradaGP->FieldByName("NETO")->AsCurrency  = cdsList->FieldByName("neto_amb")->AsCurrency;
	cdsObradaGP->FieldByName("TARA")->AsCurrency  = cdsList->FieldByName("tara_amb")->AsCurrency;
}
//---------------------------------------------------------------------------



