//---------------------------------------------------------------------------

#ifndef OD_ObradaDuvanaVaga1H
#define OD_ObradaDuvanaVaga1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "cxControls.hpp"
#include "cxGraphics.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxPC.hpp"
#include "OD_OsnovnaPrazna.h"
#include <ActnList.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "cxClasses.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxStyles.hpp"
#include <DB.hpp>
#include "cxContainer.hpp"
#include "cxLabel.hpp"
#include "cxTextEdit.hpp"
#include "cxButtons.hpp"
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxDBEdit.hpp"
#include "cxCalendar.hpp"
#include "cxDropDownEdit.hpp"
#include "cxMaskEdit.hpp"
#include "cxSplitter.hpp"
#include "cxCheckBox.hpp"
#include "cxGridExportLink.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxGroupBox.hpp"
#include "cxLookupEdit.hpp"
#include "cxMemo.hpp"
#include "cxDBLabel.hpp"
#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
#include <Vcl.ComCtrls.hpp>
#include "cxGridChartView.hpp"
#include "cxGridDBChartView.hpp"
//---------------------------------------------------------------------------
class TODObradaVagaI : public TfmOsnovnaPrazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPC;
	TcxTabSheet *cxTabSheet1;
	TcxTabSheet *cxTabSheet2;
	TPanel *Panel1;
	TPanel *Panel4;
	TPanel *Panel2;
	TcxGridDBTableView *cxGridBatch;
	TcxGridLevel *cxGrid2Level1;
	TcxGrid *cxGrid2;
	TPanel *Panel6;
	TSQLDataSet *dsetObrada;
	TDataSetProvider *dspObrada;
	TClientDataSet *cdsObrada;
	TDataSource *dsObrada;
	TSQLDataSet *dsetAktivniBatchevi;
	TDataSetProvider *dspAktivniBatchevi;
	TClientDataSet *cdsAktivniBatchevi;
	TDataSource *dsAktivniBatchevi;
	TIntegerField *cdsObradaID;
	TStringField *cdsObradaBATCH_NO;
	TIntegerField *cdsObradaSTATUS;
	TIntegerField *cdsObradaIDBLEND;
	TIntegerField *cdsObradaSIFRA_RADNIKA;
	TIntegerField *cdsObradaBROJ_BATCHA;
	TSQLTimeStampField *cdsObradaVREME;
	TIntegerField *dsetObradaID;
	TStringField *dsetObradaBATCH_NO;
	TIntegerField *dsetObradaSTATUS;
	TIntegerField *dsetObradaIDBLEND;
	TIntegerField *dsetObradaSIFRA_RADNIKA;
	TIntegerField *dsetObradaBROJ_BATCHA;
	TSQLTimeStampField *dsetObradaVREME;
	TIntegerField *dsetObradaBERBA;
	TStringField *dsetObradaNAPOMENA;
	TStringField *dsetObradaOPIS;
	TDateField *dsetObradaDATUM_BLENDA;
	TIntegerField *cdsObradaBERBA;
	TStringField *cdsObradaNAPOMENA;
	TStringField *cdsObradaOPIS;
	TDateField *cdsObradaDATUM_BLENDA;
	TIntegerField *cdsAktivniBatcheviID;
	TStringField *cdsAktivniBatcheviBATCH_NO;
	TIntegerField *cdsAktivniBatcheviSTATUS;
	TIntegerField *cdsAktivniBatcheviIDBLEND;
	TIntegerField *cdsAktivniBatcheviSIFRA_RADNIKA;
	TIntegerField *cdsAktivniBatcheviBROJ_BATCHA;
	TSQLTimeStampField *cdsAktivniBatcheviVREME;
	TStringField *cdsAktivniBatcheviOPIS;
	TIntegerField *cdsAktivniBatcheviBROJ_BLENDA;
	TStringField *cdsAktivniBatcheviNAPOMENA;
	TcxGridDBColumn *cxGridBatchID;
	TcxGridDBColumn *cxGridBatchBATCH_NO;
	TcxGridDBColumn *cxGridBatchSTATUS;
	TcxGridDBColumn *cxGridBatchIDBLEND;
	TcxGridDBColumn *cxGridBatchSIFRA_RADNIKA;
	TcxGridDBColumn *cxGridBatchBROJ_BATCHA;
	TcxGridDBColumn *cxGridBatchVREME;
	TcxGridDBColumn *cxGridBatchIZMENA;
	TcxGridDBColumn *cxGridBatchIZMENIO;
	TcxGridDBColumn *cxGridBatchOPIS;
	TcxGridDBColumn *cxGridBatchBROJ_BLENDA;
	TcxGridDBColumn *cxGridBatchNAPOMENA;
	TcxStyleRepository *cxStyleRepository1;
	TcxStyle *cxStyle1;
	TcxSplitter *cxSplitter1;
	TcxStyleRepository *cxStyleRepository2;
	TcxStyle *cxStyle2;
	TSQLDataSet *dsetStatistika;
	TDataSetProvider *dspStatistika;
	TClientDataSet *cdsStatistika;
	TDataSource *dsStatistika;
	TIntegerField *cdsStatistikaID;
	TIntegerField *cdsStatistikaIDBLENDA;
	TStringField *cdsStatistikaGRADE;
	TFloatField *cdsStatistikaBROJ_BALA;
	TIntegerField *cdsStatistikaRB;
	TFloatField *cdsStatistikaPROCENAT;
	TFloatField *cdsStatistikaTEZINA;
	TStringField *cdsStatistikaINT_KLASA;
	TFloatField *cdsStatistikaPROCENAT_OBRADE;
	TPanel *Panel7;
	TSQLDataSet *dsetBala;
	TDataSetProvider *dspBala;
	TClientDataSet *cdsBala;
	TDataSource *dsBala;
	TIntegerField *cdsBalaBALAID;
	TIntegerField *cdsBalaBRBARKODA;
	TFMTBCDField *cdsBalaBRUTOMASA;
	TIntegerField *cdsBalaIMA_BALE;
	TSQLQuery *sqlBalaUObradi;
	TStringField *cdsAktivniBatcheviOPIS_STATUSA;
	TSQLStoredProc *spStavkeObrade;
	TcxStyleRepository *cxStyleRepository3;
	TcxStyle *cxStyle3;
	TPanel *Panel8;
	TStringField *cdsBalaINT_KLASA;
	TcxStyleRepository *cxStyleRepository4;
	TcxStyle *cxStyle4;
	TIntegerField *dsetObradaSIFRA_KOMITENTA;
	TIntegerField *dsetObradaSIFRA_DOKUMENTA;
	TIntegerField *dsetObradaSIFRA_MAGACINA;
	TDateField *dsetObradaDATUMDPO;
	TStringField *dsetObradaBID;
	TIntegerField *dsetObradaBROJ;
	TStringField *dsetObradaOPIS_BLENDA;
	TIntegerField *cdsObradaSIFRA_KOMITENTA;
	TIntegerField *cdsObradaSIFRA_DOKUMENTA;
	TIntegerField *cdsObradaSIFRA_MAGACINA;
	TDateField *cdsObradaDATUMDPO;
	TStringField *cdsObradaBID;
	TIntegerField *cdsObradaBROJ;
	TStringField *cdsObradaOPIS_BLENDA;
	TDateField *cdsAktivniBatcheviDATUMDPO;
	TSQLQuery *sqlNaVakumiranju;
	TStringField *cdsBalaEXT_KLASA;
	TIntegerField *cdsBalaKLASAID;
	TIntegerField *dsetAktivniBatcheviSIFRA_DOKUMENTA;
	TIntegerField *dsetAktivniBatcheviID;
	TIntegerField *dsetAktivniBatcheviSIFRA_MAGACINA;
	TIntegerField *dsetAktivniBatcheviSIFRA_RADNIKA;
	TIntegerField *dsetAktivniBatcheviSIFRA_MAGACINA_U;
	TDateField *dsetAktivniBatcheviDATUM_RADA;
	TDateField *dsetAktivniBatcheviDATUMDPO;
	TStringField *dsetAktivniBatcheviBID;
	TStringField *dsetAktivniBatcheviBUD;
	TStringField *dsetAktivniBatcheviOPIS;
	TIntegerField *dsetAktivniBatcheviBROJ;
	TStringField *dsetAktivniBatcheviBATCH_NO;
	TIntegerField *dsetAktivniBatcheviSTATUS;
	TIntegerField *dsetAktivniBatcheviIDBLEND;
	TIntegerField *dsetAktivniBatcheviBROJ_BATCHA;
	TSQLTimeStampField *dsetAktivniBatcheviVREME;
	TSmallintField *dsetAktivniBatcheviAKTIVAN;
	TIntegerField *dsetAktivniBatcheviBROJ_BLENDA;
	TStringField *dsetAktivniBatcheviNAPOMENA;
	TStringField *dsetAktivniBatcheviOPIS_STATUSA;
	TSmallintField *dsetAktivniBatcheviNOVO_STANJE;
	TSmallintField *cdsAktivniBatcheviNOVO_STANJE;
	TSmallintField *cdsAktivniBatcheviAKTIVAN;
	TcxGridDBColumn *cxGridBatchAKTIVAN;
	TcxGridDBColumn *cxGridBatchDATUMDPO;
	TcxGridDBColumn *cxGridBatchNOVO_STANJE;
	TTimer *Timer1;
	TActionList *ActionList1;
	TPanel *Panel3;
	TcxButton *cxSledecaBala;
	TcxButton *cxNoviBatch;
	TAction *IzmeriTezinu;
	TAction *ZatvoriFormu;
	TAction *Reklas;
	TSQLStoredProc *spBatch;
	TSQLQuery *sqlPoslednjiBatch;
	TIntegerField *sqlPoslednjiBatchID;
	TStringField *sqlPoslednjiBatchBATCH_NO;
	TIntegerField *sqlPoslednjiBatchSTATUS;
	TIntegerField *sqlPoslednjiBatchIDBLEND;
	TIntegerField *sqlPoslednjiBatchSIFRA_RADNIKA;
	TIntegerField *sqlPoslednjiBatchBROJ_BATCHA;
	TSQLTimeStampField *sqlPoslednjiBatchVREME;
	TStringField *sqlPoslednjiBatchOPIS;
	TSmallintField *sqlPoslednjiBatchAKTIVAN;
	TIntegerField *sqlPoslednjiBatchSIFRA_KOMITENTA;
	TIntegerField *sqlPoslednjiBatchSIFRA_DOKUMENTA;
	TIntegerField *sqlPoslednjiBatchSIFRA_MAGACINA;
	TDateField *sqlPoslednjiBatchDATUMDPO;
	TStringField *sqlPoslednjiBatchBID;
	TIntegerField *sqlPoslednjiBatchBROJ;
	TSmallintField *dsetObradaAKTIVAN;
	TSmallintField *cdsObradaAKTIVAN;
	TcxGroupBox *cxGroupBox4;
	TcxDateEdit *od_datuma;
	TcxDateEdit *do_datuma;
	TcxLabel *cxLabel13;
	TcxLabel *cxLabel14;
	TcxButton *cxButton4;
	TcxLabel *cxLabel11;
	TcxLabel *cxLabel12;
	TcxLookupComboBox *cxMagacini;
	TcxLookupComboBox *cxDokumenti;
	TcxButton *cxButton5;
	TcxGrid *cxGrid4;
	TcxGridDBTableView *cxZaglavlje;
	TcxGridDBColumn *cxZaglavljeID;
	TcxGridDBColumn *cxZaglavljeBROJ;
	TcxGridDBColumn *cxZaglavljeBID;
	TcxGridDBColumn *cxZaglavljeDATUMDPO;
	TcxGridDBColumn *cxZaglavljeOPIS;
	TcxGridDBColumn *cxZaglavljeMagacin_u;
	TcxGridDBColumn *cxZaglavljeSIFRA_RADNIKA;
	TcxGridDBColumn *cxZaglavljeSIFRA_MAGACINA;
	TcxGridLevel *cxGridLevel2;
	TcxGrid *cxGrid5;
	TcxGridDBTableView *cxStavkeMG;
	TcxGridDBColumn *cxStavkeMGKOD;
	TcxGridDBColumn *cxStavkeMGID;
	TcxGridDBColumn *cxStavkeMGIDZG;
	TcxGridDBColumn *cxStavkeMGIZLAZ_KOL_ALT;
	TcxGridLevel *cxGridLevel3;
	TSQLDataSet *dsetZaglavlje;
	TDataSetProvider *dspZaglavlje;
	TClientDataSet *cdsZaglavlje;
	TIntegerField *IntegerField1;
	TIntegerField *IntegerField2;
	TIntegerField *IntegerField4;
	TDateField *DateField1;
	TStringField *StringField1;
	TStringField *StringField2;
	TIntegerField *IntegerField5;
	TStringField *StringField3;
	TIntegerField *IntegerField6;
	TIntegerField *IntegerField7;
	TIntegerField *IntegerField8;
	TDateField *DateField3;
	TSmallintField *SmallintField1;
	TIntegerField *cdsZaglavljeBROJ;
	TDataSource *dsZaglavlje;
	TDataSource *dsStavke;
	TClientDataSet *cdsStavke;
	TIntegerField *cdsStavkeID;
	TIntegerField *cdsStavkeIDZG;
	TFMTBCDField *cdsStavkeIZLAZ_KOL;
	TFMTBCDField *cdsStavkeIZLAZ_KOL_ALT;
	TDataSetProvider *dspStavke;
	TSQLDataSet *dsetStavke;
	TSQLDataSet *sdsDokumenti;
	TDataSetProvider *dspDokumenti;
	TClientDataSet *cdsDokumenti;
	TIntegerField *cdsDokumentiSIFRA_DOKUMENTA;
	TStringField *cdsDokumentiDOKUMENT;
	TIntegerField *cdsDokumentiSIFRA_DELATNOSTI;
	TStringField *cdsDokumentiFORMA;
	TSmallintField *cdsDokumentiKEPU;
	TIntegerField *cdsDokumentiGARANCIJA;
	TStringField *cdsDokumentiTIP_DOKUMENTA;
	TSmallintField *cdsDokumentiSORTIRANJE;
	TSmallintField *cdsDokumentiSTANJE;
	TStringField *cdsDokumentiSKRACENICA;
	TStringField *cdsDokumentiKNJIGOVODSTVO;
	TStringField *cdsDokumentiOPIS;
	TSmallintField *cdsDokumentiPDV;
	TSmallintField *cdsDokumentiROBNI;
	TSmallintField *cdsDokumentiROBNI_DOC;
	TSmallintField *cdsDokumentiTIP;
	TSmallintField *cdsDokumentiKNJIGA_RACUNA;
	TSmallintField *cdsDokumentiPR_DOC;
	TIntegerField *cdsDokumentiKONTO;
	TSmallintField *cdsDokumentiINO_DOC;
	TIntegerField *cdsDokumentiVEZANI_DOC;
	TDataSource *dsDokumenti;
	TDataSource *dsMagacin;
	TClientDataSet *cdsMagacin;
	TIntegerField *cdsMagacinSIFRA_MAGACINA;
	TStringField *cdsMagacinMAGACIN;
	TIntegerField *cdsMagacinSIFRA_DELATNOSTI;
	TIntegerField *cdsMagacinSEDISTE;
	TStringField *cdsMagacinSKRACENICA;
	TStringField *cdsMagacinTIP_PROIZVODA;
	TSmallintField *cdsMagacinROBNO;
	TIntegerField *cdsMagacinTIP;
	TSmallintField *cdsMagacinVIDLJIV;
	TStringField *cdsMagacinMESTO;
	TStringField *cdsMagacinADRESA;
	TSmallintField *cdsMagacinVIDLJIV_MP;
	TSmallintField *cdsMagacinTIP_CENA;
	TSmallintField *cdsMagacinPDV_KNJIGA;
	TSmallintField *cdsMagacinCENA_MAGACIN;
	TIntegerField *cdsMagacinDEF_DOKUMENT;
	TStringField *cdsMagacinKONTO;
	TDataSetProvider *dspMagacin;
	TSQLDataSet *dsetMagacin;
	TStringField *cdsZaglavljeBATCH_NO;
	TIntegerField *cdsZaglavljeSTATUS;
	TIntegerField *cdsZaglavljeIDBLEND;
	TIntegerField *cdsZaglavljeBROJ_BATCHA;
	TSQLTimeStampField *cdsZaglavljeVREME;
	TcxGridDBColumn *cxZaglavljeBATCH_NO;
	TcxGridDBColumn *cxZaglavljeSTATUS;
	TcxGridDBColumn *cxZaglavljeIDBLEND;
	TcxGridDBColumn *cxZaglavljeBROJ_BATCHA;
	TcxGridDBColumn *cxZaglavljeVREME;
	TIntegerField *cdsStavkeBALAID;
	TStringField *cdsStavkeBARKOD;
	TStringField *cdsStavkeBROJ_SERIJE;
	TStringField *cdsStavkeKOD;
	TcxGridDBColumn *cxStavkeMGIZLAZ_KOL;
	TcxGridDBColumn *cxStavkeMGRB;
	TcxGridDBColumn *cxStavkeMGBALAID;
	TcxGridDBColumn *cxStavkeMGBARKOD;
	TcxGridDBColumn *cxStavkeMGBROJ_SERIJE;
	TFloatField *sqlNaVakumiranjuTEZINA;
	TIntegerField *sqlNaVakumiranjuNA_VAKUMIRANJU;
	TSQLQuery *sqlStatusVakumiranja;
	TcxStyleRepository *cxStyleRepository5;
	TcxStyle *cxStyle5;
	TAction *Vakum;
	TAction *Zav_hranjenja;
	TAction *Novibatch;
	TStringField *cdsZaglavljeBLEND;
	TcxGridDBColumn *cxZaglavljeBLEND;
	TIntegerField *cdsBalaSORTAID;
	TIntegerField *cdsBalaPODSORTAID;
	TSmallintField *cdsBalaPOREKLOID;
	TStringField *cdsStatistikaPOREKLO;
	TIntegerField *cdsStatistikaIDPOREKLA;
	TcxButton *cxButton1;
	TcxStyleRepository *cxStyleRepository6;
	TcxStyle *cxStyle6;
	TIntegerField *cdsStavkeIDPOREKLA;
	TStringField *cdsStavkePOREKLO;
	TStringField *cdsStavkePODSORTA;
	TcxGridDBColumn *cxStavkeMGIDPOREKLA;
	TcxGridDBColumn *cxStavkeMGPOREKLO;
	TcxGridDBColumn *cxStavkeMGPODSORTA;
	TSQLDataSet *sqlProveraBaleUBatchu;
	TDataSetProvider *dspProveraBaleUBatchu;
	TClientDataSet *cdsProveraBaleUBatchu;
	TDataSource *dsProveraBaleUBatchu;
	TFloatField *cdsProveraBaleUBatchuBROJ_BALA;
	TFloatField *cdsProveraBaleUBatchuRAZLIKA;
	TStringField *cdsBalaPoreklo;
	TSQLTimeStampField *dsetObradaDATUM_OD;
	TSQLTimeStampField *dsetAktivniBatcheviDATUM_OD;
	TSQLTimeStampField *cdsAktivniBatcheviDATUM_OD;
	TSQLDataSet *dsetBaleProizvodjaca;
	TDataSetProvider *dspBaleProizvodjaca;
	TClientDataSet *cdsBaleProizvodjaca;
	TDataSource *dsBaleProizvodjaca;
	TIntegerField *cdsBaleProizvodjacaKOOPERANTID;
	TFMTBCDField *cdsBaleProizvodjacaBALE_KOOPERANTA;
	TStringField *dsetAktivniBatcheviOPIS_BLENDA;
	TIntegerField *dsetAktivniBatcheviBROJ_BL_KOOPERANTA;
	TFloatField *dsetAktivniBatcheviUKUPNO_BALA;
	TDateField *dsetAktivniBatcheviVAZI_OD;
	TStringField *cdsAktivniBatcheviOPIS_BLENDA;
	TIntegerField *cdsAktivniBatcheviBROJ_BL_KOOPERANTA;
	TFloatField *cdsAktivniBatcheviUKUPNO_BALA;
	TDateField *cdsAktivniBatcheviVAZI_OD;
	TcxGridDBColumn *cxGridBatchDATUM_OD;
	TcxGridDBColumn *cxGridBatchOPIS_BLENDA;
	TcxGridDBColumn *cxGridBatchBROJ_BL_KOOPERANTA;
	TcxGridDBColumn *cxGridBatchUKUPNO_BALA;
	TcxGridDBColumn *cxGridBatchVAZI_OD;
	TSQLDataSet *dsetObradaStavke;
	TDataSetProvider *dspObradaStavke;
	TClientDataSet *cdsObradaStavke;
	TDataSource *dsObradaStavke;
	TIntegerField *cdsObradaStavkeID;
	TIntegerField *cdsObradaStavkeIDZG;
	TIntegerField *cdsObradaStavkeMAGACIN_STAV;
	TFMTBCDField *cdsObradaStavkeULAZ_KOL;
	TFMTBCDField *cdsObradaStavkeIZLAZ_KOL;
	TFMTBCDField *cdsObradaStavkeULAZ_KOL_ALT;
	TFMTBCDField *cdsObradaStavkeIZLAZ_KOL_ALT;
	TStringField *cdsObradaStavkeKOD;
	TStringField *cdsObradaStavkeBROJ_SERIJE;
	TIntegerField *cdsObradaStavkeBALAID;
	TIntegerField *cdsObradaStavkeKLASAID;
	TIntegerField *cdsObradaStavkePODSORTAID;
	TStringField *cdsObradaStavkeBARKOD;
	TSmallintField *cdsObradaStavkeSTATUS;
	TSmallintField *cdsObradaStavkeDELETED;
	TStringField *cdsObradaStavkeBATCH_NO;
	TFMTBCDField *cdsObradaStavkeBRUTOMASA;
	TIntegerField *cdsObradaStavkeIDPOREKLA;
	TIntegerField *dsetObradaStavkeID;
	TIntegerField *dsetObradaStavkeIDZG;
	TIntegerField *dsetObradaStavkeBALAID;
	TStringField *dsetObradaStavkeBARKOD;
	TStringField *dsetObradaStavkeBATCH_NO;
	TStringField *dsetObradaStavkeBROJ_SERIJE;
	TFMTBCDField *dsetObradaStavkeBRUTOMASA;
	TSmallintField *dsetObradaStavkeDELETED;
	TIntegerField *dsetObradaStavkeIDPOREKLA;
	TFMTBCDField *dsetObradaStavkeIZLAZ_KOL;
	TFMTBCDField *dsetObradaStavkeIZLAZ_KOL_ALT;
	TIntegerField *dsetObradaStavkeKLASAID;
	TStringField *dsetObradaStavkeKOD;
	TIntegerField *dsetObradaStavkeMAGACIN_STAV;
	TIntegerField *dsetObradaStavkePODSORTAID;
	TSmallintField *dsetObradaStavkeSTATUS;
	TFMTBCDField *dsetObradaStavkeULAZ_KOL;
	TFMTBCDField *dsetObradaStavkeULAZ_KOL_ALT;
	TSQLTimeStampField *dsetObradaStavkeVREME;
	TSQLTimeStampField *cdsObradaStavkeVREME;
	TSQLQuery *sqlProveraProizvodjaca;
	TIntegerField *cdsBalaKOOPERANTID;
	TFMTBCDField *sqlProveraProizvodjacaBALE_KOOPERANTA;
	TIntegerField *dsetObradaStavkeKOOPERANTID;
	TIntegerField *cdsObradaStavkeKOOPERANTID;
	TIntegerField *sqlPoslednjiBatchSIFRA_MAGACINA_U;
	TIntegerField *dsetObradaSIFRA_MAGACINA_U;
	TIntegerField *cdsObradaSIFRA_MAGACINA_U;
	TPanel *Panel9;
	TTimer *TimerPozadine;
	TFloatField *dsetAktivniBatcheviUKUPNO_BALA_BATCH;
	TFloatField *dsetAktivniBatcheviBR_BALA_KOOPER;
	TSmallintField *dsetAktivniBatcheviPROV_POREKLA;
	TFloatField *dsetAktivniBatcheviBROJ_KOOPER_GRUPE;
	TFloatField *dsetAktivniBatcheviBROJ_BALA_GRUPE;
	TSQLQuery *sqlBrojBalaGrupe;
	TIntegerField *dsetAktivniBatcheviIDGRUPE;
	TFloatField *cdsAktivniBatcheviUKUPNO_BALA_BATCH;
	TFloatField *cdsAktivniBatcheviBR_BALA_KOOPER;
	TSmallintField *cdsAktivniBatcheviPROV_POREKLA;
	TFloatField *cdsAktivniBatcheviBROJ_KOOPER_GRUPE;
	TFloatField *cdsAktivniBatcheviBROJ_BALA_GRUPE;
	TIntegerField *cdsAktivniBatcheviIDGRUPE;
	TFMTBCDField *sqlBrojBalaGrupeBALE_GRUPE;
	TSQLQuery *sqlBrKooperGrupe;
	TSQLDataSet *dsetBrojBalaGrupe;
	TDataSetProvider *dspBrojBalaGrupe;
	TClientDataSet *cdsBrojBalaGrupe;
	TDataSource *dsBrojBalaGrupe;
	TIntegerField *cdsBalaID;
	TIntegerField *cdsStavkeIDBALAMG;
	TIntegerField *dsetObradaStavkeIDBALAMG;
	TIntegerField *cdsObradaStavkeIDBALAMG;
	TcxLabel *cxLabel3;
	TcxTextEdit *cxBarkod;
	TcxButton *btRefresh;
	TcxButton *cxReklasiranje;
	TcxButton *cxVakumiranje;
	TSQLStoredProc *spBrojacBale;
	TcxStyleRepository *cxStyleRepository7;
	TcxStyle *cxStyle7;
	TSQLTimeStampField *dsetObradaDATUM_OBRADE;
	TSQLTimeStampField *dsetObradaStavkeDATUM_OBRADE;
	TSQLTimeStampField *cdsObradaStavkeDATUM_OBRADE;
	TSQLTimeStampField *dsetAktivniBatcheviDATUM_OBRADE;
	TSQLTimeStampField *cdsAktivniBatcheviDATUM_OBRADE;
	TIntegerField *sqlBrKooperGrupeBR_KOOPER_GRUPE;
	TFloatField *sqlPoslednjiBatchUKUPNO_BALA_BATCH;
	TFloatField *sqlPoslednjiBatchBR_BALA_KOOPER;
	TSmallintField *sqlPoslednjiBatchPROV_POREKLA;
	TFloatField *sqlPoslednjiBatchBROJ_KOOPER_GRUPE;
	TFloatField *sqlPoslednjiBatchBROJ_BALA_GRUPE;
	TSQLTimeStampField *sqlPoslednjiBatchDATUM_OBRADE;
	TIntegerField *sqlPoslednjiBatchIDRECEPTURE;
	TIntegerField *sqlPoslednjiBatchIDBLENDA;
	TSQLTimeStampField *cdsObradaDATUM_OD;
	TSQLTimeStampField *cdsObradaDATUM_OBRADE;
	TFloatField *dsetObradaUKUPNO_BALA_BATCH;
	TFloatField *dsetObradaBR_BALA_KOOPER;
	TSmallintField *dsetObradaPROV_POREKLA;
	TFloatField *dsetObradaBROJ_KOOPER_GRUPE;
	TFloatField *dsetObradaBROJ_BALA_GRUPE;
	TIntegerField *dsetObradaIDRECEPTURE;
	TIntegerField *dsetObradaIDBLENDA;
	TFloatField *cdsObradaUKUPNO_BALA_BATCH;
	TFloatField *cdsObradaBR_BALA_KOOPER;
	TSmallintField *cdsObradaPROV_POREKLA;
	TFloatField *cdsObradaBROJ_KOOPER_GRUPE;
	TFloatField *cdsObradaBROJ_BALA_GRUPE;
	TIntegerField *cdsObradaIDRECEPTURE;
	TIntegerField *cdsObradaIDBLENDA;
	TFloatField *cdsBalaFQI_INDEX;
	TFloatField *dsetObradaStavkeFQI_INDEX;
	TSmallintField *dsetObradaStavkeIDBALAINDEX;
	TFloatField *dsetObradaStavkeFQI_KOEF;
	TFloatField *cdsObradaStavkeFQI_INDEX;
	TSmallintField *cdsObradaStavkeIDBALAINDEX;
	TFloatField *cdsObradaStavkeFQI_KOEF;
	TIntegerField *cdsBalaIDBALAINDEX;
	TFloatField *dsetObradaStavkeNETOMASA;
	TFloatField *cdsObradaStavkeNETOMASA;
	TFMTBCDField *cdsBalaNETOMASA;
	TStringField *cdsBaleProizvodjacaKOMITENT;
	TStringField *cdsBrojBalaGrupeGRUPA_FQI;
	TFMTBCDField *cdsBrojBalaGrupeBROJ_BALA_GRUPE;
	TStringField *dsetAktivniBatcheviGRUPA_FQI;
	TStringField *cdsAktivniBatcheviGRUPA_FQI;
	TStringField *cdsBalaGRUPA_FQI;
	TStringField *dsetObradaStavkeGRUPA_FQI;
	TStringField *cdsObradaStavkeGRUPA_FQI;
	TFloatField *dsetObradaFQI_INDEX;
	TFloatField *cdsObradaFQI_INDEX;
	TSQLDataSet *sqlProveraBaleUBatchuBezPorekla;
	TFMTBCDField *dsetAktivniBatcheviFQI_MIN;
	TFloatField *dsetAktivniBatcheviFQI_MAX;
	TFMTBCDField *cdsAktivniBatcheviFQI_MIN;
	TFloatField *cdsAktivniBatcheviFQI_MAX;
	TFloatField *dsetAktivniBatcheviFQI_INDEX;
	TFloatField *cdsAktivniBatcheviFQI_INDEX;
	TPanel *Panel5;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxGridBale;
	TcxGridDBColumn *cxGridBaleID;
	TcxGridDBColumn *cxGridBaleIDO;
	TcxGridDBColumn *cxGridBaleBARKOD;
	TcxGridDBColumn *cxGridBaleKOD;
	TcxGridDBColumn *cxGridBaleTEZINA;
	TcxGridDBColumn *cxGridBaleFQI_KOEF;
	TcxGridDBColumn *cxGridBaleNETOMASA;
	TcxGridDBColumn *cxGridBaleBALAID;
	TcxGridDBColumn *cxGridBaleDELETED;
	TcxGridDBColumn *cxGridBaleEXT_KLASA;
	TcxGridDBColumn *cxGridBaleIZLAZ_KOL;
	TcxGridDBColumn *cxGridBaleBATCH_NO;
	TcxGridDBColumn *cxGridBaleIDPOREKLA;
	TcxGridDBColumn *cxGridBalePODSORTAID;
	TcxGridDBColumn *cxGridBaleSTATUS;
	TcxGridDBColumn *cxGridBaleVREME;
	TcxGridDBColumn *cxGridBaleKOOPERANTID;
	TcxGridDBColumn *cxGridBaleIDZG;
	TcxGridDBColumn *cxGridBaleIDBALAMG;
	TcxGridDBColumn *cxGridBaleDATUM_OBRADE;
	TcxGridDBColumn *cxGridBaleFQI_INDEX;
	TcxGridDBColumn *cxGridBaleIDBALAINDEX;
	TcxGridLevel *cxGrid1Level1;
	TPanel *Panel10;
	TcxDBLabel *cxDBLabel1;
	TcxDBLabel *cxDBLabel2;
	TcxLabel *FqiMin;
	TcxLabel *cxLabel1;
	TSmallintField *dsetObradaKONTROLA_KOL;
	TSmallintField *cdsObradaKONTROLA_KOL;
	TSmallintField *cdsBalaBLOKADA;
	TSmallintField *sqlPoslednjiBatchKONTROLA_KOL;
	TSQLQuery *sqlBrojPoslednjegBatcha;
	TIntegerField *dsetAktivniBatcheviIDBLENDA;
	TIntegerField *cdsAktivniBatcheviIDBLENDA;
	TcxGridDBColumn *cxGridBatchBATCH_NO1;
	TcxGridDBColumn *cxGridBatchSTATUS1;
	TcxGridDBColumn *cxGridBatchUKUPNO_BALA_BATCH;
	TcxGridDBColumn *cxGridBatchBR_BALA_KOOPER;
	TcxGridDBColumn *cxGridBatchPROV_POREKLA;
	TcxGridDBColumn *cxGridBatchBROJ_KOOPER_GRUPE;
	TcxGridDBColumn *cxGridBatchBROJ_BALA_GRUPE;
	TcxGridDBColumn *cxGridBatchIDGRUPE;
	TcxGridDBColumn *cxGridBatchDATUM_OBRADE;
	TcxGridDBColumn *cxGridBatchGRUPA_FQI;
	TcxGridDBColumn *cxGridBatchFQI_MIN;
	TcxGridDBColumn *cxGridBatchFQI_MAX;
	TcxGridDBColumn *cxGridBatchFQI_INDEX;
	TcxGridDBColumn *cxGridBatchIDBLENDA;
	TcxTextEdit *cxKolicina;
	TSQLQuery *sqlUpdateBaleMG;
	TFloatField *cdsStatistikaKOM_BALA;
	TFloatField *cdsZaglavljeUKUPNO_BALA_BATCH;
	TFloatField *cdsZaglavljeBR_BALA_KOOPER;
	TSmallintField *cdsZaglavljePROV_POREKLA;
	TFloatField *cdsZaglavljeBROJ_KOOPER_GRUPE;
	TFloatField *cdsZaglavljeBROJ_BALA_GRUPE;
	TSQLTimeStampField *cdsZaglavljeDATUM_OBRADE;
	TFloatField *cdsZaglavljeFQI_INDEX;
	TFloatField *cdsZaglavljeBROJ_BALA;
	TSmallintField *cdsZaglavljeKONTROLA_KOL;
	TcxGridDBColumn *cxZaglavljeSIFRA_DOKUMENTA;
	TcxGridDBColumn *cxZaglavljeBUD;
	TcxGridDBColumn *cxZaglavljeSIFRA_MAGACINA_U;
	TcxGridDBColumn *cxZaglavljeVEZA_IDN;
	TcxGridDBColumn *cxZaglavljeVEZA;
	TcxGridDBColumn *cxZaglavljeDATUM_RADA;
	TcxGridDBColumn *cxZaglavljeZAVRSENO;
	TcxGridDBColumn *cxZaglavljeUKUPNO_BALA_BATCH;
	TcxGridDBColumn *cxZaglavljeBR_BALA_KOOPER;
	TcxGridDBColumn *cxZaglavljePROV_POREKLA;
	TcxGridDBColumn *cxZaglavljeBROJ_KOOPER_GRUPE;
	TcxGridDBColumn *cxZaglavljeBROJ_BALA_GRUPE;
	TcxGridDBColumn *cxZaglavljeDATUM_OBRADE;
	TcxGridDBColumn *cxZaglavljeFQI_INDEX;
	TcxGridDBColumn *cxZaglavljeBROJ_BALA;
	TcxGridDBColumn *cxZaglavljeKONTROLA_KOL;
	TcxStyleRepository *cxMyStyle;
	TcxStyle *cxStyleRoze;
	TcxStyle *cxStyleZuta;
	TcxStyle *cxStyleSiva;
	TStringField *cdsZaglavljeSTATUS_BATCHA;
	TFloatField *cdsProveraBaleUBatchuKOM_BALA;
	TFloatField *dsetObradaStavkeNETOMASA_BA;
	TFloatField *cdsObradaStavkeNETOMASA_BA;
	TcxGridDBColumn *cxGridBaleNETOMASA_BA;
	TFloatField *cdsStavkeNETOMASA_BA;
	TcxGridDBColumn *cxStavkeMGIDBALAMG;
	TcxGridDBColumn *cxStavkeMGNETOMASA_BA;
	TFloatField *cdsStatistikaTEZINA_UKUPNO;
	TSQLDataSet *sqlStatistikaMG;
	TDataSetProvider *dspStatistikaMG;
	TClientDataSet *cdsStatistikaMG;
	TDataSource *dsStatistikaMG;
	TIntegerField *cdsStatistikaMGID;
	TIntegerField *cdsStatistikaMGIDBLENDA;
	TStringField *cdsStatistikaMGGRADE;
	TFloatField *cdsStatistikaMGBROJ_BALA;
	TIntegerField *cdsStatistikaMGRB;
	TFloatField *cdsStatistikaMGKOM_BALA;
	TFloatField *cdsStatistikaMGTEZINA;
	TFloatField *cdsStatistikaMGTEZINA_UKUPNO;
	TStringField *cdsStatistikaMGINT_KLASA;
	TStringField *cdsStatistikaMGMAGACIN;
	TFMTBCDField *cdsStatistikaMGUKUPNO_BLEND;
	TFMTBCDField *cdsStatistikaMGTRENUNTNO_BLEND;
	TFMTBCDField *cdsStatistikaMGPROC_MG_KG;
	TFMTBCDField *cdsStatistikaMGPROCENAT;
	TFloatField *cdsBalaKOLICINA;
	TFloatField *cdsBalaKOLICINA_ALT;
	TFloatField *cdsBalaAMBALAZA;
	TPopupMenu *PopupMenu1;
	TMenuItem *Reklas1;
	TcxLookupComboBox *cxBlend;
	TcxLabel *cxLabel2;
	TSQLDataSet *dsetBlend;
	TDataSetProvider *dspBlend;
	TClientDataSet *cdsBlend;
	TIntegerField *cdsBlendID;
	TStringField *cdsBlendOPIS;
	TStringField *cdsBlendBATCH_NO;
	TStringField *cdsBlendORDER_NO;
	TIntegerField *cdsBlendBERBA;
	TDateField *cdsBlendVAZI_OD;
	TIntegerField *cdsBlendBROJ_BLENDA;
	TDateField *cdsBlendDATUM;
	TStringField *cdsBlendSMENA;
	TSmallintField *cdsBlendAKTIVAN;
	TStringField *cdsBlendNAPOMENA;
	TIntegerField *cdsBlendSIFRA_RADNIKA;
	TFloatField *cdsBlendUKUPNO_BALA;
	TIntegerField *cdsBlendIDBLENDA;
	TIntegerField *cdsBlendBROJ_BL_KOOPERANTA;
	TFloatField *cdsBlendBROJ_BALA_GRUPE;
	TIntegerField *cdsBlendIDGRUPE;
	TFloatField *cdsBlendBROJ_KOOPER_GRUPE;
	TSmallintField *cdsBlendPROV_POREKLA;
	TDataSource *dsBlend;
	TMenuItem *Vratistatusnaaktivno1;
	TSQLQuery *sqlPromenaStatusa;
	TcxGrid *cxGrid8;
	TcxGridDBTableView *cxGrid8DBTableView1;
	TcxGridDBColumn *cxGrid8DBTableView1INT_KLASA;
	TcxGridDBColumn *cxGrid8DBTableView1TEZINA;
	TcxGridDBColumn *cxGrid8DBTableView1PROC_MG_KG;
	TcxGridDBColumn *cxGrid8DBTableView1PROCENAT;
	TcxGridLevel *cxGrid8Level1;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall cxGridBatchDblClick(TObject *Sender);
	void __fastcall cxBarkodKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cdsObradaStavke1AfterPost(TDataSet *DataSet);
	void __fastcall cxVakumiranjeClick(TObject *Sender);
	void __fastcall cdsObradaStavke1NewRecord(TDataSet *DataSet);
	void __fastcall cxSledecaBalaClick(TObject *Sender);
	void __fastcall cxReklasiranjeClick(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall btRefreshClick(TObject *Sender);
	void __fastcall cxNoviBatchClick(TObject *Sender);
	void __fastcall cdsObradaNewRecord(TDataSet *DataSet);
	void __fastcall cdsObradaAfterPost(TDataSet *DataSet);
	void __fastcall cxButton4Click(TObject *Sender);
	void __fastcall cdsZaglavljeAfterScroll(TDataSet *DataSet);
	void __fastcall cxGridStatistikaDataControllerSummaryAfterSummary(TcxDataSummary *ASender);
	void __fastcall ZatvoriFormuExecute(TObject *Sender);
	void __fastcall cdsAktivniBatcheviAKTIVANChange(TField *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall Izmeni1Click(TObject *Sender);
	void __fastcall cxGridDBTableView1CustomDrawCell(TcxCustomGridTableView *Sender, TcxCanvas *ACanvas, TcxGridTableDataCellViewInfo *AViewInfo,
          bool &ADone);
	void __fastcall TimerPozadineTimer(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall cxGridBaleDataControllerSummaryAfterSummary(TcxDataSummary *ASender);
	void __fastcall cxKolicinaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cdsObradaReconcileError(TCustomClientDataSet *DataSet, EReconcileError *E,
          TUpdateKind UpdateKind, TReconcileAction &Action);
	void __fastcall cdsObradaStavkeReconcileError(TCustomClientDataSet *DataSet,
          EReconcileError *E, TUpdateKind UpdateKind, TReconcileAction &Action);
	void __fastcall Reklas1Click(TObject *Sender);
	void __fastcall Vratistatusnaaktivno1Click(TObject *Sender);
	void __fastcall cxGrid8DBTableView1CustomDrawCell(TcxCustomGridTableView *Sender,
          TcxCanvas *ACanvas, TcxGridTableDataCellViewInfo *AViewInfo,
          bool &ADone);


private:	// User declarations
	bool AktiviranBatch;
	UnicodeString BarKod;
	double Kolicina;
public:		// User declarations
	__fastcall TODObradaVagaI(TComponent* Owner);
	bool __fastcall ProveraBrojaBalaU_BatchU(AnsiString, int);
};
//---------------------------------------------------------------------------
extern PACKAGE TODObradaVagaI *ODObradaVagaI;
//---------------------------------------------------------------------------
#endif
