//---------------------------------------------------------------------------

#ifndef OD_Obrada_TPH
#define OD_Obrada_TPH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxButtons.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxCalendar.hpp"
#include "cxDropDownEdit.hpp"
#include "cxMaskEdit.hpp"
#include "cxCheckBox.hpp"
#include <Dialogs.hpp>
#include "cxGridExportLink.hpp"
#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <Vcl.ComCtrls.hpp>
//---------------------------------------------------------------------------
class TfmPrijemBalaUObradu_TP : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TcxPageControl *PC;
	TcxTabSheet *tsPregled;
	TPanel *Panel1;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridLevel *cxGrid1Level1;
	TcxLabel *cxLabel1;
	TcxTextEdit *cxBarkod;
	TSQLDataSet *sql;
	TDataSetProvider *dsp;
	TClientDataSet *cds;
	TDataSource *ds;
	TIntegerField *cdsID;
	TStringField *cdsBARKOD;
	TFloatField *cdsTEZINA;
	TSQLTimeStampField *cdsVREME;
	TSmallintField *cdsOBRISANO;
	TFloatField *cdsTEZINA_VG;
	TIntegerField *cdsID_DEALER;
	TStringField *cdsDEALER;
	TcxGridDBColumn *cxGrid1DBTableView1ID;
	TcxGridDBColumn *cxGrid1DBTableView1BARKOD;
	TcxGridDBColumn *cxGrid1DBTableView1TEZINA;
	TcxGridDBColumn *cxGrid1DBTableView1VREME;
	TcxGridDBColumn *cxGrid1DBTableView1OBRISANO;
	TcxGridDBColumn *cxGrid1DBTableView1TEZINA_VG;
	TcxGridDBColumn *cxGrid1DBTableView1ID_DEALER;
	TcxGridDBColumn *cxGrid1DBTableView1DEALER;
	TSQLStoredProc *sp;
	TcxStyleRepository *cxStyleRepository1;
	TcxStyle *cxStyle1;
	TcxTabSheet *cxTabSheet1;
	TPanel *Panel2;
	TcxButton *cxButton1;
	TcxButton *cxButton2;
	TcxGrid *cxGrid2;
	TcxGridDBTableView *cxGridDBTableView1;
	TcxGridDBColumn *cxGridDBColumn1;
	TcxGridDBColumn *cxGridDBColumn2;
	TcxGridDBColumn *cxGridDBColumn3;
	TcxGridDBColumn *cxGridDBColumn4;
	TcxGridDBColumn *cxGridDBColumn5;
	TcxGridDBColumn *cxGridDBColumn6;
	TcxGridDBColumn *cxGridDBColumn7;
	TcxGridDBColumn *cxGridDBColumn8;
	TcxGridLevel *cxGridLevel1;
	TcxLabel *cxLabel9;
	TcxDateEdit *cxOdDatuma;
	TcxDateEdit *cxDoDatuma;
	TcxLabel *cxLabel10;
	TSQLDataSet *sqlPregled;
	TDataSetProvider *dspPregled;
	TClientDataSet *cdsPregled;
	TDataSource *dsPregled;
	TIntegerField *cdsPregledID;
	TStringField *cdsPregledBARKOD;
	TFloatField *cdsPregledTEZINA;
	TSQLTimeStampField *cdsPregledVREME;
	TSmallintField *cdsPregledOBRISANO;
	TFloatField *cdsPregledTEZINA_VG;
	TIntegerField *cdsPregledID_DEALER;
	TStringField *cdsPregledDEALER;
	TcxStyleRepository *cxStyleRepository2;
	TcxStyle *cxStyle2;
	TcxStyleRepository *cxStyleRepository3;
	TcxStyle *cxStyle3;
	TcxCheckBox *cbInterneKlase;
	TcxTextEdit *cxIntKlasa;
	TcxLabel *cxLabelKlasa;
	TStringField *cdsINT_KLASA;
	TStringField *cdsPregledINT_KLASA;
	TcxGridDBColumn *cxGridDBTableView1INT_KLASA;
	TPopupMenu *PM_izmena;
	TMenuItem *Export1;
	TSaveDialog *SaveDialog1;
	TSQLQuery *sqlPostojiBala;
	TcxGridDBColumn *cxGrid1DBTableView1INT_KLASA;
	void __fastcall cxBarkodKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cdsAfterPost(TDataSet *DataSet);
	void __fastcall cdsNewRecord(TDataSet *DataSet);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall cxButton1Click(TObject *Sender);
	void __fastcall cxIntKlasaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall Export1Click(TObject *Sender);
	void __fastcall cbInterneKlasePropertiesChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfmPrijemBalaUObradu_TP(TComponent* Owner);
	void UnesiBalu();
};
//---------------------------------------------------------------------------
extern PACKAGE TfmPrijemBalaUObradu_TP *fmPrijemBalaUObradu_TP;
//---------------------------------------------------------------------------
#endif
