//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_OtvaranjeBatcha.h"
#include "OD_DM.h"
#include "OD_DmPretraga.h"
#include "OD_PretragaPodataka.h"
#include "OD_funkcije.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxControls"
#pragma link "cxGraphics"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxPC"
#pragma link "OD_OsnovnaPrazna"
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxContainer"
#pragma link "cxDBEdit"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxLabel"
#pragma link "cxLookupEdit"
#pragma link "cxMaskEdit"
#pragma link "cxTextEdit"
#pragma link "cxCheckBox"
#pragma link "cxClasses"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxFilter"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxStyles"
#pragma link "cxDateUtils"
#pragma link "cxNavigator"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxCore"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"
TfmOtvaranjeBatcha *fmOtvaranjeBatcha;
extern int MAGACIN_BUFFER;
extern int DOC_PROIZVODNJE;
extern int MAGACIN_PROIZVODNJE;
extern TKorisnik *myTKorisnik;
//---------------------------------------------------------------------------
__fastcall TfmOtvaranjeBatcha::TfmOtvaranjeBatcha(TComponent* Owner)
	: TfmOsnovnaPrazna(Owner)
{
//	cxOdDatuma->Date = Date();
//	cxDoDatuma->Date = Date();
	pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
	pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
	pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

}
//---------------------------------------------------------------------------
void __fastcall TfmOtvaranjeBatcha::btSnimiClick(TObject *Sender)
{
//	if (actionInsert) {
//		if (pravoInsert) {
//			btSnimi->Enabled = SnimiCDS(dspBatch, cdsBatch, dsBatch);
//			if(!btSnimi->Enabled) btNoviDoc->SetFocus();
//		}else {
//			btSnimi->Enabled = SnimiCDS(dspBatch, cdsBatch, dsBatch);
//			if(!btSnimi->Enabled) btNoviDoc->SetFocus();
//		}
//	}
			btSnimi->Enabled = SnimiCDS(dspBatch, cdsBatch, dsBatch);
			if(!btSnimi->Enabled) btNoviDoc->SetFocus();
}
//---------------------------------------------------------------------------
void __fastcall TfmOtvaranjeBatcha::cdsBatchNewRecord(TDataSet *DataSet)
{
	spBatch->Prepared = true;
	spBatch->ExecProc();
	cdsBatch->FieldByName("id")->AsInteger               = spBatch->ParamByName("ID")->Value;
	cdsBatch->FieldByName("sifra_magacina")->AsInteger   = MAGACIN_BUFFER;
	cdsBatch->FieldByName("sifra_magacina_u")->AsInteger = MAGACIN_PROIZVODNJE;
	cdsBatch->FieldByName("sifra_dokumenta")->AsInteger  = DOC_PROIZVODNJE;
	cdsBatch->FieldByName("sifra_komitenta")->AsInteger  = 0;
	cdsBatch->FieldByName("sifra_radnika")->AsInteger    = myTKorisnik->sifra_usera;
	cdsBatch->FieldByName("Vreme")->Value                = Now();
	cdsBatch->FieldByName("Datumdpo")->Value             = Date();
	cdsBatch->FieldByName("Aktivan")->AsInteger          = 1;
	cdsBatch->FieldByName("kontrola_kol")->AsInteger     = 1;
	cdsBatch->FieldByName("status")->AsInteger           = 10;
	//cdsBatch->FieldByName("BROJ_BATCHA")->AsInteger      = sqlBrojBatcha->FieldByName("BROJ_BATCHA")->AsInteger;
}
//---------------------------------------------------------------------------
void __fastcall TfmOtvaranjeBatcha::btNoviDocClick(TObject *Sender)
{
if (pravoInsert) {
    	try {
    		cdsBatch->Active = false;
			dsetBatch->ParamByName("id")->AsInteger = -1;
    		cdsBatch->Active = true;
    
    		cdsBatch->Append();
    		btSnimi->Enabled = true;
			actionInsert = true;

			cxBlend->SetFocus();
    	}
    	catch (Exception &e)
    	{
		  ShowMessage("Greska!! "+e.Message);
    	}    
}else {
		ShowMessage("Nemate prava da dodate podatke!");
	}
}
//---------------------------------------------------------------------------
void __fastcall TfmOtvaranjeBatcha::cxBlendKeyPress(TObject *Sender, wchar_t &Key)

{
	AnsiString naziv;

	if(Key == VK_RETURN)
	{
		  naziv = cxBlend->Text;

		  OD_DM_Pretraga->cdsBlend->Filter = "";
		  OD_DM_Pretraga->cdsBlend->Filtered = false;
		  OD_DM_Pretraga->cdsBlend->Active = false;
		  OD_DM_Pretraga->dsetBlend->ParamByName("broj")->AsString = UpperCase(naziv);
		  OD_DM_Pretraga->dsetBlend->ParamByName("opis")->AsString = UpperCase(naziv);
		  OD_DM_Pretraga->cdsBlend->Active = true;

		  if ( OD_DM_Pretraga->cdsBlend->RecordCount > 1)
		  {
				TOD_Osnovna_pretrage *OD_Osnovna_pretrage = new TOD_Osnovna_pretrage(OD_DM_Pretraga->dsetBlend, OD_DM_Pretraga->dsBlend, "VAZI_OD","OPIS","NAPOMENA", this);
				OD_Osnovna_pretrage->WindowState = wsNormal;

				if(OD_Osnovna_pretrage->ShowModal() == mrOk) {

					 cdsBatch->Edit();
					 cdsBatch->FieldByName("IDBLEND")->AsInteger         = OD_DM_Pretraga->cdsBlend->FieldByName("ID")->AsInteger;
					 cdsBatch->FieldByName("IDRECEPTURE")->AsInteger     = OD_DM_Pretraga->cdsBlend->FieldByName("ID")->AsInteger;
					 cdsBatch->FieldByName("IDBLENDA")->AsInteger        = OD_DM_Pretraga->cdsBlend->FieldByName("IDBLENDA")->AsInteger;
					 cdsBatch->FieldByName("BLEND")->AsString            = OD_DM_Pretraga->cdsBlend->FieldByName("OPIS")->AsString;
					 cdsBatch->FieldByName("UKUPNO_BALA_BATCH")->AsFloat = OD_DM_Pretraga->cdsBlend->FieldByName("UKUPNO_BALA")->AsFloat;
					 cdsBatch->FieldByName("BR_BALA_KOOPER")->AsFloat    = OD_DM_Pretraga->cdsBlend->FieldByName("BROJ_BL_KOOPERANTA")->AsFloat;
					 cdsBatch->FieldByName("BROJ_KOOPER_GRUPE")->AsFloat = OD_DM_Pretraga->cdsBlend->FieldByName("BROJ_KOOPER_GRUPE")->AsFloat;
					 cdsBatch->FieldByName("BROJ_BALA_GRUPE")->AsFloat   = OD_DM_Pretraga->cdsBlend->FieldByName("BROJ_BALA_GRUPE")->AsFloat;
					 cdsBatch->FieldByName("PROV_POREKLA")->AsInteger    = OD_DM_Pretraga->cdsBlend->FieldByName("PROV_POREKLA")->AsInteger;
					 //cdsBatch->FieldByName("BROJ_BATCHA")->AsInteger     = sqlBrojBatcha->FieldByName("BROJ_BATCHA")->AsInteger;
					 cdsBatch->Post();

					 cxNapomena->SetFocus();
				}

				delete OD_Osnovna_pretrage;
		  }
		  else if (OD_DM_Pretraga->cdsBlend->RecordCount == 1) {
					 cdsBatch->Edit();
					 cdsBatch->FieldByName("IDBLEND")->AsInteger         = OD_DM_Pretraga->cdsBlend->FieldByName("ID")->AsInteger;
					 cdsBatch->FieldByName("IDRECEPTURE")->AsInteger     = OD_DM_Pretraga->cdsBlend->FieldByName("ID")->AsInteger;
					 cdsBatch->FieldByName("IDBLENDA")->AsInteger        = OD_DM_Pretraga->cdsBlend->FieldByName("IDBLENDA")->AsInteger;
					 cdsBatch->FieldByName("BLEND")->AsString            = OD_DM_Pretraga->cdsBlend->FieldByName("OPIS")->AsString;
					 cdsBatch->FieldByName("UKUPNO_BALA_BATCH")->AsFloat = OD_DM_Pretraga->cdsBlend->FieldByName("UKUPNO_BALA")->AsFloat;
					 cdsBatch->FieldByName("BR_BALA_KOOPER")->AsFloat    = OD_DM_Pretraga->cdsBlend->FieldByName("BROJ_BL_KOOPERANTA")->AsFloat;
					 cdsBatch->FieldByName("BROJ_KOOPER_GRUPE")->AsFloat = OD_DM_Pretraga->cdsBlend->FieldByName("BROJ_KOOPER_GRUPE")->AsFloat;
					 cdsBatch->FieldByName("BROJ_BALA_GRUPE")->AsFloat   = OD_DM_Pretraga->cdsBlend->FieldByName("BROJ_BALA_GRUPE")->AsFloat;
					 cdsBatch->FieldByName("PROV_POREKLA")->AsInteger    = OD_DM_Pretraga->cdsBlend->FieldByName("PROV_POREKLA")->AsInteger;
					 cdsBatch->Post();

					cxNapomena->SetFocus();
		  }
		  else ShowMessage("Ne postoji PODATAK koji sadrzi u svom nazivu tekst: "+naziv);
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmOtvaranjeBatcha::cxButton2Click(TObject *Sender)
{
	try {
		cdsZaglavlje->Active = false;
		dsetZaglavlje->ParamByName("od_datuma")->Value = cxOdDatuma->Date;
		dsetZaglavlje->ParamByName("do_datuma")->Value = cxDoDatuma->Date;
		dsetZaglavlje->ParamByName("mg")->AsInteger    = MAGACIN_BUFFER;
		dsetZaglavlje->ParamByName("doc")->AsInteger   = DOC_PROIZVODNJE;
		cdsZaglavlje->Active = true;
	}
	catch (Exception &e)
	{
	  ShowMessage("Greska!! "+e.Message);
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmOtvaranjeBatcha::FormCreate(TObject *Sender)
{
	cxOdDatuma->Date = StartOfTheMonth(Date());
	cxDoDatuma->Date = EndOfTheMonth(Date());
	actionInsert = false;
}
//---------------------------------------------------------------------------

void __fastcall TfmOtvaranjeBatcha::cxBrojBatchKeyPress(TObject *Sender, wchar_t &Key)
{
	if(Key == VK_RETURN)	cxBlend->SetFocus();
}
//---------------------------------------------------------------------------

void __fastcall TfmOtvaranjeBatcha::cxNapomenaKeyPress(TObject *Sender, wchar_t &Key)
{
	if(Key == VK_RETURN)	btSnimi->SetFocus();
}
//---------------------------------------------------------------------------

void __fastcall TfmOtvaranjeBatcha::Izmeni1Click(TObject *Sender)
{
if (pravoUpdate) {
     try {
    		cdsBatch->Active = false;
    		dsetBatch->ParamByName("id")->AsInteger = cdsZaglavlje->FieldByName("ID")->AsInteger;
    		cdsBatch->Active = true;

    		cxPageControl1->ActivePage = cxTabSheet1;
    		btSnimi->Enabled = true;
    		actionInsert = false;
     }
     catch(Exception &e) {
			ShowMessage("Greska!! "+e.Message);
     }
}else {
		ShowMessage("Nemate prava da menjate podatke!");
	}
}
//---------------------------------------------------------------------------


void __fastcall TfmOtvaranjeBatcha::Obrisi1Click(TObject *Sender)
{
	if (pravoDelete) {
		try {
			 sqlDelete->ParamByName("id")->AsInteger = cdsZaglavlje->FieldByName("ID")->AsInteger;
			 sqlDelete->ExecSQL();

			 cxButton2->Click();
		}
		catch (Exception &e) {
			 ShowMessage("Greska!! "+e.Message);
		}
	}else {
		ShowMessage("Nemate prava da brisete podatke!");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmOtvaranjeBatcha::cdsBatchIDBLENDChange(TField *Sender)
{
	try {
		int BrojBatcha =0;

		sqlBrojBatcha->Active = false;
		sqlBrojBatcha->ParamByName("blend")->AsInteger = cdsBatch->FieldByName("IDBLENDA")->AsInteger;
		sqlBrojBatcha->ParamByName("datum")->Value = DM_OD->cdsSystemOD->FieldByName("datum_od")->Value;
		sqlBrojBatcha->Active = true;

		if(sqlBrojBatcha->FieldByName("broj_batcha")->AsInteger == 0) BrojBatcha = 1;
		else                                                          BrojBatcha = sqlBrojBatcha->FieldByName("broj_batcha")->AsInteger;

		cdsBatch->FieldByName("BROJ_BATCHA")->AsInteger = BrojBatcha;
	}
	catch(Exception &e) {
		ShowMessage("Greska!! "+e.Message);
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmOtvaranjeBatcha::cdsBatchSTATUSChange(TField *Sender)
{
	if(cdsBatchSTATUS->AsInteger == 20) {
		cdsBatch->FieldByName("datum_od")->Value = Now();                                            //kada batch predje u aktivno stanje
		cdsBatch->FieldByName("datum_obrade")->Value = Now()-DM_OD->cdsSystemOD->FieldByName("start_radni_dan")->AsDateTime; // zbog izvestaja koji se odnose na radni dan od 06.00-06.00h
	}
}
//---------------------------------------------------------------------------

