//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_PregledBalaLaboratorija.h"
#include "OD_DM.h"
#include "fmMessageRed.h"
#include "OD_funkcije.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxCheckBox"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxMaskEdit"
#pragma link "cxStyles"
#pragma link "cxTextEdit"
#pragma link "cxDateUtils"
#pragma link "cxNavigator"
#pragma link "dxCore"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"
TfrmPregledKutijaDuvana *frmPregledKutijaDuvana;
//---------------------------------------------------------------------------
__fastcall TfrmPregledKutijaDuvana::TfrmPregledKutijaDuvana(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{

	pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
	pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
	pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

}
//---------------------------------------------------------------------------
void __fastcall TfrmPregledKutijaDuvana::FormCreate(TObject *Sender)
{
	cxOdDatuma->Date = Date();
	cxDoDatuma->Date = Now();
}
//---------------------------------------------------------------------------
void __fastcall TfrmPregledKutijaDuvana::cxPregledClick(TObject *Sender)
{
	cdsPregledBala->Active = false;
		dsetPregledBala->ParamByName("od_datuma")->Value = cxOdDatuma->Date;
		dsetPregledBala->ParamByName("do_datuma")->Value = cxDoDatuma->Date;
	cdsPregledBala->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall TfrmPregledKutijaDuvana::Obrisi1Click(TObject *Sender)
{
				if (pravoDelete) {
            if(cdsPregledBala->Active) {

            		  if(!cdsPregledBala->IsEmpty()) {

            				if(MessageBoxA(Handle,"Da li ste sigurni da zelite da OBRISETE balu?", "Obrada ", MB_YESNO) == IDYES)
            				{
            					cdsPregledBala->Edit();
            						cdsPregledBala->FieldByName("deleted")->AsInteger = 1;
            					cdsPregledBala->Post();

            					if(SnimiCDS(dspPregledBala, cdsPregledBala, dsPregledBala)) {
            						ShowMyMessageRed->Show("Greska!! Bala NIJE obrisana!!", 0x00FFDDFF);
            					}

            					cxPregled->Click();
            				}
            		  }
            		  else ShowMyMessageRed->Show("Nema podataka u trazenom periodu!!", 0x00CCF8F9);
            		}
            		else {
							ShowMyMessageRed->Show("Kliknite na dugme pregled da pregledate podatke!!", 0x00CCF8F9);
            		}
		}else {
		ShowMessage("Nemate prava da brisete podatke!");
	}
}
//---------------------------------------------------------------------------
void __fastcall TfrmPregledKutijaDuvana::FormClose(TObject *Sender, TCloseAction &Action)
{
   Action = caFree;
}
//---------------------------------------------------------------------------
void __fastcall TfrmPregledKutijaDuvana::btSnimiClick(TObject *Sender)
{
	btSnimi->Enabled = SnimiCDS(dspPregledBala, cdsPregledBala, dsPregledBala);
}
//---------------------------------------------------------------------------
void __fastcall TfrmPregledKutijaDuvana::dspPregledBalaBeforeUpdateRecord(TObject *Sender,
          TDataSet *SourceDS, TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind,
          bool &Applied)
{

	if (UpdateKind == ukInsert) {
		if (!pravoInsert) {
			Applied = true;
			ShowMessage("Nemate pravo da dodate nove podatke!");
			if(cdsPregledBala->Active == true) {
				if(cdsPregledBala->ChangeCount == 0)
					cdsPregledBala->Refresh();
				else {
					cdsPregledBala->Active = false;
					cdsPregledBala->Active = true;
                }
            }
		}

	}else if (UpdateKind == ukModify) {
		if (!pravoUpdate) {
			Applied = true;
			ShowMessage("Nemate pravo da menjate postojece podatke!");
			if(cdsPregledBala->Active == true) {
				if(cdsPregledBala->ChangeCount == 0)
					cdsPregledBala->Refresh();
				else {
					cdsPregledBala->Active = false;
					cdsPregledBala->Active = true;
                }
			}
		}

	}else if (UpdateKind == ukDelete) {
		if (!pravoDelete) {
			Applied = true;
			ShowMessage("Nemate pravo da brisete postojece podatke!");
			if(cdsPregledBala->Active == true) {
				if(cdsPregledBala->ChangeCount == 0)
					cdsPregledBala->Refresh();
				else {
					cdsPregledBala->Active = false;
					cdsPregledBala->Active = true;
                }
            }
		}
	}
}
//---------------------------------------------------------------------------

