//---------------------------------------------------------------------------

#ifndef OD_PregledBalaLaboratorijaH
#define OD_PregledBalaLaboratorijaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <Vcl.ComCtrls.hpp>
//---------------------------------------------------------------------------
class TfrmPregledKutijaDuvana : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TSQLDataSet *dsetPregledBala;
	TDataSetProvider *dspPregledBala;
	TClientDataSet *cdsPregledBala;
	TIntegerField *cdsPregledBalaID;
	TIntegerField *cdsPregledBalaBARKOD;
	TIntegerField *cdsPregledBalaCASE_NO;
	TStringField *cdsPregledBalaGRADE;
	TStringField *cdsPregledBalaMOPI;
	TStringField *cdsPregledBalaSAP_BATCH;
	TStringField *cdsPregledBalaBATCH_NO;
	TFloatField *cdsPregledBalaNETO;
	TFloatField *cdsPregledBalaTARA;
	TFloatField *cdsPregledBalaBRUTO;
	TSQLTimeStampField *cdsPregledBalaDATUM;
	TStringField *cdsPregledBalaINT_BARKOD;
	TStringField *cdsPregledBalaDEALER;
	TStringField *cdsPregledBalaORIGIN;
	TIntegerField *cdsPregledBalaCROP;
	TSmallintField *cdsPregledBalaDELETED;
	TIntegerField *cdsPregledBalaSIFRA_RADNIKA;
	TSQLTimeStampField *cdsPregledBalaDATE_CHANGE;
	TIntegerField *cdsPregledBalaRADNIKA_CHANGE;
	TIntegerField *cdsPregledBalaID_BLENDA;
	TIntegerField *cdsPregledBalaIDZG;
	TIntegerField *cdsPregledBalaIDOZBLENDA;
	TSmallintField *cdsPregledBalaBLOKIRAJ;
	TIntegerField *cdsPregledBalaSTATUS;
	TDataSource *dsPregledBala;
	TPanel *Panel8;
	TcxLabel *cxLabel9;
	TcxDateEdit *cxOdDatuma;
	TcxDateEdit *cxDoDatuma;
	TcxLabel *cxLabel10;
	TcxButton *cxPregled;
	TcxButton *btStampaj2;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridDBColumn *cxGrid1DBTableView1ID;
	TcxGridDBColumn *cxGrid1DBTableView1BARKOD;
	TcxGridDBColumn *cxGrid1DBTableView1CASE_NO;
	TcxGridDBColumn *cxGrid1DBTableView1GRADE;
	TcxGridDBColumn *cxGrid1DBTableView1MOPI;
	TcxGridDBColumn *cxGrid1DBTableView1SAP_BATCH;
	TcxGridDBColumn *cxGrid1DBTableView1BATCH_NO;
	TcxGridDBColumn *cxGrid1DBTableView1NETO;
	TcxGridDBColumn *cxGrid1DBTableView1TARA;
	TcxGridDBColumn *cxGrid1DBTableView1BRUTO;
	TcxGridDBColumn *cxGrid1DBTableView1DATUM;
	TcxGridDBColumn *cxGrid1DBTableView1INT_BARKOD;
	TcxGridDBColumn *cxGrid1DBTableView1BLOKIRAJ;
	TcxGridDBColumn *cxGrid1DBTableView1STATUS;
	TcxGridDBColumn *cxGrid1DBTableView1CROP;
	TcxGridDBColumn *cxGrid1DBTableView1DEALER;
	TcxGridDBColumn *cxGrid1DBTableView1ORIGIN;
	TcxGridDBColumn *cxGrid1DBTableView1SIFRA_RADNIKA;
	TcxGridDBColumn *cxGrid1DBTableView1DATE_CHANGE;
	TcxGridDBColumn *cxGrid1DBTableView1RADNIKA_CHANGE;
	TcxGridDBColumn *cxGrid1DBTableView1ID_BLENDA;
	TcxGridDBColumn *cxGrid1DBTableView1IDZG;
	TcxGridDBColumn *cxGrid1DBTableView1IDOZBLENDA;
	TcxGridDBColumn *cxGrid1DBTableView1DELETED;
	TcxGridLevel *cxGrid1Level1;
	TIntegerField *dsetPregledBalaID;
	TIntegerField *dsetPregledBalaBARKOD;
	TIntegerField *dsetPregledBalaCASE_NO;
	TStringField *dsetPregledBalaGRADE;
	TStringField *dsetPregledBalaMOPI;
	TStringField *dsetPregledBalaSAP_BATCH;
	TStringField *dsetPregledBalaBATCH_NO;
	TFloatField *dsetPregledBalaNETO;
	TFloatField *dsetPregledBalaTARA;
	TFloatField *dsetPregledBalaBRUTO;
	TSQLTimeStampField *dsetPregledBalaDATUM;
	TIntegerField *dsetPregledBalaCROP;
	TStringField *dsetPregledBalaDEALER;
	TStringField *dsetPregledBalaORIGIN;
	TSmallintField *dsetPregledBalaDELETED;
	TIntegerField *dsetPregledBalaSIFRA_RADNIKA;
	TSQLTimeStampField *dsetPregledBalaDATE_CHANGE;
	TIntegerField *dsetPregledBalaRADNIKA_CHANGE;
	TIntegerField *dsetPregledBalaID_BLENDA;
	TIntegerField *dsetPregledBalaIDZG;
	TStringField *dsetPregledBalaINT_BARKOD;
	TIntegerField *dsetPregledBalaIDOZBLENDA;
	TSmallintField *dsetPregledBalaBLOKIRAJ;
	TIntegerField *dsetPregledBalaSTATUS;
	TPopupMenu *PopupMenu1;
	TMenuItem *Obrisi1;
	TMenuItem *N1;
	TMenuItem *Exportuexcel1;
	TcxButton *btSnimi;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall cxPregledClick(TObject *Sender);
	void __fastcall Obrisi1Click(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall btSnimiClick(TObject *Sender);
	void __fastcall dspPregledBalaBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS,
          TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind, bool &Applied);

private:	// User declarations
public:		// User declarations
	__fastcall TfrmPregledKutijaDuvana(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmPregledKutijaDuvana *frmPregledKutijaDuvana;
//---------------------------------------------------------------------------
#endif
