//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_PromenaStatusaBatcha.h"
#include "OD_ObradaDuvanaVaga1.h"
#include "OD_DM.h"
#include "fmMessageRed.h"
#include "OD_funkcije.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxClasses"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxStyles"
#pragma link "cxCheckBox"
#pragma link "cxContainer"
#pragma link "cxDBEdit"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxDropDownEdit"
#pragma link "cxLabel"
#pragma link "cxLookupEdit"
#pragma link "cxMaskEdit"
#pragma link "cxTextEdit"
#pragma link "cxPC"
#pragma link "cxButtons"
#pragma resource "*.dfm"
TfmPromenaStatusaBatcha *fmPromenaStatusaBatcha;
extern int MAGACIN_BUFFER;
extern int DOC_PROIZVODNJE;
extern int STATUS_U_OBRADI=4;
//---------------------------------------------------------------------------
__fastcall TfmPromenaStatusaBatcha::TfmPromenaStatusaBatcha(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{
	cdsAktivniBatchevi->Active = false;
	dsetAktivniBatchevi->ParamByName("status_zavrsen")->AsInteger = 0;
	dsetAktivniBatchevi->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
	dsetAktivniBatchevi->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
	cdsAktivniBatchevi->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall TfmPromenaStatusaBatcha::btSnimiClick(TObject *Sender)
{
	btSnimi->Enabled = SnimiCDS(dspAktivniBatchevi, cdsAktivniBatchevi, dsAktivniBatchevi);
	if(!cdsBatch->IsEmpty()) btSnimi->Enabled = SnimiCDS(dspBatch, cdsBatch, dsBatch);

	if(btSnimi->Enabled == false) {
		 ModalResult = mrOk;
	}
}
//---------------------------------------------------------------------------
void __fastcall TfmPromenaStatusaBatcha::cxButton1Click(TObject *Sender)
{
	  ModalResult = mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TfmPromenaStatusaBatcha::cxButton2Click(TObject *Sender)
{
	sqlPoslednjiBatch->Active = false;
	sqlPoslednjiBatch->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
	sqlPoslednjiBatch->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
	sqlPoslednjiBatch->Active = true;

	cdsBatch->Active = false;
	dsetBatch->ParamByName("id")->AsInteger = -1;
	cdsBatch->Active = true;

	cdsBatch->Append();
	cdsBatch->Post();

 //	btSnimi->Enabled = SnimiCDS(dspBatch, cdsBatch, dsBatch);
}
//---------------------------------------------------------------------------
void __fastcall TfmPromenaStatusaBatcha::cdsBatchNewRecord(TDataSet *DataSet)
{
  AnsiString s;
	spBatch->Prepared = true;
	spBatch->ExecProc();
	cdsBatch->FieldByName("id")->AsInteger = spBatch->ParamByName("ID")->Value;
/*
	cdsBatch->FieldByName("sifra_magacina")->AsInteger = cdsBatch->FieldByName("sifra_magacina")->AsInteger
	cdsBatch->FieldByName("sifra_dokumenta")->AsInteger = DOC_PROIZVODNJE;
	cdsBatch->FieldByName("sifra_komitenta")->AsInteger = 0;
	cdsBatch->FieldByName("Vreme")->Value = Now();

	cdsBatch->FieldByName("Aktivan")->AsInteger = 1;
*/

		for (int i=0 ; i<sqlPoslednjiBatch->FieldList->Count ; i++ )
		{
		  if(sqlPoslednjiBatch->Fields->Fields[i]->FieldName != "ID" &&
			  sqlPoslednjiBatch->Fields->Fields[i]->FieldName != "STATUS")
		  {
			 s = sqlPoslednjiBatch->Fields->Fields[i]->FieldName;
			 cdsBatch->FieldByName(s)->Value = sqlPoslednjiBatch->FieldByName(s)->Value;
		  }
		}

	cdsBatch->FieldByName("status")->AsInteger = 1;
	cdsBatch->FieldByName("Datumdpo")->Value = Date();
	cdsBatch->FieldByName("Vreme")->Value = Now();
}
//---------------------------------------------------------------------------
void __fastcall TfmPromenaStatusaBatcha::cxDBTextEdit1PropertiesEditValueChanged(TObject *Sender)
{
	btSnimi->Enabled = true;
}
//---------------------------------------------------------------------------
