//---------------------------------------------------------------------------

#ifndef OD_vakumiranjeH
#define OD_vakumiranjeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxButtons.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxPC.hpp"
#include <ActnList.hpp>
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
//---------------------------------------------------------------------------
class TfmVakumiranje : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TSQLDataSet *dsetVakumiranje;
	TDataSetProvider *dspVakumiranje;
	TClientDataSet *cdsVakumiranje;
	TDataSource *dsVakumiranje;
	TIntegerField *cdsVakumiranjeID;
	TFloatField *cdsVakumiranjeTEZINA;
	TSQLTimeStampField *cdsVakumiranjeVREME;
	TIntegerField *cdsVakumiranjeSIFRA_RADNIKA;
	TSmallintField *cdsVakumiranjeDELETED;
	TIntegerField *cdsVakumiranjeBRBARKODA;
	TStringField *cdsVakumiranjeINT_KLASA;
	TcxPageControl *cxPageControl1;
	TcxTabSheet *cxTabSheet1;
	TcxTabSheet *cxTabSheet2;
	TPanel *Panel1;
	TcxButton *cxButton1;
	TcxButton *cxSnimi;
	TcxGrid *cxGrid2;
	TcxGridDBTableView *cxGridDBTableView1;
	TcxGridDBColumn *cxGridDBTableView1BRBARKODA;
	TcxGridDBColumn *cxGridDBTableView1INT_KLASA;
	TcxGridDBColumn *cxGridDBTableView1ID;
	TcxGridDBColumn *cxGridDBTableView1TEZINA;
	TcxGridDBColumn *cxGridDBTableView1VREME;
	TcxGridDBColumn *cxGridDBTableView1SIFRA_RADNIKA;
	TcxGridLevel *cxGridLevel1;
	TSmallintField *cdsVakumiranjeSTATUS;
	TSQLDataSet *dsetBala;
	TDataSetProvider *dspBala;
	TClientDataSet *cdsBala;
	TDataSource *dsBala;
	TIntegerField *cdsBalaID;
	TIntegerField *cdsBalaBALAID;
	TIntegerField *cdsBalaBRBARKODA;
	TIntegerField *cdsBalaSORTAID;
	TIntegerField *cdsBalaPODSORTAID;
	TIntegerField *cdsBalaKLASA;
	TIntegerField *cdsBalaKLASAID;
	TFloatField *cdsBalaAMBALAZA;
	TIntegerField *cdsBalaPRASINA;
	TFMTBCDField *cdsBalaVLAGA;
	TFMTBCDField *cdsBalaBRUTOMASA;
	TFMTBCDField *cdsBalaNETOMASA;
	TFMTBCDField *cdsBalaPRASINAODBITAK;
	TFMTBCDField *cdsBalaVLAGAODBITAK;
	TStringField *cdsBalaOZNAKA_VLAGE;
	TIntegerField *cdsBalaKOOPERANTID;
	TSQLTimeStampField *cdsBalaDATUM_PRIJEMA;
	TSmallintField *cdsBalaOBRISANO;
	TStringField *cdsBalaNAVODNJAVAN;
	TStringField *cdsBalaSECEN;
	TSmallintField *cdsBalaPRIMESE;
	TIntegerField *cdsBalaGRUPA;
	TIntegerField *cdsBalaRACK;
	TStringField *cdsBalaINT_KLASA;
	TSQLStoredProc *spVakumiranje;
	TcxTextEdit *cxBarCode;
	TcxLabel *cxLabel16;
	TActionList *ActionList1;
	TAction *ZatvoriFormu;
	TTimer *Timer1;
	TSQLQuery *sqlBalaUObradi;
	TcxButton *cxButton2;
	void __fastcall cdsVakumiranjeNewRecord(TDataSet *DataSet);
	void __fastcall cxBarCodeKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxSnimiClick(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall cxButton1Click(TObject *Sender);
	void __fastcall cdsVakumiranjeAfterPost(TDataSet *DataSet);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall ZatvoriFormuExecute(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall cxButton2Click(TObject *Sender);
	void __fastcall dspVakumiranjeBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS,
          TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind, bool &Applied);

private:	// User declarations
public:		// User declarations
	__fastcall TfmVakumiranje(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmVakumiranje *fmVakumiranje;
//---------------------------------------------------------------------------
#endif
