//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "PR_TehnologijeNormativiNovo.h"
//#include "DM_PR.h"
//#include "BUS_DM.h"
//#include "BUS_DM_PRETRAGE.h"
//#include "BUS_OsnovnaPretraga_N.h"
#include "OD_DM.h"
#include "OD_DmPretraga.h"
#include "BUS_OsnovnaPretraga_N.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_OsnovnaFormaNova"
#pragma link "cxClasses"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDBNavigator"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxNavigator"
#pragma link "cxPC"
#pragma link "cxStyles"
#pragma link "cxCalendar"
#pragma link "cxContainer"
#pragma link "cxDBEdit"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxDropDownEdit"
#pragma link "cxGroupBox"
#pragma link "cxLookupEdit"
#pragma link "cxMaskEdit"
#pragma link "cxTextEdit"
#pragma link "frxClass"
#pragma link "frxDBSet"
#pragma link "cxButtons"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxCheckBox"
#pragma link "cxSplitter"
#pragma link "cxDBLabel"
#pragma link "cxLabel"
#pragma link "cxLookAndFeels"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"
TPR_TehnologijeNormativi *PR_TehnologijeNormativi;
//---------------------------------------------------------------------------
__fastcall TPR_TehnologijeNormativi::TPR_TehnologijeNormativi(TComponent* Owner)
  : TfmOsnovnaFormaNova(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TPR_TehnologijeNormativi::FormCreate(TObject *Sender)
{
	TfmOsnovnaFormaNova::FormCreate(Sender);

	ascroll = 0;
	cdsTeh->Active = false;
	cdsTeh->Active = true;
	ascroll = 1;
	cdsTeh->First();

	if (cdsTeh->RecordCount > 0) dbGridDBTable->NewItemRow->Visible = false;
	else                         dbGridDBTable->NewItemRow->Visible = true;

	if (cdsMG_robni->Active != true) cdsMG_robni->Active = true;

	cds = dynamic_cast<TClientDataSet*>(cdsTeh);
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::btStampaClick(TObject *Sender)
{
  frxTehnologije->ShowReport();
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::SpeedButton1Click(
      TObject *Sender)
{
  frxProcesi->ShowReport();
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::SpeedButton2Click(
      TObject *Sender)
{
	cdsStampaTeh->Active = false;
	sqlStampaTeh->ParamByName("id")->AsInteger = cdsTeh->FieldByName("id")->AsInteger;
	cdsStampaTeh->Active = true;

	cdsStampaNormativa->Active = false;
	sqlStampaNormativa->ParamByName("idprocesa")->AsInteger = cdsStampaTeh->FieldByName("id")->AsInteger;
	cdsStampaNormativa->Active = true;

	frxNormativi->ShowReport();
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::cxButton1Click(TObject *Sender)
{
  cdsIzvestaj->Active = false;
//  dsetIzvestaj->ParamByName("idtehnologije")->AsInteger = 1;
  cdsIzvestaj->Active = true;
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::SpeedButton3Click(
      TObject *Sender)
{
  frxSviNormativi->ShowReport();
}
//---------------------------------------------------------------------------
void __fastcall TPR_TehnologijeNormativi::cdsTehNewRecord(
      TDataSet *DataSet)
{
	IDTehnologije->Prepared = true;
	IDTehnologije->ExecProc();

	cdsTeh->FieldByName("ID")->AsInteger = IDTehnologije->ParamByName("ID")->Value;
  cdsTeh->FieldByName("DATUM")->Value = Date();
  cdsTeh->FieldByName("KOLICINA")->AsCurrency = 1;
  cdsTeh->FieldByName("KOL_U_PJM")->AsCurrency = 1;
}
//---------------------------------------------------------------------------


void __fastcall TPR_TehnologijeNormativi::cdsNormativNewRecord(
      TDataSet *DataSet)
{
	 IDNormativa->Prepared = true;
	 IDNormativa->ExecProc();

	 cdsNormativ->FieldByName("id")->AsInteger = IDNormativa->ParamByName("ID")->Value;
   cdsNormativ->FieldByName("id_tehproces")->AsInteger =  cdsTeh->FieldByName("id")->AsInteger;
   cdsNormativ->FieldByName("kolicina")->AsCurrency = 0;
   cdsNormativ->FieldByName("TIPS")->AsString = "M";
   cdsNormativ->FieldByName("TIP_OBRACUNA_KOL")->AsString = "P";
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::dbGridDBTableEditKeyDown(
      TcxCustomGridTableView *Sender, TcxCustomGridTableItem *AItem,
      TcxCustomEdit *AEdit, WORD &Key, TShiftState Shift)
{
  if((Key == VK_RETURN) && (AItem == dbGridDBTableArtikal || AItem == dbGridDBTableKod))
  {
       AnsiString artikal = AEdit->EditingValue;

		  OD_DM_Pretraga->cdsArtikliPretraga->Filter = "";
		  OD_DM_Pretraga->cdsArtikliPretraga->Filtered = false;
		  OD_DM_Pretraga->cdsArtikliPretraga->Active = false;
		  OD_DM_Pretraga->dsetArtikliPretraga->ParamByName("naziv")->AsString = artikal;
		  OD_DM_Pretraga->cdsArtikliPretraga->Active = true;

       if ( OD_DM_Pretraga->cdsArtikliPretraga->RecordCount > 1)
		  {
				Tfm_osnovna_pretraga *fm_osnovna_pretraga = new Tfm_osnovna_pretraga(OD_DM_Pretraga->dsetArtikliPretraga, OD_DM_Pretraga->dsArtikliPretraga, "KOD","ARTIKAL", this);
           fm_osnovna_pretraga->WindowState = wsNormal;

           if(fm_osnovna_pretraga->ShowModal() == mrOk)
           {
               cdsTeh->Edit();
					 cdsTeh->FieldByName("KOD")->AsString     = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("kod")->AsString;
					 cdsTeh->FieldByName("ARTIKAL")->AsString = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("artikal")->AsString;
					 cdsTeh->FieldByName("SIFRA_PROIZVODA")->AsInteger = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("sifra_robe")->AsInteger;
					 cdsTeh->FieldByName("JEDMERE")->AsString = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("JEDMERE")->AsString;
					 cdsTeh->FieldByName("IDJM")->AsInteger   = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("IDJM")->AsInteger;
               cdsTeh->Post();
           }

           delete fm_osnovna_pretraga;
       }
		  else if (OD_DM_Pretraga->cdsArtikliPretraga->RecordCount == 1)
       {
               cdsTeh->Edit();
					 cdsTeh->FieldByName("KOD")->AsString     = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("kod")->AsString;
					 cdsTeh->FieldByName("ARTIKAL")->AsString = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("artikal")->AsString;
					 cdsTeh->FieldByName("SIFRA_PROIZVODA")->AsInteger = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("sifra_robe")->AsInteger;
					 cdsTeh->FieldByName("JEDMERE")->AsString = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("JEDMERE")->AsString;
					 cdsTeh->FieldByName("IDJM")->AsInteger   = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("IDJM")->AsInteger;
               cdsTeh->Post();
       }
       else ShowMessage("Ne postoji artikal koji sadrzi u svom nazivu tekst: "+artikal);
  }
  else if(Key == VK_RETURN)
  {
         cdsTeh->Edit();
         cdsTeh->Post();
  }
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::cxGridDBTableView2EditKeyDown(
      TcxCustomGridTableView *Sender, TcxCustomGridTableItem *AItem,
      TcxCustomEdit *AEdit, WORD &Key, TShiftState Shift)
{
  if((Key == VK_RETURN) && (AItem == cxGridDBTableView2Artikal || AItem == cxGridDBTableView2Kod))
  {
       AnsiString artikal = AEdit->EditingValue;

		  OD_DM_Pretraga->cdsArtikliPretraga->Filter = "";
		  OD_DM_Pretraga->cdsArtikliPretraga->Filtered = false;
		  OD_DM_Pretraga->cdsArtikliPretraga->Active = false;
		  OD_DM_Pretraga->dsetArtikliPretraga->ParamByName("naziv")->AsString = artikal;
		  OD_DM_Pretraga->cdsArtikliPretraga->Active = true;

		  if ( OD_DM_Pretraga->cdsArtikliPretraga->RecordCount > 1)
       {
				Tfm_osnovna_pretraga *fm_osnovna_pretraga = new Tfm_osnovna_pretraga(OD_DM_Pretraga->dsetArtikliPretraga, OD_DM_Pretraga->dsArtikliPretraga, "KOD","ARTIKAL", this);
           fm_osnovna_pretraga->WindowState = wsNormal;

           if(fm_osnovna_pretraga->ShowModal() == mrOk)
           {
               cdsNormativ->Edit();
					 cdsNormativ->FieldByName("KOD")->AsString     = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("kod")->AsString;
					 cdsNormativ->FieldByName("ARTIKAL")->AsString = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("artikal")->AsString;
					 cdsNormativ->FieldByName("JEDMERE")->AsString = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("JEDMERE")->AsString;
					 cdsNormativ->FieldByName("IDJM")->AsInteger   = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("IDJM")->AsInteger;
					 cdsNormativ->FieldByName("SIFRA_MATERIJALA")->AsInteger = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("sifra_robe")->AsInteger;
               cdsNormativ->Post();
           }

           delete fm_osnovna_pretraga;
       }
		  else if (OD_DM_Pretraga->cdsArtikliPretraga->RecordCount == 1)
       {
               cdsNormativ->Edit();
					 cdsNormativ->FieldByName("KOD")->AsString     = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("kod")->AsString;
					 cdsNormativ->FieldByName("ARTIKAL")->AsString = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("artikal")->AsString;
					 cdsNormativ->FieldByName("JEDMERE")->AsString = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("JEDMERE")->AsString;
					 cdsNormativ->FieldByName("IDJM")->AsInteger   = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("IDJM")->AsInteger;
					 cdsNormativ->FieldByName("SIFRA_MATERIJALA")->AsInteger = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("sifra_robe")->AsInteger;
               cdsNormativ->Post();
       }
       else ShowMessage("Ne postoji artikal koji sadrzi u svom nazivu tekst: "+artikal);
   }
  else if(Key == VK_RETURN)
  {
         cdsNormativ->Edit();
         cdsNormativ->Post();
  }
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::cdsTehAfterPost(
		 TDataSet *DataSet)
{
	//ProveriOsnovnuSirovinu();


}
//---------------------------------------------------------------------------
void __fastcall	TPR_TehnologijeNormativi::ProveriOsnovnuSirovinu()
{
 if(cdsNormativ->Active) {
		cdsNormativ->First();
		osnovna_sirovina =0;

		while(!cdsNormativ->Eof)	{

			if(cdsNormativ->FieldByName("OSNOVNA")->AsString =="D") osnovna_sirovina +=1;

			if(osnovna_sirovina >1) {
				MessageBoxA(0, "Samo jedna sirovina moe biti osnovna!", "Greka!", MB_ICONWARNING|MB_OK);
				cxGrid2->SetFocus();
				cxGridDBTableView2OSNOVNA->FocusWithSelection();
				Abort();
			}
			cdsNormativ->Next();
		}
	}
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::dbGridDBTableDblClick(
      TObject *Sender)
{
	PC->ActivePage = cxTabNormativi;
	//PCChange(Sender);
	if (cdsTeh->RecordCount == 0) Abort();

//	if (cdsProces->RecordCount > 0)    cxGridDBTableView1->NewItemRow->Visible = false;
//	else	{
//        cxButton10Click(this);
//	}
}
//---------------------------------------------------------------------------
void __fastcall TPR_TehnologijeNormativi::cxOsveziClick(TObject *Sender)
{
   cdsTeh->Active = false;
   cdsTeh->Active = true;

   if (cdsTeh->RecordCount > 0)    dbGridDBTable->NewItemRow->Visible = false;
   else                            dbGridDBTable->NewItemRow->Visible = true;
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::MenuItem1Click(TObject *Sender)
{ /*
	AnsiString s;

	Variant id_tehnologije = cdsTeh->FieldByName("ID")->Value; // uzmi id od normativa koji se kopira

	cdsProces->Active = false;
	dsetProces->ParamByName("id")->AsInteger = id_tehnologije;
	cdsProces->Active = true;

	Variant id_procesa = cdsProces->FieldByName("ID")->Value; // uzmi id od procesa koji se kopira

	Variant odeljenje = cdsTeh->FieldByName("ID_ODELJENJA")->Value;
	Variant sifra_proizvoda = cdsTeh->FieldByName("SIFRA_PROIZVODA")->Value;
	Variant idjm = cdsTeh->FieldByName("IDJM")->Value;
	Variant sifra_magacina = cdsTeh->FieldByName("SIFRA_MAGACINA")->Value;
	// aktivan = cdsTeh->FieldByName("AKTIVAN")->AsInteger;
	Variant naziv = cdsTeh->FieldByName("NAZIV")->Value;
	Variant opis = cdsTeh->FieldByName("OPIS")->Value;
	Variant kod = cdsTeh->FieldByName("KOD")->Value;
	Variant artikal = cdsTeh->FieldByName("ARTIKAL")->Value;
	Variant jm = cdsTeh->FieldByName("JEDMERE")->Value;
	AnsiString verzija = VarToStr(cdsTeh->FieldByName("VERZIJA")->Value);
	Variant kolicina = cdsTeh->FieldByName("KOLICINA")->Value;
	Variant kol_u_pjm = cdsTeh->FieldByName("KOL_U_PJM")->Value;

	cdsTeh->Append();
	cdsTeh->FieldByName("ID_ODELJENJA")->Value = odeljenje;
	cdsTeh->FieldByName("SIFRA_PROIZVODA")->Value = sifra_proizvoda;
	cdsTeh->FieldByName("IDJM")->Value = idjm;
	cdsTeh->FieldByName("SIFRA_MAGACINA")->Value = sifra_magacina;
	cdsTeh->FieldByName("AKTIVAN")->Value = 0;
	cdsTeh->FieldByName("NAZIV")->Value = VarToStr(naziv);
	cdsTeh->FieldByName("OPIS")->Value = "Kopija od " + VarToStr(opis);
	cdsTeh->FieldByName("KOD")->Value = VarToStr(kod);
	cdsTeh->FieldByName("ARTIKAL")->Value = VarToStr(artikal);
	cdsTeh->FieldByName("JEDMERE")->Value = VarToStr(jm);
	cdsTeh->FieldByName("VERZIJA")->Value = "Kopija od " + verzija;
	cdsTeh->FieldByName("KOLICINA")->Value = kolicina;
	cdsTeh->FieldByName("KOL_U_PJM")->Value = kol_u_pjm;
	cdsTeh->Post();

	cdsProces->Active = false;
	dsetProces->ParamByName("id")->AsInteger = -1;
	cdsProces->Active = true;

	sqlCopyProces->Active = false;
	sqlCopyProces->ParamByName("id")->AsInteger = id_tehnologije;
	sqlCopyProces->Active = true;

	sqlCopyProces->First();

	while (!sqlCopyProces->Eof) {
		cdsProces->Append();

		for (int i = 0; i < sqlCopyProces->FieldList->Count; i++) {
			if (sqlCopyProces->Fields->Fields[i]->FieldName != "ID" &&
				sqlCopyProces->Fields->Fields[i]->FieldName != "ID_PRTEH" &&
				sqlCopyProces->Fields->Fields[i]->FieldName != "ID_ODELJENJA" &&
				sqlCopyProces->Fields->Fields[i]->FieldName != "AKTIVAN") {
				s = sqlCopyProces->Fields->Fields[i]->FieldName;
				cdsProces->FieldByName(s)->Value = sqlCopyProces->FieldByName(s)->Value;
			}
		}
		cdsProces->Post();

		sqlCopyNormativ->Active = false;
		sqlCopyNormativ->ParamByName("proces")->AsInteger = id_procesa;
		sqlCopyNormativ->Active = true;

		sqlCopyNormativ->First();

		cdsNormativ->Active = false;
		dsetNormativ->ParamByName("proces")->AsInteger = -1;
		cdsNormativ->Active = true;

		while (!sqlCopyNormativ->Eof) {
			cdsNormativ->Append();

			for (int i = 0; i < sqlCopyNormativ->FieldList->Count; i++) {
				if (sqlCopyNormativ->Fields->Fields[i]->FieldName != "ID" && sqlCopyNormativ->Fields->Fields[i]->FieldName != "ID_TEHPROCES") {
					s = sqlCopyNormativ->Fields->Fields[i]->FieldName;
					cdsNormativ->FieldByName(s)->Value = sqlCopyNormativ->FieldByName(s)->Value;
				}
			} // ovde se zavrsava unos normativa za odredjeni proces
			cdsNormativ->Post();
			sqlCopyNormativ->Next();
		} // kraj unosa normativa za proces

		sqlCopyProces->Next(); // sledeci proces
	} //kraj unosa procesa
	*/
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::cdsTehReconcileError(
      TCustomClientDataSet *DataSet, EReconcileError *E,
      TUpdateKind UpdateKind, TReconcileAction &Action)
{
   ShowMessage(E->Message);
}
//---------------------------------------------------------------------------
void __fastcall TPR_TehnologijeNormativi::cxTraziKeyPress(TObject *Sender, wchar_t &Key)
{
	if(Key==13)	{
		cdsTeh->Filter = "upper(KOD) like '%"+cxTrazi->Text+"%' or upper(ARTIKAL) like '%"+cxTrazi->Text+"%'";
		cdsTeh->Filtered = true;
	}
	else if(Key==27)	{
		cxTrazi->Text == "";
		cdsTeh->Filtered = false;
	}
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::cdsTehAfterScroll(TDataSet *DataSet)
{
	if(!cdsTeh->ControlsDisabled()) {
		 cdsNormativ->Active = false;
		 dsetNormativ->ParamByName("proces")->AsInteger = cdsTeh->FieldByName("id")->AsInteger;
		 cdsNormativ->Active = true;
	}
}
//---------------------------------------------------------------------------
void __fastcall TPR_TehnologijeNormativi::cdsTehBeforePost(TDataSet *DataSet)
{
	if(!cdsTeh->FieldByName("SIFRA_MAGACINA")->AsInteger >0)	{
		MessageBoxA(0, "Morate definisati prijemni magacin gotovog proizvoda!", "Greka!", MB_ICONWARNING|MB_OK);
		dbGrid->SetFocus();
		dbGridDBTableSIFRA_MAGACINA->FocusWithSelection();
		Abort();
	}
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::cdsNormativBeforePost(TDataSet *DataSet)
{
	if(!cdsNormativ->FieldByName("SIFRA_MG")->AsInteger >0)	{
		MessageBoxA(0, "Morate definisati izlazni magacin sirovine!", "Greka!", MB_ICONWARNING|MB_OK);
		cxGrid2->SetFocus();
		cxGridDBTableView2Magacin->FocusWithSelection();
		Abort();
	}
}
//---------------------------------------------------------------------------
bool TPR_TehnologijeNormativi::SnimiCDS(TClientDataSet *cds) {
	Screen->Cursor = crHourGlass;
	greska = 0;
	OleVariant MasterVar;

	//TClientDataSet *cds = dynamic_cast <TClientDataSet *> (DataSet);

	if (cds->ChangeCount > 0) MasterVar = cds->Delta;
	else                      MasterVar.ChangeType(VT_NULL);

	TTransactionDesc TD;

	if (DM_OD->SC_OD->InTransaction) {
			DM_OD->SC_OD->Commit(TD);
	}

	try {

	TD.TransactionID = 1;
	TD.IsolationLevel = 1;

		if (!DM_OD->SC_OD->InTransaction)  {

			DM_OD->SC_OD->StartTransaction(TD);

			cds->CheckBrowseMode();

			if( (greska=cds->ApplyUpdates(0)) > 0) {

				ShowMessage("Desila se greska prilikom snimanja podataka!!");
				if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
				return false;
			}
		}

		if(greska == 0) {
			if (DM_OD->SC_OD->InTransaction) {
				DM_OD->SC_OD->Commit(TD);

				if(cds->ChangeCount == 0) {
						 cds->Refresh();
//						 if(cds->RecordCount > 0)
//						 {
//							if(cds == cdsNormativ)     cxGridDBTableView2->NewItemRow->Visible = false;
//							else if(cds == cdsProces)  cxGridDBTableView1->NewItemRow->Visible = false;
//							else if(cds == cdsTeh)     dbGridDBTable->NewItemRow->Visible = false;
//						 }
				}
				Screen->Cursor = crDefault;
				return true;
			}
		}
		else {
			if (DM_OD->SC_OD->InTransaction) {
				DM_OD->SC_OD->Rollback(TD);
				cds->Reconcile(MasterVar);
			}
			return false;
		}
	}
	catch(Exception &e) {
		if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
		Screen->Cursor = crDefault;
		ShowMessage("Nije snimljeno!! Greska: "+e.Message);
		return false;
	}
}
void __fastcall TPR_TehnologijeNormativi::cxSnimiClick(TObject *Sender)
{
try {
	if(cdsTeh->Active) cxSnimi->Enabled = !SnimiCDS(cdsTeh);
	if(cdsNormativ->Active) cxSnimi->Enabled = !SnimiCDS(cdsNormativ);
}
catch (Exception &e) {
	ShowMessage("Greska!! "+e.Message);
}
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::btIzlazClick(TObject *Sender)
{

	Close();
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::cxObrisiClick(TObject *Sender)
{
	try {
		if (PC->ActivePage == cxT1)                            {
		  if(cdsTeh->Active) {
			cdsTeh->Delete();
			SnimiCDS(cdsTeh);
			cxSnimi->Enabled = true;
		  }
		}
		else if (cxPageControl1->ActivePage == cxTabMaterijal) {
		  if(cdsNormativ->Active) {
			cdsNormativ->Delete();
			SnimiCDS(cdsNormativ);
			cxSnimi->Enabled = true;
       }
		}
	}
	catch (Exception &e) {
		ShowMessage("Greska!! "+e.Message);
	}
}
//---------------------------------------------------------------------------

void __fastcall TPR_TehnologijeNormativi::cdsTehAfterEdit(TDataSet *DataSet)
{
   cxSnimi->Enabled = true;
}
//---------------------------------------------------------------------------


