//---------------------------------------------------------------------------

#ifndef PR_TehnologijeNormativiNovoH
#define PR_TehnologijeNormativiNovoH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_OsnovnaFormaNova.h"
#include "cxClasses.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBNavigator.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxNavigator.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include <Buttons.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxCalendar.hpp"
#include "cxContainer.hpp"
#include "cxDBEdit.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxGroupBox.hpp"
#include "cxLookupEdit.hpp"
#include "cxMaskEdit.hpp"
#include "cxTextEdit.hpp"
#include "frxClass.hpp"
#include "frxDBSet.hpp"
#include "cxButtons.hpp"
#include "cxLookAndFeelPainters.hpp"
#include <Menus.hpp>
#include "cxCheckBox.hpp"
#include "cxSplitter.hpp"
#include "cxDBLabel.hpp"
#include "cxLabel.hpp"
#include <StrUtils.hpp>
#include "cxLookAndFeels.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
//---------------------------------------------------------------------------
class TPR_TehnologijeNormativi : public TfmOsnovnaFormaNova
{
__published:	// IDE-managed Components
  TcxGroupBox *cxGroupBox1;
  TcxGroupBox *cxGroupBox2;
  TcxDBTextEdit *cxDBTextEdit2;
  TcxDBDateEdit *cxDatum;
  TcxDBTextEdit *cxDBTextEdit1;
  TcxDBTextEdit *cxDBTextEdit3;
  TcxDBTextEdit *cxDBTextEdit4;
  TLabel *Label1;
  TLabel *Label2;
  TLabel *Label3;
  TLabel *Label12;
  TLabel *Label13;
  TLabel *Label14;
  TcxGridDBColumn *dbGridDBTableID;
  TcxGridDBColumn *dbGridDBTableSIFRA_PROIZVODA;
  TcxGridDBColumn *dbGridDBTableNAZIV;
  TcxGridDBColumn *dbGridDBTableDATUM;
  TcxGridDBColumn *dbGridDBTableID_ODELJENJA;
  TcxGridDBColumn *dbGridDBTableKOLICINA;
  TcxGridDBColumn *dbGridDBTableKOL_U_PJM;
  TcxGridDBColumn *dbGridDBTableOPIS;
  TcxGridDBColumn *dbGridDBTableArtikal;
  TcxGridDBColumn *dbGridDBTableKod;
  TcxGridDBColumn *dbGridDBTableJedMere;
  TfrxReport *frxTehnologije;
  TfrxDBDataset *frxDBTeh;
  TfrxDBDataset *frxDBProces;
  TfrxDBDataset *frxDBNormativ;
  TSpeedButton *btStampa;
  TfrxDBDataset *frxDBDataset1;
  TfrxReport *frxProcesi;
  TfrxReport *frxNormativi;
  TDataSource *dsIzvestaj;
  TClientDataSet *cdsIzvestaj;
  TDataSetProvider *dspIzvestaj;
  TSQLDataSet *dsetIzvestaj;
  TIntegerField *cdsIzvestajID;
  TIntegerField *cdsIzvestajSIFRA_PROIZVODA;
  TStringField *cdsIzvestajNAZIV;
  TDateField *cdsIzvestajDATUM;
  TIntegerField *cdsIzvestajID_ODELJENJA;
  TFMTBCDField *cdsIzvestajKOLICINA;
  TFMTBCDField *cdsIzvestajKOL_U_PJM;
  TStringField *cdsIzvestajOPIS;
  TIntegerField *cdsIzvestajID_1;
  TIntegerField *cdsIzvestajID_PRTEH;
  TSmallintField *cdsIzvestajREDOSLED;
  TIntegerField *cdsIzvestajSIFRA_POLUPROIZ;
  TFMTBCDField *cdsIzvestajKOLICINA_1;
  TFMTBCDField *cdsIzvestajVREME_IZV;
  TSmallintField *cdsIzvestajBROJ_IZV;
  TStringField *cdsIzvestajOPIS_1;
  TStringField *cdsIzvestajNAZIV_PROCESA;
  TIntegerField *cdsIzvestajID_MASINE;
  TIntegerField *cdsIzvestajID_2;
  TIntegerField *cdsIzvestajID_TEHPROCES;
  TIntegerField *cdsIzvestajSIFRA_MATERIJALA;
  TFMTBCDField *cdsIzvestajKOLICINA_2;
  TFMTBCDField *cdsIzvestajKOLICINA_PJM;
  TFMTBCDField *cdsIzvestajZA_PRAVLJENJE;
  TIntegerField *cdsIzvestajSIFRA_MG;
  TStringField *cdsIzvestajTIPS;
  TStringField *cdsIzvestajTIP_OBRACUNA_KOL;
  TStringField *cdsIzvestajKOD;
  TStringField *cdsIzvestajARTIKAL;
  TSmallintField *cdsIzvestajIDJM;
  TStringField *cdsIzvestajNAZIV_1;
  TStringField *cdsIzvestajKOD_PROIZVODA;
  TStringField *cdsIzvestajPROIZVOD;
  TStringField *cdsIzvestajKOD_PP;
  TStringField *cdsIzvestajPOLUPROIZVOD;
  TcxStyleRepository *cxStyleRepository1;
  TcxStyle *cxStyle1;
  TcxStyleRepository *cxStyleRepository2;
  TcxStyle *cxStyle2;
  TfrxReport *frxSviNormativi;
 TcxDBTextEdit *cxProizvod;
 TcxGridDBColumn *dbGridDBTableIDJM;
 TcxGridDBColumn *dbGridDBTableAKTIVAN;
 TcxDBCheckBox *cxDBCheckBox1;
 TSQLDataSet *dsetTeh;
 TDataSetProvider *dspTeh;
 TClientDataSet *cdsTeh;
 TIntegerField *cdsTehID;
 TStringField *cdsTehNAZIV;
 TDateField *cdsTehDATUM;
 TIntegerField *cdsTehID_ODELJENJA;
 TStringField *cdsTehOPIS;
 TIntegerField *cdsTehSIFRA_PROIZVODA;
 TStringField *cdsTehKOD;
 TStringField *cdsTehARTIKAL;
 TFMTBCDField *cdsTehKOLICINA;
 TFMTBCDField *cdsTehKOL_U_PJM;
 TStringField *cdsTehJEDMERE;
 TIntegerField *cdsTehIDJM;
 TSmallintField *cdsTehAKTIVAN;
 TDataSource *dsTeh;
 TSQLDataSet *dsetNormativ;
 TDataSetProvider *dspNormativ;
 TClientDataSet *cdsNormativ;
 TIntegerField *cdsNormativID;
 TIntegerField *cdsNormativID_TEHPROCES;
 TIntegerField *cdsNormativSIFRA_MATERIJALA;
 TIntegerField *cdsNormativSIFRA_MG;
 TStringField *cdsNormativTIPS;
 TStringField *cdsNormativTIP_OBRACUNA_KOL;
 TFloatField *cdsNormativKOLICINA;
 TFloatField *cdsNormativKOLICINA_PJM;
 TFloatField *cdsNormativZA_PRAVLJENJE;
 TStringField *cdsNormativKOD;
 TStringField *cdsNormativARTIKAL;
 TStringField *cdsNormativJEDMERE;
 TIntegerField *cdsNormativIDJM;
 TDataSource *dsNormativ;
 TLabel *Label26;
 TcxDBLookupComboBox *cxDBLookupComboBox1;
 TcxSplitter *cxSplitter1;
 TcxTabSheet *cxTabNormativi;
 TcxPageControl *cxPageControl1;
 TcxTabSheet *cxTabMaterijal;
 TPanel *Panel6;
 TLabel *Label7;
 TcxDBTextEdit *cxDBTextEdit12;
 TcxGrid *cxGrid2;
 TcxGridDBTableView *cxGridDBTableView2;
 TcxGridDBColumn *cxGridDBTableView2TIPS;
 TcxGridDBColumn *cxGridDBTableView2Kod;
 TcxGridDBColumn *cxGridDBTableView2Artikal;
 TcxGridDBColumn *cxGridDBTableView2JedMere;
 TcxGridDBColumn *cxGridDBTableView2KOLICINA;
 TcxGridDBColumn *cxGridDBTableView2SIFRA_MG;
 TcxGridDBColumn *cxGridDBTableView2Magacin;
 TcxGridDBColumn *cxGridDBTableView2KOLICINA_PJM;
 TcxGridDBColumn *cxGridDBTableView2ZA_PRAVLJENJE;
 TcxGridDBColumn *cxGridDBTableView2ID;
 TcxGridDBColumn *cxGridDBTableView2ID_TEHPROCES;
 TcxGridDBColumn *cxGridDBTableView2SIFRA_MATERIJALA;
 TcxGridDBColumn *cxGridDBTableView2TIP_OBRACUNA_KOL;
 TcxGridLevel *cxGridLevel2;
 TcxGroupBox *cxGroupBox3;
 TLabel *Label6;
 TLabel *Label15;
 TLabel *Label16;
 TcxDBLabel *cxDBLabel1;
 TcxDBLabel *cxDBLabel2;
 TcxDBLabel *cxDBLabel3;
 TcxDBLabel *cxDBLabel4;
 TcxDBLabel *cxDBLabel5;
 TcxDBLabel *cxDBLabel6;
 TcxDBCheckBox *cxDBCheckBox2;
 TcxButton *btStampaj;
 TcxButton *btFunkcije;
 TPopupMenu *PM1;
 TMenuItem *Stampalisteproizvoda1;
 TMenuItem *Normativa1;
 TPopupMenu *PM2;
 TMenuItem *MenuItem1;
 TIntegerField *cdsTehSIFRA_MAGACINA;
 TcxGridDBColumn *dbGridDBTableSIFRA_MAGACINA;
 TStringField *cdsTehVERZIJA;
 TcxGridDBColumn *dbGridDBTableVERZIJA;
 TcxButton *cxOsvezi;
 TSQLQuery *sqlCopyProces;
 TSQLQuery *sqlCopyNormativ;
 TFloatField *cdsNormativPROCENAT_OTPISA;
 TcxGridDBColumn *cxGridDBTableView2PROCENAT_OTPISA;
 TcxLookAndFeelController *cxLookAndFeelController1;
 TcxButton *cxButton1;
 TSQLQuery *sqlNormativ;
	TIntegerField *dsetNormativID;
	TIntegerField *dsetNormativID_TEHPROCES;
	TIntegerField *dsetNormativSIFRA_MATERIJALA;
	TFloatField *dsetNormativKOLICINA;
	TFloatField *dsetNormativKOLICINA_PJM;
	TFloatField *dsetNormativZA_PRAVLJENJE;
	TIntegerField *dsetNormativSIFRA_MG;
	TStringField *dsetNormativTIPS;
	TStringField *dsetNormativTIP_OBRACUNA_KOL;
	TStringField *dsetNormativKOD;
	TStringField *dsetNormativARTIKAL;
	TStringField *dsetNormativJEDMERE;
	TIntegerField *dsetNormativIDJM;
	TFloatField *dsetNormativPROCENAT_OTPISA;
	TStringField *dsetNormativOSNOVNA;
	TStringField *cdsNormativOSNOVNA;
	TcxGroupBox *cxGroupBox4;
	TcxTextEdit *cxTrazi;
	TcxGridDBColumn *cxGridDBTableView2OSNOVNA;
	TFMTBCDField *cdsTehCENA;
	TSQLDataSet *sqlStampaNormativa;
	TDataSetProvider *dspStampaNormativa;
	TClientDataSet *cdsStampaNormativa;
	TDataSource *dsStampaNormativa;
	TSQLDataSet *sqlStampaTeh;
	TDataSetProvider *dspStampaTeh;
	TClientDataSet *cdsStampaTeh;
	TDataSource *dsStampaTeh;
	TIntegerField *cdsStampaTehID;
	TIntegerField *cdsStampaTehSIFRA_PROIZVODA;
	TStringField *cdsStampaTehNAZIV;
	TDateField *cdsStampaTehDATUM;
	TIntegerField *cdsStampaTehID_ODELJENJA;
	TFMTBCDField *cdsStampaTehKOLICINA;
	TFMTBCDField *cdsStampaTehKOL_U_PJM;
	TStringField *cdsStampaTehOPIS;
	TStringField *cdsStampaTehARTIKAL;
	TStringField *cdsStampaTehKOD;
	TStringField *cdsStampaTehJEDMERE;
	TIntegerField *cdsStampaTehIDJM;
	TSmallintField *cdsStampaTehAKTIVAN;
	TIntegerField *cdsStampaTehSIFRA_MAGACINA;
	TStringField *cdsStampaTehVERZIJA;
	TFMTBCDField *cdsStampaTehCENA;
	TStringField *cdsStampaTehMAGACIN;
	TStringField *cdsStampaTehODELJENJE;
	TIntegerField *cdsStampaNormativaID;
	TIntegerField *cdsStampaNormativaID_TEHPROCES;
	TIntegerField *cdsStampaNormativaSIFRA_MATERIJALA;
	TFloatField *cdsStampaNormativaKOLICINA;
	TFloatField *cdsStampaNormativaKOLICINA_PJM;
	TFloatField *cdsStampaNormativaZA_PRAVLJENJE;
	TIntegerField *cdsStampaNormativaSIFRA_MG;
	TStringField *cdsStampaNormativaTIPS;
	TStringField *cdsStampaNormativaTIP_OBRACUNA_KOL;
	TStringField *cdsStampaNormativaKOD;
	TStringField *cdsStampaNormativaARTIKAL;
	TStringField *cdsStampaNormativaJEDMERE;
	TIntegerField *cdsStampaNormativaIDJM;
	TFloatField *cdsStampaNormativaPROCENAT_OTPISA;
	TStringField *cdsStampaNormativaOSNOVNA;
	TStringField *cdsStampaNormativaMAGACIN;
	TSQLTimeStampField *cdsTehDATE_CHANGE;
	TIntegerField *cdsTehRADNIK_CHANGE;
	TSQLTimeStampField *dsetNormativDATE_CHANGE;
	TIntegerField *dsetNormativRADNIK_CHANGE;
	TSQLTimeStampField *cdsNormativDATE_CHANGE;
	TIntegerField *cdsNormativRADNIK_CHANGE;
	TPanel *Panel2;
	TcxButton *cxSnimi;
	TcxButton *cxObrisi;
	TcxButton *btIzlaz;
	TPanel *Panel3;
	TPanel *Panel5;
	TSQLStoredProc *IDTehnologije;
	TSQLStoredProc *IDNormativa;
	TSQLDataSet *dsetMG_robni;
	TDataSetProvider *dspMG_robni;
	TClientDataSet *cdsMG_robni;
	TIntegerField *cdsMG_robniSIFRA_MAGACINA;
	TStringField *cdsMG_robniMAGACIN;
	TIntegerField *cdsMG_robniSIFRA_DELATNOSTI;
	TIntegerField *cdsMG_robniSEDISTE;
	TStringField *cdsMG_robniSKRACENICA;
	TStringField *cdsMG_robniTIP_PROIZVODA;
	TSmallintField *cdsMG_robniROBNO;
	TIntegerField *cdsMG_robniTIP;
	TSmallintField *cdsMG_robniVIDLJIV;
	TStringField *cdsMG_robniMESTO;
	TStringField *cdsMG_robniADRESA;
	TSmallintField *cdsMG_robniVIDLJIV_MP;
	TSmallintField *cdsMG_robniTIP_CENA;
	TSmallintField *cdsMG_robniPDV_KNJIGA;
	TSmallintField *cdsMG_robniCENA_MAGACIN;
	TDataSource *dsMG_robni;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall btStampaClick(TObject *Sender);
  void __fastcall SpeedButton1Click(TObject *Sender);
  void __fastcall SpeedButton2Click(TObject *Sender);
  void __fastcall cxButton1Click(TObject *Sender);
  void __fastcall SpeedButton3Click(TObject *Sender);
 void __fastcall cdsTehNewRecord(TDataSet *DataSet);
 void __fastcall cdsNormativNewRecord(TDataSet *DataSet);
 void __fastcall cdsTehAfterPost(TDataSet *DataSet);
 void __fastcall dbGridDBTableEditKeyDown(TcxCustomGridTableView *Sender,
          TcxCustomGridTableItem *AItem, TcxCustomEdit *AEdit, WORD &Key,
          TShiftState Shift);
 void __fastcall cxGridDBTableView2EditKeyDown(
          TcxCustomGridTableView *Sender, TcxCustomGridTableItem *AItem,
          TcxCustomEdit *AEdit, WORD &Key, TShiftState Shift);
 void __fastcall dbGridDBTableDblClick(TObject *Sender);
 void __fastcall cxOsveziClick(TObject *Sender);
 void __fastcall MenuItem1Click(TObject *Sender);
 void __fastcall cdsTehReconcileError(TCustomClientDataSet *DataSet,
          EReconcileError *E, TUpdateKind UpdateKind,
          TReconcileAction &Action);
	void __fastcall cxTraziKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall ProveriOsnovnuSirovinu();
	void __fastcall cdsTehAfterScroll(TDataSet *DataSet);
	void __fastcall cdsTehBeforePost(TDataSet *DataSet);
	void __fastcall cdsNormativBeforePost(TDataSet *DataSet);
	void __fastcall cxSnimiClick(TObject *Sender);
	void __fastcall btIzlazClick(TObject *Sender);
	void __fastcall cxObrisiClick(TObject *Sender);
	void __fastcall cdsTehAfterEdit(TDataSet *DataSet);
private:	// User declarations
	int osnovna_sirovina, ascroll;
public:		// User declarations
	__fastcall TPR_TehnologijeNormativi(TComponent* Owner);
	bool SnimiCDS(TClientDataSet *cds);
};
//---------------------------------------------------------------------------
extern PACKAGE TPR_TehnologijeNormativi *PR_TehnologijeNormativi;
//---------------------------------------------------------------------------
#endif
