//---------------------------------------------------------------------------

#ifndef OD_setup_int_klaseH
#define OD_setup_int_klaseH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_setup.h"
#include "cxButtons.hpp"
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBEdit.hpp"
#include "cxDBNavigator.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxGroupBox.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxNavigator.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <ActnList.hpp>
#include <DB.hpp>
#include <DBActns.hpp>
#include <DBClient.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxLookupEdit.hpp"
//---------------------------------------------------------------------------
class TfmSetupInternihKlase : public TfmOsnovna__Setup
{
__published:	// IDE-managed Components
	TcxGridDBColumn *dbgSORTAID;
	TcxGridDBColumn *dbgOZNAKA;
	TcxGridDBColumn *dbgMAGACINID;
	TcxGridDBColumn *dbgKLASAID;
	TcxGridDBColumn *dbgCEOOPIS;
	TLabel *Label1;
	TcxDBTextEdit *cxDBTextEdit1;
	TcxDBLookupComboBox *cxDBLookupComboBox1;
	TLabel *Label2;
	TcxDBCheckBox *cxDBCheckBox1;
	TcxGridDBColumn *dbgPICKING;
	TIntegerField *dsetMAGACINID;
	TIntegerField *dsetKLASAID;
	TStringField *dsetOZNAKA;
	TIntegerField *dsetSORTAID;
	TStringField *dsetCEOOPIS;
	TFloatField *dsetPOINTS;
	TSmallintField *dsetPICKING;
	TIntegerField *dsetINSERCIJAID;
	TSmallintField *dsetEXT_KLASA;
	TIntegerField *cdsMAGACINID;
	TIntegerField *cdsKLASAID;
	TStringField *cdsOZNAKA;
	TIntegerField *cdsSORTAID;
	TStringField *cdsCEOOPIS;
	TFloatField *cdsPOINTS;
	TSmallintField *cdsPICKING;
	TIntegerField *cdsINSERCIJAID;
	TSmallintField *cdsEXT_KLASA;
	void __fastcall cdspomklaseReconcileError(TCustomClientDataSet *DataSet, EReconcileError *E, TUpdateKind UpdateKind, TReconcileAction &Action);
	void __fastcall dsp_pomklaseGetTableName(TObject *Sender, TDataSet *DataSet, WideString &TableName);

private:	// User declarations
public:		// User declarations
	__fastcall TfmSetupInternihKlase(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmSetupInternihKlase *fmSetupInternihKlase;
//---------------------------------------------------------------------------
#endif
