//---------------------------------------------------------------------------

#ifndef OD_setup_mesta_uzorkovanjaH
#define OD_setup_mesta_uzorkovanjaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_setup.h"
#include "cxButtons.hpp"
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBEdit.hpp"
#include "cxDBNavigator.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxGroupBox.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxNavigator.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <ActnList.hpp>
#include <DB.hpp>
#include <DBActns.hpp>
#include <DBClient.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
//---------------------------------------------------------------------------
class TOD_SetupMestaUzorkovanja : public TfmOsnovna__Setup
{
__published:	// IDE-managed Components
	TStringField *cdsID;
	TStringField *cdsNAZIV;
	TStringField *cdsIDMASINE;
	TIntegerField *cdsIDODELJENJA;
	TIntegerField *cdsSIFRA_RADNIKA;
	TSQLTimeStampField *cdsVREME;
	TcxGridDBColumn *dbgID;
	TcxGridDBColumn *dbgNAZIV;
	TcxGridDBColumn *dbgIDMASINE;
	TcxGridDBColumn *dbgIDODELJENJA;
	TcxGridDBColumn *dbgSIFRA_RADNIKA;
	TcxGridDBColumn *dbgVREME;
	TcxLabel *cxLabel2;
	TcxDBTextEdit *cxDBTextEdit2;
	TcxDBTextEdit *cxDBTextEdit4;
	TcxLabel *cxLabel4;
private:	// User declarations
public:		// User declarations
	__fastcall TOD_SetupMestaUzorkovanja(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOD_SetupMestaUzorkovanja *OD_SetupMestaUzorkovanja;
//---------------------------------------------------------------------------
#endif
