//---------------------------------------------------------------------------

#ifndef OD_setup_oznaka_blendaH
#define OD_setup_oznaka_blendaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_setup.h"
#include "cxButtons.hpp"
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBEdit.hpp"
#include "cxDBNavigator.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxGroupBox.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxNavigator.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <ActnList.hpp>
#include <DB.hpp>
#include <DBActns.hpp>
#include <DBClient.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxPCdxBarPopupMenu.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
//---------------------------------------------------------------------------
class TfmSetupOznakeBlenda : public TfmOsnovna__Setup
{
__published:	// IDE-managed Components
	TIntegerField *cdsID;
	TStringField *cdsOZNAKA_BLENDA;
	TStringField *cdsOPIS;
	TIntegerField *cdsSIFRA_RADNIKA;
	TSQLTimeStampField *cdsVREME;
	TcxGridDBColumn *dbgID;
	TcxGridDBColumn *dbgOZNAKA_BLENDA;
	TcxGridDBColumn *dbgOPIS;
	TcxGridDBColumn *dbgSIFRA_RADNIKA;
	TcxGridDBColumn *dbgVREME;
	TcxLabel *cxLabel2;
	TcxDBTextEdit *cxDBTextEdit2;
	void __fastcall cdsNewRecord(TDataSet *DataSet);
private:	// User declarations
public:		// User declarations
	__fastcall TfmSetupOznakeBlenda(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmSetupOznakeBlenda *fmSetupOznakeBlenda;
//---------------------------------------------------------------------------
#endif
