//---------------------------------------------------------------------------

#ifndef OD_setup_parametriH
#define OD_setup_parametriH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_setup.h"
#include "cxButtons.hpp"
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBEdit.hpp"
#include "cxDBNavigator.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxGroupBox.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxNavigator.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <ActnList.hpp>
#include <DB.hpp>
#include <DBActns.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxPCdxBarPopupMenu.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
//---------------------------------------------------------------------------
class TfmSetupParametri : public TfmOsnovna__Setup
{
__published:	// IDE-managed Components
 TcxGridDBColumn *dbgID;
 TcxGridDBColumn *dbgNAZIV;
 TMenuItem *Analitika1;
	TStringField *cdsID;
	TStringField *cdsNAZIV;
	TStringField *cdsTIP;
	TIntegerField *cdsSIFRA_RADNIKA;
	TSQLTimeStampField *cdsUNOS;
	TSmallintField *cdsREDOSLED;
	TStringField *cdsIDGRUPE;
	TcxGridDBColumn *dbgTIP;
	TcxGridDBColumn *dbgSIFRA_RADNIKA;
	TcxGridDBColumn *dbgUNOS;
	TcxGridDBColumn *dbgREDOSLED;
	TcxGridDBColumn *dbgIDGRUPE;
	TcxLabel *cxLabel2;
	TcxDBTextEdit *cxDBTextEdit2;
	TcxLabel *cxLabel4;
	TcxDBTextEdit *cxDBTextEdit4;
	TFloatField *cdsMIN_VALUE;
	TFloatField *cdsMAX_VALUE;
	TFloatField *cdsSTAND_VALUE;
	TcxGridDBColumn *dbgMIN_VALUE;
	TcxGridDBColumn *dbgMAX_VALUE;
	TcxGridDBColumn *dbgSTAND_VALUE;
	TcxLabel *cxLabel5;
	TcxDBTextEdit *cxDBTextEdit5;
	TcxLabel *cxLabel6;
	TcxDBTextEdit *cxDBTextEdit6;
	TcxLabel *cxLabel7;
	TcxDBTextEdit *cxDBTextEdit7;
 void __fastcall dbgDblClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
 __fastcall TfmSetupParametri(TComponent* Owner);
 __fastcall TfmSetupParametri(TDataSource *dm_ds,TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmSetupParametri *fmSetupParametri;
//---------------------------------------------------------------------------
#endif
