//---------------------------------------------------------------------------

#ifndef OD_setup_podsorteH
#define OD_setup_podsorteH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_setup.h"
#include "cxButtons.hpp"
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBEdit.hpp"
#include "cxDBNavigator.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxGroupBox.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxNavigator.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <ActnList.hpp>
#include <DB.hpp>
#include <DBActns.hpp>
#include <DBClient.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
//---------------------------------------------------------------------------
class TfmSetupPodsorte : public TfmOsnovna__Setup
{
__published:	// IDE-managed Components
	TSQLDataSet *sql_podsorta;
	TDataSetProvider *dsp_podsorta;
	TClientDataSet *cdspodsorta;
	TIntegerField *cdspodsortaPODSORTAID;
	TStringField *cdspodsortaPODSORTA;
	TIntegerField *cdspodsortaSORTAID;
	TSmallintField *cdspodsortaPOREKLOID;
	TStringField *cdspodsortaOZNAKA;
	TDataSource *ds_podsorta;
	TcxGridDBColumn *dbgPODSORTAID;
	TcxGridDBColumn *dbgPODSORTA;
	TcxGridDBColumn *dbgSORTAID;
	TcxGridDBColumn *dbgPOREKLOID;
	TcxGridDBColumn *dbgOZNAKA;
	TSmallintField *cdspodsortaPICKING;
	TcxGridDBColumn *dbgPICKING;
private:	// User declarations
public:		// User declarations
	__fastcall TfmSetupPodsorte(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmSetupPodsorte *fmSetupPodsorte;
//---------------------------------------------------------------------------
#endif
