//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_system.h"
#include "OD_DM.h"
#include "OD_funkcije.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxLookAndFeels"
#pragma link "cxButtons"
#pragma link "cxControls"
#pragma link "cxGraphics"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxPC"
#pragma link "cxCheckBox"
#pragma link "cxContainer"
#pragma link "cxDBEdit"
#pragma link "cxEdit"
#pragma link "cxLabel"
#pragma link "cxTextEdit"
#pragma link "cxCalendar"
#pragma link "cxDropDownEdit"
#pragma link "cxMaskEdit"
#pragma link "cxSpinEdit"
#pragma link "cxTimeEdit"
#pragma link "cxClasses"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxFilter"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxStyles"
#pragma link "cxNavigator"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"
TfmSystem *fmSystem;
//---------------------------------------------------------------------------
__fastcall TfmSystem::TfmSystem(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{
	cds = (TClientDataSet *)DM_OD->cdsSystemOD;
	ds  = (TDataSource *)DM_OD->dsSystemOD;
	dsp = (TDataSetProvider *) DM_OD->dspSystemOD;

	if(cds->Active == false) cds->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall TfmSystem::FormClose(TObject *Sender, TCloseAction &Action)
{
  Action = caFree;
}
//---------------------------------------------------------------------------
void __fastcall TfmSystem::btDodajClick(TObject *Sender)
{
  if     (Sender == btIzmeni) {
	//if (pravoUpdate) {
	  cds->Edit();
	  btDodaj->Enabled = false;
	  btIzmeni->Enabled = false;
	  btSnimi->Enabled = true;
	  btPonisti->Enabled = true;
	  btObrisi->Enabled = false;
	//  cxPC->Enabled = true;
	//}
  }
  else if(Sender == btDodaj) {
	//if (pravoInsert) {
	  cds->Append();
	  btDodaj->Enabled = false;
	  btIzmeni->Enabled = false;
	  btSnimi->Enabled = true;
	  btPonisti->Enabled = true;
	  btObrisi->Enabled = false;
	//  cxPC->Enabled = true;
	//}
  }
  else if(Sender == btObrisi) {
	//if (pravoDelete) {
	  Obrisi();

	  btDodaj->Enabled = false;
	  btIzmeni->Enabled = false;
	  btSnimi->Enabled = true;
	  btPonisti->Enabled = true;
	  btObrisi->Enabled = true;
   //   cxPC->Enabled = true;
	//}
  }
  else if(Sender == btSnimi) {

      Snimi();

      btDodaj->Enabled = true;
      btIzmeni->Enabled = true;
      btSnimi->Enabled = false;
      btPonisti->Enabled = false;
      btObrisi->Enabled = true;
  }
  else if(Sender == btPonisti) {

		 cds->Cancel();

      btDodaj->Enabled = true;
	  btIzmeni->Enabled = true;
      btSnimi->Enabled = false;
		 btPonisti->Enabled = false;
      btObrisi->Enabled = true;
	}
}
//---------------------------------------------------------------------------
void __fastcall TfmSystem::Snimi()
{
	SnimiCDS(dsp, cds, ds);
}
//---------------------------------------------------------------------------
void __fastcall TfmSystem::Obrisi()
{
	if(MessageBoxA(Handle,"Da li ste sigurni da zelite da nastavite?", "Brisanje ", MB_YESNO) == IDYES)
	{
			 cds->Delete();
			 SnimiCDS(dsp, cds, ds);
	}
}
//---------------------------------------------------------------------------
void __fastcall TfmSystem::btIzlazClick(TObject *Sender)
{
 Close();
}
//---------------------------------------------------------------------------
void __fastcall TfmSystem::cxButton1Click(TObject *Sender)
{
	 if(cds->Active == true)
		if(cds->ChangeCount == 0) cds->Refresh();
}
//---------------------------------------------------------------------------
void __fastcall TfmSystem::cxDBTimeEdit1PropertiesChange(TObject *Sender)
{
	  btDodajClick(btIzmeni);
}
//---------------------------------------------------------------------------
void __fastcall TfmSystem::cxPCChange(TObject *Sender)
{
	if(cxPC->ActivePage == cxTabSheet1)	{
		cds = (TClientDataSet *)DM_OD->cdsSystemOD;
		ds  = (TDataSource *)DM_OD->dsSystemOD;
		dsp = (TDataSetProvider *) DM_OD->dspSystemOD;
	}
	else if(cxPC->ActivePage == cxTabSheet2) {
		cds = (TClientDataSet *)cdsVage;
		ds  = (TDataSource *)dsVage;
		dsp = (TDataSetProvider *) dspVage;
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmSystem::cdsVageAfterEdit(TDataSet *DataSet)
{
   btDodajClick(btIzmeni);
}
//---------------------------------------------------------------------------

