//---------------------------------------------------------------------------

#ifndef OD_systemH
#define OD_systemH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxLookAndFeels.hpp"
#include "cxButtons.hpp"
#include "cxControls.hpp"
#include "cxGraphics.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxPC.hpp"
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "cxCheckBox.hpp"
#include "cxContainer.hpp"
#include "cxDBEdit.hpp"
#include "cxEdit.hpp"
#include "cxLabel.hpp"
#include "cxTextEdit.hpp"
#include "cxCalendar.hpp"
#include "cxDropDownEdit.hpp"
#include "cxMaskEdit.hpp"
#include "cxSpinEdit.hpp"
#include "cxTimeEdit.hpp"
#include "cxClasses.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxFilter.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxStyles.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
//---------------------------------------------------------------------------
class TfmSystem : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPC;
	TcxTabSheet *cxTabSheet1;
	TcxDBTextEdit *cxDBTextEdit1;
	TcxDBCheckBox *cxDBCheckBox1;
	TcxLabel *cxLabel1;
	TcxLabel *cxLabel2;
	TcxLabel *cxLabel3;
	TcxDBTimeEdit *cxDBTimeEdit1;
	TcxTabSheet *cxTabSheet2;
	TSQLDataSet *sqlVage;
	TDataSetProvider *dspVage;
	TClientDataSet *cdsVage;
	TDataSource *dsVage;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridLevel *cxGridLevel1;
	TcxGridDBColumn *cxGrid1DBTableView1ID;
	TcxGridDBColumn *cxGrid1DBTableView1PORT;
	TcxGridDBColumn *cxGrid1DBTableView1DATA_BITS;
	TcxGridDBColumn *cxGrid1DBTableView1BRZINA;
	TcxGridDBColumn *cxGrid1DBTableView1STOP_BIT;
	TcxGridDBColumn *cxGrid1DBTableView1PARITET;
	TcxGridDBColumn *cxGrid1DBTableView1WAIT_TIME;
	TcxGridDBColumn *cxGrid1DBTableView1START_STR;
	TcxGridDBColumn *cxGrid1DBTableView1END_STR;
	TcxGridDBColumn *cxGrid1DBTableView1NAPOMENA;
	TcxGridDBColumn *cxGrid1DBTableView1PACKET_SIZE;
	TcxGridDBColumn *cxGrid1DBTableView1MIN_VALUE;
	TcxGridDBColumn *cxGrid1DBTableView1MAX_VALUE;
	TcxGridDBColumn *cxGrid1DBTableView1PROVERA_VALUE;
	TcxGridDBColumn *cxGrid1DBTableView1VAGA;
	TPanel *Panel1;
	TcxButton *btIzlaz;
	TcxButton *btPonisti;
	TcxButton *btSnimi;
	TcxButton *btObrisi;
	TcxButton *btIzmeni;
	TcxButton *btDodaj;
	TcxButton *cxButton1;
	TcxButton *cxStampa;
	TcxButton *cxButton2;
	TcxStyleRepository *cxMyStyle;
	TcxStyle *cxStyleRoze;
	TcxStyle *cxStyleZuta;
	TcxStyle *cxStyleSiva;
	TSQLDataSet *sql;
	TDataSetProvider *dsp;
	TClientDataSet *cds;
	TDataSource *ds;
	TcxLabel *cxLabel4;
	TcxDBDateEdit *cxDBDateEdit1;
	TcxLabel *cxLabel5;
	TcxDBTextEdit *cxDBTextEdit2;
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall btDodajClick(TObject *Sender);
	void __fastcall btIzlazClick(TObject *Sender);
	void __fastcall cxButton1Click(TObject *Sender);
	void __fastcall cxDBTimeEdit1PropertiesChange(TObject *Sender);
	void __fastcall cxPCChange(TObject *Sender);
	void __fastcall cdsVageAfterEdit(TDataSet *DataSet);
private:	// User declarations
	//TClientDataSet *cds;
	//TDataSetProvider *dsp;
	//TDataSource *ds;
public:		// User declarations
	__fastcall TfmSystem(TComponent* Owner);
	void __fastcall Obrisi();
	void __fastcall Snimi();
};
//---------------------------------------------------------------------------
extern PACKAGE TfmSystem *fmSystem;
//---------------------------------------------------------------------------
#endif
