//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "BUS_OsnovnaFormaNova.h"
#include "OD_DM.h"
//#include "BUS_DM.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxControls"
#pragma link "cxPC"
#pragma link "cxClasses"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDBNavigator"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxNavigator"
#pragma link "cxStyles"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"
TfmOsnovnaFormaNova *fmOsnovnaFormaNova;
//---------------------------------------------------------------------------
__fastcall TfmOsnovnaFormaNova::TfmOsnovnaFormaNova(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TfmOsnovnaFormaNova::btPonistiClick(TObject *Sender)
{
  if     (Sender == btDodaj)   cds->Append();
  else if(Sender == btPonisti) cds->UndoLastChange(true);
  else if(Sender == btSnimi)   Snimi();
//  else if(Sender == btIzmeni)  cds->Edit();
  else if(Sender == btOsvezi)  cds->Refresh();
  else if(Sender == btObrisi)  {
   cds->Delete();
   Obrisi();
  }

  if (Sender == btIzmeni || Sender == btDodaj || Sender == btObrisi) {
      btDodaj->Enabled = false;
//      btIzmeni->Enabled = false;
      btSnimi->Enabled = true;
      btPonisti->Enabled = true;
      btObrisi->Enabled = false;
//      PanelPodataka->Enabled = true;
  }
  else if (Sender == btSnimi || Sender == btPonisti) {
      btDodaj->Enabled = true;
//      btIzmeni->Enabled = true;
      btSnimi->Enabled = false;
      btPonisti->Enabled = false;
      btObrisi->Enabled = true;
//      PanelPodataka->Enabled = false;
  }  
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovnaFormaNova::Snimi()
{
  TTransactionDesc TD;

  if (DM_OD->SC_OD->InTransaction) {
        DM_OD->SC_OD->Commit(TD);
  }

  try {

  TD.TransactionID = 1;
  TD.IsolationLevel = 0;// xilREADCOMMITTED;  //xilREADCOMMITTED

     if (!DM_OD->SC_OD->InTransaction)  {

        DM_OD->SC_OD->StartTransaction(TD);

        if (cds->State == dsInsert || cds->State == dsEdit) cds->Post();

        if( (greska=cds->ApplyUpdates(0)) > 0) {
             //cds->Active = false;
             //cds->Active = true;
        //}
        //else {
           ShowMessage("Desila se greska prilikom snimanja podataka!!");
           if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
        }
     }
     if (DM_OD->SC_OD->InTransaction) {
        DM_OD->SC_OD->Commit(TD);

        if(cds->ChangeCount == 0) {
               cds->Refresh();
        }
        //cds->Active = false;
        //cds->Active = true;
     }
  }
  catch(Exception &e) {
     if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
     ShowMessage("Nije snimljeno!! Greska: "+e.Message);
  }
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovnaFormaNova::Obrisi()
{/*
  if (cds->IsEmpty()) {
     ShowMessage("Tabela je prazna, nema podataka za brisanje!!");
     Abort();
  }
  */
 TTransactionDesc TD;
 int greska;

try {

  TD.TransactionID = 1;
  TD.IsolationLevel = 0;// xilREADCOMMITTED;  //xilREADCOMMITTED

  if (!DM_OD->SC_OD->InTransaction)  {

    DM_OD->SC_OD->StartTransaction(TD);

     if(MessageBoxA(NULL, "Da li ste sigurni da zalite da obrisete podatke?", "Brisanje ", MB_YESNO) == IDYES) {
         greska = cds->ApplyUpdates(0);
         if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Commit(TD);
     }
     else {
        if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
     }
  }
}
catch(Exception &e) {
  if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
  ShowMessage("Greska: "+e.Message);
}
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovnaFormaNova::FormCreate(TObject *Sender)
{
   TDataSource *ds= dynamic_cast<TDataSource *> (dbGridDBTable->DataController->DataSource);
   cds0 = dynamic_cast<TClientDataSet *> (ds->DataSet);
//   cxDBN->DataSource = ds;
   /*
   for(int i = 0; i < cds0->FieldCount; i++) {
      if ((cds0->Fields->Fields[i]->DataType == ftString	||
           cds0->Fields->Fields[i]->DataType == ftInteger) &&
           cds0->Fields->Fields[i]->FieldKind != fkLookup) cbFilter->Items->Add(cds0->Fields->Fields[i]->FieldName);
   } */ 
}
//---------------------------------------------------------------------------
void __fastcall TfmOsnovnaFormaNova::FormClose(TObject *Sender,
      TCloseAction &Action)
{
  Action = caFree;
}
//---------------------------------------------------------------------------


