//---------------------------------------------------------------------------

#ifndef BUS_OsnovnaFormaNovaH
#define BUS_OsnovnaFormaNovaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "cxControls.hpp"
#include "cxPC.hpp"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "cxClasses.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBNavigator.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxNavigator.hpp"
#include "cxStyles.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"

//---------------------------------------------------------------------------
class TfmOsnovnaFormaNova : public TForm
{
__published:	// IDE-managed Components
  TcxPageControl *PC;
  TcxTabSheet *cxT1;
  TcxGridDBTableView *dbGridDBTable;
  TcxGridLevel *dbGridLevel1;
  TcxGrid *dbGrid;
  TPanel *Panel1;
  TSpeedButton *btPonisti;
  TSpeedButton *btSnimi;
  TSpeedButton *btObrisi;
  TSpeedButton *btIzmeni;
  TSpeedButton *btDodaj;
  TDataSource *ds;
  TClientDataSet *cds;
  TDataSetProvider *dsp;
  TSQLDataSet *dset;
  TPanel *PanelPodataka;
        TSpeedButton *btOsvezi;
  void __fastcall btPonistiClick(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
public:		// User declarations
  int greska;
  TClientDataSet *cds0;
  TcxTabSheet *tab;

  __fastcall TfmOsnovnaFormaNova(TComponent* Owner);
  void __fastcall Snimi();
  void __fastcall Obrisi();
};
//---------------------------------------------------------------------------
extern PACKAGE TfmOsnovnaFormaNova *fmOsnovnaFormaNova;
//---------------------------------------------------------------------------
#endif
