//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "BUS_OsnovnaPretraga_N.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxButtons"
#pragma link "cxCheckBox"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxGroupBox"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxMaskEdit"
#pragma link "cxStyles"
#pragma link "cxTextEdit"
#pragma link "cxLookAndFeels"
#pragma resource "*.dfm"
Tfm_osnovna_pretraga *fm_osnovna_pretraga;
//---------------------------------------------------------------------------
__fastcall Tfm_osnovna_pretraga::Tfm_osnovna_pretraga(TComponent* Owner)
 : TForm(Owner)
{
}
//---------------------------------------------------------------------------
__fastcall Tfm_osnovna_pretraga::Tfm_osnovna_pretraga(TSQLDataSet *dset, TDataSource *ds, AnsiString kolona1, AnsiString kolona2, TComponent* Owner)
        : TForm(Owner)
{
    int k = 0;

    dbg->DataController->DataSource = ds;
    cds0 = dynamic_cast<TClientDataSet *> (ds->DataSet);
    dset0 = dset;
    cds = cds0;
    kol1 = kolona1; kol2 = kolona2;
    cbFilter->Text = kol2;

    for(int i = 0; i < cds0->FieldCount; i++) {
       if ((cds0->Fields->Fields[i]->DataType == ftString	||
				 cds0->Fields->Fields[i]->DataType == ftInteger ||
				 cds0->Fields->Fields[i]->DataType == ftFMTBcd  ||
				 cds0->Fields->Fields[i]->DataType == ftDate) &&
            cds0->Fields->Fields[i]->FieldKind != fkLookup)
            {
               dbg->CreateColumn();

               dbg->Columns[k]->Caption = cds0->Fields->Fields[i]->FieldName;
               dbg->Columns[k]->DataBinding->FieldName = cds0->Fields->Fields[i]->FieldName;

               if ( cds0->Fields->Fields[i]->FieldName == kol1 || cds0->Fields->Fields[i]->FieldName == kol2)
               {
                   cbFilter->Properties->Items->Add(cds0->Fields->Fields[i]->FieldName);

                   dbg->Columns[k]->Visible = true;
                   if ( cds0->Fields->Fields[k]->FieldName == kol1  )
                   {
                      dbg->Columns[k]->Caption= kol1;
                      dbg->Columns[k]->Width = 100;
                   }
                   else
                   {
                      dbg->Columns[k]->Caption= kol2;
                      dbg->Columns[k]->Width = 400;
                   }
               }
               else
                   dbg->Columns[k]->Visible = false;
               k++;
            }
    }
}
//---------------------------------------------------------------------------
__fastcall Tfm_osnovna_pretraga::Tfm_osnovna_pretraga(TSQLDataSet *dset, TDataSource *ds, AnsiString kolona1, AnsiString kolona2, AnsiString kolona3, TComponent* Owner)
        : TForm(Owner)
{
    int k = 0;

    dbg->DataController->DataSource = ds;
    cds0 = dynamic_cast<TClientDataSet *> (ds->DataSet);
    dset0 = dset;
    cds = cds0;
	  kol1 = kolona1; kol2 = kolona2; kol3 = kolona3;
    cbFilter->Text = kol2;

    for(int i = 0; i < cds0->FieldCount; i++) {
       if ((cds0->Fields->Fields[i]->DataType == ftString	||
				 cds0->Fields->Fields[i]->DataType == ftInteger ||
				 cds0->Fields->Fields[i]->DataType == ftFMTBcd  ||
				 cds0->Fields->Fields[i]->DataType == ftDate) &&
            cds0->Fields->Fields[i]->FieldKind != fkLookup)
            {
               dbg->CreateColumn();

               dbg->Columns[k]->Caption = cds0->Fields->Fields[i]->FieldName;
               dbg->Columns[k]->DataBinding->FieldName = cds0->Fields->Fields[i]->FieldName;

               if ( cds0->Fields->Fields[i]->FieldName == kol1 || cds0->Fields->Fields[i]->FieldName == kol2 || cds0->Fields->Fields[i]->FieldName == kol3)
               {
                   cbFilter->Properties->Items->Add(cds0->Fields->Fields[i]->FieldName);

						  dbg->Columns[k]->Visible = true;
						  if ( cds0->Fields->Fields[k]->FieldName == kol1  )
						  {
							  dbg->Columns[k]->Caption= kol1;
							  dbg->Columns[k]->Width = 100;
						  }
						  else if ( cds0->Fields->Fields[k]->FieldName == kol2  )
						  {
							  dbg->Columns[k]->Caption= kol2;
							  dbg->Columns[k]->Width = 200;
						  }
						  else {
							  dbg->Columns[k]->Caption= kol3;
							  dbg->Columns[k]->Width = 100;
                   }
               }
               else
                   dbg->Columns[k]->Visible = false;
               k++;
            }
	  }
}
//---------------------------------------------------------------------------
__fastcall Tfm_osnovna_pretraga::Tfm_osnovna_pretraga(TSQLDataSet *dset, TDataSource *ds, AnsiString kolona1, AnsiString kolona2, AnsiString kolona3, AnsiString kolona4, TComponent* Owner)
        : TForm(Owner)
{
    int k = 0;

    dbg->DataController->DataSource = ds;
    cds0 = dynamic_cast<TClientDataSet *> (ds->DataSet);
    dset0 = dset;
    cds = cds0;
	  kol1 = kolona1; kol2 = kolona2; kol3 = kolona3; kol4=kolona4;
    cbFilter->Text = kol2;

    for(int i = 0; i < cds0->FieldCount; i++) {
       if ((cds0->Fields->Fields[i]->DataType == ftString	||
				 cds0->Fields->Fields[i]->DataType == ftInteger ||
				 cds0->Fields->Fields[i]->DataType == ftFMTBcd  ||
				 cds0->Fields->Fields[i]->DataType == ftDate) &&
            cds0->Fields->Fields[i]->FieldKind != fkLookup)
            {
               dbg->CreateColumn();

               dbg->Columns[k]->Caption = cds0->Fields->Fields[i]->FieldName;
               dbg->Columns[k]->DataBinding->FieldName = cds0->Fields->Fields[i]->FieldName;

					 if ( cds0->Fields->Fields[i]->FieldName == kol1 ||
							cds0->Fields->Fields[i]->FieldName == kol2 ||
							cds0->Fields->Fields[i]->FieldName == kol3 ||
							cds0->Fields->Fields[i]->FieldName == kol4)
					 {
						  cbFilter->Properties->Items->Add(cds0->Fields->Fields[i]->FieldName);

						  dbg->Columns[k]->Visible = true;

						  if ( cds0->Fields->Fields[k]->FieldName == kol1  )
						  {
							  dbg->Columns[k]->Caption= kol1;
							  dbg->Columns[k]->Width = 100;
						  }
						  else if ( cds0->Fields->Fields[k]->FieldName == kol2  )
						  {
							  dbg->Columns[k]->Caption= kol2;
							  dbg->Columns[k]->Width = 200;
						  }
						  else if ( cds0->Fields->Fields[k]->FieldName == kol3  )
						  {
							  dbg->Columns[k]->Caption= kol3;
							  dbg->Columns[k]->Width = 100;
						  }
						  else {
							  dbg->Columns[k]->Caption= kol4;
							  dbg->Columns[k]->Width = 100;
						  }
					 }
					 else
						  dbg->Columns[k]->Visible = false;
					 k++;
				 }
	  }
}
//---------------------------------------------------------------------------

void __fastcall Tfm_osnovna_pretraga::edTekstKeyPress(TObject *Sender,
      char &Key)
{
  if(Key == VK_RETURN && edTekst->Text != "")
     btTrazi->Click();
  else if (Key == VK_RETURN && edTekst->Text == "")
  {
     cds0->Filtered = false;
     cds0->Filter = "";
  }
  cxFilter->Checked = cds0->Filtered;
  cxFilter->Caption = cds0->Filter;  
}
//---------------------------------------------------------------------------
void __fastcall Tfm_osnovna_pretraga::dbgKeyPress(TObject *Sender,
      char &Key)
{
   if( Key == VK_RETURN)
      ModalResult = mrOk;  
}
//---------------------------------------------------------------------------
void __fastcall Tfm_osnovna_pretraga::btTraziClick(TObject *Sender)
{
 try {

    if(edTekst->Text != "") {

       cds->Filtered = false;

       if(cds->Filter != "") {

          if(cds->Fields->FieldByName(cbFilter->Text)->DataType == ftInteger)
                cds->Filter = cds->Filter+ " AND " +cbFilter->Text+" = "+edTekst->Text;
          else  {
             if(cxNacinPretrage->Checked == false) cds->Filter = cds->Filter+ " AND " +cbFilter->Text+" LIKE '%"+edTekst->Text+"%'";
             else                                  cds->Filter = cds->Filter+ " AND " +cbFilter->Text+" LIKE '"+edTekst->Text+"%'";
          }

          edTekst->Text = "";
       }
       else {

           if(cds->Fields->FieldByName(cbFilter->Text)->DataType == ftInteger)
               cds->Filter = cbFilter->Text+" = "+edTekst->Text;
           else {
               if(cxNacinPretrage->Checked == false) cds->Filter = cbFilter->Text+" LIKE '%"+edTekst->Text+"%'";
               else                                  cds->Filter = cbFilter->Text+" LIKE '"+edTekst->Text+"%'";
           }

         edTekst->Text = "";
       }

       cds->Filtered = true;
    }
  }
  catch(Exception &e1) {
    try{
       cds->Filtered = false;
       cds->Filtered = true;
    }
    catch(Exception &e) {
         ShowMessage("Ne mozete filtrirati podatke po tom polju!! "+e.Message);
    }
  }  
}
//---------------------------------------------------------------------------
void __fastcall Tfm_osnovna_pretraga::edTekstEnter(TObject *Sender)
{
edTekst->Text="";  
}
//---------------------------------------------------------------------------
void __fastcall Tfm_osnovna_pretraga::cxPronadjiEnter(TObject *Sender)
{
   cxPronadji->Text=""; 
}
//---------------------------------------------------------------------------
void __fastcall Tfm_osnovna_pretraga::FormCreate(TObject *Sender)
{
    TFilterOptions   Options;
    Options << foCaseInsensitive;

    TDataSource *ds= dynamic_cast<TDataSource *> (dbg->DataController->DataSource);
  //  cds0 = dynamic_cast<TClientDataSet *> (ds->DataSet);
  //  cds = cds0;
  //  cds0->Filter = "";
  //  cds0->Filtered = false;

  //  cds->FilterOptions = Options;
}
//---------------------------------------------------------------------------
void __fastcall Tfm_osnovna_pretraga::dbgDblClick(TObject *Sender)
{
   ModalResult = mrOk;
}
//---------------------------------------------------------------------------
void __fastcall Tfm_osnovna_pretraga::btPronadjiClick(TObject *Sender)
{
   cds0->Active = false;
   dset0->Params->Items[0]->AsString = cxPronadji->Text;
   dset0->Params->Items[1]->AsString = cxPronadji->Text;

//   if(dset0->Params->Items[2])
//      dset0->Params->Items[2]->AsString = edTekst->Text;

   cds0->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall Tfm_osnovna_pretraga::cxPronadjiKeyPress(TObject *Sender,
      char &Key)
{
  if(Key == VK_RETURN) {

   cds0->Active = false;
   dset0->Params->Items[0]->AsString = cxPronadji->Text;
   dset0->Params->Items[1]->AsString = cxPronadji->Text;

//   if(dset0->Params->Items[2])
//      dset0->Params->Items[2]->AsString = edTekst->Text;

   cds0->Active = true;
  }
}
//---------------------------------------------------------------------------
void __fastcall Tfm_osnovna_pretraga::ZatvoriFormuExecute(TObject *Sender)
{
   ModalResult = mrCancel;
}
//---------------------------------------------------------------------------

void __fastcall Tfm_osnovna_pretraga::PronadjiExecute(TObject *Sender)
{
   btPronadjiClick(Sender);
}
//---------------------------------------------------------------------------





