//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "SetupPrava.h"
#include "OD_Glavna.h"
#include "OD_DM.h"
//#include "BUS_Glavna.h"
//#include "BUS_DM.h"
//#include "BUS_DM10.h"
//#include "data_modul.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "dxBar"
#pragma link "cxClasses"
#pragma link "cxGraphics"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxStyles"
#pragma link "cxButtons"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxDropDownEdit"
#pragma link "cxLookupEdit"
#pragma link "cxMaskEdit"
#pragma link "cxTextEdit"
#pragma link "cxPC"
#pragma resource "*.dfm"
TfrmSetupPrava *frmSetupPrava;
//---------------------------------------------------------------------------
__fastcall TfrmSetupPrava::TfrmSetupPrava(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmSetupPrava::FormCreate(TObject *Sender)
{
	fmGlavna->nadjiPravoZaFormu("frmSetupPrava");
//	DM_PO->cdsPrava->Active = false;
//		DM_PO->sqlPrava->ParamByName("formName")->Text = "frmSetupPrava";
//		DM_PO->sqlPrava->ParamByName("sifraRadnika")->AsInteger = DM->cdsRadnik->FieldByName("SIFRA_RADNIKA")->AsInteger;
//	DM_PO->cdsPrava->Active = true;

	pravoInsert = DM_OD->cdsProveraSelect->FieldByName("PRAVO_INSERT")->AsInteger;
	pravoDelete = DM_OD->cdsProveraSelect->FieldByName("PRAVO_DELETE")->AsInteger;
	pravoUpdate = DM_OD->cdsProveraSelect->FieldByName("PRAVO_UPDATE")->AsInteger;

	cdsLookupRole->Active = false;
		sqlLookupRole->ParamByName("softver")->AsString = fmGlavna->SOFTVER;
	cdsLookupRole->Active = true;

	cdsPrava->Active = false;
		sqlPrava->ParamByName("rola")->AsInteger = lcbRole->EditValue.intVal;
	cdsPrava->Active = true;

	cdsLookupNazivForme->Active = true;
	btnSnimiPrava->Enabled = false;

	cdsradnici->Active = true;

//	cdsLookupRole->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall TfrmSetupPrava::FormClose(TObject *Sender, TCloseAction &Action)
{
	Action = caFree;
}
//---------------------------------------------------------------------------
void __fastcall TfrmSetupPrava::cbRadniciChange(TObject *Sender)
{
	String nazivRole = lcbRole->Text;

	cdsLookupRole->Active = false;
	cdsPrava->Active = false;
		//sqlLookupRole->ParamByName("nazivRole")->AsString = nazivRole;
		sqlPrava->ParamByName("rola")->AsInteger = cdsLookupRole->FieldByName("ID")->AsInteger;
	cdsLookupRole->Active = true;
	cdsPrava->Active = true;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::btnSnimiPravaClick(TObject *Sender)
{
		TTransactionDesc TD;

		if (DM_OD->SC_OD->InTransaction) {
			DM_OD->SC_OD->Commit(TD);
		}
		OleVariant MasterVar, OwnerData ;
		int ErrCount=0;

		cdsPrava->CheckBrowseMode();

		if (cdsPrava->ChangeCount > 0)
			MasterVar = cdsPrava->Delta;
		else
			MasterVar.ChangeType(VT_NULL);

		try {

			if (!DM_OD->SC_OD->InTransaction)  {

			TD.TransactionID = 1;
			TD.IsolationLevel = 1;//Dbxpress::xilREADCOMMITTED;

			DM_OD->SC_OD->StartTransaction(TD);

			try {
				if(!MasterVar.IsNull()) {
					ErrCount = cdsPrava->ApplyUpdates(0);
					if (ErrCount > 0) {
						throw Exception("Greska snimanja!!");
					}
				}
			}
			catch(Exception &e) {
				if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
				ShowMessage("Greska snimanja!! "+e.Message);
				//btnSnimi->Enabled = true;
			}

			if (DM_OD->SC_OD->InTransaction) {
				if(ErrCount == 0) {
					DM_OD->SC_OD->Commit(TD);
					btnSnimiPrava->Enabled = false;
				}
			else {
				DM_OD->SC_OD->Rollback(TD);
				btnSnimiPrava->Enabled = false;
				}
			}
			}
		}
		catch(Exception &e) {
		if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
		ShowMessage("Greska snimanja!! "+e.Message);
		//btnSnimi->Enabled = true;
		}

		if(ErrCount>0) cdsPrava->Reconcile(MasterVar);

		if (cdsPrava->Active) {
			cdsPrava->Refresh();
		}else {
			cdsPrava->Active = true;
		}
		btnSnimiPrava->Enabled = false;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::DODAJ(TObject *Sender)
{
		int idRole = lcbRole->EditValue;
		cdsPrava->Append();

		spGeneratorID_PRAVA->StoredProcName = "SP_GEN_TROLE_PRAVA_ID";
		spGeneratorID_PRAVA->ExecProc();
		cdsPravaID->Value = spGeneratorID_PRAVA->ParamByName("ID")->AsInteger;
		cdsPravaID_ROLE->Value = idRole;// lcbRole->EditValue;
		cdsPrava->Edit();
		btnSnimiPrava->Enabled = true;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::btnPregledClick(TObject *Sender)
{
	if (lcbRole->EditText != "") {
	int idRole = lcbRole->EditValue;

	cdsPrava->Active = false;
		sqlPrava->ParamByName("rola")->AsInteger = idRole;
	cdsPrava->Active = true;
	}

	cdsLookupNazivForme->Active = false;
		sqlLookupNazivForme->ParamByName("softver")->AsString = fmGlavna->SOFTVER;
	cdsLookupNazivForme->Active = true;
	btnSnimiPrava->Enabled = false;
}
//---------------------------------------------------------------------------


void __fastcall TfrmSetupPrava::promeniVisePolja(TObject *Sender)
{
	if (Sender == btnDodajPravaRedu) {
		cdsPrava->Edit();
		cdsPravaPRAVO_SELECT->Value = 1;
		cdsPravaPRAVO_INSERT->Value = 1;
		cdsPravaPRAVO_DELETE->Value = 1;
		cdsPravaPRAVO_UPDATE->Value = 1;
	}
	if (Sender == btnOduzmiPravaRedu) {
		cdsPrava->Edit();
		cdsPravaPRAVO_SELECT->Value = 0;
		cdsPravaPRAVO_INSERT->Value = 0;
		cdsPravaPRAVO_DELETE->Value = 0;
		cdsPravaPRAVO_UPDATE->Value = 0;
	}
	if (Sender == btnDodajPravaKoloni) {
		TSmallintField* selektovanaKolona;

		if (gtvTabelaPRAVO_SELECT->Focused)
			selektovanaKolona = cdsPravaPRAVO_SELECT;
		if (gtvTabelaPRAVO_INSERT->Focused)
			selektovanaKolona = cdsPravaPRAVO_INSERT;
		if (gtvTabelaPRAVO_DELETE->Focused)
			selektovanaKolona = cdsPravaPRAVO_DELETE;
		if (gtvTabelaPRAVO_UPDATE->Focused)
			selektovanaKolona = cdsPravaPRAVO_UPDATE;

		for (cdsPrava->First(); !cdsPrava->Eof; cdsPrava->Next()) {
			cdsPrava->Edit();
			selektovanaKolona->Value = 1;
			selektovanaKolona->Value = 1;
			selektovanaKolona->Value = 1;
			selektovanaKolona->Value = 1;
			selektovanaKolona->Value = 1;
		}
	}
	if (Sender == btnOduzmiPravaKoloni) {
		TSmallintField* selektovanaKolona;

		if (gtvTabelaPRAVO_SELECT->Focused)
			selektovanaKolona = cdsPravaPRAVO_SELECT;
		if (gtvTabelaPRAVO_INSERT->Focused)
			selektovanaKolona = cdsPravaPRAVO_INSERT;
		if (gtvTabelaPRAVO_DELETE->Focused)
			selektovanaKolona = cdsPravaPRAVO_DELETE;
		if (gtvTabelaPRAVO_UPDATE->Focused)
			selektovanaKolona = cdsPravaPRAVO_UPDATE;

		for (cdsPrava->First(); !cdsPrava->Eof; cdsPrava->Next()) {
			cdsPrava->Edit();
			selektovanaKolona->Value = 0;
			selektovanaKolona->Value = 0;
			selektovanaKolona->Value = 0;
			selektovanaKolona->Value = 0;
		}
	}
	if (Sender == btnDodajPravaSvemu) {
		for (cdsPrava->First(); !cdsPrava->Eof; cdsPrava->Next()) {
			cdsPrava->Edit();
			cdsPravaPRAVO_SELECT->Value = 1;
			cdsPravaPRAVO_INSERT->Value = 1;
			cdsPravaPRAVO_DELETE->Value = 1;
			cdsPravaPRAVO_UPDATE->Value = 1;
		}
	}
	if (Sender == btnOduzmiPravaSvemu) {
        for (cdsPrava->First(); !cdsPrava->Eof; cdsPrava->Next()) {
			cdsPrava->Edit();
			cdsPravaPRAVO_SELECT->Value = 0;
			cdsPravaPRAVO_INSERT->Value = 0;
			cdsPravaPRAVO_DELETE->Value = 0;
			cdsPravaPRAVO_UPDATE->Value = 0;
		}
		//btnSnimiPrava->Enabled = true;
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::gtvTabelaCustomDrawCell(TcxCustomGridTableView *Sender,
		  TcxCanvas *ACanvas, TcxGridTableDataCellViewInfo *AViewInfo,
		  bool &ADone)
{
	if (AViewInfo->Value == 0)
		ACanvas->SetBrushColor(0x008080FF);
	else if (AViewInfo->Value == 1)
		ACanvas->SetBrushColor(clMoneyGreen);
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::OBRISI(TObject *Sender)
{
		cdsPrava->Delete();
		btnSnimiPrava->Enabled = true;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::izmeni(TObject *Sender)
{
		btnSnimiPrava->Enabled = true;
}
//---------------------------------------------------------------------------


void __fastcall TfrmSetupPrava::dspPravaBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS,
          TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind, bool &Applied)

{
	if (UpdateKind == ukInsert) {
		if (!pravoInsert) {
			Applied = true;
			ShowMessage("Nemate pravo da dodate nove podatke!");
		}

	}else if (UpdateKind == ukModify) {
		if (!pravoUpdate) {
			Applied = true;
			ShowMessage("Nemate pravo da menjate postojece podatke!");
		}

	}else if (UpdateKind == ukDelete) {
		if (!pravoDelete) {
			Applied = true;
			ShowMessage("Nemate pravo da brisete postojece podatke!");
		}
	}
}
//---------------------------------------------------------------------------





void __fastcall TfrmSetupPrava::cdsPravaAfterEdit(TDataSet *DataSet)
{

btnSnimiPrava->Enabled = true;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::btnSnimiRoluClick(TObject *Sender)
{
	TTransactionDesc TD;

	if (DM_OD->SC_OD->InTransaction) {
		DM_OD->SC_OD->Commit(TD);
	}
	OleVariant MasterVar, OwnerData ;
	int ErrCount=0;

	cdsLookupRole->CheckBrowseMode();

	if (cdsLookupRole->ChangeCount > 0)
		MasterVar = cdsLookupRole->Delta;
	else
		MasterVar.ChangeType(VT_NULL);

	try {

		if (!DM_OD->SC_OD->InTransaction)  {

		TD.TransactionID = 1;
		TD.IsolationLevel = 1;//Dbxpress::xilREADCOMMITTED;

		DM_OD->SC_OD->StartTransaction(TD);

		try {
			if(!MasterVar.IsNull()) {
				ErrCount = cdsLookupRole->ApplyUpdates(0);
				if (ErrCount > 0) {
					throw Exception("Greska snimanja!!");
				}
			}
		}
		catch(Exception &e) {
			if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
			ShowMessage("Greska snimanja!! "+e.Message);
			//btnSnimi->Enabled = true;
		}

		if (DM_OD->SC_OD->InTransaction) {
			if(ErrCount == 0) {
				DM_OD->SC_OD->Commit(TD);
				btnSnimiRolu->Enabled = false;
				btnOdustani->Enabled = false;
			}
		else {
			DM_OD->SC_OD->Rollback(TD);
			btnSnimiRolu->Enabled = false;
			btnOdustani->Enabled = false;
			}
		}
		}
	}
	catch(Exception &e) {
	if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
	ShowMessage("Greska snimanja!! "+e.Message);
	//btnSnimi->Enabled = true;
	}

	if(ErrCount>0) cdsLookupRole->Reconcile(MasterVar);

	if (cdsLookupRole->Active) {
		cdsLookupRole->Refresh();
	}else {
		cdsLookupRole->Active = true;
	}
	btnSnimiRolu->Enabled = false;
	btnOdustani->Enabled = false;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::btnDodajRoluClick(TObject *Sender)
{
	//int idRole = lcbRole->EditValue;
	cdsLookupRole->Append();

	spGeneratorID_PRAVA->StoredProcName = "SP_GEN_TROLE_ID";
	spGeneratorID_PRAVA->ExecProc();
	cdsLookupRoleID->Value = spGeneratorID_PRAVA->ParamByName("ID")->AsInteger;
	cdsLookupRoleSOFTVER->Value = fmGlavna->SOFTVER;
	//cdsPravaID_ROLE->Value = idRole;// lcbRole->EditValue;
	//cdsPravaSOFTVER->Text = "Otkup duvana";
   //	cdsPrava->Edit();
	btnSnimiRolu->Enabled = true;
	btnOdustani->Enabled = true;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::btnObrisiRoluClick(TObject *Sender)
{
	cdsLookupRole->Delete();
	btnSnimiRolu->Enabled = true;
	btnOdustani->Enabled = true;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::cdsLookupRoleAfterEdit(TDataSet *DataSet)
{
	btnSnimiRolu->Enabled = true;
	btnOdustani->Enabled = true;
}
//---------------------------------------------------------------------------


void __fastcall TfrmSetupPrava::btnOdustaniClick(TObject *Sender)
{
	cdsLookupRole->CancelUpdates();
	cdsLookupRole->Refresh();
	btnSnimiRolu->Enabled = false;
	btnOdustani->Enabled = false;
}
//---------------------------------------------------------------------------


void __fastcall TfrmSetupPrava::btnDodajRoluRadnikaClick(TObject *Sender)
{
	//int idRole = lcbRole->EditValue;
	cdsLookupRoleRadnika->Append();

	spGeneratorID_PRAVA->StoredProcName = "SP_GEN_TROLE_RADNIK_ID";
	spGeneratorID_PRAVA->ExecProc();
	cdsLookupRoleRadnikaID->Value = spGeneratorID_PRAVA->ParamByName("ID")->AsInteger;
	cdsLookupRoleRadnikaSOFTVER->Value = fmGlavna->SOFTVER;
	cdsLookupRoleRadnika->Edit();
//	spGeneratorID_PRAVA->StoredProcName = "SP_GEN_TROLE_RADNIKA_ID";
//	spGeneratorID_PRAVA->ExecProc();
//	qRoleRadnika->ParamByName("id")->AsInteger = spGeneratorID_PRAVA->ParamByName("ID")->AsInteger;
//	qRoleRadnika->ParamByName("sifraRadnika")->AsInteger = DM->cdsRadnik->FieldByName("DIFRA_RADNIKA")->AsInteger;
//	qRoleRadnika->ParamByName("idRole")->AsInteger = spGeneratorID_PRAVA->ParamByName("ID")->AsInteger;
//	qRoleRadnika->ParamByName("nazivRole")->AsString = cdsLookupRole->FieldByName("NAZIV")->AsString;
//	qRoleRadnika->ParamByName("softver")->AsString = cdsLookupRole->FieldByName("SOFTVER")->AsString;
//
//	qRoleRadnika->ExecSQL();

	//cdsPravaID_ROLE->Value = idRole;// lcbRole->EditValue;
	//cdsPravaSOFTVER->Text = "Otkup duvana";
   //	cdsPrava->Edit();
	btnSnimiRoluRadnika->Enabled = true;
    btnOdustaniSnimanjeRoleRadnika->Enabled = true;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::btnObrisiRoluRadnikaClick(TObject *Sender)
{
	cdsLookupRoleRadnika->Delete();
	btnSnimiRoluRadnika->Enabled = true;
	btnOdustaniSnimanjeRoleRadnika->Enabled = true;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::cdsLookupRoleRadnikaAfterEdit(TDataSet *DataSet)
{
	btnSnimiRoluRadnika->Enabled = true;
	btnOdustaniSnimanjeRoleRadnika->Enabled = true;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::btnSnimiRoluRadnikaClick(TObject *Sender)
{
	TTransactionDesc TD;

	if (DM_OD->SC_OD->InTransaction) {
		DM_OD->SC_OD->Commit(TD);
	}
	OleVariant MasterVar, OwnerData ;
	int ErrCount=0;

	cdsLookupRoleRadnika->CheckBrowseMode();

	if (cdsLookupRoleRadnika->ChangeCount > 0)
		MasterVar = cdsLookupRoleRadnika->Delta;
	else
		MasterVar.ChangeType(VT_NULL);

	try {

		if (!DM_OD->SC_OD->InTransaction)  {

		TD.TransactionID = 1;
		TD.IsolationLevel = 1;//Dbxpress::xilREADCOMMITTED;

		DM_OD->SC_OD->StartTransaction(TD);

		try {
			if(!MasterVar.IsNull()) {
				ErrCount = cdsLookupRoleRadnika->ApplyUpdates(0);
				if (ErrCount > 0) {
					throw Exception("Greska snimanja!!");
				}
			}
		}
		catch(Exception &e) {
			if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
			ShowMessage("Greska snimanja!! "+e.Message);
			//btnSnimi->Enabled = true;
		}

		if (DM_OD->SC_OD->InTransaction) {
			if(ErrCount == 0) {
				DM_OD->SC_OD->Commit(TD);
				btnSnimiRoluRadnika->Enabled = false;
				btnOdustaniSnimanjeRoleRadnika->Enabled = false;
			}
		else {
			DM_OD->SC_OD->Rollback(TD);
			btnSnimiRoluRadnika->Enabled = false;
			btnOdustaniSnimanjeRoleRadnika->Enabled = false;
			}
		}
		}
	}
	catch(Exception &e) {
	if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
	ShowMessage("Greska snimanja!! "+e.Message);
	//btnSnimi->Enabled = true;
	}

	if(ErrCount>0) cdsLookupRoleRadnika->Reconcile(MasterVar);

	if (cdsLookupRoleRadnika->Active) {
		cdsLookupRoleRadnika->Refresh();
	}else {
		cdsLookupRoleRadnika->Active = true;
	}
	btnSnimiRoluRadnika->Enabled = false;
	btnOdustaniSnimanjeRoleRadnika->Enabled = false;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::btnOdustaniSnimanjeRoleRadnikaClick(TObject *Sender)

{
	cdsLookupRoleRadnika->CancelUpdates();
	cdsLookupRoleRadnika->Refresh();
	btnSnimiRoluRadnika->Enabled = false;
	btnOdustaniSnimanjeRoleRadnika->Enabled = false;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::dspLookupRoleRadnikaBeforeUpdateRecord(TObject *Sender,
          TDataSet *SourceDS, TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind,
          bool &Applied)
{
	if (UpdateKind == ukInsert) {
		if (!pravoInsert) {
			Applied = true;
			ShowMessage("Nemate pravo da dodate nove podatke!");
		}

	}else if (UpdateKind == ukModify) {
		if (!pravoUpdate) {
			Applied = true;
			ShowMessage("Nemate pravo da menjate postojece podatke!");
		}

	}else if (UpdateKind == ukDelete) {
		if (!pravoDelete) {
			Applied = true;
			ShowMessage("Nemate pravo da brisete postojece podatke!");
		}
    }
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetupPrava::pcPravaPageChanging(TObject *Sender, TcxTabSheet *NewPage,
          bool &AllowChange)
{
	if (NewPage == tsIzmenaRadnika) {
		if (cdsLookupRoleRadnika->Active == true) {
			cdsLookupRoleRadnika->Active = false;
				sqlLookupRoleRadnika->ParamByName("softver")->AsString = fmGlavna->SOFTVER;
			cdsLookupRoleRadnika->Active = true;
		}
		else  {
			sqlLookupRoleRadnika->ParamByName("softver")->AsString = fmGlavna->SOFTVER;
			cdsLookupRoleRadnika->Active = true;
        }
	}
}
//---------------------------------------------------------------------------

