//---------------------------------------------------------------------------

#ifndef SetupPravaH
#define SetupPravaH
//---------------------------------------------------------------------------
#include "OD_Glavna.h"
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "dxBar.hpp"
#include "cxClasses.hpp"
#include "cxGraphics.hpp"
#include <ImgList.hpp>
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxStyles.hpp"
#include <DB.hpp>
#include <DBCtrls.hpp>
#include <ExtCtrls.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxButtons.hpp"
#include <Menus.hpp>
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxLookupEdit.hpp"
#include "cxMaskEdit.hpp"
#include "cxTextEdit.hpp"
#include <DBGrids.hpp>
#include <Grids.hpp>
#include "cxPC.hpp"
#include "OD_DM.h"
//---------------------------------------------------------------------------
class TfrmSetupPrava : public TForm
{
__published:	// IDE-managed Components
	TcxImageList *cxImageList2;
	TcxImageList *cxImageList1;
	TImageList *ImageList1;
	TSQLDataSet *sqlPrava;
	TDataSetProvider *dspPrava;
	TClientDataSet *cdsPrava;
	TDataSource *dsPrava;
	TSQLDataSet *sqlLookupNazivForme;
	TDataSetProvider *dspLookupNazivForme;
	TClientDataSet *cdsLookupNazivForme;
	TDataSource *dsLookupNazivForme;
	TIntegerField *cdsLookupNazivFormeID;
	TStringField *cdsLookupNazivFormeNAZIV_FORME_MENI;
	TStringField *cdsLookupNazivFormeNAZIV_FORME_PROGRAM;
	TSQLDataSet *sqlLookupRole;
	TDataSetProvider *dspLookupRole;
	TClientDataSet *cdsLookupRole;
	TDataSource *dsLookupRole;
	TIntegerField *cdsLookupRoleID;
	TStringField *cdsLookupRoleNAZIV;
	TIntegerField *cdsPravaID;
	TIntegerField *cdsPravaID_ROLE;
	TIntegerField *cdsPravaID_FORME;
	TSmallintField *cdsPravaPRAVO_SELECT;
	TSmallintField *cdsPravaPRAVO_INSERT;
	TSmallintField *cdsPravaPRAVO_DELETE;
	TSmallintField *cdsPravaPRAVO_UPDATE;
	TcxLookAndFeelController *cxLookAndFeelController1;
	TSQLStoredProc *spGeneratorID_PRAVA;
	TcxPageControl *pcPrava;
	TcxTabSheet *tsIzmenaPrava;
	TcxTabSheet *tsIzmenaKorisnika;
	TPanel *pnlFilter;
	TcxLabel *cxLabel1;
	TcxButton *btnSnimiPrava;
	TcxButton *btnObrisi;
	TButton *btnPregled;
	TcxLookupComboBox *lcbRole;
	TcxButton *btnDodaj;
	TcxButton *btnIzmeni;
	TcxButton *btnDodajPravaRedu;
	TcxButton *btnDodajPravaKoloni;
	TcxButton *btnDodajPravaSvemu;
	TcxButton *btnOduzmiPravaRedu;
	TcxButton *btnOduzmiPravaKoloni;
	TcxButton *btnOduzmiPravaSvemu;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *gtvTabela;
	TcxGridDBColumn *gtvTabelaID;
	TcxGridDBColumn *gtvTabelaID_FORME;
	TcxGridDBColumn *gtvTabelaPRAVO_SELECT;
	TcxGridDBColumn *gtvTabelaPRAVO_INSERT;
	TcxGridDBColumn *gtvTabelaPRAVO_DELETE;
	TcxGridDBColumn *gtvTabelaPRAVO_UPDATE;
	TcxGridLevel *cxGrid1Level1;
	TPanel *pnlZaglavlje;
	TcxGridDBTableView *cxGrid2DBTableView1;
	TcxGridLevel *cxGrid2Level1;
	TcxGrid *cxGrid2;
	TcxGridDBColumn *cxGrid2DBTableView1ID;
	TcxGridDBColumn *cxGrid2DBTableView1NAZIV;
	TcxButton *btnSnimiRolu;
	TcxButton *btnDodajRolu;
	TcxButton *btnObrisiRolu;
	TcxButton *btnOdustani;
	TStringField *cdsLookupNazivFormeSOFTVER;
	TStringField *cdsLookupRoleSOFTVER;
	TcxTabSheet *tsIzmenaRadnika;
	TPanel *Panel1;
	TcxButton *btnSnimiRoluRadnika;
	TcxButton *btnDodajRoluRadnika;
	TcxButton *btnObrisiRoluRadnika;
	TcxButton *btnOdustaniSnimanjeRoleRadnika;
	TcxGrid *cxGrid3;
	TcxGridDBTableView *cxGridDBTableView1;
	TcxGridLevel *cxGridLevel1;
	TButton *btnPregledRoleRadnika;
	TSQLDataSet *sql_radnici;
	TDataSetProvider *dsp_radnici;
	TClientDataSet *cdsradnici;
	TIntegerField *cdsradniciSIFRA_RADNIKA;
	TStringField *cdsradniciRADNIK;
	TDataSource *ds_radnici;
	TDataSource *dsLookupRoleRadnika;
	TClientDataSet *cdsLookupRoleRadnika;
	TDataSetProvider *dspLookupRoleRadnika;
	TSQLDataSet *sqlLookupRoleRadnika;
	TIntegerField *cdsLookupRoleRadnikaID;
	TIntegerField *cdsLookupRoleRadnikaSIFRA_RADNIKA;
	TIntegerField *cdsLookupRoleRadnikaID_ROLE;
	TcxGridDBColumn *cxGridDBTableView1ID;
	TcxGridDBColumn *cxGridDBTableView1ID_ROLE;
	TcxGridDBColumn *cxGridDBTableView1SIFRA_RADNIKA;
	TStringField *cdsLookupRoleRadnikaSOFTVER;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall cbRadniciChange(TObject *Sender);
	void __fastcall btnSnimiPravaClick(TObject *Sender);
	void __fastcall DODAJ(TObject *Sender);
	void __fastcall btnPregledClick(TObject *Sender);
	void __fastcall promeniVisePolja(TObject *Sender);
	void __fastcall gtvTabelaCustomDrawCell(TcxCustomGridTableView *Sender,
          TcxCanvas *ACanvas, TcxGridTableDataCellViewInfo *AViewInfo,
          bool &ADone);
	void __fastcall OBRISI(TObject *Sender);
	void __fastcall izmeni(TObject *Sender);
	void __fastcall dspPravaBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS,
          TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind, bool &Applied);
	void __fastcall cdsPravaAfterEdit(TDataSet *DataSet);
	void __fastcall btnSnimiRoluClick(TObject *Sender);
	void __fastcall btnDodajRoluClick(TObject *Sender);
	void __fastcall btnObrisiRoluClick(TObject *Sender);
	void __fastcall cdsLookupRoleAfterEdit(TDataSet *DataSet);
	void __fastcall btnOdustaniClick(TObject *Sender);
	void __fastcall btnDodajRoluRadnikaClick(TObject *Sender);
	void __fastcall btnObrisiRoluRadnikaClick(TObject *Sender);
	void __fastcall cdsLookupRoleRadnikaAfterEdit(TDataSet *DataSet);
	void __fastcall btnSnimiRoluRadnikaClick(TObject *Sender);
	void __fastcall btnOdustaniSnimanjeRoleRadnikaClick(TObject *Sender);
	void __fastcall dspLookupRoleRadnikaBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS,
          TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind, bool &Applied);
	void __fastcall pcPravaPageChanging(TObject *Sender, TcxTabSheet *NewPage, bool &AllowChange);









private:	// User declarations
	bool pravoInsert, pravoDelete, pravoUpdate;
public:		// User declarations
	__fastcall TfrmSetupPrava(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmSetupPrava *frmSetupPrava;
//---------------------------------------------------------------------------
#endif
