//---------------------------------------------------------------------------

#ifndef BUS_DM_PRETRAGEH
#define BUS_DM_PRETRAGEH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
//---------------------------------------------------------------------------
class TDM_PRETRAGE : public TDataModule
{
__published:	// IDE-managed Components
 TSQLDataSet *dsetNapomene;
 TDataSetProvider *dspNapomene;
 TClientDataSet *cdsNapomene;
 TDataSource *dsNapomene;
 TIntegerField *cdsNapomeneID;
 TStringField *cdsNapomeneNAPOMENA;
 TStringField *cdsNapomeneTIP;
 TStringField *cdsNapomeneOPIS;
 TSQLDataSet *dsetArtikliPTG;
 TDataSetProvider *dspArtikliPTG;
 TClientDataSet *cdsArtikliPTG;
 TStringField *cdsArtikliPTGKOD;
 TIntegerField *cdsArtikliPTGSIFRA_ROBE;
 TIntegerField *cdsArtikliPTGSIFRA_POREZA;
 TFMTBCDField *cdsArtikliPTGSTOPA1;
 TIntegerField *cdsArtikliPTGSIFRA_KATEGORIJE;
 TStringField *cdsArtikliPTGKATEGORIJA_GRUPE;
 TIntegerField *cdsArtikliPTGSIFRA_PROIZVODJACA;
 TStringField *cdsArtikliPTGPROIZVODJAC;
 TStringField *cdsArtikliPTGARTIKAL;
 TFMTBCDField *cdsArtikliPTGCENAVP;
 TFMTBCDField *cdsArtikliPTGCENAMP;
 TFMTBCDField *cdsArtikliPTGCENA;
 TFMTBCDField *cdsArtikliPTGUKUPNA_KOL;
 TFMTBCDField *cdsArtikliPTGKOLICINA;
 TFMTBCDField *cdsArtikliPTGREZERVISANO;
 TFMTBCDField *cdsArtikliPTGNAB_VREDNOST;
 TStringField *cdsArtikliPTGPODVRSTA;
 TStringField *cdsArtikliPTGGRUPA;
 TIntegerField *cdsArtikliPTGGARANCIJA;
 TFMTBCDField *cdsArtikliPTGPLAN_CENA;
 TFMTBCDField *cdsArtikliPTGMARZA;
 TFMTBCDField *cdsArtikliPTGMARZA_MP;
 TFMTBCDField *cdsArtikliPTGNAB_CENA;
 TStringField *cdsArtikliPTGCENOVNIK;
 TStringField *cdsArtikliPTGTARIFNI_BROJ;
 TFloatField *cdsArtikliPTGTARIFNA_STOPA;
 TStringField *cdsArtikliPTGJED_MERE;
 TDataSource *dsArtikliPTG;
 TSQLDataSet *dsetKorpa;
 TDataSetProvider *dspKorpa;
 TClientDataSet *cdsKorpa;
 TDataSource *dsKorpa;
 TIntegerField *cdsKorpaID;
 TIntegerField *cdsKorpaSIFRA_ROBE;
 TStringField *cdsKorpaKOD;
 TStringField *cdsKorpaARTIKAL;
 TStringField *cdsKorpaJEDMERE;
 TFMTBCDField *cdsKorpaIZLAZ_KOL;
 TFMTBCDField *cdsKorpaCENA;
 TFMTBCDField *cdsKorpaRABAT;
 TFMTBCDField *cdsKorpaRABAT_D;
 TFMTBCDField *cdsKorpaRABAT_D_KAT;
 TFMTBCDField *cdsKorpaIZLAZ_CENA;
 TFMTBCDField *cdsKorpaOSNOVICA;
 TFMTBCDField *cdsKorpaPDV;
 TFMTBCDField *cdsKorpaVREDNOST;
 TFMTBCDField *cdsKorpaCENAVP;
 TFMTBCDField *cdsKorpaCENAMP;
 TFMTBCDField *cdsKorpaSTOPA;
 TSQLDataSet *dsetKomitent;
 TDataSetProvider *dspKomitent;
 TClientDataSet *cdsKomitent;
 TIntegerField *cdsKomitentSIFRA_KOMITENTA;
 TStringField *cdsKomitentKOMITENT;
 TStringField *cdsKomitentADRESA;
 TStringField *cdsKomitentPIB;
 TStringField *cdsKomitentMAIL;
 TStringField *cdsKomitentTEL1;
 TDataSource *dsKomitent;
 TFMTBCDField *cdsArtikliPTGPROSECNA_CENA;
 TStringField *cdsArtikliPTGBARKOD;
 TSmallintField *cdsKomitentID_CENOVNIKA;
 TFMTBCDField *cdsKomitentRABAT;
 TStringField *cdsKomitentMESTO;
 TIntegerField *cdsKomitentPLACANJE;
 TFMTBCDField *cdsKomitentDOZVOLJENO_ZADUZENJE;
 TIntegerField *cdsKomitentID_LINIJA;
 TStringField *cdsKomitentZABRANA_IZD;
 TStringField *cdsKomitentZABRANA_IZD_VV;
 TIntegerField *cdsKomitentSIFRA_STATUSA;
 TIntegerField *cdsKomitentSIFRA_KATEGORIJE;
 TStringField *cdsKomitentSTATUS;
 TStringField *cdsKomitentKUPAC;
 TStringField *cdsKomitentDOBAVLJAC;
 TStringField *cdsKomitentKATEGORIJA;
 TDataSetProvider *dspRabati;
 TClientDataSet *cdsRabati;
 TIntegerField *cdsRabatiID_KOMITENTA;
 TIntegerField *cdsRabatiID_PROIZVODJACA;
 TFMTBCDField *cdsRabatiRABAT;
 TSmallintField *cdsRabatiID;
 TDataSource *dsRabati;
 TSQLDataSet *dsetRabati;
 TDataSetProvider *dspRabatiKat;
 TClientDataSet *cdsRabatiKat;
 TFMTBCDField *cdsRabatiKatRABAT;
 TSmallintField *cdsRabatiKatID;
 TDataSource *dsRabatiKat;
 TSQLDataSet *dsetRabatiKat;
 TCurrencyField *cdsArtikliPTGKolicina_narucena;
 TStringField *cdsArtikliPTGKOD_ROBE_KUPCA;
 TFMTBCDField *cdsArtikliPTGRABAT;
 TIntegerField *cdsArtikliPTGKLASA;
 TFMTBCDField *cdsArtikliPTGVALUTA;
 TStringField *cdsKomitentTIP;
 TStringField *cdsKorpaBARKOD;
 TStringField *cdsKorpaKOD_KUPCA;
 TFMTBCDField *cdsKorpaPROSECNA_CENA;
 TFMTBCDField *cdsKorpaNAB_VREDNOST;
 TFMTBCDField *cdsKorpaREZERVISANO;
 TFMTBCDField *cdsKorpaKOLICINA;
 TIntegerField *cdsKorpaKLASA;
 TStringField *cdsKorpaCENOVNIK;
 TFMTBCDField *cdsArtikliPTGNAB_CENA_DEV;
 TFMTBCDField *cdsArtikliPTGNAB_CENA_DEV_MG;
 TFMTBCDField *cdsKorpaNAB_CENA_DEV;
 TFMTBCDField *cdsKorpaNAB_CENA_DEV_MG;
 TFMTBCDField *cdsKorpaNAB_CENA;
 TCurrencyField *cdsArtikliPTGd_rabat_kat;
 TCurrencyField *cdsArtikliPTGd_rabat_proiz;
 TIntegerField *cdsKomitentU_PDV;
 TDataSource *dsKonto;
 TSQLDataSet *dsetKonto;
 TDataSetProvider *dspKonto;
 TClientDataSet *cdsKonto;
 TIntegerField *cdsKontoID_KONTA;
 TStringField *cdsKontoANALITIKA;
 TStringField *cdsKontoSUB_ANALITIKA;
 TStringField *cdsKontoNAZIV_KONTA;
 TStringField *cdsKontoKOD;
 TSmallintField *cdsKontoAKTIVAN;
 TStringField *cdsKontoAKTIVA_PASIVA;
 TSQLDataSet *dsetArtikliPretraga;
 TDataSetProvider *dspArtikliPretraga;
 TClientDataSet *cdsArtikliPretraga;
 TDataSource *dsArtikliPretraga;
 TIntegerField *cdsArtikliPretragaSIFRA_ROBE;
 TStringField *cdsArtikliPretragaKOD;
 TStringField *cdsArtikliPretragaARTIKAL;
 TStringField *cdsArtikliPretragaKATEGORIJA_GRUPE;
 TStringField *cdsArtikliPretragaPROIZVODJAC;
 TStringField *cdsArtikliPretragaJEDMERE;
 TFMTBCDField *cdsKorpaMARZA;
 TFMTBCDField *cdsKorpaMARZAMP;
 TFMTBCDField *cdsArtikliPTGCENA_CENOVNIKA;
 TCurrencyField *cdsKorpaCena_cenovnika;
 TCurrencyField *cdsKorpaValuta;
 TCurrencyField *cdsKorpad_rabat_kat;
 TCurrencyField *cdsKorpad_rabat_proiz;
 TSmallintField *cdsArtikliPretragaIDJM;
 TFMTBCDField *cdsRabatiCENA;
 TFMTBCDField *cdsRabatiRABAT_AKCIJSKI;
 TFMTBCDField *cdsArtikliPTGAKCIJSKI_RABAT;
 TDateField *cdsArtikliPTGAKCIJA_OD;
 TDateField *cdsArtikliPTGAKCIJA_DO;
 TSQLDataSet *dsetSubjekti;
 TDataSetProvider *dspSubjekti;
 TClientDataSet *cdsSubjekti;
 TStringField *StringField1;
 TStringField *StringField2;
 TStringField *StringField3;
 TIntegerField *IntegerField1;
 TDataSource *dsSubjekti;
 TIntegerField *cdsKomitentKOMERCIJALISTA;
 TIntegerField *cdsKomitentPRODAVAC;
        TFMTBCDField *cdsArtikliPTGTAKSA;
	TMemoField *cdsNapomeneKOMENTAR;
	TFMTBCDField *cdsArtikliPTGPROSECNA_CENA_DEV;
	TFMTBCDField *cdsArtikliPTGNAB_VREDNOST_DEV;
	TStringField *cdsArtikliPTGTIP_PRACENJA;
	TSQLDataSet *dsetSarze;
	TDataSetProvider *dspSarze;
	TClientDataSet *cdsSarze;
	TDataSource *dsSarze;
	TIntegerField *cdsSarzeID;
	TIntegerField *cdsSarzeIDLOKACIJA;
	TFMTBCDField *cdsSarzeKOL;
	TDateField *cdsSarzeDATUM;
	TIntegerField *cdsSarzeIDMESTOSARZE;
	TIntegerField *cdsSarzeSIFRA_ROBE;
	TIntegerField *cdsSarzeSIFRA_MAGACINA;
	TStringField *cdsSarzeBROJ_SERIJE;
	TFMTBCDField *cdsSarzePotrebna_kol;
	TSQLDataSet *dsetRadnici;
	TDataSetProvider *dspRadnici;
	TClientDataSet *cdsRadnici;
	TDataSource *dsRadnici;
	TStringField *cdsKomitentZEMLJA;
	TStringField *cdsSubjektiID_ANALITIKE;
	TIntegerField *cdsArtikliPTGCOLOR;
	TStringField *cdsArtikliPTGKONTO;
	TSQLDataSet *dsetArtikliLager;
	TDataSetProvider *dspArtikliLager;
	TClientDataSet *cdsArtikliLager;
	TIntegerField *IntegerField2;
	TStringField *StringField4;
	TStringField *StringField5;
	TStringField *StringField6;
	TStringField *StringField7;
	TStringField *StringField8;
	TSmallintField *SmallintField1;
	TDataSource *dsArtikliLager;
	TDataSource *dsKontoPregleda;
	TSQLDataSet *dsetKontoPregleda;
	TDataSetProvider *dspKontoPregleda;
	TClientDataSet *cdsKontoPregleda;
	TIntegerField *IntegerField3;
	TStringField *StringField9;
	TStringField *StringField10;
	TStringField *StringField11;
	TStringField *StringField12;
	TSmallintField *SmallintField2;
	TStringField *StringField13;
	TSQLDataSet *dsetPraviloKnjizenja;
	TDataSetProvider *dspPraviloKnjizenja;
	TClientDataSet *cdsPraviloKnjizenja;
	TDataSource *dsPraviloKnjizenja;
	TIntegerField *cdsPraviloKnjizenjaID;
	TIntegerField *cdsPraviloKnjizenjaID_MAGACINA;
	TIntegerField *cdsPraviloKnjizenjaID_DOKUMENTA;
	TStringField *cdsPraviloKnjizenjaOPIS;
	TStringField *cdsPraviloKnjizenjaTIP;
	TSmallintField *cdsPraviloKnjizenjaSORTIRANJE;
	TSmallintField *cdsPraviloKnjizenjaKONTA_DOC;
	TIntegerField *cdsPraviloKnjizenjaID_SQL;
	TStringField *cdsKontoPregledaVRSTA_ANALITIKE;
	TDataSource *dsMT_pret;
	TClientDataSet *cdsMT_pret;
	TDataSetProvider *dspMT_pret;
	TSQLDataSet *sqlMT_pret;
	TIntegerField *cdsMT_pretID;
	TStringField *cdsMT_pretNAZIV;
	TStringField *cdsMT_pretID_GRUPE;
	TIntegerField *cdsMT_pretIDODELJENJA;
	TIntegerField *cdsMT_pretID_ODELJENJA;
	TStringField *cdsMT_pretIDMT;
	TStringField *cdsMT_pretKONTO;
	TStringField *cdsMT_pretPROTIVKONTO;
	TSmallintField *cdsMT_pretAKTIVAN;
	TIntegerField *cdsKontoID_NAMENE;
	TStringField *cdsKontoPROTIVKONTO;
	TSQLDataSet *sqlKomitRacun;
	TDataSetProvider *dspKomitRacun;
	TClientDataSet *cdsKomitRacun;
	TIntegerField *cdsKomitRacunID;
	TStringField *cdsKomitRacunTEK_RACUN;
	TDataSource *dsKomitRacun;
	TStringField *cdsKomitentKUPAC_AV;
	TStringField *cdsKomitentDOBAVLJAC_AV;
	TSQLDataSet *sqlProtivKonto;
	TDataSetProvider *dspProtivKonto;
	TClientDataSet *cdsProtivKonto;
	TDataSource *dsProtivKonto;
	TDateField *cdsProtivKontoDATUMDPO;
	TDateField *cdsProtivKontoDATUMVALUTE;
	TStringField *cdsProtivKontoOPIS;
	TIntegerField *cdsProtivKontoBID;
	TIntegerField *cdsProtivKontoIDNOVCANO;
	TFMTBCDField *cdsProtivKontoKURS;
	TDateField *cdsProtivKontoDATUM_PRIJEMA;
	TDateField *cdsProtivKontoDATUM_KNJ;
	TStringField *cdsProtivKontoMAGACIN;
	TFloatField *cdsProtivKontoOSNOVICA;
	TFloatField *cdsProtivKontoPOREZ;
	TFloatField *cdsProtivKontoPOTRAZUJE;
	TFloatField *cdsProtivKontoDRUGI_IZNOSI;
	TStringField *cdsProtivKontoPROTIVKONTO;
	TIntegerField *cdsProtivKontoID_NAMENE;
	TSQLDataSet *sqlSabloni;
	TDataSetProvider *dspSabloni;
	TClientDataSet *cdsSabloni;
	TDataSource *dsSabloni;
	TIntegerField *cdsSabloniID;
	TStringField *cdsSabloniNAZIV;
	TIntegerField *cdsSabloniTIP;
	TIntegerField *cdsSabloniRADNIK_CHANGE;
	TDateField *cdsSabloniDATE_CHANGE;
	TFloatField *cdsSabloniRASPOLOZIV_IZNOS;
	TIntegerField *cdsSabloniID_VALUTE;
	TSmallintField *cdsSabloniAKTIVAN;
	TIntegerField *cdsSabloniSIFRA_RADNIKA;
	TSQLTimeStampField *cdsSabloniDATUM;
	TStringField *cdsSabloniRADNIK;
	TStringField *cdsSubjektiMESTO;
	TStringField *cdsSubjektiPIB;
	TStringField *cdsSubjektiADRESA;
	TSQLDataSet *dsetRabatiPoKategoriji;
	TDataSetProvider *dspRabatiPoKategoriji;
	TClientDataSet *cdsRabatiPoKategoriji;
	TFMTBCDField *cdsRabatiPoKategorijiRABAT;
	TSmallintField *cdsRabatiPoKategorijiID;
	TIntegerField *cdsRabatiPoKategorijiID_KOMITENTA;
	TIntegerField *cdsRabatiPoKategorijiID_KATEGORIJE;
	TDataSource *dsRabatiPoKategoriji;
	TFMTBCDField *cdsArtikliPretragaNAB_CENA;
	TIntegerField *cdsKomitentPLACANJE_DOB;
	TIntegerField *cdsArtikliPTGLAGER;
	void __fastcall cdsSarzePotrebna_kolChange(TField *Sender);
private:	// User declarations TCurrencyField
public:		// User declarations
 __fastcall TDM_PRETRAGE(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TDM_PRETRAGE *DM_PRETRAGE;
//---------------------------------------------------------------------------
#endif
