//---------------------------------------------------------------------------

#ifndef OD_DmPretragaH
#define OD_DmPretragaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
//---------------------------------------------------------------------------
class TOD_DM_Pretraga : public TDataModule
{
__published:	// IDE-managed Components
	TSQLDataSet *dset_MUzorka;
	TDataSetProvider *dsp_MUzorka;
	TClientDataSet *cds_MUzorka;
	TDataSource *ds_MUzorka;
	TStringField *cds_MUzorkaID;
	TStringField *cds_MUzorkaNAZIV;
	TStringField *cds_MUzorkaIDMASINE;
	TIntegerField *cds_MUzorkaIDODELJENJA;
	TSQLDataSet *dsetSmene;
	TDataSetProvider *dspSmene;
	TClientDataSet *cdsSmene;
	TDataSource *dsSmene;
	TSQLDataSet *dsetGrade;
	TDataSetProvider *dspGrade;
	TClientDataSet *cdsGrade;
	TDataSource *dsGrade;
	TSQLDataSet *dsetList;
	TDataSetProvider *dspList;
	TClientDataSet *cdsList;
	TDataSource *dsList;
	TSQLDataSet *dsetRadnici;
	TDataSetProvider *dspRadnici;
	TClientDataSet *cdsRadnici;
	TDataSource *dsRadnici;
	TSQLDataSet *dsetBlend;
	TDataSetProvider *dspBlend;
	TClientDataSet *cdsBlend;
	TDataSource *dsBlend;
	TIntegerField *cdsBlendID;
	TStringField *cdsBlendOPIS;
	TStringField *cdsBlendBATCH_NO;
	TStringField *cdsBlendORDER_NO;
	TIntegerField *cdsBlendBERBA;
	TDateField *cdsBlendVAZI_OD;
	TIntegerField *cdsBlendBROJ_BLENDA;
	TDateField *cdsBlendDATUM;
	TStringField *cdsBlendSMENA;
	TSmallintField *cdsBlendAKTIVAN;
	TStringField *cdsBlendNAPOMENA;
	TIntegerField *cdsBlendSIFRA_RADNIKA;
	TSQLDataSet *dsetOznakaBlenda;
	TDataSetProvider *dspOznakaBlenda;
	TClientDataSet *cdsOznakaBlenda;
	TDataSource *dsOznakaBlenda;
	TIntegerField *cdsOznakaBlendaID;
	TStringField *cdsOznakaBlendaOZNAKA_BLENDA;
	TStringField *cdsOznakaBlendaOPIS;
	TIntegerField *cdsOznakaBlendaSIFRA_RADNIKA;
	TSQLTimeStampField *cdsOznakaBlendaVREME;
	TFloatField *cdsBlendUKUPNO_BALA;
	TIntegerField *cdsBlendIDBLENDA;
	TStringField *cdsGradeID;
	TStringField *cdsGradeNAZIV;
	TStringField *cdsGradeOPIS;
	TIntegerField *cdsGradeSIFRA_RADNIKA;
	TSQLTimeStampField *cdsGradeVREME;
	TSmallintField *cdsOznakaBlendaPROV_POREKLA;
	TIntegerField *cdsBlendBROJ_BL_KOOPERANTA;
	TFloatField *cdsBlendBROJ_BALA_GRUPE;
	TIntegerField *cdsBlendIDGRUPE;
	TFloatField *cdsBlendBROJ_KOOPER_GRUPE;
	TSmallintField *cdsBlendPROV_POREKLA;
	TSQLDataSet *dsetArtikliPretraga;
	TDataSetProvider *dspArtikliPretraga;
	TClientDataSet *cdsArtikliPretraga;
	TIntegerField *cdsArtikliPretragaSIFRA_ROBE;
	TStringField *cdsArtikliPretragaKOD;
	TStringField *cdsArtikliPretragaARTIKAL;
	TFMTBCDField *cdsArtikliPretragaNAB_CENA;
	TStringField *cdsArtikliPretragaKATEGORIJA_GRUPE;
	TStringField *cdsArtikliPretragaPROIZVODJAC;
	TStringField *cdsArtikliPretragaJEDMERE;
	TSmallintField *cdsArtikliPretragaIDJM;
	TDataSource *dsArtikliPretraga;
private:	// User declarations
public:		// User declarations
	__fastcall TOD_DM_Pretraga(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOD_DM_Pretraga *OD_DM_Pretraga;
//---------------------------------------------------------------------------
#endif
