//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "MG_Izlaz_Robe.h"
#include "OD_funkcije.h"
#include "OD_DM.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDBEdit"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxLookupEdit"
#pragma link "cxMaskEdit"
#pragma link "cxPC"
#pragma link "cxStyles"
#pragma link "cxTextEdit"
#pragma link "MG_Ulaz_Izlaz_Robe"
#pragma resource "*.dfm"
TfmUlazIzlazNTM_izlaz *fmUlazIzlazNTM_izlaz;
extern TKorisnik *myTKorisnik;
//---------------------------------------------------------------------------
__fastcall TfmUlazIzlazNTM_izlaz::TfmUlazIzlazNTM_izlaz(TComponent* Owner)
	: TfmUlazIzlazNTM(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfmUlazIzlazNTM_izlaz::cdsZG_NTMNewRecord(TDataSet *DataSet)
{
	spZaglavlje->Prepared = true;
	spZaglavlje->ExecProc();
	cdsZG_NTM->FieldByName("id")->AsInteger              = spZaglavlje->ParamByName("ID")->Value;
	cdsZG_NTM->FieldByName("sifra_komitenta")->AsInteger = 0;
	cdsZG_NTM->FieldByName("sifra_magacina")->AsInteger  = 0;
	cdsZG_NTM->FieldByName("sifra_dokumenta")->AsInteger = 1100;
	cdsZG_NTM->FieldByName("datumdpo")->Value            = Date();
	cdsZG_NTM->FieldByName("datum_rada")->Value          = Date();
	cdsZG_NTM->FieldByName("vreme")->Value               = Now();
	cdsZG_NTM->FieldByName("sifra_radnika")->AsInteger   = myTKorisnik->sifra_usera;
	cdsZG_NTM->FieldByName("aktivan")->AsInteger   		  = 1;
	cdsZG_NTM->FieldByName("zavrseno")->AsInteger   	  = 0;
  cdsZG_NTM->FieldByName("kolicina")->AsInteger   	  = 0;
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM_izlaz::FormCreate(TObject *Sender)
{
	od_datuma->Date = StartOfTheYear(Date());
	do_datuma->Date = Date();

	cdsMagacin->Active = true;
	cdsBlend->Active = true;

	cdsDokumenti->Active = false;
	sqlDokumenti->ParamByName("tip")->AsInteger = 11;
	cdsDokumenti->Active = true;
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM_izlaz::Preuzmibrojproizvedenihkutijazadatumiblend1Click(TObject *Sender)
{
	if(cdsZG_NTM->Active) {
		try {
		  if(cdsZG_NTM->FieldByName("IDBLENDA")->AsInteger > 0) {
			 sqlBrojKutija->Active = false;
			 sqlBrojKutija->ParamByName("datum_obrade")->Value = cdsZG_NTM->FieldByName("DATUMDPO")->Value;
			 sqlBrojKutija->ParamByName("blend")->Value = cdsZG_NTM->FieldByName("IDBLENDA")->AsInteger;
			 sqlBrojKutija->Active = true;

			 cdsZG_NTM->Edit();
			 cdsZG_NTM->FieldByName("KOLICINA")->AsInteger = sqlBrojKutija->FieldByName("broj_kutija")->AsInteger;
			 cdsZG_NTM->Post();
		  }
		  else {
			 ShowMessage("Definisite blend!!");
			 cxDBLookupComboBox3->SetFocus();
		  }
		}
		catch (Exception &e)
		{
			 ShowMessage("Greska!!\r\r"+e.Message);
		}
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM_izlaz::Preuzmimaterijal1Click(TObject *Sender)
{
try {
	  sqlMaterijal->Active = false;
	  sqlMaterijal->ParamByName("sifra")->AsInteger = cdsBlend->FieldByName("sifra_proizvoda")->AsInteger;
	  sqlMaterijal->Active = true;

	  sqlMaterijal->First();

	  //if(sqlMaterijal->FieldByName("kod")->AsString != "") {
		 while(!sqlMaterijal->Eof) {
			cdsSTAV_NTM->Append();
			cdsSTAV_NTM->Edit();
			cdsSTAV_NTM->FieldByName("sifra_robe")->AsInteger = sqlMaterijal->FieldByName("sifra_materijala")->AsInteger;
			cdsSTAV_NTM->FieldByName("kod")->AsString         = sqlMaterijal->FieldByName("kod")->AsString;
			cdsSTAV_NTM->FieldByName("izlaz_kol")->AsFloat    = RoundTo(sqlMaterijal->FieldByName("kolicina")->AsFloat*cdsZG_NTM->FieldByName("KOLICINA")->AsFloat, -4);
			cdsSTAV_NTM->FieldByName("artikal")->AsString     = sqlMaterijal->FieldByName("artikal")->AsString;
			cdsSTAV_NTM->FieldByName("jm")->AsString          = sqlMaterijal->FieldByName("jedmere")->AsString;
			cdsSTAV_NTM->Post();

			sqlMaterijal->Next();
		 }
	  //}
}
catch (Exception &e) {
	ShowMessage("Greska!!\r\r"+e.Message);
}
}
//---------------------------------------------------------------------------


