//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "MG_Ulaz_Izlaz_Robe.h"
#include "OD_DM.h"
#include "OD_funkcije.h"
#include "BUS_OsnovnaPretraga_N.h"
#include "OD_PretragaPodataka.h"
#include "OD_DmPretraga.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxClasses"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxPC"
#pragma link "cxStyles"
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxContainer"
#pragma link "cxDBEdit"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxDropDownEdit"
#pragma link "cxLookupEdit"
#pragma link "cxMaskEdit"
#pragma link "cxTextEdit"
#pragma link "cxLabel"
#pragma resource "*.dfm"
TfmUlazIzlazNTM *fmUlazIzlazNTM;
extern TKorisnik *myTKorisnik;
//---------------------------------------------------------------------------
__fastcall TfmUlazIzlazNTM::TfmUlazIzlazNTM(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfmUlazIzlazNTM::FormClose(TObject *Sender, TCloseAction &Action)
{
  Action = caFree;
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM::FormCreate(TObject *Sender)
{
	od_datuma->Date = StartOfTheYear(Date());
	do_datuma->Date = Date();

	cdsMagacin->Active = true;
	cdsBlend->Active = true;

	cdsDokumenti->Active = false;
	sqlDokumenti->ParamByName("tip")->AsInteger = 20;
	cdsDokumenti->Active = true;
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM::cxPregledClick(TObject *Sender)
{     /*
Screen->Cursor = crSQLWait;
	cds->Active = false;
	dset->ParamByName("od_datuma")->Value = od_datuma->Date;
	dset->ParamByName("do_datuma")->Value = do_datuma->Date;
//	dset->ParamByName("barkod")->AsString = cxBarkod->Text;
  cds->Active = true;
Screen->Cursor = crDefault;
*/
}
//-------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM::btNoviDocClick(TObject *Sender)
{
try {
	cdsZG_NTM->Active = false;
	sqlZG_NTM->ParamByName("id")->AsInteger = -1;
	cdsZG_NTM->Active = true;

	cdsZG_NTM->Append();

	cdsSTAV_NTM->Active = false;
	sqlSTAV_NTM->ParamByName("idzg")->AsInteger = cdsZG_NTM->FieldByName("id")->AsInteger;
	cdsSTAV_NTM->Active = true;

	btSnimi->Enabled = true;
	cxGridStavke->NewItemRow->Visible = true;
}
catch (Exception &e) {
	 ShowMessage("Greska snimanja!! \r\r"+e.Message);
}
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM::cdsZG_NTMNewRecord(TDataSet *DataSet)
{
	spZaglavlje->Prepared = true;
	spZaglavlje->ExecProc();
	cdsZG_NTM->FieldByName("id")->AsInteger              = spZaglavlje->ParamByName("ID")->Value;
	cdsZG_NTM->FieldByName("sifra_komitenta")->AsInteger = 0;
	cdsZG_NTM->FieldByName("sifra_magacina")->AsInteger  = 0;
	cdsZG_NTM->FieldByName("sifra_dokumenta")->AsInteger = 2200;
	cdsZG_NTM->FieldByName("datumdpo")->Value            = Date();
	cdsZG_NTM->FieldByName("datum_rada")->Value          = Date();
	cdsZG_NTM->FieldByName("vreme")->Value               = Now();
	cdsZG_NTM->FieldByName("sifra_radnika")->AsInteger   = myTKorisnik->sifra_usera;
	cdsZG_NTM->FieldByName("aktivan")->AsInteger   		  = 1;
	cdsZG_NTM->FieldByName("zavrseno")->AsInteger   	  = 0;
  cdsZG_NTM->FieldByName("kolicina")->AsInteger   	  = 0;
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM::cxGridStavkeEditKeyDown(TcxCustomGridTableView *Sender, TcxCustomGridTableItem *AItem,
          TcxCustomEdit *AEdit, WORD &Key, TShiftState Shift)
{
	if((Key == VK_RETURN) && (AItem == cxGridStavkeARTIKAL || AItem == cxGridStavkeKOD))
  {
       AnsiString artikal = AEdit->EditingValue;

		  OD_DM_Pretraga->cdsArtikliPretraga->Filter = "";
		  OD_DM_Pretraga->cdsArtikliPretraga->Filtered = false;
		  OD_DM_Pretraga->cdsArtikliPretraga->Active = false;
		  OD_DM_Pretraga->dsetArtikliPretraga->ParamByName("naziv")->AsString = artikal;
		  OD_DM_Pretraga->cdsArtikliPretraga->Active = true;

       if ( OD_DM_Pretraga->cdsArtikliPretraga->RecordCount > 1)
		  {
				Tfm_osnovna_pretraga *fm_osnovna_pretraga = new Tfm_osnovna_pretraga(OD_DM_Pretraga->dsetArtikliPretraga, OD_DM_Pretraga->dsArtikliPretraga, "KOD","ARTIKAL", this);
           fm_osnovna_pretraga->WindowState = wsNormal;

           if(fm_osnovna_pretraga->ShowModal() == mrOk)
           {
					 cdsSTAV_NTM->Edit();
					 cdsSTAV_NTM->FieldByName("sifra_robe")->AsInteger  = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("sifra_robe")->AsInteger;
					 cdsSTAV_NTM->FieldByName("KOD")->AsString     = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("kod")->AsString;
					 cdsSTAV_NTM->FieldByName("ARTIKAL")->AsString = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("artikal")->AsString;
					 cdsSTAV_NTM->FieldByName("JM")->AsString 	  = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("JEDMERE")->AsString;
					 cdsSTAV_NTM->Post();
				}

           delete fm_osnovna_pretraga;
       }
		  else if (OD_DM_Pretraga->cdsArtikliPretraga->RecordCount == 1)
       {
					 cdsSTAV_NTM->Edit();
					 cdsSTAV_NTM->FieldByName("sifra_robe")->AsInteger  = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("sifra_robe")->AsInteger;
					 cdsSTAV_NTM->FieldByName("KOD")->AsString     = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("kod")->AsString;
					 cdsSTAV_NTM->FieldByName("ARTIKAL")->AsString = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("artikal")->AsString;
					 cdsSTAV_NTM->FieldByName("JM")->AsString 	  = OD_DM_Pretraga->cdsArtikliPretraga->FieldByName("JEDMERE")->AsString;
					 cdsSTAV_NTM->Post();
       }
		  else ShowMessage("Ne postoji artikal koji sadrzi u svom nazivu tekst: "+artikal);
  }
  else if(Key == VK_RETURN)
  {
			 cdsSTAV_NTM->Edit();
         cdsSTAV_NTM->Post();
  }
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM::cdsSTAV_NTMNewRecord(TDataSet *DataSet)
{
	spStavke->Prepared = true;
	spStavke->ExecProc();
	cdsSTAV_NTM->FieldByName("id")->AsInteger             = spStavke->ParamByName("ID")->Value;
	cdsSTAV_NTM->FieldByName("idzg")->AsInteger           = cdsZG_NTM->FieldByName("id")->AsInteger;
	cdsSTAV_NTM->FieldByName("magacin_stav")->AsInteger   = cdsZG_NTM->FieldByName("sifra_magacina")->AsInteger;
	cdsSTAV_NTM->FieldByName("ulaz_kol")->AsCurrency      = 0;
	cdsSTAV_NTM->FieldByName("izlaz_kol")->AsCurrency     = 0;
	cdsSTAV_NTM->FieldByName("ulaz_kol_alt")->AsCurrency  = 0;
	cdsSTAV_NTM->FieldByName("izlaz_kol_alt")->AsCurrency = 0;
	cdsSTAV_NTM->FieldByName("aktivan")->AsInteger        = 1;
	cdsSTAV_NTM->FieldByName("status")->AsInteger         = 0;
	cdsSTAV_NTM->FieldByName("vreme")->Value        		= Now();
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM::btSnimiClick(TObject *Sender)
{
 try {
	btSnimi->Enabled = SnimiCDS(dspZG_NTM, cdsZG_NTM, dsZG_NTM);
	if(!btSnimi->Enabled) btSnimi->Enabled = SnimiCDS(dspSTAV_NTM, cdsSTAV_NTM, dsSTAV_NTM);
	if(!btSnimi->Enabled) btNoviDoc->SetFocus();
 }
 catch (Exception &e) {
	 ShowMessage("Greska snimanja!! \r\r"+e.Message);
 }
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM::cdsZG_NTMAfterEdit(TDataSet *DataSet)
{
	btSnimi->Enabled = true;
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM::cdsSTAV_NTMAfterOpen(TDataSet *DataSet)
{
	 if(cdsSTAV_NTM->RecordCount > 0) cxGridStavke->NewItemRow->Visible = false;
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM::cdsSTAV_NTMAfterInsert(TDataSet *DataSet)
{
	cxGridStavke->NewItemRow->Visible = false;
}
//---------------------------------------------------------------------------

void __fastcall TfmUlazIzlazNTM::cdsSTAV_NTMAfterDelete(TDataSet *DataSet)
{
	if(cdsSTAV_NTM->RecordCount == 0) cxGridStavke->NewItemRow->Visible = true;
}
//---------------------------------------------------------------------------

