//---------------------------------------------------------------------------

#include <vcl.h>
#include <math.h>
#pragma hdrstop

#include "OD_IzvHearson.h"
#include "OD_DM.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxMaskEdit"
#pragma link "cxPC"
#pragma link "cxStyles"
#pragma link "cxTextEdit"

#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxLookupEdit"
#pragma link "cxDateUtils"
#pragma link "cxNavigator"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxCore"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"
TfrmIzvHerason *frmIzvHerason;
//---------------------------------------------------------------------------
__fastcall TfrmIzvHerason::TfrmIzvHerason(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{
	deOdDatuma->Date = Date();
	deDoDatuma->Date = Date();

	cdsVrstaMerenja->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall TfrmIzvHerason::btnPregledClick(TObject *Sender)
{
	cdsIzvestaj->Active = false;
	sqlIzvestaj->ParamByName("od_datuma")->Value = deOdDatuma->Date;
	sqlIzvestaj->ParamByName("do_datuma")->Value = deDoDatuma->Date;
	sqlIzvestaj->ParamByName("vrsta_merenja")->Value =  cxVrsteMerenja->EditValue;
	cdsIzvestaj->Active = true;

	cdsDevijacija->Active = false;
	sqlDevijacija->ParamByName("od_datuma")->Value = deOdDatuma->Date;
	sqlDevijacija->ParamByName("do_datuma")->Value = deDoDatuma->Date;
	sqlDevijacija->ParamByName("vrsta_merenja")->Value =  cxVrsteMerenja->EditValue;
	cdsDevijacija->Active = true;

  double Devijacija;

	cdsDevijacija->First();

	while(!cdsDevijacija->Eof)
	{
   Devijacija=0;

	 if(cdsDevijacija->FieldByName("broj_merenja")->AsFloat > 1)
	 {
		Devijacija = (cdsDevijacija->FieldByName("suma_vlage_h")->AsFloat-
						((cdsDevijacija->FieldByName("vlaga_h_2")->AsFloat)/
								cdsDevijacija->FieldByName("broj_merenja")->AsFloat))/
								(cdsDevijacija->FieldByName("broj_merenja")->AsFloat-1.0000);
     //Devijacija =RoundTo(Devijacija, -4);
	 }
	 cdsDevijacija->Edit();
	 cdsDevijacija->FieldByName("devijacija")->AsFloat = (pow(Devijacija,0.5));
	 cdsDevijacija->Next();
	}
}
//---------------------------------------------------------------------------
void __fastcall TfrmIzvHerason::cdsIzvestajCalcFields(TDataSet *DataSet)
{
	cdsIzvestaj->FieldByName("vlaga_h_2")->AsFloat = RoundTo(cdsIzvestaj->FieldByName("vlaga_h")->AsCurrency*cdsIzvestaj->FieldByName("vlaga_h")->AsCurrency, -4);
//	cdsIzvestaj->FieldByName("vlaga_m_2")->AsFloat = RoundTo(cdsIzvestaj->FieldByName("vlaga_m")->AsCurrency*cdsIzvestaj->FieldByName("vlaga_m")->AsCurrency, -4);
}
//---------------------------------------------------------------------------
void __fastcall TfrmIzvHerason::cxGrid1DBTableView1DataControllerSummaryAfterSummary(TcxDataSummary *ASender)
{
	try {
		if(VarIsNull(ASender->FooterSummaryValues[0])) return;
		if(VarIsNull(ASender->FooterSummaryValues[1])) return;
		if(VarIsNull(ASender->FooterSummaryValues[2])) return;
		if(VarIsNull(ASender->FooterSummaryValues[3])) return;
		if(VarIsNull(ASender->FooterSummaryValues[4])) return;

		double Stdev = ((ASender->FooterSummaryValues[2]-(ASender->FooterSummaryValues[0]*ASender->FooterSummaryValues[0])/ASender->FooterSummaryValues[4]))/(ASender->FooterSummaryValues[4]-1);

		ASender->FooterSummaryValues[5] = RoundTo(pow(Stdev, 0.5), -4);
	}
	catch (Exception &e)
	{
	  ShowMessage("Greska!!\r\r"+e.Message);
	}
}
//---------------------------------------------------------------------------
void __fastcall TfrmIzvHerason::FormClose(TObject *Sender, TCloseAction &Action)
{
   Action = caFree;
}
//---------------------------------------------------------------------------


