//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_izv_izlaza_iz_obrade.h"
#include "OD_DM.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxMaskEdit"
#pragma link "cxPC"
#pragma link "cxStyles"
#pragma link "cxTextEdit"
#pragma link "cxCheckBox"
#pragma link "cxCustomPivotGrid"
#pragma link "cxDBPivotGrid"
#pragma resource "*.dfm"
TfmObradaPregledIzlaza *fmObradaPregledIzlaza;
//---------------------------------------------------------------------------
__fastcall TfmObradaPregledIzlaza::TfmObradaPregledIzlaza(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{
	cxOdDatuma->Date = StartOfTheMonth(Date());
	cxDoDatuma->Date = EndOfTheMonth(Date());

	deOdDatuma->Date = StartOfTheMonth(Date());
	deDoDatuma->Date = EndOfTheMonth(Date());

	deOdDatuma2->Date = StartOfTheMonth(Date());
	deDoDatuma2->Date = EndOfTheMonth(Date());

	deOdDatuma3->Date = StartOfTheMonth(Date());
	deDoDatuma3->Date = EndOfTheMonth(Date());

	deOdDatuma4->Date = StartOfTheMonth(Date());
	deDoDatuma4->Date = EndOfTheMonth(Date());

	pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
	pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
	pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

}
//---------------------------------------------------------------------------
void __fastcall TfmObradaPregledIzlaza::cxButton2Click(TObject *Sender)
{
  int obrisano;

	if(cxObrisane->Checked) obrisano = 1;
	else                    obrisano = 0;

	Screen->Cursor = crHourGlass;
	cdsPregledBala->Active = false;
	dsetPregledBala->ParamByName("od_datuma")->Value = cxOdDatuma->Date;
	dsetPregledBala->ParamByName("do_datuma")->Value = cxDoDatuma->Date;
	dsetPregledBala->ParamByName("obrisano")->Value = obrisano;
	cdsPregledBala->Active = true;
	Screen->Cursor = crDefault;
}
//---------------------------------------------------------------------------

void __fastcall TfmObradaPregledIzlaza::Excel1Click(TObject *Sender)
{
	SaveDialog1->Title = "Izvoz podataka u excel";
	if (SaveDialog1->Execute())                           //grdUkupneKolicine
	{
	  if(cxPC->ActivePage == cxTabBatch) 				ExportGridToExcel(SaveDialog1->FileName, grdPregledPoBatchu, False, True, True, "xls");
	  else if(cxPC->ActivePage == cxTabDuvan) 		ExportGridToExcel(SaveDialog1->FileName, grdUkupneKolicine, False, True, True, "xls");
	  else if(cxPC->ActivePage == cxTabObrada) 		cxExportPivotGridToExcel(SaveDialog1->FileName, ptObradaDuvana, False, True, "xls");
	  else if(cxPC->ActivePage == cxTabSirovDuvan) 	ExportGridToExcel(SaveDialog1->FileName, cxGridSirovDuvan, False, True, True, "xls");
	  else if(cxPC->ActivePage == cxTabSAP) 			ExportGridToExcel(SaveDialog1->FileName, grdPregledSAP, False, True, "xls");
	}
}
//---------------------------------------------------------------------------

void __fastcall TfmObradaPregledIzlaza::FormClose(TObject *Sender, TCloseAction &Action)
{
  Action = caFree;
}
//---------------------------------------------------------------------------

void __fastcall TfmObradaPregledIzlaza::cxButton3Click(TObject *Sender)
{
	Screen->Cursor = crHourGlass;
	cdsUkupneKolicine->Active = false;
	sqlUkupneKolicine->ParamByName("od_datuma")->Value = deOdDatuma->Date;
	sqlUkupneKolicine->ParamByName("do_datuma")->Value = deDoDatuma->Date;
	cdsUkupneKolicine->Active = true;
	Screen->Cursor = crDefault;
}
//---------------------------------------------------------------------------

void __fastcall TfmObradaPregledIzlaza::cxButton5Click(TObject *Sender)
{
	Screen->Cursor = crHourGlass;
	cdsObradaPoDanima->Active = false;
	sqlObradaPoDanima->ParamByName("od_datuma")->Value = deOdDatuma2->Date;
	sqlObradaPoDanima->ParamByName("do_datuma")->Value = deDoDatuma2->Date;
	cdsObradaPoDanima->Active = true;
	Screen->Cursor = crDefault;
}
//---------------------------------------------------------------------------

void __fastcall TfmObradaPregledIzlaza::cxButton6Click(TObject *Sender)
{
	Screen->Cursor = crHourGlass;
	cdsUtrosak->Active = false;
	sqlUtrosak->ParamByName("od_datuma")->Value = deOdDatuma3->Date;
	sqlUtrosak->ParamByName("do_datuma")->Value = deDoDatuma3->Date;
	cdsUtrosak->Active = true;
	Screen->Cursor = crDefault;
}
//---------------------------------------------------------------------------

void __fastcall TfmObradaPregledIzlaza::cxButton8Click(TObject *Sender)
{
	Screen->Cursor = crHourGlass;
	cdsSAPReport->Active = false;
	sqlSAPReport->ParamByName("od_datuma")->Value = deOdDatuma4->Date;
	sqlSAPReport->ParamByName("do_datuma")->Value = deDoDatuma4->Date;
	sqlSAPReport->ParamByName("obrisano")->Value = 0;
	cdsSAPReport->Active = true;
	Screen->Cursor = crDefault;
}
//---------------------------------------------------------------------------

void __fastcall TfmObradaPregledIzlaza::Kopiraj1Click(TObject *Sender)
{
	  if(cxPC->ActivePage == cxTabBatch)      gtvPregledPoBatchu->CopyToClipboard(false);
	  else if(cxPC->ActivePage == cxTabDuvan) gtvUkupneKolicine->CopyToClipboard(false);
	  else if(cxPC->ActivePage == cxTabSAP) 	gtvPregledSAP->CopyToClipboard(false);
}
//---------------------------------------------------------------------------

