//---------------------------------------------------------------------------

#ifndef OD_izv_izlaza_iz_obradeH
#define OD_izv_izlaza_iz_obradeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include <Dialogs.hpp>
#include "cxGridExportLink.hpp"
#include "cxExportPivotGridLink.hpp"
#include "cxCheckBox.hpp"
#include "cxCustomPivotGrid.hpp"
#include "cxDBPivotGrid.hpp"
//---------------------------------------------------------------------------
class TfmObradaPregledIzlaza : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPC;
	TcxTabSheet *cxTabBatch;
	TPanel *Panel1;
	TcxLabel *cxLabel9;
	TcxLabel *cxLabel10;
	TcxDateEdit *cxDoDatuma;
	TcxDateEdit *cxOdDatuma;
	TcxButton *cxButton2;
	TcxButton *cxButton1;
	TcxGrid *grdPregledPoBatchu;
	TcxGridDBTableView *gtvPregledPoBatchu;
	TcxGridLevel *grdPregledPoBatchuLevel1;
	TSQLDataSet *dsetPregledBala;
	TDataSetProvider *dspPregledBala;
	TClientDataSet *cdsPregledBala;
	TIntegerField *cdsPregledBalaID;
	TIntegerField *cdsPregledBalaBARKOD;
	TIntegerField *cdsPregledBalaCASE_NO;
	TStringField *cdsPregledBalaGRADE;
	TStringField *cdsPregledBalaMOPI;
	TStringField *cdsPregledBalaSAP_BATCH;
	TStringField *cdsPregledBalaBATCH_NO;
	TFloatField *cdsPregledBalaNETO;
	TFloatField *cdsPregledBalaTARA;
	TFloatField *cdsPregledBalaBRUTO;
	TSQLTimeStampField *cdsPregledBalaDATUM;
	TStringField *cdsPregledBalaINT_BARKOD;
	TStringField *cdsPregledBalaDEALER;
	TStringField *cdsPregledBalaORIGIN;
	TIntegerField *cdsPregledBalaCROP;
	TSmallintField *cdsPregledBalaDELETED;
	TIntegerField *cdsPregledBalaSIFRA_RADNIKA;
	TSQLTimeStampField *cdsPregledBalaDATE_CHANGE;
	TIntegerField *cdsPregledBalaRADNIKA_CHANGE;
	TIntegerField *cdsPregledBalaID_BLENDA;
	TIntegerField *cdsPregledBalaIDZG;
	TIntegerField *cdsPregledBalaIDOZBLENDA;
	TDataSource *dsPregledBala;
	TPopupMenu *PM_izmena;
	TMenuItem *Export1;
	TMenuItem *Excel1;
	TMenuItem *Html1;
	TMenuItem *XT1;
	TSaveDialog *SaveDialog1;
	TcxGridDBColumn *gtvPregledPoBatchuID;
	TcxGridDBColumn *gtvPregledPoBatchuBARKOD;
	TcxGridDBColumn *gtvPregledPoBatchuCASE_NO;
	TcxGridDBColumn *gtvPregledPoBatchuGRADE;
	TcxGridDBColumn *gtvPregledPoBatchuMOPI;
	TcxGridDBColumn *gtvPregledPoBatchuSAP_BATCH;
	TcxGridDBColumn *gtvPregledPoBatchuBATCH_NO;
	TcxGridDBColumn *gtvPregledPoBatchuNETO;
	TcxGridDBColumn *gtvPregledPoBatchuTARA;
	TcxGridDBColumn *gtvPregledPoBatchuBRUTO;
	TcxGridDBColumn *gtvPregledPoBatchuDATUM;
	TcxGridDBColumn *gtvPregledPoBatchuINT_BARKOD;
	TcxGridDBColumn *gtvPregledPoBatchuDEALER;
	TcxGridDBColumn *gtvPregledPoBatchuORIGIN;
	TcxGridDBColumn *gtvPregledPoBatchuCROP;
	TcxGridDBColumn *gtvPregledPoBatchuDELETED;
	TcxGridDBColumn *gtvPregledPoBatchuSIFRA_RADNIKA;
	TcxGridDBColumn *gtvPregledPoBatchuDATE_CHANGE;
	TcxGridDBColumn *gtvPregledPoBatchuRADNIKA_CHANGE;
	TcxGridDBColumn *gtvPregledPoBatchuID_BLENDA;
	TcxGridDBColumn *gtvPregledPoBatchuIDZG;
	TcxGridDBColumn *gtvPregledPoBatchuIDOZBLENDA;
	TcxCheckBox *cxObrisane;
	TcxTabSheet *cxTabDuvan;
	TPanel *Panel2;
	TcxLabel *cxLabel1;
	TcxLabel *cxLabel2;
	TcxDateEdit *deDoDatuma;
	TcxDateEdit *deOdDatuma;
	TcxButton *cxButton3;
	TcxButton *cxButton4;
	TcxGrid *grdUkupneKolicine;
	TcxGridDBTableView *gtvUkupneKolicine;
	TcxGridLevel *cxGridLevel1;
	TSQLDataSet *sqlUkupneKolicine;
	TDataSetProvider *dspUkupneKolicine;
	TClientDataSet *cdsUkupneKolicine;
	TDataSource *dsUkupneKolicine;
	TDateField *cdsUkupneKolicineDATUM;
	TStringField *cdsUkupneKolicineGRADE;
	TIntegerField *cdsUkupneKolicineIDZG;
	TStringField *cdsUkupneKolicineBATCH_NO;
	TStringField *cdsUkupneKolicineLIST;
	TFloatField *cdsUkupneKolicineNETO;
	TIntegerField *cdsUkupneKolicineBROJ_BALA;
	TStringField *cdsUkupneKolicineOZNAKA_BLENDA;
	TIntegerField *cdsUkupneKolicineBARKOD;
	TStringField *cdsUkupneKolicineINTBARKOD;
	TIntegerField *cdsUkupneKolicineCASENO;
	TcxGridDBColumn *gtvUkupneKolicineDATUM;
	TcxGridDBColumn *gtvUkupneKolicineGRADE;
	TcxGridDBColumn *gtvUkupneKolicineIDZG;
	TcxGridDBColumn *gtvUkupneKolicineBATCH_NO;
	TcxGridDBColumn *gtvUkupneKolicineLIST;
	TcxGridDBColumn *gtvUkupneKolicineNETO;
	TcxGridDBColumn *gtvUkupneKolicineBROJ_BALA;
	TcxGridDBColumn *gtvUkupneKolicineOZNAKA_BLENDA;
	TcxGridDBColumn *gtvUkupneKolicineBARKOD;
	TcxGridDBColumn *gtvUkupneKolicineINTBARKOD;
	TcxGridDBColumn *gtvUkupneKolicineCASENO;
	TcxTabSheet *cxTabObrada;
	TPanel *Panel3;
	TcxLabel *cxLabel3;
	TcxLabel *cxLabel4;
	TcxDateEdit *deDoDatuma2;
	TcxDateEdit *deOdDatuma2;
	TcxButton *cxButton5;
	TSQLDataSet *sqlObradaPoDanima;
	TDataSetProvider *dspObradaPoDanima;
	TClientDataSet *cdsObradaPoDanima;
	TDataSource *dsObradaPoDanima;
	TcxDBPivotGrid *ptObradaDuvana;
	TDateField *cdsObradaPoDanimaDATUM;
	TStringField *cdsObradaPoDanimaGRADE;
	TIntegerField *cdsObradaPoDanimaIDZG;
	TStringField *cdsObradaPoDanimaBATCH_NO;
	TStringField *cdsObradaPoDanimaLIST;
	TFloatField *cdsObradaPoDanimaNETO;
	TIntegerField *cdsObradaPoDanimaBROJ_BALA;
	TStringField *cdsObradaPoDanimaOZNAKA_BLENDA;
	TIntegerField *cdsObradaPoDanimaBARKOD;
	TStringField *cdsObradaPoDanimaINTBARKOD;
	TIntegerField *cdsObradaPoDanimaCASENO;
	TcxDBPivotGridField *cxDBPivotGrid1Field1;
	TcxDBPivotGridField *cxDBPivotGrid1Field2;
	TcxDBPivotGridField *cxDBPivotGrid1Field3;
	TcxDBPivotGridField *cxDBPivotGrid1Field4;
	TcxDBPivotGridField *cxDBPivotGrid1Field5;
	TcxDBPivotGridField *cxDBPivotGrid1Field6;
	TcxDBPivotGridField *cxDBPivotGrid1Field7;
	TcxDBPivotGridField *cxDBPivotGrid1Field8;
	TcxDBPivotGridField *cxDBPivotGrid1Field9;
	TcxStyleRepository *cxStyleRepository1;
	TcxStyle *cxStyle1;
	TcxTabSheet *cxTabSirovDuvan;
	TPanel *Panel4;
	TcxLabel *cxLabel5;
	TcxLabel *cxLabel6;
	TcxDateEdit *deDoDatuma3;
	TcxDateEdit *deOdDatuma3;
	TcxButton *cxButton6;
	TcxButton *cxButton7;
	TSQLDataSet *sqlUtrosak;
	TDataSetProvider *dspUtrosak;
	TClientDataSet *cdsUtrosak;
	TDataSource *dsUtrosak;
	TStringField *cdsUtrosakBATCH_NO;
	TIntegerField *cdsUtrosakBROJ_BALA_FG;
	TFloatField *cdsUtrosakNETO_FG;
	TFMTBCDField *cdsUtrosakBROJ_BALA_SD;
	TFMTBCDField *cdsUtrosakBRUTO_SD;
	TIntegerField *cdsUtrosakBROJ_BATCHA;
	TIntegerField *cdsUtrosakIDZG;
	TcxTabSheet *cxTabSAP;
	TPanel *Panel5;
	TcxLabel *cxLabel7;
	TcxLabel *cxLabel8;
	TcxDateEdit *deDoDatuma4;
	TcxDateEdit *deOdDatuma4;
	TcxButton *cxButton8;
	TcxButton *cxButton9;
	TcxGrid *grdPregledSAP;
	TcxGridDBTableView *gtvPregledSAP;
	TcxGridLevel *cxGridLevel3;
	TSQLDataSet *sqlSAPReport;
	TDataSetProvider *dspSAPReport;
	TClientDataSet *cdsSAPReport;
	TDataSource *dsSAPReport;
	TStringField *cdsSAPReportSAP_BATCH;
	TStringField *cdsSAPReportMOPI;
	TStringField *cdsSAPReportGRADE;
	TIntegerField *cdsSAPReportBROJ_BALA;
	TFloatField *cdsSAPReportNETO;
	TFloatField *cdsSAPReportTARA;
	TFloatField *cdsSAPReportBRUTO;
	TIntegerField *cdsSAPReportOD_BROJA;
	TIntegerField *cdsSAPReportDO_BROJA;
	TcxGridDBColumn *gtvPregledSAPSAP_BATCH;
	TcxGridDBColumn *gtvPregledSAPMOPI;
	TcxGridDBColumn *gtvPregledSAPGRADE;
	TcxGridDBColumn *gtvPregledSAPBROJ_BALA;
	TcxGridDBColumn *gtvPregledSAPNETO;
	TcxGridDBColumn *gtvPregledSAPTARA;
	TcxGridDBColumn *gtvPregledSAPBRUTO;
	TcxGridDBColumn *gtvPregledSAPOD_BROJA;
	TcxGridDBColumn *gtvPregledSAPDO_BROJA;
	TMenuItem *N1;
	TMenuItem *Kopiraj1;
	TMenuItem *Kopirajsve1;
	TSQLTimeStampField *cdsPregledBalaDATUM_ETIKETE;
	TSmallintField *cdsPregledBalaBLOKIRAJ;
	TIntegerField *cdsPregledBalaSTATUS;
	TSmallintField *cdsPregledBalaZAPRIMLJENA;
	TcxGridDBColumn *gtvPregledPoBatchuDATUM_ETIKETE;
	TcxGridDBColumn *gtvPregledPoBatchuBLOKIRAJ;
	TcxGridDBColumn *gtvPregledPoBatchuSTATUS;
	TcxGridDBColumn *gtvPregledPoBatchuZAPRIMLJENA;
	TcxPageControl *cxPageControl1;
	TcxTabSheet *cxTab1;
	TcxGrid *cxGridSirovDuvan;
	TcxGridDBTableView *cxGridDBTableView1;
	TcxGridDBColumn *cxGridDBTableView1BATCH_NO;
	TcxGridDBColumn *cxGridDBTableView1BROJ_BALA_FG;
	TcxGridDBColumn *cxGridDBTableView1NETO_FG;
	TcxGridDBColumn *cxGridDBTableView1BROJ_BALA_SD;
	TcxGridDBColumn *cxGridDBTableView1BRUTO_SD;
	TcxGridLevel *cxGridLevel2;
	TStringField *cdsUtrosakGRADE;
	TcxGridDBColumn *cxGridDBTableView1BATCH_NO1;
	TcxGridDBColumn *cxGridDBTableView1IDZG;
	TcxGridDBColumn *cxGridDBTableView1GRADE;
	TSQLTimeStampField *cdsPregledBalaDATUM_OBRADE;
	void __fastcall cxButton2Click(TObject *Sender);
	void __fastcall Excel1Click(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall cxButton3Click(TObject *Sender);
	void __fastcall cxButton5Click(TObject *Sender);
	void __fastcall cxButton6Click(TObject *Sender);
	void __fastcall cxButton8Click(TObject *Sender);
	void __fastcall Kopiraj1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfmObradaPregledIzlaza(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmObradaPregledIzlaza *fmObradaPregledIzlaza;
//---------------------------------------------------------------------------
#endif
