//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_izv_nikotin_secer.h"
#include "OD_DM.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxControls"
#pragma link "cxGraphics"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxPC"
#pragma link "OD_OsnovnaPrazna"
#pragma link "cxClasses"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxStyles"
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxContainer"
#pragma link "cxDropDownEdit"
#pragma link "cxLabel"
#pragma link "cxMaskEdit"
#pragma link "cxTextEdit"
#pragma resource "*.dfm"
TOd_IzvNikotinSecer *Od_IzvNikotinSecer;
//---------------------------------------------------------------------------
__fastcall TOd_IzvNikotinSecer::TOd_IzvNikotinSecer(TComponent* Owner)
	: TfmOsnovnaPrazna(Owner)
{
	cxOdDatuma->Date = Date();
	cxDoDatuma->Date = Date();

	pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
	pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
	pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;
}
//---------------------------------------------------------------------------
void __fastcall TOd_IzvNikotinSecer::cxButton2Click(TObject *Sender)
{
	cdsIzvestaj->Active = false;
	dsetIzvestaj->ParamByName("od_datuma")->Value = cxOdDatuma->Date;
	dsetIzvestaj->ParamByName("do_datuma")->Value = cxDoDatuma->Date;
	dsetIzvestaj->ParamByName("id_transakcije")->AsInteger = 3;
	cdsIzvestaj->Active = true;
}
//---------------------------------------------------------------------------

void __fastcall TOd_IzvNikotinSecer::Excel2Click(TObject *Sender)
{
  SaveDialog1->Title = "Izvoz podataka u excel";
  if (SaveDialog1->Execute())
  {
		ExportGridToExcel(SaveDialog1->FileName, cxGrid1, False, True, True, "xls");
  }
}
//---------------------------------------------------------------------------

void __fastcall TOd_IzvNikotinSecer::HTML2Click(TObject *Sender)
{
  SaveDialog1->Title = "Izvoz podataka u html format";
  if (SaveDialog1->Execute())
  {
     ExportGridToHTML(SaveDialog1->FileName, cxGrid1, False, True, "html");
  }
}
//---------------------------------------------------------------------------

void __fastcall TOd_IzvNikotinSecer::XT2Click(TObject *Sender)
{
	SaveDialog1->Title = "Izvoz podataka u TXT format";
  if (SaveDialog1->Execute())
	{
     ExportGridToHTML(SaveDialog1->FileName, cxGrid1, False, True, "txt");
	}
}
//---------------------------------------------------------------------------






