// ---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_izv_obrada.h"
// ---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxCalendar"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxDateUtils"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxGraphics"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxMaskEdit"
#pragma link "cxTextEdit"
#pragma link "dxCore"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma link "cxButtons"
#pragma link "frxClass"
#pragma link "frxDBSet"
#pragma link "cxClasses"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxFilter"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxGroupBox"
#pragma link "cxNavigator"
#pragma link "cxScrollBox"
#pragma link "cxStyles"
#pragma link "dxSkinscxPCPainter"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxLookupEdit"
#pragma resource "*.dfm"
Tod_izv_sa_obrd_duvana* od_izv_sa_obrd_duvana;

// ---------------------------------------------------------------------------
__fastcall Tod_izv_sa_obrd_duvana::Tod_izv_sa_obrd_duvana(TComponent* Owner)
	:TForm(Owner)
{
	cds->Active = false;
	cds->Active = true;
}

// ---------------------------------------------------------------------------
void __fastcall Tod_izv_sa_obrd_duvana::cxButton4Click(TObject* Sender)
{
	cdsPregled->Active = false;
	cdsPregled->Params->ParamByName("OD_DATUMA")->AsDate = od_datuma->Date;
	cdsPregled->Params->ParamByName("DO_DATUMA")->AsDate = od_datuma->Date;
	cdsPregled->Params->ParamByName("DEALER")->AsString = cxLookupComboBox1->EditText;
	cdsPregled->Active = true;

	cdsPrethodno->Active = false;
	cdsPrethodno->Params->ParamByName("OD_DATUMA")->AsDate = StartOfTheYear(od_datuma->Date);
	cdsPrethodno->Params->ParamByName("DO_DATUMA")->AsDate = od_datuma->Date - 1;
	cdsPrethodno->Params->ParamByName("DEALER")->AsString = cxLookupComboBox1->EditText;
	cdsPrethodno->Active = true;

	cdsUkupno->Active = false;
	cdsUkupno->Params->ParamByName("OD_DATUMA")->AsDate = StartOfTheYear(od_datuma->Date);
	cdsUkupno->Params->ParamByName("DO_DATUMA")->AsDate = od_datuma->Date;
	cdsUkupno->Params->ParamByName("DEALER")->AsString = cxLookupComboBox1->EditText;
	cdsUkupno->Active = true;
}
// ---------------------------------------------------------------------------

void __fastcall Tod_izv_sa_obrd_duvana::cxButton5Click(TObject* Sender)
{
	TfrxMemoView* fr1;
	fr1 = (TfrxMemoView*)frxReport1->FindObject("Memo59");
	if (fr1 != NULL)
		fr1->Text = DateToStr(od_datuma->Date);

	TfrxMemoView* fr2;
	fr2 = (TfrxMemoView*)frxReport1->FindObject("Memo61");
	if (fr2 != NULL)
		fr2->Text = cxLookupComboBox1->EditText;

	frxReport1->ShowReport(true);
}
// ---------------------------------------------------------------------------

void __fastcall Tod_izv_sa_obrd_duvana::FormClose(TObject* Sender, TCloseAction& Action)

{
	Action = caFree;
}
// ---------------------------------------------------------------------------
