//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_izv_primese.h"
#include "OD_DM.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxMaskEdit"
#pragma link "cxPC"
#pragma link "cxStyles"
#pragma link "cxTextEdit"
#pragma link "cxCustomPivotGrid"
#pragma link "cxDBPivotGrid"
#pragma resource "*.dfm"
TfrmIzvPrimese *frmIzvPrimese;
//---------------------------------------------------------------------------
__fastcall TfrmIzvPrimese::TfrmIzvPrimese(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{
	deOdDatuma->Date = StartOfTheMonth(Date());
	deDoDatuma->Date = EndOfTheMonth(Date());
}
//---------------------------------------------------------------------------
void __fastcall TfrmIzvPrimese::btnPregledClick(TObject *Sender)
{
	cdsIzvestaj->Active = false;
	sqlIzvestaj->ParamByName("od_datuma")->Value = deOdDatuma->Date;
	sqlIzvestaj->ParamByName("do_datuma")->Value = deDoDatuma->Date;
	sqlIzvestaj->ParamByName("id_transakcije")->AsInteger = 5;
	cdsIzvestaj->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall TfrmIzvPrimese::FormClose(TObject *Sender, TCloseAction &Action)
{
   Action = caFree;
}
//---------------------------------------------------------------------------
void __fastcall TfrmIzvPrimese::Exportuexcel1Click(TObject *Sender)
{
	SaveDialog1->Title = "Izvoz podataka u excel";
  if (SaveDialog1->Execute())                           //grdUkupneKolicine
	{
		cxExportPivotGridToExcel(SaveDialog1->FileName, cxPivot, False, True, "xls");
  }
}
//---------------------------------------------------------------------------
