//---------------------------------------------------------------------------

#ifndef OD_izv_primeseH
#define OD_izv_primeseH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxCustomPivotGrid.hpp"
#include "cxDBPivotGrid.hpp"
#include <Dialogs.hpp>
#include "cxExportPivotGridLink.hpp"
//---------------------------------------------------------------------------
class TfrmIzvPrimese : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TcxPageControl *PC;
	TcxTabSheet *tsPregled;
	TPanel *Panel1;
	TcxDateEdit *deOdDatuma;
	TcxDateEdit *deDoDatuma;
	TcxLabel *cxLabel1;
	TcxLabel *cxLabel2;
	TcxButton *btnPregled;
	TcxButton *btnStampa;
	TSQLDataSet *sqlIzvestaj;
	TDataSetProvider *dspIzvestaj;
	TClientDataSet *cdsIzvestaj;
	TDataSource *dsIzvestaj;
	TcxDBPivotGrid *cxPivot;
	TcxDBPivotGridField *cxDBPivotGrid1Field1;
	TcxDBPivotGridField *cxDBPivotGrid1Field2;
	TcxDBPivotGridField *cxDBPivotGrid1Field3;
	TcxDBPivotGridField *cxDBPivotGrid1Field4;
	TcxDBPivotGridField *cxDBPivotGrid1Field5;
	TcxDBPivotGridField *cxDBPivotGrid1Field6;
	TStringField *cdsIzvestajOPIS_PARAMETRA1;
	TStringField *cdsIzvestajIDGRUPE;
	TStringField *cdsIzvestajTRANSAKCIJA;
	TStringField *cdsIzvestajIDGRADE;
	TStringField *cdsIzvestajID_UZORKA;
	TFloatField *cdsIzvestajKOLICINA;
	TFloatField *cdsIzvestajPROCENAT;
	TDateField *cdsIzvestajDATUM;
	TcxDBPivotGridField *cxDBPivotGrid1Field7;
	TSaveDialog *SaveDialog1;
	TcxStyleRepository *cxStyleRepository1;
	TcxStyle *cxStyle1;
	TcxStyleRepository *cxStyleRepository2;
	TcxStyle *cxStyle2;
	TcxStyleRepository *cxStyleRepository3;
	TcxStyle *cxStyle3;
	TPopupMenu *PopupMenu1;
	TMenuItem *Exportuexcel1;
	TIntegerField *cdsIzvestajKOOPERANTID;
	TStringField *cdsIzvestajKOMITENT;
	TcxDBPivotGridField *cxPivotField1;
	TcxDBPivotGridField *cxPivotField2;
	TStringField *cdsIzvestajBARKOD;
	TcxDBPivotGridField *cxPivotField3;
	void __fastcall btnPregledClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall Exportuexcel1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfrmIzvPrimese(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmIzvPrimese *frmIzvPrimese;
//---------------------------------------------------------------------------
#endif
