//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <math.h>
#include "OD_izv_rebro_u_listu.h"
#include "OD_DM.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxMaskEdit"
#pragma link "cxPC"
#pragma link "cxStyles"
#pragma link "cxTextEdit"
#pragma link "OD_OsnovnaPrazna"
#pragma link "cxGridBandedTableView"
#pragma link "cxGridDBBandedTableView"
#pragma resource "*.dfm"
TOD_IzvRebroUListu *OD_IzvRebroUListu;
//---------------------------------------------------------------------------
__fastcall TOD_IzvRebroUListu::TOD_IzvRebroUListu(TComponent* Owner)
	: TfmOsnovnaPrazna(Owner)
{
	cxOdDatuma->Date = StartOfTheMonth(Date());
	cxDoDatuma->Date = EndOfTheMonth(Date());

	pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
	pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
	pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;
}
//---------------------------------------------------------------------------
void __fastcall TOD_IzvRebroUListu::cxButton2Click(TObject *Sender)
{
	cdsIzvestaj->Active = false;
	dsetIzvestaj->ParamByName("od_datuma")->Value = cxOdDatuma->Date;
	dsetIzvestaj->ParamByName("do_datuma")->Value = cxDoDatuma->Date;
	dsetIzvestaj->ParamByName("id_transakcije")->AsInteger = 4;
	cdsIzvestaj->Active = true;

try {
 if(cdsIzvestaj->RecordCount > 1)
 {
	double Devijacija0=0, Devijacija1=0, Devijacija2=0, Devijacija3=0,Devijacija4=0,Devijacija5=0,Devijacija6=0,Devijacija7=0,Devijacija8=0;
	double DevijacijaOBJ=0, Devijacija7SL=0, Devijacija12SL=0, Devijacija12MSH=0, DevijacijaPAN=0;

	TcxDataSummary *footer      = cxGrid1DBBandedTableView1->DataController->Summary;

	if((cdsIzvestaj->Active == true) && (!cdsIzvestaj->IsEmpty()))
	{
		 footer->FooterSummaryValues[0] = 0;
		 footer->FooterSummaryValues[1] = 0;
		 footer->FooterSummaryValues[2] = 0;
		 footer->FooterSummaryValues[3] = 0;
		 footer->FooterSummaryValues[4] = 0;
		 footer->FooterSummaryValues[5] = 0;
		 footer->FooterSummaryValues[44] = 0;
		 footer->FooterSummaryValues[24] = 0;
		 footer->FooterSummaryValues[28] = 0;
		 footer->FooterSummaryValues[32] = 0;
		 footer->FooterSummaryValues[36] = 0;
		 footer->FooterSummaryValues[40] = 0;

	}
		 Devijacija0=0; Devijacija1=0; Devijacija2=0; Devijacija3=0; Devijacija4=0; Devijacija5=0; Devijacija6=0; Devijacija7=0; Devijacija8=0;
		 DevijacijaOBJ=0; Devijacija7SL=0; Devijacija12SL=0; Devijacija12MSH=0; DevijacijaPAN=0;

		 cdsIzvestaj->First();

		 while(!cdsIzvestaj->Eof)
		 { 																																							//Devijacija =RoundTo(Devijacija, -4);
				Devijacija0 = Devijacija0 + pow(cdsIzvestaj->FieldByName("KOLICINA")->AsFloat - footer->FooterSummaryValues[6], 2);
				Devijacija1 = Devijacija1 + pow(cdsIzvestaj->FieldByName("KOLICINA_OBJ")->AsFloat - footer->FooterSummaryValues[7], 2);
				Devijacija2 = Devijacija2 + pow(cdsIzvestaj->FieldByName("KOLICINA_7SL")->AsFloat - footer->FooterSummaryValues[8], 2);
				Devijacija3 = Devijacija3 + pow(cdsIzvestaj->FieldByName("KOLICINA_12SL")->AsFloat - footer->FooterSummaryValues[9], 2);
				Devijacija4 = Devijacija4 + pow(cdsIzvestaj->FieldByName("KOLICINA_12MESH")->AsFloat - footer->FooterSummaryValues[10], 2);
				Devijacija5 = Devijacija5 + pow(cdsIzvestaj->FieldByName("KOLICINA_PAN")->AsFloat - footer->FooterSummaryValues[11], 2);
				Devijacija6 = Devijacija6 + pow(cdsIzvestaj->FieldByName("UkupnoSteam")->AsFloat - footer->FooterSummaryValues[45], 2);

				DevijacijaOBJ = DevijacijaOBJ + pow(cdsIzvestaj->FieldByName("PROCENAT_OBJ")->AsFloat - footer->FooterSummaryValues[25], 2);
				Devijacija7SL = Devijacija7SL + pow(cdsIzvestaj->FieldByName("PROCENAT_7SL")->AsFloat - footer->FooterSummaryValues[29], 2);
				Devijacija12SL = Devijacija12SL + pow(cdsIzvestaj->FieldByName("PROCENAT_12SL")->AsFloat - footer->FooterSummaryValues[33], 2);
				Devijacija12MSH = Devijacija12MSH + pow(cdsIzvestaj->FieldByName("PROCENAT_12MESH")->AsFloat - footer->FooterSummaryValues[37], 2);
				DevijacijaPAN = DevijacijaPAN + pow(cdsIzvestaj->FieldByName("PROCENAT_PAN")->AsFloat - footer->FooterSummaryValues[41], 2);


			cdsIzvestaj->Next();
		 }
		 footer->FooterSummaryValues[0]= sqrt(Devijacija0/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[1]= sqrt(Devijacija1/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[2]= sqrt(Devijacija2/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[3]= sqrt(Devijacija3/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[4]= sqrt(Devijacija4/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[5]= sqrt(Devijacija5/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[44]= sqrt(Devijacija6/(cdsIzvestaj->RecordCount-1));

		 footer->FooterSummaryValues[24]= sqrt(DevijacijaOBJ/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[28]= sqrt(Devijacija7SL/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[32]= sqrt(Devijacija12SL/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[36]= sqrt(Devijacija12MSH/(cdsIzvestaj->RecordCount-1));
		 footer->FooterSummaryValues[40]= sqrt(DevijacijaPAN/(cdsIzvestaj->RecordCount-1));
 }
}
 catch(Exception &e) {
		//-------------
}
}
//---------------------------------------------------------------------------
void __fastcall TOD_IzvRebroUListu::cdsIzvestajCalcFields(TDataSet *DataSet)
{
	cdsIzvestaj->FieldByName("UkupnoSteam")->AsCurrency = cdsIzvestaj->FieldByName("PROCENAT_OBJ")->AsCurrency+
																			cdsIzvestaj->FieldByName("PROCENAT_7SL")->AsCurrency+
																			cdsIzvestaj->FieldByName("PROCENAT_12SL")->AsCurrency;
}
//---------------------------------------------------------------------------



void __fastcall TOD_IzvRebroUListu::Excel1Click(TObject *Sender)
{
	SaveDialog1->Title = "Izvoz podataka u excel";
  if (SaveDialog1->Execute())
	{
	  ExportGridToExcel(SaveDialog1->FileName, cxGrid1, False, True, True, "xls");
	}
}
//---------------------------------------------------------------------------


