//---------------------------------------------------------------------------

#ifndef OD_izv_ulaza_u_obraduH
#define OD_izv_ulaza_u_obraduH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "cxLookAndFeels.hpp"
#include "OD_OsnovnaPrazna.h"
#include <ActnList.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxGraphics.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxTextEdit.hpp"
#include <ExtCtrls.hpp>
#include "cxClasses.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxFilter.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxStyles.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxGridExportLink.hpp"

#include "cxExportPivotGridLink.hpp"
#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
#include <Vcl.ComCtrls.hpp>
#include "cxCustomPivotGrid.hpp"
#include "cxDBPivotGrid.hpp"
#include "frxClass.hpp"
#include "frxDBSet.hpp"
//---------------------------------------------------------------------------
class TfmObradaPregledUlaza : public TfmOsnovnaPrazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPC;
	TcxTabSheet *cxTabBatch;
	TPanel *Panel1;
	TcxLabel *cxLabel9;
	TcxLabel *cxLabel10;
	TcxDateEdit *cxDoDatuma;
	TcxDateEdit *cxOdDatuma;
	TcxButton *cxButton2;
	TcxButton *cxButton1;
	TSQLDataSet *dsetPregledPoBatchu;
	TDataSetProvider *dspPregledPoBatchu;
	TClientDataSet *cdsPregledPoBatchu;
	TDataSource *dsPregledPoBatchu;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *gtvStavkeBatch;
	TcxGridLevel *cxGrid1Level1;
	TIntegerField *cdsPregledPoBatchuBROJ_BATCHA;
	TIntegerField *cdsPregledPoBatchuIDBLEND;
	TStringField *cdsPregledPoBatchuOPIS;
	TStringField *cdsPregledPoBatchuBLEND;
	TFloatField *cdsPregledPoBatchuUKUPNO_BALA;
	TDateField *cdsPregledPoBatchuDATUM;
	TStringField *cdsPregledPoBatchuKLASA;
	TStringField *cdsPregledPoBatchuSAP_MATNUM;
	TStringField *cdsPregledPoBatchuKOD;
	TStringField *cdsPregledPoBatchuBROJ_SERIJE;
	TFMTBCDField *cdsPregledPoBatchuBROJ_BALA;
	TFMTBCDField *cdsPregledPoBatchuTEZINA;
	TcxGridDBColumn *gtvStavkeBatchBROJ_BATCHA;
	TcxGridDBColumn *gtvStavkeBatchIDBLEND;
	TcxGridDBColumn *gtvStavkeBatchDATUMDPO;
	TcxGridDBColumn *gtvStavkeBatchOPIS;
	TcxGridDBColumn *gtvStavkeBatchBLEND;
	TcxGridDBColumn *gtvStavkeBatchUKUPNO_BALA;
	TcxGridDBColumn *gtvStavkeBatchDATUM;
	TcxGridDBColumn *gtvStavkeBatchKLASA;
	TcxGridDBColumn *gtvStavkeBatchSAP_MATNUM;
	TcxGridDBColumn *gtvStavkeBatchKOD;
	TcxGridDBColumn *gtvStavkeBatchBROJ_SERIJE;
	TcxGridDBColumn *gtvStavkeBatchBROJ_BALA;
	TcxGridDBColumn *gtvStavkeBatchTEZINA;
	TSQLTimeStampField *cdsPregledPoBatchuDATUM_OD;
	TFMTBCDField *cdsPregledPoBatchuCENA;
	TcxGridDBColumn *gtvStavkeBatchCENA;
	TcxGridDBColumn *gtvStavkeBatchVrednost;
	TcxStyleRepository *cxStyleRepository1;
	TcxStyle *cxStyle1;
	TcxStyleRepository *cxStyleRepository2;
	TcxStyle *cxStyle2;
	TcxGridDBColumn *gtvStavkeBatchAMBALAZA;
	TcxGridDBColumn *gtvStavkeBatchNETOMASA;
	TcxGridDBColumn *gtvStavkeBatchNeto_tezina;
	TFMTBCDField *cdsPregledPoBatchuNETOMASA;
	TFMTBCDField *cdsPregledPoBatchuNeto_tezina;
	TFMTBCDField *cdsPregledPoBatchuVrednost;
	TStringField *cdsPregledPoBatchuPODSORTA;
	TStringField *cdsPregledPoBatchuPOREKLO;
	TcxGridDBColumn *gtvStavkeBatchPODSORTA;
	TcxGridDBColumn *gtvStavkeBatchPOREKLO;
	TcxTabSheet *cxTabPivot;
	TPanel *Panel3;
	TcxLabel *cxLabel3;
	TcxLabel *cxLabel4;
	TcxDateEdit *deDoDatuma2;
	TcxDateEdit *deOdDatuma2;
	TcxButton *cxButton5;
	TcxDBPivotGrid *ptObradaDuvana;
	TcxDBPivotGridField *ptObradaDuvanaField1;
	TcxDBPivotGridField *ptObradaDuvanaField2;
	TcxDBPivotGridField *ptObradaDuvanaField3;
	TcxDBPivotGridField *ptObradaDuvanaField4;
	TcxDBPivotGridField *ptObradaDuvanaField5;
	TcxDBPivotGridField *ptObradaDuvanaField6;
	TcxDBPivotGridField *ptObradaDuvanaField7;
	TcxDBPivotGridField *ptObradaDuvanaField8;
	TcxDBPivotGridField *ptObradaDuvanaField9;
	TcxDBPivotGridField *ptObradaDuvanaField10;
	TcxDBPivotGridField *ptObradaDuvanaField11;
	TcxDBPivotGridField *ptObradaDuvanaField13;
	TcxDBPivotGridField *ptObradaDuvanaField14;
	TcxDBPivotGridField *ptObradaDuvanaField15;
	TcxDBPivotGridField *ptObradaDuvanaField16;
	TcxDBPivotGridField *ptObradaDuvanaField17;
	TcxDBPivotGridField *ptObradaDuvanaField18;
	TcxDBPivotGridField *ptObradaDuvanaField19;
	TcxDBPivotGridField *ptObradaDuvanaField20;
	TSQLDataSet *dsetPregledBala;
	TDataSetProvider *dspPregledBala;
	TClientDataSet *cdsPregledBala;
	TDataSource *dsPregledBala;
	TIntegerField *cdsPregledBalaIDBATCHA;
	TIntegerField *cdsPregledBalaBROJ_BATCHA;
	TIntegerField *cdsPregledBalaIDBLEND;
	TSQLTimeStampField *cdsPregledBalaDATUM_OD;
	TStringField *cdsPregledBalaOPIS;
	TStringField *cdsPregledBalaBLEND;
	TFloatField *cdsPregledBalaUKUPNO_BALA;
	TDateField *cdsPregledBalaDATUM;
	TStringField *cdsPregledBalaKLASA;
	TStringField *cdsPregledBalaSAP_MATNUM;
	TFMTBCDField *cdsPregledBalaCENA;
	TStringField *cdsPregledBalaKOD;
	TStringField *cdsPregledBalaBROJ_SERIJE;
	TStringField *cdsPregledBalaPODSORTA;
	TIntegerField *cdsPregledBalaBARKOD;
	TFMTBCDField *cdsPregledBalaBROJ_BALA;
	TFMTBCDField *cdsPregledBalaTEZINA;
	TFMTBCDField *cdsPregledBalaNETOMASA;
	TFMTBCDField *cdsPregledBalaneto_tezina;
	TFMTBCDField *cdsPregledBalavrednost;
	TcxDBPivotGridField *ptObradaDuvanaField21;
	TcxDBPivotGridField *ptObradaDuvanaField22;
	TcxTabSheet *cxTabSAP;
	TPanel *Panel2;
	TcxLabel *cxLabel1;
	TcxLabel *cxLabel2;
	TcxDateEdit *deDoDatuma3;
	TcxDateEdit *deOdDatuma3;
	TcxButton *cxButton3;
	TcxButton *cxButton4;
	TcxGrid *cxGrid2;
	TcxGridDBTableView *gtvStavkeSAP;
	TcxGridLevel *cxGridLevel1;
	TSQLDataSet *sqlSAPReport;
	TDataSetProvider *dspSAPReport;
	TClientDataSet *cdsSAPReport;
	TDataSource *dsSAPReport;
	TStringField *cdsSAPReportKLASA;
	TStringField *cdsSAPReportSAP_MATNUM;
	TFMTBCDField *cdsSAPReportCENA;
	TFMTBCDField *cdsSAPReportBROJ_BALA;
	TFMTBCDField *cdsSAPReportTEZINA;
	TFMTBCDField *cdsSAPReportAMBALAZA;
	TFMTBCDField *cdsSAPReportNETOMASA;
	TFMTBCDField *cdsSAPReportneto_tezina;
	TFMTBCDField *cdsSAPReportvrednost;
	TcxGridDBColumn *gtvStavkeSAPKLASA;
	TcxGridDBColumn *gtvStavkeSAPSAP_MATNUM;
	TcxGridDBColumn *gtvStavkeSAPCENA;
	TcxGridDBColumn *gtvStavkeSAPBROJ_BALA;
	TcxGridDBColumn *gtvStavkeSAPTEZINA;
	TcxGridDBColumn *gtvStavkeSAPAMBALAZA;
	TcxGridDBColumn *gtvStavkeSAPNETOMASA;
	TcxGridDBColumn *gtvStavkeSAPvrednost;
	TcxGridDBColumn *gtvStavkeSAPneto_tezina;
	TMenuItem *N1;
	TMenuItem *Kopiraj1;
	TcxTabSheet *cxTabUtrosakPoProizvodjacima;
	TcxGrid *cxGrid3;
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridLevel *cxGridLevel2;
	TPanel *Panel4;
	TcxLabel *cxLabel5;
	TcxLabel *cxLabel6;
	TcxDateEdit *deDoDatuma4;
	TcxDateEdit *deOdDatuma4;
	TcxButton *cxButton6;
	TcxButton *cxButton7;
	TSQLDataSet *sqlIzvestajPoProizvodjacima;
	TDataSetProvider *dspIzvestajPoProizvodjacima;
	TClientDataSet *cdsIzvestajPoProizvodjacima;
	TDataSource *dsIzvestajPoProizvodjacima;
	TIntegerField *cdsIzvestajPoProizvodjacimaBROJ_BATCHA;
	TIntegerField *cdsIzvestajPoProizvodjacimaIDBLEND;
	TSQLTimeStampField *cdsIzvestajPoProizvodjacimaDATUM_OD;
	TStringField *cdsIzvestajPoProizvodjacimaOPIS;
	TDateField *cdsIzvestajPoProizvodjacimaDATUM;
	TStringField *cdsIzvestajPoProizvodjacimaKLASA;
	TStringField *cdsIzvestajPoProizvodjacimaKOD;
	TStringField *cdsIzvestajPoProizvodjacimaPODSORTA;
	TStringField *cdsIzvestajPoProizvodjacimaPOREKLO;
	TFMTBCDField *cdsIzvestajPoProizvodjacimaBROJ_BALA;
	TFMTBCDField *cdsIzvestajPoProizvodjacimaTEZINA;
	TFMTBCDField *cdsIzvestajPoProizvodjacimaNETOMASA;
	TIntegerField *cdsIzvestajPoProizvodjacimaKOOPERANTID;
	TStringField *cdsIzvestajPoProizvodjacimaKOMITENT;
	TcxGridDBColumn *cxGrid1DBTableView1KOOPERANTID;
	TcxGridDBColumn *cxGrid1DBTableView1KOMITENT;
	TcxGridDBColumn *cxGrid1DBTableView1BROJ_BATCHA;
	TcxGridDBColumn *cxGrid1DBTableView1IDBLEND;
	TcxGridDBColumn *cxGrid1DBTableView1DATUM_OD;
	TcxGridDBColumn *cxGrid1DBTableView1OPIS;
	TcxGridDBColumn *cxGrid1DBTableView1DATUM;
	TcxGridDBColumn *cxGrid1DBTableView1KLASA;
	TcxGridDBColumn *cxGrid1DBTableView1KOD;
	TcxGridDBColumn *cxGrid1DBTableView1PODSORTA;
	TcxGridDBColumn *cxGrid1DBTableView1POREKLO;
	TcxGridDBColumn *cxGrid1DBTableView1BROJ_BALA;
	TcxGridDBColumn *cxGrid1DBTableView1TEZINA;
	TcxGridDBColumn *cxGrid1DBTableView1NETOMASA;
	TcxGridDBColumn *cxGrid1DBTableView1ID;
	TcxGridDBColumn *cxGrid1DBTableView1BLEND;
	TcxGridDBColumn *cxGrid1DBTableView1OZNAKA_BLENDA;
	TIntegerField *cdsIzvestajPoProizvodjacimaID;
	TStringField *cdsIzvestajPoProizvodjacimaBLEND;
	TStringField *cdsIzvestajPoProizvodjacimaOZNAKA_BLENDA;
	TStringField *cdsSAPReportOZNAKA_BLENDA;
	TcxGridDBColumn *gtvStavkeSAPOZNAKA_BLENDA;
	TPopupMenu *PM4;
	TMenuItem *exportuexcel1;
	TSQLTimeStampField *cdsPregledBalaDATUM_OBRADE;
	TSQLTimeStampField *cdsIzvestajPoProizvodjacimaDATUM_OBRADE;
	TSQLTimeStampField *cdsPregledPoBatchuDATUM_OBRADE;
	TcxGridDBColumn *gtvStavkeBatchDATUM_OBRADE;
	TcxDBPivotGridField *ptObradaDuvanaField12;
	TcxGridDBColumn *cxGrid1DBTableView1DATUM_OBRADE;
	TFloatField *cdsPregledPoBatchuAMBALAZA;
	TFloatField *cdsPregledBalaAMBALAZA;
	TFMTBCDField *cdsPregledPoBatchuAVG_VLAGA;
	TFMTBCDField *cdsPregledPoBatchuBRUTOMASA;
	TFloatField *cdsPregledPoBatchuBRUTO_AMBAL;
	TcxGridDBColumn *gtvStavkeBatchAVG_VLAGA;
	TcxGridDBColumn *gtvStavkeBatchBRUTOMASA;
	TcxGridDBColumn *gtvStavkeBatchBRUTO_AMBAL;
	TStringField *cdsPregledBalaINT_MAGACIN;
	TcxDBPivotGridField *ptObradaDuvanaField23;
	TcxButton *cxButton8;
	TfrxDBDataset *frxDBDataset1;
	TfrxReport *frxReport1;
	void __fastcall cxButton2Click(TObject *Sender);
	void __fastcall Excel1Click(TObject *Sender);
	void __fastcall cdsPregledPoBatchuCalcFields(TDataSet *DataSet);
	void __fastcall cxButton5Click(TObject *Sender);
	void __fastcall cdsPregledBalaCalcFields(TDataSet *DataSet);
	void __fastcall cxButton3Click(TObject *Sender);
	void __fastcall cdsSAPReportCalcFields(TDataSet *DataSet);
	void __fastcall Kopiraj1Click(TObject *Sender);
	void __fastcall cxButton6Click(TObject *Sender);
	void __fastcall cxButton8Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfmObradaPregledUlaza(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmObradaPregledUlaza *fmObradaPregledUlaza;
//---------------------------------------------------------------------------
#endif
