//---------------------------------------------------------------------------

#ifndef OD_reklasirane_baleH
#define OD_reklasirane_baleH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include <Dialogs.hpp>
#include "cxGridExportLink.hpp"
#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <Vcl.ComCtrls.hpp>
//---------------------------------------------------------------------------
class TfrmReklasiraneBale : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TcxPageControl *PC;
	TcxTabSheet *tsPregled;
	TPanel *Panel1;
	TcxDateEdit *deOdDatuma;
	TcxDateEdit *deDoDatuma;
	TcxLabel *cxLabel1;
	TcxLabel *cxLabel2;
	TcxButton *btnPregled;
	TcxButton *btnStampa;
	TcxGrid *grdPregled;
	TcxGridDBTableView *grdPregledDBTableView1;
	TcxGridLevel *grdPregledLevel1;
	TDataSource *dsReklasiraneBale;
	TClientDataSet *cdsReklasiraneBale;
	TDataSetProvider *dspReklasiraneBale;
	TSQLDataSet *sqlReklasiraneBale;
	TIntegerField *cdsReklasiraneBaleKLASAID_OLD;
	TIntegerField *cdsReklasiraneBaleKLASAID_NEW;
	TStringField *cdsReklasiraneBaleKLASA_OLD;
	TStringField *cdsReklasiraneBaleKLASA_NEW;
	TIntegerField *cdsReklasiraneBaleKOOPERANTID;
	TFMTBCDField *cdsReklasiraneBaleVLAGA;
	TIntegerField *cdsReklasiraneBalePRASINA;
	TStringField *cdsReklasiraneBaleKOMITENT;
	TcxGridDBColumn *grdPregledDBTableView1BARKOD;
	TcxGridDBColumn *grdPregledDBTableView1KLASAID_OLD;
	TcxGridDBColumn *grdPregledDBTableView1KLASAID_NEW;
	TcxGridDBColumn *grdPregledDBTableView1KLASA_OLD;
	TcxGridDBColumn *grdPregledDBTableView1KLASA_NEW;
	TcxGridDBColumn *grdPregledDBTableView1KOOPERANTID;
	TcxGridDBColumn *grdPregledDBTableView1VLAGA;
	TcxGridDBColumn *grdPregledDBTableView1PRASINA;
	TcxGridDBColumn *grdPregledDBTableView1KOMITENT;
	TSaveDialog *SaveDialog1;
	TPopupMenu *PopupMenu1;
	TMenuItem *Exportu1;
	TMenuItem *Excel1;
	TStringField *cdsReklasiraneBaleBARKOD;
	TSQLTimeStampField *cdsReklasiraneBaleVREME;
	TcxGridDBColumn *grdPregledDBTableView1VREME;
	TFMTBCDField *cdsReklasiraneBaleBRUTOMASA;
	TFMTBCDField *cdsReklasiraneBaleNETOMASA;
	TcxGridDBColumn *grdPregledDBTableView1BRUTOMASA;
	TcxGridDBColumn *grdPregledDBTableView1NETOMASA;
	void __fastcall btnPregledClick(TObject *Sender);
	void __fastcall Excel1Click(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfrmReklasiraneBale(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmReklasiraneBale *frmReklasiraneBale;
//---------------------------------------------------------------------------
#endif
