//---------------------------------------------------------------------------

#ifndef od_statisika_potrosnjeH
#define od_statisika_potrosnjeH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include "cxButtons.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxLookupEdit.hpp"
#include "cxMaskEdit.hpp"
#include "cxNavigator.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include "frxClass.hpp"
#include "frxDBSet.hpp"
#include <Data.DB.hpp>
#include <Data.FMTBcd.hpp>
#include <Data.SqlExpr.hpp>
#include <Datasnap.DBClient.hpp>
#include <Datasnap.Provider.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.Menus.hpp>
//---------------------------------------------------------------------------
class Tod_potrosanja_kg : public TForm
{
__published:	// IDE-managed Components
	TSQLDataSet *dsetBlend;
	TDataSetProvider *dspBlend;
	TClientDataSet *cdsBlend;
	TIntegerField *cdsBlendID;
	TStringField *cdsBlendOPIS;
	TStringField *cdsBlendBATCH_NO;
	TStringField *cdsBlendORDER_NO;
	TIntegerField *cdsBlendBERBA;
	TDateField *cdsBlendVAZI_OD;
	TIntegerField *cdsBlendBROJ_BLENDA;
	TDateField *cdsBlendDATUM;
	TStringField *cdsBlendSMENA;
	TSmallintField *cdsBlendAKTIVAN;
	TStringField *cdsBlendNAPOMENA;
	TIntegerField *cdsBlendSIFRA_RADNIKA;
	TFloatField *cdsBlendUKUPNO_BALA;
	TIntegerField *cdsBlendIDBLENDA;
	TIntegerField *cdsBlendBROJ_BL_KOOPERANTA;
	TFloatField *cdsBlendBROJ_BALA_GRUPE;
	TIntegerField *cdsBlendIDGRUPE;
	TFloatField *cdsBlendBROJ_KOOPER_GRUPE;
	TSmallintField *cdsBlendPROV_POREKLA;
	TDataSource *dsBlend;
	TPanel *Panel1;
	TcxLabel *cxLabel2;
	TcxLookupComboBox *cxBlend;
	TcxButton *cxButton4;
	TcxButton *cxButton5;
	TSQLDataSet *sqlPregled;
	TDataSetProvider *dspPregled;
	TClientDataSet *cdsPregled;
	TStringField *cdsPregledGRADE;
	TFMTBCDField *cdsPregledMAGACIN_UKUPNO;
	TStringField *cdsPregledOPIS;
	TStringField *cdsPregledINT_KLASA;
	TFMTBCDField *cdsPregledMAGACIN_KG;
	TDataSource *dsPregled;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridDBColumn *cxGrid1DBTableView1GRADE;
	TcxGridDBColumn *cxGrid1DBTableView1MAGACIN_UKUPNO;
	TcxGridDBColumn *cxGrid1DBTableView1INT_KLASA;
	TcxGridDBColumn *cxGrid1DBTableView1MAGACIN_KG;
	TcxGridLevel *cxGrid1Level1;
	TfrxDBDataset *frxDBPregled;
	TfrxReport *frxReport1;
	TFMTBCDField *cdsPregledIZLAZ_KG;
	TFMTBCDField *cdsPregledULAZ_KG;
	TcxGridDBColumn *cxGrid1DBTableView1OPIS;
	TcxGridDBColumn *cxGrid1DBTableView1IZLAZ_KG;
	TcxGridDBColumn *cxGrid1DBTableView1ULAZ_KG;
	void __fastcall cxButton4Click(TObject *Sender);
	void __fastcall cxButton5Click(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
public:		// User declarations
	__fastcall Tod_potrosanja_kg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE Tod_potrosanja_kg *od_potrosanja_kg;
//---------------------------------------------------------------------------
#endif
