//---------------------------------------------------------------------------

#ifndef OD_DnevnoPracenjeVlageH
#define OD_DnevnoPracenjeVlageH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include "OD_OsnovnaPrazna.h"
#include <ActnList.hpp>
#include <DB.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "cxSpinEdit.hpp"
#include "cxTimeEdit.hpp"
#include "frxClass.hpp"
#include "frxDBSet.hpp"
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include <Dialogs.hpp>
#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
#include <Vcl.ComCtrls.hpp>
//---------------------------------------------------------------------------
class TOD_dnevno_pracenje_vlage : public TfmOsnovnaPrazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPC;
	TcxTabSheet *cxTabUnos;
	TPanel *Panel1;
	TPanel *Panel2;
	TcxButton *btNoviDoc;
	TcxButton *btSnimi;
	TcxButton *btStampaj;
	TcxButton *btFunkcije;
	TcxPageControl *cxPC2;
	TcxTabSheet *cxTabSheet1;
	TcxTabSheet *cxTabPolja;
	TcxLabel *cxLabel5;
	TcxDBTextEdit *cxM_uzorka;
	TcxDBTextEdit *cxVlaga;
	TcxLabel *cxLabel6;
	TcxLabel *cxLabel7;
	TcxDBTextEdit *cxTemperatura;
	TcxTabSheet *cxTabPregled;
	TPanel *Panel3;
	TcxDateEdit *cxOdDatuma;
	TcxDateEdit *cxDoDatuma;
	TcxLabel *cxLabel9;
	TcxLabel *cxLabel10;
	TcxButton *cxButton1;
	TcxButton *btnPregled;
	TcxLabel *cxLabel11;
	TcxDBTextEdit *cxLaborant;
	TcxLabel *cxLabel12;
	TcxDBTextEdit *cxBrojBatch;
	TcxLabel *cxLabel13;
	TcxDBTextEdit *cxBrojKutije;
	TcxDBTextEdit *cxKlasa;
	TcxLabel *cxLabel1;
	TcxDBDateEdit *cxDatum;
	TcxLabel *cxLabel2;
	TcxDBTextEdit *cxRun;
	TcxLabel *cxLabel3;
	TcxLabel *cxLabel4;
	TcxDBTextEdit *cxSmena;
	TcxLabel *cxLabel8;
	TcxDBTimeEdit *cxVreme;
	TSQLDataSet *dsetProcessing;
	TIntegerField *dsetProcessingID;
	TStringField *dsetProcessingIDGRADE;
	TStringField *dsetProcessingIDSMENE;
	TStringField *dsetProcessingIDLIST;
	TIntegerField *dsetProcessingRUNDAY;
	TIntegerField *dsetProcessingIDBLEND;
	TStringField *dsetProcessingBATCH_NO;
	TIntegerField *dsetProcessingCASE_NO;
	TIntegerField *dsetProcessingIDLABORANTA;
	TIntegerField *dsetProcessingSIFRA_RADNIKA;
	TSQLTimeStampField *dsetProcessingIZMENA;
	TIntegerField *dsetProcessingVRSTA_TRANSAKCIJE;
	TStringField *dsetProcessingID_UZORKA;
	TFloatField *dsetProcessingVLAGA;
	TFloatField *dsetProcessingTEMPERATURA;
	TFloatField *dsetProcessingKOLICINA;
	TStringField *dsetProcessingMESTO_UZORKA;
	TStringField *dsetProcessingSMENA;
	TStringField *dsetProcessingGRADE;
	TStringField *dsetProcessingTRANSAKCIJA;
	TStringField *dsetProcessingLIST;
	TDateField *dsetProcessingDATUM;
	TTimeField *dsetProcessingVREME;
	TDataSetProvider *dspProcessing;
	TClientDataSet *cdsProcessing;
	TIntegerField *cdsProcessingID;
	TStringField *cdsProcessingIDGRADE;
	TStringField *cdsProcessingIDSMENE;
	TStringField *cdsProcessingIDLIST;
	TIntegerField *cdsProcessingRUNDAY;
	TIntegerField *cdsProcessingIDBLEND;
	TIntegerField *cdsProcessingCASE_NO;
	TIntegerField *cdsProcessingIDLABORANTA;
	TIntegerField *cdsProcessingSIFRA_RADNIKA;
	TSQLTimeStampField *cdsProcessingIZMENA;
	TIntegerField *cdsProcessingVRSTA_TRANSAKCIJE;
	TFloatField *cdsProcessingVLAGA;
	TFloatField *cdsProcessingTEMPERATURA;
	TFloatField *cdsProcessingKOLICINA;
	TStringField *cdsProcessingMESTO_UZORKA;
	TStringField *cdsProcessingSMENA;
	TStringField *cdsProcessingGRADE;
	TStringField *cdsProcessingTRANSAKCIJA;
	TStringField *cdsProcessingBATCH_NO;
	TStringField *cdsProcessingID_UZORKA;
	TStringField *cdsProcessingLIST;
	TDateField *cdsProcessingDATUM;
	TTimeField *cdsProcessingVREME;
	TDataSource *dsProcessing;
	TSQLStoredProc *sp_processing;
	TSQLDataSet *dsetZaglavlje;
	TDataSetProvider *dspZaglavlje;
	TClientDataSet *cdsZaglavlje;
	TIntegerField *IntegerField8;
	TStringField *StringField11;
	TStringField *StringField12;
	TStringField *StringField13;
	TIntegerField *IntegerField9;
	TIntegerField *IntegerField10;
	TIntegerField *IntegerField11;
	TIntegerField *IntegerField12;
	TIntegerField *IntegerField13;
	TSQLTimeStampField *SQLTimeStampField6;
	TIntegerField *IntegerField14;
	TFloatField *FloatField4;
	TFloatField *FloatField5;
	TFloatField *FloatField6;
	TStringField *StringField14;
	TStringField *StringField15;
	TStringField *StringField16;
	TStringField *StringField17;
	TStringField *StringField18;
	TStringField *StringField19;
	TStringField *StringField20;
	TDateField *cdsZaglavljeDATUM;
	TTimeField *cdsZaglavljeVREME;
	TStringField *cdsZaglavljeSTATUS;
	TDataSource *dsZaglavlje;
	TSQLQuery *sqlObrisi;
	TfrxReport *frxR;
	TfrxDBDataset *frxDBZaglavlje;
	TcxGrid *cxGrid2;
	TcxGridDBTableView *cxStavke;
	TcxGridDBColumn *cxStavkeID;
	TcxGridDBColumn *cxStavkeDATUM;
	TcxGridDBColumn *cxStavkeIDGRADE;
	TcxGridDBColumn *cxStavkeSMENA;
	TcxGridDBColumn *cxStavkeMESTO_UZORKA;
	TcxGridDBColumn *cxStavkeIDSMENE;
	TcxGridDBColumn *cxStavkeIDLIST;
	TcxGridDBColumn *cxStavkeLIST;
	TcxGridDBColumn *cxStavkeGRADE;
	TcxGridDBColumn *cxStavkeRUNDAY;
	TcxGridDBColumn *cxStavkeIDBLEND;
	TcxGridDBColumn *cxStavkeBATCH_NO;
	TcxGridDBColumn *cxStavkeCASE_NO;
	TcxGridDBColumn *cxStavkeIDLABORANTA;
	TcxGridDBColumn *cxStavkeSIFRA_RADNIKA;
	TcxGridDBColumn *cxStavkeVREME;
	TcxGridDBColumn *cxStavkeIZMENA;
	TcxGridDBColumn *cxStavkeVRSTA_TRANSAKCIJE;
	TcxGridDBColumn *cxStavkeID_UZORKA;
	TcxGridDBColumn *cxStavkeVLAGA;
	TcxGridDBColumn *cxStavkeTEMPERATURA;
	TcxGridDBColumn *cxStavkeKOLICINA;
	TcxGridDBColumn *cxStavkeTRANSAKCIJA;
	TcxGridLevel *cxGridLevel1;
	TStringField *dsetProcessingLABORANT;
	TStringField *cdsProcessingLABORANT;
	TcxLabel *cxLabel14;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxPregled;
	TcxGridDBColumn *cxPregledID;
	TcxGridDBColumn *cxPregledDATUM;
	TcxGridDBColumn *cxPregledVREME;
	TcxGridDBColumn *cxPregledIDGRADE;
	TcxGridDBColumn *cxPregledIDSMENE;
	TcxGridDBColumn *cxPregledIDLIST;
	TcxGridDBColumn *cxPregledSMENA;
	TcxGridDBColumn *cxPregledMESTO_UZORKA;
	TcxGridDBColumn *cxPregledLIST;
	TcxGridDBColumn *cxPregledGRADE;
	TcxGridDBColumn *cxPregledRUNDAY;
	TcxGridDBColumn *cxPregledIDBLEND;
	TcxGridDBColumn *cxPregledCASE_NO;
	TcxGridDBColumn *cxPregledIDLABORANTA;
	TcxGridDBColumn *cxPregledSIFRA_RADNIKA;
	TcxGridDBColumn *cxPregledIZMENA;
	TcxGridDBColumn *cxPregledVRSTA_TRANSAKCIJE;
	TcxGridDBColumn *cxPregledVLAGA;
	TcxGridDBColumn *cxPregledTEMPERATURA;
	TcxGridDBColumn *cxPregledKOLICINA;
	TcxGridDBColumn *cxPregledTRANSAKCIJA;
	TcxGridDBColumn *cxPregledBATCH_NO;
	TcxGridDBColumn *cxPregledID_UZORKA;
	TcxGridDBColumn *cxPregledSTATUS;
	TcxGridLevel *cxGrid1Level1;
	TStringField *cdsZaglavljeLABORANT;
	TcxGridDBColumn *cxPregledLABORANT;
	TcxGridDBColumn *cxStavkeLABORANT;
	TcxStyleRepository *cxStyleRepository1;
	TcxStyle *cxStyle1;
	TStringField *dsetProcessingSTATUS;
	TIntegerField *dsetProcessingVEZA;
	TStringField *cdsProcessingSTATUS;
	TIntegerField *cdsZaglavljeVEZA;
	TIntegerField *dsetProcessingIDTIP;
	TIntegerField *cdsProcessingIDTIP;
	TStringField *cdsProcessingTip_duvana;
	void __fastcall btNoviDocClick(TObject *Sender);
	void __fastcall cdsProcessingNewRecord(TDataSet *DataSet);
	void __fastcall cdsProcessingAfterPost(TDataSet *DataSet);
	void __fastcall cdsProcessingAfterDelete(TDataSet *DataSet);
	void __fastcall btSnimiClick(TObject *Sender);
	void __fastcall cxGrid1DBTableView1EditKeyDown(TcxCustomGridTableView *Sender, TcxCustomGridTableItem *AItem,
          TcxCustomEdit *AEdit, WORD &Key, TShiftState Shift);
	void __fastcall cxKlasaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxM_uzorkaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxSmenaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxDatumKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxVremeKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxRunKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxLaborantKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxBrojBatchKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxBrojKutijeKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxVlagaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxTemperaturaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall btSnimiKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall btNoviDocKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall btnPregledClick(TObject *Sender);
	void __fastcall cdsProcessingAfterInsert(TDataSet *DataSet);
	void __fastcall cdsProcessingAfterEdit(TDataSet *DataSet);
	void __fastcall Izmeni1Click(TObject *Sender);
	void __fastcall Obrisi1Click(TObject *Sender);
	void __fastcall dspProcessingBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS,
          TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind, bool &Applied);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall cdsProcessingReconcileError(TCustomClientDataSet *DataSet,
          EReconcileError *E, TUpdateKind UpdateKind, TReconcileAction &Action);



private:	// User declarations
	TDateTime OldDatum;
	int OldSifraRadnika, OldIdLaborant, OldRunday, OldIdBlend;
	AnsiString 	OldIdsmene,	OldIdList, OldIdGrade, OldBatch,	OldIdUzorka;
	AnsiString OldLaborant, OldIdTransakcija, OldMesto_Uzorka, OldSmena, OldGrade, OldList, OldTransakcija;
public:		// User declarations
	__fastcall TOD_dnevno_pracenje_vlage(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOD_dnevno_pracenje_vlage *OD_dnevno_pracenje_vlage;
//---------------------------------------------------------------------------
#endif
