//---------------------------------------------------------------------------

#ifndef OD_RebroUStripsuH
#define OD_RebroUStripsuH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include "OD_OsnovnaPrazna.h"
#include <ActnList.hpp>
#include <DB.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxLookupEdit.hpp"
#include "cxSplitter.hpp"
#include <Dialogs.hpp>
#include "cxSpinEdit.hpp"
#include "cxTimeEdit.hpp"
#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
#include <Vcl.ComCtrls.hpp>
//---------------------------------------------------------------------------
class TOD_Rebro_u_stripsu : public TfmOsnovnaPrazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPC;
	TcxTabSheet *cxTabUnos;
	TPanel *Panel1;
	TPanel *Panel2;
	TcxButton *btNoviDoc;
	TcxButton *btSnimi;
	TcxButton *btStampaj;
	TcxButton *btFunkcije;
	TcxPageControl *cxPageControl2;
	TcxTabSheet *cxTabPolja;
	TcxTabSheet *cxTabPregled;
	TPanel *Panel3;
	TcxDateEdit *cxOdDatuma;
	TcxDateEdit *cxDoDatuma;
	TcxLabel *cxLabel9;
	TcxLabel *cxLabel10;
	TcxButton *cxButton1;
	TcxButton *btnPregled;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxPregledZaglavlje;
	TcxGridLevel *cxGrid1Level1;
	TcxGridDBTableView *cxGrid3DBTableView1;
	TcxGridLevel *cxGrid3Level1;
	TcxGrid *cxGrid3;
	TPanel *Panel4;
	TcxButton *cxParametri;
	TPanel *Panel5;
	TcxDBTextEdit *cxKlasa;
	TcxLabel *cxLabel1;
	TcxDBDateEdit *cxDatum;
	TcxLabel *cxLabel2;
	TcxLabel *cxLabel4;
	TcxDBTextEdit *cxSmena;
	TcxLabel *cxLabel3;
	TcxDBTextEdit *cxTezina;
	TcxLabel *cxLabel8;
	TcxDBTextEdit *cxBrojBatch;
	TcxLabel *cxLabel11;
	TcxDBTextEdit *cxBrojKutije;
	TcxLabel *cxLabel12;
	TSQLDataSet *dsetProcessing;
	TIntegerField *dsetProcessingID;
	TStringField *dsetProcessingIDGRADE;
	TStringField *dsetProcessingIDSMENE;
	TStringField *dsetProcessingIDLIST;
	TIntegerField *dsetProcessingRUNDAY;
	TIntegerField *dsetProcessingIDBLEND;
	TStringField *dsetProcessingBATCH_NO;
	TIntegerField *dsetProcessingCASE_NO;
	TIntegerField *dsetProcessingIDLABORANTA;
	TIntegerField *dsetProcessingSIFRA_RADNIKA;
	TSQLTimeStampField *dsetProcessingIZMENA;
	TIntegerField *dsetProcessingVRSTA_TRANSAKCIJE;
	TStringField *dsetProcessingID_UZORKA;
	TFloatField *dsetProcessingVLAGA;
	TFloatField *dsetProcessingTEMPERATURA;
	TFloatField *dsetProcessingKOLICINA;
	TStringField *dsetProcessingMESTO_UZORKA;
	TStringField *dsetProcessingSMENA;
	TStringField *dsetProcessingTRANSAKCIJA;
	TStringField *dsetProcessingLIST;
	TDateField *dsetProcessingDATUM;
	TTimeField *dsetProcessingVREME;
	TFloatField *dsetProcessingSUGAR;
	TFloatField *dsetProcessingNICOTIN;
	TIntegerField *dsetProcessingVEZA;
	TStringField *dsetProcessingSTATUS;
	TStringField *dsetProcessingLABORANT;
	TStringField *dsetProcessingGRADE;
	TDataSetProvider *dspProcessing;
	TClientDataSet *cdsProcessing;
	TIntegerField *cdsProcessingID;
	TStringField *cdsProcessingIDGRADE;
	TStringField *cdsProcessingIDSMENE;
	TStringField *cdsProcessingIDLIST;
	TIntegerField *cdsProcessingRUNDAY;
	TIntegerField *cdsProcessingIDBLEND;
	TIntegerField *cdsProcessingCASE_NO;
	TIntegerField *cdsProcessingIDLABORANTA;
	TIntegerField *cdsProcessingSIFRA_RADNIKA;
	TSQLTimeStampField *cdsProcessingIZMENA;
	TIntegerField *cdsProcessingVRSTA_TRANSAKCIJE;
	TFloatField *cdsProcessingVLAGA;
	TFloatField *cdsProcessingTEMPERATURA;
	TFloatField *cdsProcessingKOLICINA;
	TStringField *cdsProcessingMESTO_UZORKA;
	TStringField *cdsProcessingSMENA;
	TStringField *cdsProcessingGRADE;
	TStringField *cdsProcessingTRANSAKCIJA;
	TStringField *cdsProcessingBATCH_NO;
	TStringField *cdsProcessingID_UZORKA;
	TStringField *cdsProcessingLIST;
	TDateField *cdsProcessingDATUM;
	TTimeField *cdsProcessingVREME;
	TFloatField *cdsProcessingSUGAR;
	TFloatField *cdsProcessingNICOTIN;
	TIntegerField *cdsProcessingVEZA;
	TStringField *cdsProcessingSTATUS;
	TStringField *cdsProcessingLABORANT;
	TDataSource *dsProcessing;
	TSQLStoredProc *sp_processing;
	TSQLDataSet *dsetZaglavlje;
	TDataSetProvider *dspZaglavlje;
	TClientDataSet *cdsZaglavlje;
	TIntegerField *IntegerField8;
	TStringField *StringField11;
	TStringField *StringField12;
	TStringField *StringField13;
	TIntegerField *IntegerField9;
	TIntegerField *IntegerField10;
	TIntegerField *IntegerField11;
	TIntegerField *IntegerField12;
	TIntegerField *IntegerField13;
	TSQLTimeStampField *SQLTimeStampField6;
	TIntegerField *IntegerField14;
	TFloatField *FloatField4;
	TFloatField *FloatField5;
	TFloatField *FloatField6;
	TStringField *StringField14;
	TStringField *StringField15;
	TStringField *StringField16;
	TStringField *StringField17;
	TStringField *StringField18;
	TStringField *StringField19;
	TStringField *StringField20;
	TDateField *cdsZaglavljeDATUM;
	TTimeField *cdsZaglavljeVREME;
	TStringField *cdsZaglavljeSTATUS;
	TIntegerField *cdsZaglavljeVEZA;
	TFloatField *cdsZaglavljeSUGAR;
	TFloatField *cdsZaglavljeNICOTIN;
	TStringField *cdsZaglavljeLABORANT;
	TDataSource *dsZaglavlje;
	TSQLQuery *sqlObrisi;
	TSQLDataSet *dsetStavkeMerenja;
	TDataSetProvider *dspStavkeMerenja;
	TClientDataSet *cdsStavkeMerenja;
	TDataSource *dsStavkeMerenja;
	TIntegerField *cdsStavkeMerenjaID;
	TIntegerField *cdsStavkeMerenjaIDPROCESA;
	TStringField *cdsStavkeMerenjaPARAMETAR1;
	TStringField *cdsStavkeMerenjaPARAMETAR2;
	TStringField *cdsStavkeMerenjaPARAMETAR3;
	TFloatField *cdsStavkeMerenjaKOLICINA;
	TSQLTimeStampField *cdsStavkeMerenjaIZMENA;
	TIntegerField *cdsStavkeMerenjaSIFRA_RADNIKA2;
	TSQLStoredProc *sp_lab_merenja;
	TcxGridDBColumn *cxGrid3DBTableView1ID;
	TcxGridDBColumn *cxGrid3DBTableView1IDPROCESA;
	TcxGridDBColumn *cxGrid3DBTableView1PARAMETAR1;
	TcxGridDBColumn *cxGrid3DBTableView1PARAMETAR2;
	TcxGridDBColumn *cxGrid3DBTableView1PARAMETAR3;
	TcxGridDBColumn *cxGrid3DBTableView1KOLICINA;
	TcxGridDBColumn *cxGrid3DBTableView1IZMENA;
	TcxGridDBColumn *cxGrid3DBTableView1SIFRA_RADNIKA2;
	TIntegerField *dsetStavkeMerenjaID;
	TIntegerField *dsetStavkeMerenjaIDPROCESA;
	TStringField *dsetStavkeMerenjaPARAMETAR1;
	TStringField *dsetStavkeMerenjaPARAMETAR2;
	TStringField *dsetStavkeMerenjaPARAMETAR3;
	TFloatField *dsetStavkeMerenjaKOLICINA;
	TSQLTimeStampField *dsetStavkeMerenjaIZMENA;
	TIntegerField *dsetStavkeMerenjaSIFRA_RADNIKA2;
	TFloatField *dsetStavkeMerenjaVREDNOST;
	TStringField *dsetStavkeMerenjaOPIS_PARAMETRA1;
	TFloatField *cdsStavkeMerenjaVREDNOST;
	TStringField *cdsStavkeMerenjaOPIS_PARAMETRA1;
	TcxGridDBColumn *cxGrid3DBTableView1VREDNOST;
	TcxGridDBColumn *cxGrid3DBTableView1OPIS_PARAMETRA1;
	TSQLQuery *sqlParametri;
	TFloatField *dsetStavkeMerenjaPROCENAT;
	TFloatField *cdsStavkeMerenjaPROCENAT;
	TcxGridDBColumn *cxGrid3DBTableView1PROCENAT;
	TcxStyleRepository *cxStyleRepository1;
	TcxStyle *cxStyle1;
	TcxLookupComboBox *cxTipDuvana;
	TIntegerField *dsetProcessingIDTIP;
	TIntegerField *cdsProcessingIDTIP;
	TcxGridDBColumn *cxPregledZaglavljeID;
	TcxGridDBColumn *cxPregledZaglavljeIDGRADE;
	TcxGridDBColumn *cxPregledZaglavljeIDSMENE;
	TcxGridDBColumn *cxPregledZaglavljeIDLIST;
	TcxGridDBColumn *cxPregledZaglavljeRUNDAY;
	TcxGridDBColumn *cxPregledZaglavljeIDBLEND;
	TcxGridDBColumn *cxPregledZaglavljeCASE_NO;
	TcxGridDBColumn *cxPregledZaglavljeIDLABORANTA;
	TcxGridDBColumn *cxPregledZaglavljeSIFRA_RADNIKA;
	TcxGridDBColumn *cxPregledZaglavljeIZMENA;
	TcxGridDBColumn *cxPregledZaglavljeVRSTA_TRANSAKCIJE;
	TcxGridDBColumn *cxPregledZaglavljeVLAGA;
	TcxGridDBColumn *cxPregledZaglavljeTEMPERATURA;
	TcxGridDBColumn *cxPregledZaglavljeKOLICINA;
	TcxGridDBColumn *cxPregledZaglavljeMESTO_UZORKA;
	TcxGridDBColumn *cxPregledZaglavljeSMENA;
	TcxGridDBColumn *cxPregledZaglavljeGRADE;
	TcxGridDBColumn *cxPregledZaglavljeTRANSAKCIJA;
	TcxGridDBColumn *cxPregledZaglavljeBATCH_NO;
	TcxGridDBColumn *cxPregledZaglavljeID_UZORKA;
	TcxGridDBColumn *cxPregledZaglavljeLIST;
	TcxGridDBColumn *cxPregledZaglavljeDATUM;
	TcxGridDBColumn *cxPregledZaglavljeVREME;
	TcxGridDBColumn *cxPregledZaglavljeSTATUS;
	TcxGridDBColumn *cxPregledZaglavljeVEZA;
	TcxGridDBColumn *cxPregledZaglavljeSUGAR;
	TcxGridDBColumn *cxPregledZaglavljeNICOTIN;
	TcxGridDBColumn *cxPregledZaglavljeLABORANT;
	TcxSplitter *cxSplitter1;
	TcxGrid *cxGrid2;
	TcxGridDBTableView *cxPregledStavke;
	TcxGridLevel *cxGridLevel1;
	TSQLDataSet *dsetStavke;
	TIntegerField *IntegerField1;
	TIntegerField *IntegerField2;
	TStringField *StringField1;
	TStringField *StringField2;
	TStringField *StringField3;
	TFloatField *FloatField1;
	TSQLTimeStampField *SQLTimeStampField1;
	TIntegerField *IntegerField3;
	TFloatField *FloatField2;
	TStringField *StringField4;
	TFloatField *FloatField3;
	TDataSetProvider *dspStavke;
	TClientDataSet *cdsStavke;
	TIntegerField *IntegerField4;
	TIntegerField *IntegerField5;
	TStringField *StringField5;
	TStringField *StringField6;
	TStringField *StringField7;
	TFloatField *FloatField7;
	TSQLTimeStampField *SQLTimeStampField2;
	TIntegerField *IntegerField6;
	TFloatField *FloatField8;
	TStringField *StringField8;
	TFloatField *FloatField9;
	TDataSource *dsStavke;
	TcxGridDBColumn *cxPregledStavkeID;
	TcxGridDBColumn *cxPregledStavkeIDPROCESA;
	TcxGridDBColumn *cxPregledStavkePARAMETAR1;
	TcxGridDBColumn *cxPregledStavkePARAMETAR2;
	TcxGridDBColumn *cxPregledStavkePARAMETAR3;
	TcxGridDBColumn *cxPregledStavkeKOLICINA;
	TcxGridDBColumn *cxPregledStavkeIZMENA;
	TcxGridDBColumn *cxPregledStavkeSIFRA_RADNIKA2;
	TcxGridDBColumn *cxPregledStavkeVREDNOST;
	TcxGridDBColumn *cxPregledStavkeOPIS_PARAMETRA1;
	TcxGridDBColumn *cxPregledStavkePROCENAT;
	TcxLabel *cxLabel5;
	TcxLabel *cxLabel6;
	TcxDBTimeEdit *cxVreme;
	TSQLQuery *qDeleteMerenje;
	TStringField *cdsProcessingTip_duvana;
	void __fastcall btNoviDocClick(TObject *Sender);
	void __fastcall cdsStavkeMerenjaNewRecord(TDataSet *DataSet);
	void __fastcall cdsProcessingNewRecord(TDataSet *DataSet);
	void __fastcall cdsProcessingAfterPost(TDataSet *DataSet);
	void __fastcall btSnimiClick(TObject *Sender);
	void __fastcall cxKlasaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxSmenaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall btnPregledClick(TObject *Sender);
	void __fastcall cdsZaglavljeAfterScroll(TDataSet *DataSet);
	void __fastcall cdsStavkeMerenjaKOLICINAChange(TField *Sender);
	void __fastcall cxParametriClick(TObject *Sender);
	void __fastcall cxDatumKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxVremeKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxBrojBatchKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxBrojKutijeKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxTipDuvanaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxTezinaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall btSnimiKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall Izmeni1Click(TObject *Sender);
	void __fastcall Obrisi1Click(TObject *Sender);
	void __fastcall dspProcessingBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS,
          TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind, bool &Applied);
	void __fastcall dspStavkeMerenjaBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS,
          TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind, bool &Applied);
	void __fastcall FormCreate(TObject *Sender);


private:	// User declarations
	TDateTime OldDatum;
	int OldSifraRadnika, OldIdLaborant, OldRunday, OldIdBlend;
	AnsiString 	OldIdsmene,	OldIdList, OldIdGrade, OldBatch,	OldIdUzorka;
	AnsiString OldLaborant, OldIdTransakcija, OldMesto_Uzorka, OldSmena, OldGrade, OldList, OldTransakcija;
public:		// User declarations
	__fastcall TOD_Rebro_u_stripsu(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOD_Rebro_u_stripsu *OD_Rebro_u_stripsu;
//---------------------------------------------------------------------------
#endif
