//---------------------------------------------------------------------------

#ifndef OD_VlagaPrasinaH
#define OD_VlagaPrasinaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "cxControls.hpp"
#include "cxGraphics.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxPC.hpp"
#include "OD_OsnovnaPrazna.h"
#include "cxButtons.hpp"
#include <ActnList.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "cxCalendar.hpp"
#include "cxContainer.hpp"
#include "cxDBEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxLabel.hpp"
#include "cxMaskEdit.hpp"
#include "cxTextEdit.hpp"
#include "cxClasses.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxFilter.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxStyles.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "frxClass.hpp"
#include "frxDBSet.hpp"
#include "cxSpinEdit.hpp"
#include "cxTimeEdit.hpp"
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TOD_EvidencijaVlagePrasine : public TfmOsnovnaPrazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPC;
	TcxTabSheet *cxTabUnos;
	TcxTabSheet *cxTabPregled;
	TPanel *Panel1;
	TPanel *Panel2;
	TcxButton *btNoviDoc;
	TcxButton *btSnimi;
	TcxButton *btStampaj;
	TcxButton *btFunkcije;
	TPanel *Panel3;
	TcxDateEdit *cxOdDatuma;
	TcxDateEdit *cxDoDatuma;
	TcxLabel *cxLabel9;
	TcxLabel *cxLabel10;
	TcxButton *cxButton1;
	TcxButton *btnPregled;
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridLevel *cxGrid1Level1;
	TcxGrid *cxGrid1;
	TcxPageControl *cxPageControl2;
	TcxTabSheet *cxTabSheet1;
	TcxTabSheet *cxTabPolja;
	TcxDBTextEdit *cxKlasa;
	TcxLabel *cxLabel1;
	TcxDBDateEdit *cxDatum;
	TcxLabel *cxLabel2;
	TcxDBTextEdit *cxRun;
	TcxLabel *cxLabel3;
	TcxLabel *cxLabel4;
	TcxDBTextEdit *cxSmena;
	TcxLabel *cxLabel5;
	TcxDBTextEdit *cxM_uzorka;
	TcxDBTextEdit *cxVlaga;
	TcxLabel *cxLabel6;
	TcxLabel *cxLabel8;
	TcxDBTextEdit *cxList;
	TcxGrid *cxGrid2;
	TcxGridDBTableView *cxStavke;
	TcxGridLevel *cxGridLevel1;
	TSQLDataSet *dsetProcessing;
	TDataSetProvider *dspProcessing;
	TClientDataSet *cdsProcessing;
	TDataSource *dsProcessing;
	TIntegerField *cdsProcessingID;
	TStringField *cdsProcessingIDGRADE;
	TStringField *cdsProcessingIDSMENE;
	TStringField *cdsProcessingIDLIST;
	TIntegerField *cdsProcessingRUNDAY;
	TIntegerField *cdsProcessingIDBLEND;
	TIntegerField *cdsProcessingCASE_NO;
	TIntegerField *cdsProcessingIDLABORANTA;
	TIntegerField *cdsProcessingSIFRA_RADNIKA;
	TSQLTimeStampField *cdsProcessingIZMENA;
	TIntegerField *cdsProcessingVRSTA_TRANSAKCIJE;
	TFloatField *cdsProcessingVLAGA;
	TFloatField *cdsProcessingTEMPERATURA;
	TFloatField *cdsProcessingKOLICINA;
	TSQLStoredProc *sp_processing;
	TcxGridDBColumn *cxStavkeID;
	TcxGridDBColumn *cxStavkeDATUM;
	TcxGridDBColumn *cxStavkeIDGRADE;
	TcxGridDBColumn *cxStavkeIDSMENE;
	TcxGridDBColumn *cxStavkeIDLIST;
	TcxGridDBColumn *cxStavkeRUNDAY;
	TcxGridDBColumn *cxStavkeIDBLEND;
	TcxGridDBColumn *cxStavkeBATCH_NO;
	TcxGridDBColumn *cxStavkeCASE_NO;
	TcxGridDBColumn *cxStavkeIDLABORANTA;
	TcxGridDBColumn *cxStavkeSIFRA_RADNIKA;
	TcxGridDBColumn *cxStavkeVREME;
	TcxGridDBColumn *cxStavkeIZMENA;
	TcxGridDBColumn *cxStavkeVRSTA_TRANSAKCIJE;
	TcxGridDBColumn *cxStavkeID_UZORKA;
	TcxGridDBColumn *cxStavkeVLAGA;
	TcxGridDBColumn *cxStavkeTEMPERATURA;
	TcxGridDBColumn *cxStavkeKOLICINA;
	TStringField *cdsProcessingMESTO_UZORKA;
	TStringField *cdsProcessingSMENA;
	TStringField *cdsProcessingGRADE;
	TStringField *cdsProcessingTRANSAKCIJA;
	TcxGridDBColumn *cxStavkeMESTO_UZORKA;
	TcxGridDBColumn *cxStavkeSMENA;
	TcxGridDBColumn *cxStavkeGRADE;
	TcxGridDBColumn *cxStavkeTRANSAKCIJA;
	TStringField *cdsProcessingBATCH_NO;
	TStringField *cdsProcessingID_UZORKA;
	TIntegerField *dsetProcessingID;
	TStringField *dsetProcessingIDGRADE;
	TStringField *dsetProcessingIDSMENE;
	TStringField *dsetProcessingIDLIST;
	TIntegerField *dsetProcessingRUNDAY;
	TIntegerField *dsetProcessingIDBLEND;
	TStringField *dsetProcessingBATCH_NO;
	TIntegerField *dsetProcessingCASE_NO;
	TIntegerField *dsetProcessingIDLABORANTA;
	TIntegerField *dsetProcessingSIFRA_RADNIKA;
	TSQLTimeStampField *dsetProcessingIZMENA;
	TIntegerField *dsetProcessingVRSTA_TRANSAKCIJE;
	TStringField *dsetProcessingID_UZORKA;
	TFloatField *dsetProcessingVLAGA;
	TFloatField *dsetProcessingTEMPERATURA;
	TFloatField *dsetProcessingKOLICINA;
	TStringField *dsetProcessingTRANSAKCIJA;
	TStringField *cdsProcessingLIST;
	TcxGridDBColumn *cxStavkeLIST;
	TcxStyleRepository *cxStyleRepository1;
	TcxStyle *cxStyle1;
	TSQLDataSet *dsetZaglavlje;
	TDataSetProvider *dspZaglavlje;
	TClientDataSet *cdsZaglavlje;
	TIntegerField *IntegerField8;
	TStringField *StringField11;
	TStringField *StringField12;
	TStringField *StringField13;
	TIntegerField *IntegerField9;
	TIntegerField *IntegerField10;
	TIntegerField *IntegerField11;
	TIntegerField *IntegerField12;
	TIntegerField *IntegerField13;
	TSQLTimeStampField *SQLTimeStampField6;
	TIntegerField *IntegerField14;
	TFloatField *FloatField4;
	TFloatField *FloatField5;
	TFloatField *FloatField6;
	TStringField *StringField14;
	TStringField *StringField15;
	TStringField *StringField16;
	TStringField *StringField17;
	TStringField *StringField18;
	TStringField *StringField19;
	TStringField *StringField20;
	TDataSource *dsZaglavlje;
	TcxGridDBColumn *cxGrid1DBTableView1ID;
	TcxGridDBColumn *cxGrid1DBTableView1DATUM;
	TcxGridDBColumn *cxGrid1DBTableView1IDGRADE;
	TcxGridDBColumn *cxGrid1DBTableView1IDSMENE;
	TcxGridDBColumn *cxGrid1DBTableView1IDLIST;
	TcxGridDBColumn *cxGrid1DBTableView1RUNDAY;
	TcxGridDBColumn *cxGrid1DBTableView1IDBLEND;
	TcxGridDBColumn *cxGrid1DBTableView1CASE_NO;
	TcxGridDBColumn *cxGrid1DBTableView1IDLABORANTA;
	TcxGridDBColumn *cxGrid1DBTableView1SIFRA_RADNIKA;
	TcxGridDBColumn *cxGrid1DBTableView1VREME;
	TcxGridDBColumn *cxGrid1DBTableView1IZMENA;
	TcxGridDBColumn *cxGrid1DBTableView1VRSTA_TRANSAKCIJE;
	TcxGridDBColumn *cxGrid1DBTableView1VLAGA;
	TcxGridDBColumn *cxGrid1DBTableView1TEMPERATURA;
	TcxGridDBColumn *cxGrid1DBTableView1KOLICINA;
	TcxGridDBColumn *cxGrid1DBTableView1MESTO_UZORKA;
	TcxGridDBColumn *cxGrid1DBTableView1SMENA;
	TcxGridDBColumn *cxGrid1DBTableView1GRADE;
	TcxGridDBColumn *cxGrid1DBTableView1TRANSAKCIJA;
	TcxGridDBColumn *cxGrid1DBTableView1BATCH_NO;
	TcxGridDBColumn *cxGrid1DBTableView1ID_UZORKA;
	TcxGridDBColumn *cxGrid1DBTableView1LIST;
	TSQLQuery *sqlObrisi;
	TfrxReport *frxR;
	TfrxDBDataset *frxDBZaglavlje;
	TDateField *dsetProcessingDATUM;
	TDateField *cdsProcessingDATUM;
	TDateField *cdsZaglavljeDATUM;
	TTimeField *dsetProcessingVREME;
	TTimeField *cdsProcessingVREME;
	TTimeField *cdsZaglavljeVREME;
	TStringField *cdsZaglavljeSTATUS;
	TcxGridDBColumn *cxGrid1DBTableView1STATUS;
	TcxLabel *cxLabel7;
	TcxDBTimeEdit *cxVreme;
	TcxLabel *cxLabel11;
	TStringField *dsetProcessingSTATUS;
	TStringField *dsetProcessingGRADE;
	TStringField *dsetProcessingSMENA;
	TStringField *dsetProcessingLIST;
	TStringField *dsetProcessingLABORANT;
	TStringField *dsetProcessingMESTO_UZORKA;
	TIntegerField *cdsZaglavljeVEZA;
	TIntegerField *dsetProcessingVEZA;
	TIntegerField *cdsProcessingVEZA;
	TStringField *cdsProcessingSTATUS;
	TIntegerField *dsetProcessingIDTIP;
	TIntegerField *cdsProcessingIDTIP;
	TStringField *cdsProcessingTip_duvana;
	void __fastcall cdsProcessingNewRecord(TDataSet *DataSet);
	void __fastcall btSnimiClick(TObject *Sender);
	void __fastcall btNoviDocClick(TObject *Sender);
	void __fastcall cdsProcessingAfterDelete(TDataSet *DataSet);
	void __fastcall cxSmenaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxM_uzorkaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxKlasaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxListKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxStavkeEditKeyDown(TcxCustomGridTableView *Sender, TcxCustomGridTableItem *AItem,
          TcxCustomEdit *AEdit, WORD &Key, TShiftState Shift);
	void __fastcall cdsProcessingAfterPost(TDataSet *DataSet);
	void __fastcall btnPregledClick(TObject *Sender);
	void __fastcall Obrisi1Click(TObject *Sender);
	void __fastcall cxButton1Click(TObject *Sender);
	void __fastcall cxDatumKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxVremeKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxRunKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxVlagaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cdsProcessingAfterEdit(TDataSet *DataSet);
	void __fastcall cdsProcessingAfterInsert(TDataSet *DataSet);
	void __fastcall btSnimiKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall Izmeni1Click(TObject *Sender);
	void __fastcall dspProcessingBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS,
          TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind, bool &Applied);
	void __fastcall FormCreate(TObject *Sender);


private:	// User declarations
	TDateTime OldDatum;
	int OldSifraRadnika, OldIdLaborant, OldRunday, OldIdBlend;
	AnsiString 	OldIdsmene,	OldIdList, OldIdGrade, OldBatch,	OldIdUzorka;
	AnsiString OldLaborant, OldIdTransakcija, OldMesto_Uzorka, OldSmena, OldGrade, OldList, OldTransakcija;
public:		// User declarations
	__fastcall TOD_EvidencijaVlagePrasine(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOD_EvidencijaVlagePrasine *OD_EvidencijaVlagePrasine;
//---------------------------------------------------------------------------
#endif
