//---------------------------------------------------------------------------

#ifndef OD_glavnaH
#define OD_glavnaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "cxClasses.hpp"
#include "cxGraphics.hpp"
#include "dxBar.hpp"
#include <ImgList.hpp>
#include "OD_DM.h"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinsdxBarPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
//---------------------------------------------------------------------------
class TfmGlavna : public TForm
{
__published:	// IDE-managed Components
	TdxBarManager *dxBarManager1;
	TcxImageList *cxSmallImageList;
	TcxImageList *cxBigImageList;
	TdxBar *dxBarManager1Bar1;
	TdxBarSubItem *dxBarSubItem2;
	TdxBarSubItem *dxBarSubItem3;
	TdxBarButton *RebroUStripsu;
	TdxBarButton *NikotinSecer;
	TdxBarButton *PracenjeVlage;
	TdxBarButton *RecepturaBlenda;
	TdxBarSubItem *Definicije;
	TdxBarButton *VlagaPrasine;
	TdxBarLargeButton *dxBarLargeButton1;
	TdxBarLargeButton *Degradacija;
	TdxBarSubItem *Izvestaji;
	TdxBarSubItem *LaboratorijskiIzvestaj;
	TdxBarButton *DegradacijaLista;
	TdxBarButton *OstatakRebra;
	TdxBarButton *NikotinSecerLista;
	TdxBarButton *SetupParametri;
	TdxBarButton *MestaUzorkovanja;
	TdxBarButton *KlaseDuvana;
	TdxBar *dxBarManagerLaboratorija;
	TdxBar *dxBarManager1Bar2;
	TdxBar *dxBarManager1Bar3;
	TdxBarLargeButton *UlazUProizvodnju;
	TdxBarLargeButton *OtvaranjeBatcha;
	TdxBarLargeButton *ObradaPressa2;
	TdxBarLargeButton *DefinisanjeEtikete;
	TdxBarLargeButton *dxBlend;
	TdxBarSeparator *dxBarSeparator1;
	TdxBarSubItem *dxBarSubItem1;
	TdxBarSubItem *dxBarSubItem4;
	TdxBarLargeButton *dxBarLargeButton2;
	TdxBarLargeButton *dxBarLargeButton3;
	TdxBarSeparator *dxBarSeparator2;
	TdxBarLargeButton *dxBarLargeButton4;
	TdxBarSeparator *dxBarSeparator3;
	TdxBarLargeButton *dxBarLargeButton5;
	TdxBarButton *dxBarButton1;
	TdxBarButton *bbIzmenaPrava;
	TdxBarSubItem *dxBarSubItem5;
	TdxBarButton *dxBarButton2;
	TdxBarLargeButton *dxBarLargeButton6;
	TdxBarButton *dxBarButton3;
	TdxBarButton *dxBarButton4;
	TdxBarSeparator *dxBarSeparator4;
	TdxBarButton *dxBarButton5;
	TdxBarSeparator *dxBarSeparator5;
	TdxBarLargeButton *dxBarLargeButton7;
	TdxBarLargeButton *IzvPrimese;
	TdxBarLargeButton *dxBarLargeButton8;
	TdxBarSeparator *dxBarSeparator6;
	TdxBarSeparator *dxBarSeparator7;
	TdxBarLargeButton *dxIntKlase;
	TdxBarLargeButton *dxBarNUS;
	TdxBarLargeButton *dxBarLargeButton9;
	TdxBarLargeButton *dxBarLargeButton10;
	TdxBarLargeButton *dxBarLargeButton11;
	TdxBarLargeButton *dxBarPrometMagacina;
	TdxBarLargeButton *dxBarLargeButton12;
	TdxBarLargeButton *dxBarLargeButton13;
	TdxBarLargeButton *dxBarLargeButton14;
	void __fastcall VlagaPrasinaClick(TObject *Sender);
	void __fastcall StranePrimeseClick(TObject *Sender);
	void __fastcall RebroUStripsuClick(TObject *Sender);
	void __fastcall RecepturaBlendaClick(TObject *Sender);
	void __fastcall NikotinSecerClick(TObject *Sender);
	void __fastcall PracenjeVlageClick(TObject *Sender);
	void __fastcall DegradacijaClick(TObject *Sender);
	void __fastcall NikotinSecerListaClick(TObject *Sender);
	void __fastcall OstatakRebraClick(TObject *Sender);
	void __fastcall SetupParametriClick(TObject *Sender);
	void __fastcall MestaUzorkovanjaClick(TObject *Sender);
	void __fastcall KlaseDuvanaClick(TObject *Sender);
	void __fastcall DegradacijaListaClick(TObject *Sender);
	void __fastcall UlazUProizvodnjuClick(TObject *Sender);
	void __fastcall OtvaranjeBatchaClick(TObject *Sender);
	void __fastcall ObradaPressa2Click(TObject *Sender);
	void __fastcall DefinisanjeEtiketeClick(TObject *Sender);
	void __fastcall dxBlendClick(TObject *Sender);
	void __fastcall dxBarLargeButton2Click(TObject *Sender);
	void __fastcall dxBarLargeButton3Click(TObject *Sender);
	void __fastcall dxBarLargeButton4Click(TObject *Sender);
	void __fastcall dxBarLargeButton5Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall bbIzmenaPravaClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall dxBarButton2Click(TObject *Sender);
	void __fastcall dxBarButton3Click(TObject *Sender);
	void __fastcall dxBarButton4Click(TObject *Sender);
	void __fastcall dxBarButton5Click(TObject *Sender);
	void __fastcall Obrada_TPClick(TObject *Sender);
	void __fastcall IzvPrimeseClick(TObject *Sender);
	void __fastcall dxBarLargeButton8Click(TObject *Sender);
	void __fastcall dxBarLargeButton6Click(TObject *Sender);
	void __fastcall dxIntKlaseClick(TObject *Sender);
	void __fastcall dxBarLargeButton9Click(TObject *Sender);
	void __fastcall dxBarLargeButton10Click(TObject *Sender);
	void __fastcall dxBarLargeButton11Click(TObject *Sender);
	void __fastcall dxBarPrometMagacinaClick(TObject *Sender);
	void __fastcall dxBarLargeButton12Click(TObject *Sender);
	void __fastcall dxBarLargeButton13Click(TObject *Sender);
	void __fastcall dxBarLargeButton14Click(TObject *Sender);
private:	// User declarations
	//void pokreniFormu(TForm* forma, String naziv);
public:		// User declarations
	__fastcall TfmGlavna(TComponent* Owner);
	void __fastcall nadjiPravoZaFormu(String nazivForme);
//	void __fastcall podesiPrava(TObject* forma);

	String SOFTVER;
    AnsiString formName;
	bool pravoSelect;
	bool pravoInsert;
	bool pravoDelete;
	bool pravoUpdate;
};
//---------------------------------------------------------------------------
extern PACKAGE TfmGlavna *fmGlavna;
//---------------------------------------------------------------------------
#endif
