//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_PretragaPodataka.h"
#include "OD_DM.h"
#include "OD_DmPretraga.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxClasses"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxStyles"
#pragma link "OD_OsnovnaPrazna"
#pragma link "cxButtons"
#pragma link "cxCheckBox"
#pragma link "cxContainer"
#pragma link "cxDropDownEdit"
#pragma link "cxGroupBox"
#pragma link "cxLabel"
#pragma link "cxMaskEdit"
#pragma link "cxTextEdit"
#pragma resource "*.dfm"
TOD_Osnovna_pretrage *OD_Osnovna_pretrage;
//---------------------------------------------------------------------------
__fastcall TOD_Osnovna_pretrage::TOD_Osnovna_pretrage(TComponent* Owner)
	: TfmOsnovnaPrazna(Owner)
{
}
//---------------------------------------------------------------------------
__fastcall TOD_Osnovna_pretrage::TOD_Osnovna_pretrage(TSQLDataSet *dset, TDataSource *ds, AnsiString kolona1, AnsiString kolona2, TComponent* Owner)
			: TfmOsnovnaPrazna(Owner)
{
    int k = 0;

    dbg->DataController->DataSource = ds;
    cds0 = dynamic_cast<TClientDataSet *> (ds->DataSet);
    dset0 = dset;
    cds = cds0;
    kol1 = kolona1; kol2 = kolona2;
    cbFilter->Text = kol2;

    for(int i = 0; i < cds0->FieldCount; i++) {
       if ((cds0->Fields->Fields[i]->DataType == ftString	||
				 cds0->Fields->Fields[i]->DataType == ftInteger ||
				 cds0->Fields->Fields[i]->DataType == ftFMTBcd  ||
				 cds0->Fields->Fields[i]->DataType == ftDate) &&
            cds0->Fields->Fields[i]->FieldKind != fkLookup)
            {
               dbg->CreateColumn();

               dbg->Columns[k]->Caption = cds0->Fields->Fields[i]->FieldName;
               dbg->Columns[k]->DataBinding->FieldName = cds0->Fields->Fields[i]->FieldName;

               if ( cds0->Fields->Fields[i]->FieldName == kol1 || cds0->Fields->Fields[i]->FieldName == kol2)
               {
                   cbFilter->Properties->Items->Add(cds0->Fields->Fields[i]->FieldName);

                   dbg->Columns[k]->Visible = true;
                   if ( cds0->Fields->Fields[k]->FieldName == kol1  )
                   {
                      dbg->Columns[k]->Caption= kol1;
                      dbg->Columns[k]->Width = 100;
                   }
                   else
                   {
                      dbg->Columns[k]->Caption= kol2;
                      dbg->Columns[k]->Width = 400;
                   }
               }
               else
                   dbg->Columns[k]->Visible = false;
               k++;
            }
    }
}
//---------------------------------------------------------------------------
__fastcall TOD_Osnovna_pretrage::TOD_Osnovna_pretrage(TSQLDataSet *dset, TDataSource *ds, AnsiString kolona1, AnsiString kolona2, AnsiString kolona3, TComponent* Owner)
        : TfmOsnovnaPrazna(Owner)
{
    int k = 0;

    dbg->DataController->DataSource = ds;
    cds0 = dynamic_cast<TClientDataSet *> (ds->DataSet);
    dset0 = dset;
    cds = cds0;
	  kol1 = kolona1; kol2 = kolona2; kol3 = kolona3;
    cbFilter->Text = kol2;

    for(int i = 0; i < cds0->FieldCount; i++) {
       if ((cds0->Fields->Fields[i]->DataType == ftString	||
				 cds0->Fields->Fields[i]->DataType == ftInteger ||
				 cds0->Fields->Fields[i]->DataType == ftFMTBcd  ||
				 cds0->Fields->Fields[i]->DataType == ftDate) &&
            cds0->Fields->Fields[i]->FieldKind != fkLookup)
            {
               dbg->CreateColumn();

               dbg->Columns[k]->Caption = cds0->Fields->Fields[i]->FieldName;
               dbg->Columns[k]->DataBinding->FieldName = cds0->Fields->Fields[i]->FieldName;

               if ( cds0->Fields->Fields[i]->FieldName == kol1 || cds0->Fields->Fields[i]->FieldName == kol2 || cds0->Fields->Fields[i]->FieldName == kol3)
               {
                   cbFilter->Properties->Items->Add(cds0->Fields->Fields[i]->FieldName);

						  dbg->Columns[k]->Visible = true;
						  if ( cds0->Fields->Fields[k]->FieldName == kol1  )
						  {
							  dbg->Columns[k]->Caption= kol1;
							  dbg->Columns[k]->Width = 100;
						  }
						  else if ( cds0->Fields->Fields[k]->FieldName == kol2  )
						  {
							  dbg->Columns[k]->Caption= kol2;
							  dbg->Columns[k]->Width = 200;
						  }
						  else {
							  dbg->Columns[k]->Caption= kol3;
							  dbg->Columns[k]->Width = 100;
                   }
               }
               else
                   dbg->Columns[k]->Visible = false;
               k++;
            }
	  }
}
//---------------------------------------------------------------------------
void __fastcall TOD_Osnovna_pretrage::dbgKeyPress(TObject *Sender, wchar_t &Key)
{
   if( Key == VK_RETURN)
      ModalResult = mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TOD_Osnovna_pretrage::FormCreate(TObject *Sender)
{
    TFilterOptions   Options;
    Options << foCaseInsensitive;

    TDataSource *ds= dynamic_cast<TDataSource *> (dbg->DataController->DataSource);
}
//---------------------------------------------------------------------------
void __fastcall TOD_Osnovna_pretrage::dbgDblClick(TObject *Sender)
{
   ModalResult = mrOk;
}
//---------------------------------------------------------------------------
