//---------------------------------------------------------------------------

#ifndef OD_PretragaPodatakaH
#define OD_PretragaPodatakaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "cxClasses.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxStyles.hpp"
#include "OD_OsnovnaPrazna.h"
#include <ActnList.hpp>
#include <DB.hpp>
#include <ExtCtrls.hpp>
#include "cxButtons.hpp"
#include "cxCheckBox.hpp"
#include "cxContainer.hpp"
#include "cxDropDownEdit.hpp"
#include "cxGroupBox.hpp"
#include "cxLabel.hpp"
#include "cxMaskEdit.hpp"
#include "cxTextEdit.hpp"
#include <Menus.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <SqlExpr.hpp>
//---------------------------------------------------------------------------
class TOD_Osnovna_pretrage : public TfmOsnovnaPrazna
{
__published:	// IDE-managed Components
	TcxGroupBox *cxGroupBox2;
	TcxLabel *cxLabel2;
	TcxTextEdit *cxPronadji;
	TcxButton *btPronadji;
	TcxGroupBox *cxGroupBox3;
	TcxLabel *cxLabel1;
	TcxComboBox *cbFilter;
	TcxTextEdit *edTekst;
	TcxButton *btTrazi;
	TcxCheckBox *cxFilter;
	TcxCheckBox *cxNacinPretrage;
	TcxGrid *cxGrid;
	TcxGridDBTableView *dbg;
	TcxGridLevel *cxGridLevel1;
	TcxGroupBox *cxGroupBox1;
	TcxButton *cxButton1;
	TcxButton *cxButton2;
	TSQLDataSet *SQLDataSet1;
	void __fastcall dbgKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall dbgDblClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        TClientDataSet *cds;
			TClientDataSet *cds0;
        TSQLDataSet *dset0;
			AnsiString kol1,kol2,kol3,kol4;
	__fastcall TOD_Osnovna_pretrage(TComponent* Owner);
	__fastcall TOD_Osnovna_pretrage(TSQLDataSet *dset, TDataSource *ds, AnsiString kolona1, AnsiString kolona2, TComponent* Owner);
	__fastcall TOD_Osnovna_pretrage(TSQLDataSet *dset, TDataSource *ds, AnsiString kolona1, AnsiString kolona2, AnsiString kolona3, TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOD_Osnovna_pretrage *OD_Osnovna_pretrage;
//---------------------------------------------------------------------------
#endif
