// ---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_ObradaDuvanaVaga1.h"
#include "OD_DmPretraga.h"
#include "OD_DM.h"
#include "fmMessageRed.h"
#include "fmMessageYellow.h"
#include "OD_funkcije.h"
#include "OD_PromenaStatusaBatcha.h"
#include "PromenaPodatakaBale.h"
#include "OD_vakumiranje.h"
// ---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxControls"
#pragma link "cxGraphics"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxPC"
#pragma link "OD_OsnovnaPrazna"
#pragma link "cxClasses"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxStyles"
#pragma link "cxContainer"
#pragma link "cxLabel"
#pragma link "cxTextEdit"
#pragma link "cxButtons"
#pragma link "cxDBEdit"
#pragma link "cxCalendar"
#pragma link "cxDropDownEdit"
#pragma link "cxMaskEdit"
#pragma link "cxSplitter"
#pragma link "cxCheckBox"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxGroupBox"
#pragma link "cxLookupEdit"
#pragma link "cxMemo"
#pragma link "cxDBLabel"
#pragma link "cxDateUtils"
#pragma link "cxNavigator"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxCore"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma link "cxGridChartView"
#pragma link "cxGridDBChartView"
#pragma resource "*.dfm"
TODObradaVagaI* ODObradaVagaI;

// extern "C" __declspec(dllimport) double MerenjeTezineVaga(int a, AnsiString Vaga, TSQLConnection *SC); //AnsiString &IzmerenaVrednost,
// extern "C" __declspec(dllimport) bool SetCommPort(int a,int b,bool c,int d);

extern int MAGACIN_BUFFER;
extern int DOC_PROIZVODNJE;
extern int MAGACIN_PROIZVODNJE;
int STATUS_U_OBRADI = 40;
extern TKorisnik* myTKorisnik;

// ---------------------------------------------------------------------------
__fastcall TODObradaVagaI::TODObradaVagaI(TComponent* Owner)
	:TfmOsnovnaPrazna(Owner)
{
	sqlStatusVakumiranja->ParamByName("status")->Value = 0;
	sqlStatusVakumiranja->ExecSQL();
	AktiviranBatch = false;

	pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
	pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
	pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;

	DM_OD->cdsSystemOD->Active = true;
	cdsBlend->Active           = false;
	cdsBlend->Active           = true;
}

// ---------------------------------------------------------------------------
void __fastcall TODObradaVagaI::FormCreate(TObject* Sender)
{
	cxMagacini->EditValue  = MAGACIN_BUFFER;  // myTKorisnik->default_mg;
	cxDokumenti->EditValue = DOC_PROIZVODNJE; // DM->cdsRadnici->FieldByName("id_def_ulaz_dok")->AsInteger;

	od_datuma->Date = StartOfTheMonth(Date());
	do_datuma->Date = Date();

	cdsDokumenti->Active = false;
	sdsDokumenti->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
	cdsDokumenti->Active = true;

	cdsMagacin->Active = false;
	dsetMagacin->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
	cdsMagacin->Active = true;

	cdsAktivniBatchevi->Active = false;
	dsetAktivniBatchevi->ParamByName("tip")->AsInteger = 1;
	dsetAktivniBatchevi->ParamByName("rad_mesto")->AsInteger = 1;
	dsetAktivniBatchevi->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
	dsetAktivniBatchevi->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
	cdsAktivniBatchevi->Active = true;
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cxGridBatchDblClick(TObject* Sender)
{

	try
	{
		cdsObrada->Active = false;
		dsetObrada->ParamByName("id")->AsInteger = cdsAktivniBatchevi->FieldByName("id")->AsInteger;
		cdsObrada->Active = true;

		cdsObradaStavke->Active = false;
		dsetObradaStavke->ParamByName("id")->AsInteger = cdsAktivniBatchevi->FieldByName("id")->AsInteger;
		cdsObradaStavke->Active = true;

		cdsObradaStavke->Filtered = false;
		cdsObradaStavke->Filter   = "status=40";
		cdsObradaStavke->Filtered = true;

		// cdsStatistika->Active = false;
		// dsetStatistika->ParamByName("idzg")->AsInteger = cdsAktivniBatchevi->FieldByName("id")->AsInteger;
		// dsetStatistika->ParamByName("batch")->AsString = cdsAktivniBatchevi->FieldByName("broj_batcha")->AsString;
		// dsetStatistika->ParamByName("blend")->AsInteger = cdsAktivniBatchevi->FieldByName("idblend")->AsInteger;
		// cdsStatistika->Active = true;

		cdsStatistikaMG->Active = false;
		sqlStatistikaMG->ParamByName("idzg")->AsInteger = cdsAktivniBatchevi->FieldByName("id")->AsInteger;
		sqlStatistikaMG->ParamByName("blend")->AsInteger = cdsAktivniBatchevi->FieldByName("idblend")->AsInteger;
		cdsStatistikaMG->Active = true;

		cdsBaleProizvodjaca->Active = false;
		dsetBaleProizvodjaca->ParamByName("id")->AsInteger = cdsAktivniBatchevi->FieldByName("id")->AsInteger;
		cdsBaleProizvodjaca->Active = true;

		cdsBrojBalaGrupe->Active = false;
		dsetBrojBalaGrupe->ParamByName("id")->AsInteger = cdsAktivniBatchevi->FieldByName("id")->AsInteger;
		cdsBrojBalaGrupe->Active = true;

		cxBarkod->Text = "";
		cxBarkod->SetFocus();

		AktiviranBatch = true;
	}
	catch (Exception& e)
	{
		ShowMessage("Greska!! " + e.Message);
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cxBarkodKeyPress(TObject* Sender, wchar_t& Key)
{
	if (Key == VK_RETURN)
	{

		if (cdsObrada->FieldByName("kontrola_kol")->AsInteger == 1)
		{ // ako se zeli dozvoliti prekoracenje bala

		}

		if (cdsObradaStavke->Active != true)
		{
			ShowMyMessageRed->Show("Niste otvorili aktivan batch!! Kliknite dvaput na BATCH!!", 0x00CCF8F9);
			cxBarkod->Text = "";
			cxBarkod->SetFocus();
			return;
		}

		try
		{ // da li je ispravno unet barkod

			Kolicina = 0;
			int barkod;
			try
			{

				BarKod = cxBarkod->Text;
				BarKod = BarKod.SubString(2, 12);
				barkod = StrToInt(BarKod);
				BarKod = IntToStr(barkod);
			}
			catch (Exception& e)
			{
				ShowMyMessageRed->Show("Nije unet ispravan barkod: " + BarKod + "\r\r" + e.Message, 0x00FFDDFF);
				return;
			}
			try
			{
				Kolicina = StrToFloat(cxKolicina->Text);
			}
			catch (Exception& e)
			{
				ShowMyMessageRed->Show("Kolicina nije ispravno uneta: " + cxKolicina->Text + "\r\r" + e.Message, 0x00FFDDFF);
				Kolicina = 0;
				return;
			}

			// da li uopste postoji bala sa tim barkodom
			cdsBala->Active = false;
			dsetBala->ParamByName("barkod")->AsString = BarKod;
			cdsBala->Active = true;

			if (cdsBala->FieldByName("blokada")->AsInteger == 1)
			{
				ShowMyMessageRed->Show("Bala sa barkodom: " + BarKod + " JE BLOKIRANA!!", 0x00FFDDFF);
				cxBarkod->Text = "";
				cxBarkod->SetFocus();
				return;
			}

			if (cdsBala->FieldByName("ima_bale")->AsInteger == 0)
			{
				ShowMyMessageRed->Show("Ne postoji bala sa barkodom: " + BarKod, 0x00CCF8F9);
				cxBarkod->Text = "";
				cxBarkod->SetFocus();
				return;
			}

			// da li je bala vec usla u proizvodnju, ali samo sa statusom U OBRADI
			sqlBalaUObradi->Active = false;
			sqlBalaUObradi->ParamByName("barkod")->AsString = BarKod;
			sqlBalaUObradi->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
			sqlBalaUObradi->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
			sqlBalaUObradi->ParamByName("status")->AsInteger = STATUS_U_OBRADI;
			sqlBalaUObradi->Active = true;

			if (sqlBalaUObradi->FieldByName("broj")->AsInteger > 0)
			{
				ShowMyMessageRed->Show("Bala sa barkodom: " + BarKod + " je usla u proizvodnju!!", clRed);
				cxBarkod->Text = "";
				cxBarkod->SetFocus();
				return;
			}

			TLocateOptions opts;
			opts.Clear();

			cdsStatistikaMG->Locate("INT_KLASA", cdsBala->FieldByName("int_klasa")->AsString + "/" + cdsBala->FieldByName("GRUPA_fqi")->AsString, opts);
			if (cdsStatistikaMG->FieldByName("TEZINA")->AsCurrency >= cdsStatistikaMG->FieldByName("PROC_MG_KG")->AsCurrency)
			{
				ShowMyMessageRed->Show("Dostignut je limit za klasu " + cdsBala->FieldByName("int_klasa")->AsString + "/" + cdsBala->FieldByName("GRUPA_fqi")->AsString + "!!", 0x00CCF8F9);
				cxBarkod->Text = "";
				cxBarkod->SetFocus();
				return;
			}

//			cdsStatistikaMG->Locate("INT_KLASA", cdsBala->FieldByName("int_klasa")->AsString + "/" + cdsBala->FieldByName("GRUPA_fqi")->AsString, opts);
//			if (cdsStatistikaMG->FieldByName("TEZINA")->AsCurrency + cdsBala->FieldByName("netomasa")->AsFloat >= cdsStatistikaMG->FieldByName("PROC_MG_KG")->AsCurrency * DM_OD->cdsSystemOD->FieldByName("MAX_PROC")->AsInteger/100)
//			{
//				ShowMyMessageRed->Show("Prekoracen  je limit za klasu " + cdsBala->FieldByName("int_klasa")->AsString + "/" + cdsBala->FieldByName("GRUPA_fqi")->AsString + "!!", 0x00CCF8F9);
//				cxBarkod->Text = "";
//				cxBarkod->SetFocus();
//				return;
//			}

			if (cdsObrada->FieldByName("kontrola_kol")->AsInteger == 1)
			{ // ako se zeli dozvoliti prekoracenje bala
				// da li je prekoracen broj bala
				// if (!ProveraBrojaBalaU_BatchU(cdsBala->FieldByName("int_klasa")->AsString, cdsBala->FieldByName("porekloid")->AsInteger))
				// {
				// cxBarkod->Text = "";
				// cxBarkod->SetFocus();
				// return;
				// }

				// provera broja bala po proizvodjacu i broja bala po proizvodjacu za grupu
				// sqlProveraProizvodjaca->Active = false;
				// sqlProveraProizvodjaca->ParamByName("id")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
				// sqlProveraProizvodjaca->ParamByName("kooperant")->AsInteger = cdsBala->FieldByName("kooperantid")->AsInteger;
				// sqlProveraProizvodjaca->Active = true;
				//
				// if (cdsAktivniBatchevi->FieldByName("GRUPA_FQI")->AsString != "")
				// { // da li je definisana grupa
				// if (cdsAktivniBatchevi->FieldByName("GRUPA_FQI")->AsString == cdsBala->FieldByName("GRUPA_FQI")->AsString)
				// { // ako jeste, da li je kooperant iz te grupe
				// if (cdsAktivniBatchevi->FieldByName("BROJ_KOOPER_GRUPE")->AsInteger > 0)
				// { // ako nije definisan uslov onda preskoci
				// if (sqlProveraProizvodjaca->FieldByName("BALE_KOOPERANTA")->AsInteger >= cdsAktivniBatchevi->FieldByName("BROJ_KOOPER_GRUPE")->AsInteger)
				// {
				// ShowMyMessageRed->Show("Broj BALA po KOOPERANTU ZA GRUPU " + cdsBala->FieldByName("GRUPA_FQI")->AsString + " je dostignut!!\rUzmite balu od drugog KOOPERANTA!! ", 0x00FFDDFF);
				// cxBarkod->Text = "";
				// cxBarkod->SetFocus();
				// return;
				// }
				// }
				// }
				// }

				// if (cdsAktivniBatchevi->FieldByName("BROJ_BL_KOOPERANTA")->AsInteger > 0)
				// { // Proverava broj bala po kooperantu za ceo blend
				//
				// if (sqlProveraProizvodjaca->FieldByName("BALE_KOOPERANTA")->AsInteger >= cdsAktivniBatchevi->FieldByName("BROJ_BL_KOOPERANTA")->AsInteger)
				// {
				// ShowMyMessageRed->Show("Broj BALA po KOOPERANTU je dostignut!!\rUzmite balu od drugog KOOPERANTA!! ", 0x00FFDDFF);
				// cxBarkod->Text = "";
				// cxBarkod->SetFocus();
				// return;
				// }
				// }

				// provera broja bala po GRUPI
				// if (cdsAktivniBatchevi->FieldByName("GRUPA_FQI")->AsString == cdsBala->FieldByName("GRUPA_FQI")->AsString)
				// {
				// if (cdsAktivniBatchevi->FieldByName("GRUPA_FQI")->AsString != "")
				// {
				// if (cdsAktivniBatchevi->FieldByName("BROJ_BALA_GRUPE")->AsFloat > 0)
				// { // ako ima definisan broj bala u grupi, onda treba da radi
				// sqlBrojBalaGrupe->Active = false;
				// sqlBrojBalaGrupe->ParamByName("id")->AsInteger = cdsObrada->FieldByName("id")->AsInteger; // StrToInt(cxBarkod->Text);
				// sqlBrojBalaGrupe->ParamByName("oznaka")->AsString = cdsBala->FieldByName("GRUPA_FQI")->AsString;
				// sqlBrojBalaGrupe->Active = true;
				//
				// if (sqlBrojBalaGrupe->FieldByName("BALE_GRUPE")->AsInteger >= cdsAktivniBatchevi->FieldByName("BROJ_BALA_GRUPE")->AsInteger)
				// {
				// ShowMyMessageRed->Show("Broj BALA za GRUPU je dostignut!!\rUzmite balu iz druge grupe!! ", 0x00FFDDFF);
				// cxBarkod->Text = "";
				// cxBarkod->SetFocus();
				// return;
				// }
				// }
				// }
				// } // kontrola NTRM-a bala kod proizvodjaca, radi se periodicno posle odredjenog broja bala

				// sqlBrojacBale->Active = false;

				spBrojacBale->ParamByName("komitent")->AsInteger = cdsBala->FieldByName("kooperantid")->AsInteger;
				spBrojacBale->ExecProc();

				// deljenje po modulu npr. 50, tj. zavisi od broja DM_OD->cdsSystemOD->FieldByName("KONT_BL_PROIZ")->AsInteger
				// int PeriodicnaKontrolaBala = spBrojacBale->ParamByName("BROJAC")->AsInteger % DM_OD->cdsSystemOD->FieldByName("KONT_BL_PROIZ")->AsInteger;
				//
				// if (PeriodicnaKontrolaBala == 0)
				// {
				// ShowMyMessageRed->WindowState                 = wsMaximized;
				// ShowMyMessageRed->cxZatvori->Visible          = false;
				// ShowMyMessageRed->cxPoruka->Style->Font->Size = 16;
				// ShowMyMessageRed->Show("NTRM kontrola bala po KOOPERANTU!!\r\rOvo je : " + spBrojacBale->ParamByName("BROJAC")->AsString + " bala od istog proizvodjaca!!", 0x00FFDDFF);
				// ShowMyMessageRed->WindowState                 = wsNormal;
				// ShowMyMessageRed->cxZatvori->Visible          = true;
				// ShowMyMessageRed->cxPoruka->Style->Font->Size = 10;
				// cxBarkod->Text                                = "";
				// cxBarkod->SetFocus();
				// return;
				// }
			} // kraj provere kotrole kolicina

			// da li je bala bila na vakumiranju
			sqlNaVakumiranju->Active = false;
			sqlNaVakumiranju->ParamByName("barkod")->AsString = BarKod;
			sqlNaVakumiranju->ParamByName("status")->AsInteger = 0;
			sqlNaVakumiranju->ParamByName("deleted")->AsInteger = 0;
			sqlNaVakumiranju->Active = true;

			cxGridBale->Styles->Background = cxStyle5; // ovde pocrveni pozadina
			cxGridBale->Styles->Content    = cxStyle5;

			// ako je bala bila na vakumiranju uzmi njenu tezinu pre vakumiranja, u suprotnom uzmi tezinu sa vage
			double Tezina  = 0;
			float ambalaza = cdsBala->FieldByName("ambalaza")->AsFloat / 1000.00;
			try
			{
				if (DM_OD->cdsSystemOD->FieldByName("EXT_MR_TEZINE")->AsInteger != 0)
				{
					// MerenjeTezineVaga(1, "VAGA_LEAF", DM_OD->SC_OD);   }
				}
				else
				{
					Tezina = cdsBala->FieldByName("brutomasa")->AsFloat - cdsBala->FieldByName("ambalaza")->AsFloat / 1000.00;
				}
			}
			catch (Exception& e)
			{
				ShowMyMessageRed->Show("Proverite da li je ispravno definisan komunikacioni port!!", 0x00CCF8F9);
				Tezina = -1;
			}
			try
			{
				cdsObradaStavke->Append();
				cdsObradaStavke->FieldByName("barkod")->AsString = BarKod;
				cdsObradaStavke->FieldByName("idbalamg")->AsInteger = cdsBala->FieldByName("id")->AsInteger;
				cdsObradaStavke->FieldByName("balaid")->AsInteger = cdsBala->FieldByName("balaid")->AsInteger;
				cdsObradaStavke->FieldByName("kod")->AsString = cdsBala->FieldByName("int_klasa")->AsString;
				cdsObradaStavke->FieldByName("klasaid")->AsInteger = cdsBala->FieldByName("klasaid")->AsInteger;
				cdsObradaStavke->FieldByName("batch_no")->AsString = cdsObrada->FieldByName("batch_no")->AsString;
				cdsObradaStavke->FieldByName("podsortaid")->AsInteger = cdsBala->FieldByName("podsortaid")->AsInteger;
				cdsObradaStavke->FieldByName("idporekla")->AsInteger = cdsBala->FieldByName("porekloid")->AsInteger;
				cdsObradaStavke->FieldByName("kooperantid")->AsInteger = cdsBala->FieldByName("kooperantid")->AsInteger;
				cdsObradaStavke->FieldByName("FQI_INDEX")->AsFloat = cdsBala->FieldByName("FQI_INDEX")->AsFloat;
				cdsObradaStavke->FieldByName("netomasa")->AsFloat = cdsBala->FieldByName("netomasa")->AsFloat;
				cdsObradaStavke->FieldByName("idbalaindex")->AsInteger = cdsBala->FieldByName("IDBALAINDEX")->AsInteger;
				cdsObradaStavke->FieldByName("grupa_fqi")->AsString = cdsBala->FieldByName("grupa_fqi")->AsString;

				// Tezina=RoundTo(Kolicina*Tezina,-2);   ako ljudi u JTI kazau da se unosi samo deo kilaze za picking balu

				if (sqlNaVakumiranju->FieldByName("na_vakumiranju")->AsInteger > 0)
					cdsObradaStavke->FieldByName("izlaz_kol_alt")->AsCurrency = sqlNaVakumiranju->FieldByName("tezina")->AsCurrency;
				else
					cdsObradaStavke->FieldByName("izlaz_kol_alt")->AsCurrency = cdsBala->FieldByName("netomasa")->AsFloat;

				cdsObradaStavke->FieldByName("izlaz_kol")->AsCurrency = Kolicina;

				cdsObradaStavke->FieldByName("netomasa_ba")->AsFloat = Tezina;

				cdsObradaStavke->FieldByName("FQI_KOEF")->AsFloat = RoundTo(cdsObradaStavke->FieldByName("netomasa")->AsFloat * cdsObradaStavke->FieldByName("FQI_INDEX")->AsFloat, -4);
				cdsObradaStavke->Post();
			}
			catch (Exception* e)
			{
				// ********************
				ShowMessage(e->Message);

			}
			cxBarkod->Text = "";
			cxBarkod->SetFocus();

			TimerPozadine->Enabled         = true;
			cxGridBale->Styles->Background = cxStyle6; // ovde se vrati pozadina
			cxGridBale->Styles->Content    = cxStyle6;

			// cdsStatistika->Active = false;
			// dsetStatistika->ParamByName("idzg")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
			// dsetStatistika->ParamByName("batch")->AsString = cdsObrada->FieldByName("broj_batcha")->AsString;
			// dsetStatistika->ParamByName("blend")->AsInteger = cdsObrada->FieldByName("idblend")->AsInteger;
			// cdsStatistika->Active = true;

			cdsStatistikaMG->Active = false;
			sqlStatistikaMG->ParamByName("idzg")->AsInteger = cdsAktivniBatchevi->FieldByName("id")->AsInteger;
			sqlStatistikaMG->ParamByName("blend")->AsInteger = cdsAktivniBatchevi->FieldByName("idblend")->AsInteger;
			cdsStatistikaMG->Active = true;

			cdsBaleProizvodjaca->Active = false;
			dsetBaleProizvodjaca->ParamByName("id")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
			cdsBaleProizvodjaca->Active = true;

			cdsBrojBalaGrupe->Active = false;
			dsetBrojBalaGrupe->ParamByName("id")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
			cdsBrojBalaGrupe->Active = true;

			cxKolicina->Text = "1";

		}
		catch (Exception& e)
		{
			ShowMyMessageRed->Show(e.Message, 0x00FFDDFF);
		}
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cdsObradaStavke1NewRecord(TDataSet* DataSet)
{
	spStavkeObrade->Prepared = true;
	spStavkeObrade->ExecProc();
	cdsObradaStavke->FieldByName("id")->AsInteger = spStavkeObrade->ParamByName("ID")->Value;
	cdsObradaStavke->FieldByName("idzg")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
	cdsObradaStavke->FieldByName("IZLAZ_KOL_ALT")->AsCurrency = 0;
	// cdsObradaStavke->FieldByName("IZLAZ_KOL")->AsCurrency     = 1;
	cdsObradaStavke->FieldByName("ULAZ_KOL_ALT")->AsCurrency = 0;
	cdsObradaStavke->FieldByName("ULAZ_KOL")->AsCurrency = 0;
	cdsObradaStavke->FieldByName("vreme")->Value = Now();
	cdsObradaStavke->FieldByName("status")->AsInteger = STATUS_U_OBRADI;
	cdsObradaStavke->FieldByName("deleted")->AsInteger = 0;
	cdsObradaStavke->FieldByName("MAGACIN_STAV")->AsInteger = cdsObrada->FieldByName("SIFRA_MAGACINA")->AsInteger;
	cdsObradaStavke->FieldByName("datum_obrade")->Value = Now() - DM_OD->cdsSystemOD->FieldByName("start_radni_dan")->AsDateTime;
}
// ---------------------------------------------------------------------------

bool __fastcall TODObradaVagaI::ProveraBrojaBalaU_BatchU(AnsiString InternaKlasa, int IdPorekla)
{
	if (cdsAktivniBatchevi->FieldByName("prov_porekla")->AsInteger == 1)
	{
		dspProveraBaleUBatchu->DataSet = sqlProveraBaleUBatchu;

		cdsProveraBaleUBatchu->Active = false;
		sqlProveraBaleUBatchu->ParamByName("blend")->AsInteger = cdsObrada->FieldByName("idblend")->AsInteger;
		sqlProveraBaleUBatchu->ParamByName("batch")->AsString = cdsObrada->FieldByName("broj_batcha")->AsString;
		sqlProveraBaleUBatchu->ParamByName("idzg")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
		sqlProveraBaleUBatchu->ParamByName("idporekla")->AsInteger = IdPorekla;
		sqlProveraBaleUBatchu->ParamByName("intklasa")->AsString = InternaKlasa;
		cdsProveraBaleUBatchu->Active = true;

		if (cdsProveraBaleUBatchu->RecordCount > 0)
		{

			if (cdsProveraBaleUBatchu->FieldByName("broj_bala")->AsFloat <= cdsProveraBaleUBatchu->FieldByName("kom_bala")->AsFloat)
			{
				ShowMyMessageRed->Show("PREKORACENJE BROJA BALA ZA KLASU: " + InternaKlasa + ", \rporeklo: " + cdsBala->FieldByName("poreklo")->AsString, 0x00FFDDFF);
				return false;
			}
			else
				return true;

		}
		else
		{
			ShowMyMessageRed->Show("Bala sa barkodom: " + cxBarkod->Text + " ne pripada AKTIVNOM BATCH-u!! \rInterna klasa bale je: " + InternaKlasa + ",\rporeklo: " + cdsBala->FieldByName("poreklo")->AsString, 0x00CCF8F9);
			return false;
		}
	}
	else
	{
		dspProveraBaleUBatchu->DataSet = sqlProveraBaleUBatchuBezPorekla;

		cdsProveraBaleUBatchu->Active = false;
		sqlProveraBaleUBatchuBezPorekla->ParamByName("blend")->AsInteger = cdsObrada->FieldByName("idblend")->AsInteger;
		sqlProveraBaleUBatchuBezPorekla->ParamByName("batch")->AsString = cdsObrada->FieldByName("broj_batcha")->AsString;
		sqlProveraBaleUBatchuBezPorekla->ParamByName("idzg")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
		sqlProveraBaleUBatchuBezPorekla->ParamByName("intklasa")->AsString = InternaKlasa;
		cdsProveraBaleUBatchu->Active = true;

		if (cdsProveraBaleUBatchu->RecordCount > 0)
		{

			if (cdsProveraBaleUBatchu->FieldByName("broj_bala")->AsFloat <= cdsProveraBaleUBatchu->FieldByName("kom_bala")->AsFloat)
			{
				ShowMyMessageRed->Show("PREKORACENJE BROJA BALA ZA KLASU: " + InternaKlasa, 0x00FFDDFF);
				return false;
			}
			else
				return true;

		}
		else
		{
			ShowMyMessageRed->Show("Bala sa barkodom: " + cxBarkod->Text + " ne pripada AKTIVNOM BATCH-u!! \rInterna klasa bale je: " + InternaKlasa, 0x00CCF8F9);
			return false;
		}
	}
}

// ---------------------------------------------------------------------------
void __fastcall TODObradaVagaI::cdsObradaStavke1AfterPost(TDataSet* DataSet)
{
	if (SnimiCDS(dspObradaStavke, cdsObradaStavke, dsObradaStavke))
	{
		ShowMyMessageRed->Show("Greska prilikom snimanja podatka o bali sa barkodom: " + cxBarkod->Text, 0x00FFDDFF);
	}

	btRefresh->Click(); // ovo sam stavio zato sto me je zazao kod promene podatka na bali ili kod brisanja prethodno unete bale
	// nesto nije radio deo koji

	// cdsStatistika->Active = false;
	// dsetStatistika->ParamByName("idzg")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
	// dsetStatistika->ParamByName("batch")->AsString = cdsObrada->FieldByName("broj_batcha")->AsString;
	// dsetStatistika->ParamByName("blend")->AsInteger = cdsObrada->FieldByName("idblend")->AsInteger;
	// cdsStatistika->Active = true;

	cdsStatistikaMG->Active = false;
	sqlStatistikaMG->ParamByName("idzg")->AsInteger = cdsAktivniBatchevi->FieldByName("id")->AsInteger;
	sqlStatistikaMG->ParamByName("blend")->AsInteger = cdsAktivniBatchevi->FieldByName("idblend")->AsInteger;
	cdsStatistikaMG->Active = true;

	cdsBaleProizvodjaca->Active = false;
	dsetBaleProizvodjaca->ParamByName("id")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
	cdsBaleProizvodjaca->Active = true;

	cxBarkod->SetFocus();
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cxVakumiranjeClick(TObject* Sender)
{
	try
	{

		sqlStatusVakumiranja->ParamByName("status")->Value = 1;
		sqlStatusVakumiranja->ExecSQL();

		// Timer1->Enabled = false;

		Screen->Cursor                = crHourGlass;
		TfmVakumiranje* fmVakumiranje = new TfmVakumiranje(this);
		fmVakumiranje->ShowModal();
		Screen->Cursor = crDefault;

		sqlStatusVakumiranja->ParamByName("status")->AsInteger = 0;
		sqlStatusVakumiranja->ExecSQL();

		// Timer1->Enabled = true;

		cxBarkod->Text = "";
		cxBarkod->SetFocus();
	}
	catch (Exception& e)
	{
		sqlStatusVakumiranja->ParamByName("status")->Value = 0;
		sqlStatusVakumiranja->ExecSQL();

		ShowMyMessageRed->Show("Greska prilikom promene statusa bale sa barkodom: " + cdsObradaStavke->FieldByName("barkod")->AsString, 0x00FFDDFF);
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cxSledecaBalaClick(TObject* Sender)
{

	if (MessageBoxA(Handle, "Da li ste sigurni da zelite da zavrsite harman?", "Izmena statusa ", MB_YESNO) == IDYES)
	{
		cdsAktivniBatchevi->Edit();
		cdsAktivniBatchevi->FieldByName("status")->AsInteger = 0;
		cdsAktivniBatchevi->Post();
		bool Snimljeno = SnimiCDS(dspAktivniBatchevi, cdsAktivniBatchevi, dsAktivniBatchevi);
		FormCreate(this);
	}

	// if (cxGridStatistika->Styles->Content != cxStyle5)
	// {
	//
	// if (cdsAktivniBatchevi->FieldByName("aktivan")->AsInteger)
	// {
	// ShowMyMessageRed->Show("Batch " + cdsAktivniBatchevi->FieldByName("broj_batcha")->AsString + " NIJE pripremljen do kraja!! ", 0x00FFDDFF);
	// }
	//
	// if (MessageBoxA(Handle, "Da li ste sigurni da zelite ipak da promenite STATUSE AKTIVNIH batch-eva?", "Izmena statusa ", MB_YESNO) == IDNO)
	// {
	// cxBarkod->Text = "";
	// cxBarkod->SetFocus();
	// return;
	// }
	// }
	// bool prekid = false;
	//
	// if (MessageBoxA(Handle, "Da li ste sigurni da zelite da promenite statuse batch-eva? ", "Zavrsetak ", MB_YESNO) == IDYES)
	// {
	// cdsAktivniBatchevi->First();
	//
	// while (!cdsAktivniBatchevi->Eof)
	// {
	//
	// if (cdsAktivniBatchevi->FieldByName("aktivan")->AsInteger)
	// {
	//
	// if ((cdsAktivniBatchevi->FieldByName("fqi_index")->AsFloat > cdsAktivniBatchevi->FieldByName("fqi_max")->AsFloat) ||
	// (cdsAktivniBatchevi->FieldByName("fqi_index")->AsFloat < cdsAktivniBatchevi->FieldByName("fqi_min")->AsFloat))
	// {
	// ShowMyMessageRed->Show("Ukupan FQI index je van dozvoljenog opsega!! od: " + cdsAktivniBatchevi->FieldByName("fqi_min")->AsString +
	// " do " + cdsAktivniBatchevi->FieldByName("fqi_max")->AsString, 0x00FFDDFF);
	// prekid = true;
	// break;
	// return;
	// }
	// else
	// {
	// cdsAktivniBatchevi->Edit();
	// cdsAktivniBatchevi->FieldByName("status")->AsInteger = cdsAktivniBatchevi->FieldByName("novo_stanje")->AsInteger;
	//
	// if (cdsAktivniBatchevi->FieldByName("status")->AsInteger == 20)
	// {
	// cdsAktivniBatchevi->FieldByName("datum_od")->Value = Now(); // kada batch predje u aktivno stanje
	// cdsAktivniBatchevi->FieldByName("datum_obrade")->Value = Now() - DM_OD->cdsSystemOD->FieldByName("start_radni_dan")->AsDateTime; // zbog izvestaja koji se odnose na radni dan od 06.00-06.00h
	// }
	//
	// cdsAktivniBatchevi->Post();
	// }
	// }
	// cdsAktivniBatchevi->Next();
	// }
	// if (prekid != true)
	// {
	// bool Snimljeno = SnimiCDS(dspAktivniBatchevi, cdsAktivniBatchevi, dsAktivniBatchevi);
	// }
	// try
	// {
	//
	// cdsAktivniBatchevi->Active = false;
	// dsetAktivniBatchevi->ParamByName("tip")->AsInteger = 1;
	// dsetAktivniBatchevi->ParamByName("rad_mesto")->AsInteger = 1;
	// dsetAktivniBatchevi->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
	// dsetAktivniBatchevi->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
	// cdsAktivniBatchevi->Active = true;
	//
	// }
	// catch (Exception& e)
	// {
	// ShowMyMessageRed->Show("Greska prilikom promene statusa BATCH-a: " + e.Message, 0x00FFDDFF);
	// }
	// }
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cxReklasiranjeClick(TObject* Sender)
{
	// Timer1->Enabled = false;
	Screen->Cursor                        = crHourGlass;
	TfmPromenaPodataka* fmPromenaPodataka = new TfmPromenaPodataka(this, 0);
	fmPromenaPodataka->ShowModal(); // FormStyle = fsMDIChild;
	Screen->Cursor = crDefault;
	// Timer1->Enabled = true;

	try
	{
		// cdsStatistika->Active = false;
		// dsetStatistika->ParamByName("idzg")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
		// dsetStatistika->ParamByName("batch")->AsString = cdsObrada->FieldByName("broj_batcha")->AsString;
		// dsetStatistika->ParamByName("blend")->AsInteger = cdsObrada->FieldByName("idblend")->AsInteger;
		// cdsStatistika->Active = true;

		cdsStatistikaMG->Active = false;
		sqlStatistikaMG->ParamByName("idzg")->AsInteger = cdsAktivniBatchevi->FieldByName("id")->AsInteger;
		sqlStatistikaMG->ParamByName("blend")->AsInteger = cdsAktivniBatchevi->FieldByName("idblend")->AsInteger;
		cdsStatistikaMG->Active = true;

		cdsObradaStavke->Active = false;
		dsetObradaStavke->ParamByName("id")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
		cdsObradaStavke->Active = true;

		cdsBaleProizvodjaca->Active = false;
		dsetBaleProizvodjaca->ParamByName("id")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
		cdsBaleProizvodjaca->Active = true;

		cxBarkod->Text = "";
		cxBarkod->SetFocus();
	}
	catch (Exception& e)
	{
		ShowMyMessageRed->Show("Greska!! " + e.Message, 0x00FFDDFF);
		cxBarkod->Text = "";
		cxBarkod->SetFocus();
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::Timer1Timer(TObject* Sender)
{
	try
	{

		cdsObradaStavke->Active = false;
		dsetObradaStavke->ParamByName("id")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
		cdsObradaStavke->Active = true;
	}
	catch (Exception& e)
	{
		ShowMyMessageRed->Show("Greska!! Timer!!  " + e.Message, 0x00FFDDFF);
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::btRefreshClick(TObject* Sender)
{
	try
	{
		cdsObradaStavke->Active = false;
		dsetObradaStavke->ParamByName("id")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
		cdsObradaStavke->Active = true;
	}
	catch (Exception& e)
	{
		ShowMyMessageRed->Show("Greska!! Timer!!  " + e.Message, 0x00FFDDFF);
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cxNoviBatchClick(TObject* Sender)
{
	if (pravoInsert)
	{
		if (MessageBoxA(Handle, "Da li ste sigurni da zelite da otvorite novi batch?", "Novi batch ", MB_YESNO) == IDYES)
		{
			try
			{

				if (cxBlend->ItemIndex > -1)
				{
					cdsObrada->Active = false;
					dsetObrada->ParamByName("id")->AsInteger = -1;
					cdsObrada->Active = true;

					cdsObrada->Append();
					cdsObrada->Post();

					FormCreate(this);
					cxGridBatchDblClick(this);
				}
				else
				{
					ShowMessage("Niste odabrali blend za koji otvarate harman");
				}

			}
			catch (Exception& e)
			{
				ShowMessage("Greska!! " + e.Message);
			}
		}
	}
	else
	{
		ShowMessage("Nemate prava da dodate podatke!");
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cdsObradaNewRecord(TDataSet* DataSet)
{
	AnsiString s;

	spBatch->Prepared = true;
	spBatch->ExecProc();
	cdsObrada->FieldByName("id")->AsInteger = spBatch->ParamByName("ID")->Value;

	cdsObrada->FieldByName("status")->AsInteger = 20;
	cdsObrada->FieldByName("Datumdpo")->Value = Date();
	cdsObrada->FieldByName("Vreme")->Value = Now();
	cdsObrada->FieldByName("aktivan")->AsInteger = 0;
	cdsObrada->FieldByName("sifra_radnika")->AsInteger = myTKorisnik->sifra_usera;

	cdsObrada->FieldByName("sifra_magacina")->AsInteger = MAGACIN_BUFFER;
	cdsObrada->FieldByName("sifra_dokumenta")->AsInteger = DOC_PROIZVODNJE;
	cdsObrada->FieldByName("sifra_komitenta")->AsInteger = 0;

	OD_DM_Pretraga->cdsBlend->Filter   = "";
	OD_DM_Pretraga->cdsBlend->Filtered = false;
	OD_DM_Pretraga->cdsBlend->Active   = false;
	OD_DM_Pretraga->dsetBlend->ParamByName("broj")->AsString = UpperCase(cxBlend->EditText);
	OD_DM_Pretraga->dsetBlend->ParamByName("opis")->AsString = UpperCase(cxBlend->EditText);
	OD_DM_Pretraga->cdsBlend->Active = true;

	cdsObrada->FieldByName("IDBLEND")->AsInteger = OD_DM_Pretraga->cdsBlend->FieldByName("ID")->AsInteger;
	cdsObrada->FieldByName("IDRECEPTURE")->AsInteger = OD_DM_Pretraga->cdsBlend->FieldByName("ID")->AsInteger;
	cdsObrada->FieldByName("IDBLENDA")->AsInteger = OD_DM_Pretraga->cdsBlend->FieldByName("IDBLENDA")->AsInteger;
	// cdsObrada->FieldByName("BLEND")->AsString = OD_DM_Pretraga->cdsBlend->FieldByName("OPIS")->AsString;
	cdsObrada->FieldByName("UKUPNO_BALA_BATCH")->AsFloat = OD_DM_Pretraga->cdsBlend->FieldByName("UKUPNO_BALA")->AsFloat;
	cdsObrada->FieldByName("BR_BALA_KOOPER")->AsFloat = OD_DM_Pretraga->cdsBlend->FieldByName("BROJ_BL_KOOPERANTA")->AsFloat;
	cdsObrada->FieldByName("BROJ_KOOPER_GRUPE")->AsFloat = OD_DM_Pretraga->cdsBlend->FieldByName("BROJ_KOOPER_GRUPE")->AsFloat;
	cdsObrada->FieldByName("BROJ_BALA_GRUPE")->AsFloat = OD_DM_Pretraga->cdsBlend->FieldByName("BROJ_BALA_GRUPE")->AsFloat;
	cdsObrada->FieldByName("PROV_POREKLA")->AsInteger = OD_DM_Pretraga->cdsBlend->FieldByName("PROV_POREKLA")->AsInteger;

	sqlBrojPoslednjegBatcha->Active = false;
	sqlBrojPoslednjegBatcha->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
	sqlBrojPoslednjegBatcha->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
	sqlBrojPoslednjegBatcha->ParamByName("blend")->AsInteger = cdsAktivniBatchevi->FieldByName("idblenda")->AsInteger;
	sqlBrojPoslednjegBatcha->Active = true;

	cdsObrada->FieldByName("broj_batcha")->AsInteger = sqlBrojPoslednjegBatcha->FieldByName("broj_batcha")->AsInteger + 1;

}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cdsObradaAfterPost(TDataSet* DataSet)
{
	try
	{
		SnimiCDS(dspObrada, cdsObrada, dsObrada);
	}
	catch (Exception& e)
	{
		ShowMessage("Greska snimanja!! " + e.Message);
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cxButton4Click(TObject* Sender)
{
	if (cxDokumenti->Text.IsEmpty())
	{
		ShowMessage("Izaberite dokument");
		return;
	}
	if (cxMagacini->Text.IsEmpty())
	{
		ShowMessage("Izaberite magacin");
		return;
	}

	Screen->Cursor = crSQLWait;

	cdsZaglavlje->Active = false;
	dsetZaglavlje->ParamByName("od_datuma")->Value = od_datuma->Date;
	dsetZaglavlje->ParamByName("do_datuma")->Value = do_datuma->Date;
	dsetZaglavlje->ParamByName("doc")->AsInteger = cxDokumenti->EditValue; // StrToInt(slDokumenti->Strings[cbDokument->ItemIndex]);
	dsetZaglavlje->ParamByName("mg")->AsInteger = cxMagacini->EditValue;   // StrToInt(slMagacin->Strings[cbMagacin->ItemIndex]);
	cdsZaglavlje->Active = true;

	Screen->Cursor = crDefault;
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cdsZaglavljeAfterScroll(TDataSet* DataSet)
{
	if (!cdsZaglavlje->ControlsDisabled())
	{
		cdsStavke->Active = false;
		dsetStavke->ParamByName("id")->Value = cdsZaglavlje->FieldByName("id")->Value;
		cdsStavke->Active = true;
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cxGridStatistikaDataControllerSummaryAfterSummary(TcxDataSummary* ASender)
{
	// if ((cdsStatistika->Active == true) && (!cdsStatistika->IsEmpty()))
	// {
	// try
	// {
	// TcxDataSummary* broj_bala = cxGridStatistika->DataController->Summary;
	//
	// if (VarIsNull(broj_bala->FooterSummaryValues[0]))
	// return;
	// if (VarIsNull(broj_bala->FooterSummaryValues[1]))
	// return;
	//
	// if ((float)broj_bala->FooterSummaryValues[0] <= (float)broj_bala->FooterSummaryValues[1])
	// {
	// cxGridStatistika->Styles->Content = cxStyle5;
	// }
	// else
	// cxGridStatistika->Styles->Content = cxStyle2;
	// }
	// catch (Exception& e)
	// {
	// ShowMessage("Greska !! " + e.Message);
	// }
	// }
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::ZatvoriFormuExecute(TObject* Sender)
{
	if (MessageBoxA(Handle, "Da li ste sigurni da zelite da zatvorite prozor?", "Ulaz u proizvodnju ", MB_YESNO) == IDYES)
	{
		Close();
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cdsAktivniBatcheviAKTIVANChange(TField* Sender)
{
	bool Snimljeno = SnimiCDS(dspAktivniBatchevi, cdsAktivniBatchevi, dsAktivniBatchevi);
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::FormClose(TObject* Sender, TCloseAction& Action)
{
	if (MessageBoxA(Handle, "Da li ste sigurni da zelite da zelite da zatvorite prozor?", "Kraj ", MB_YESNO) == IDYES)
	{
		Action = caFree;
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::Izmeni1Click(TObject* Sender)
{
	if (pravoUpdate)
	{
		try
		{

			cdsObrada->Active = false;
			dsetObrada->ParamByName("id")->AsInteger = cdsZaglavlje->FieldByName("id")->AsInteger;
			cdsObrada->Active = true;

			cdsObradaStavke->Active = false;
			dsetObradaStavke->ParamByName("id")->AsInteger = cdsZaglavlje->FieldByName("id")->AsInteger;
			cdsObradaStavke->Active = true;

			/*
			 cdsObradaStavke->Filtered = false;
			 cdsObradaStavke->Filter = "status=4";
			 cdsObradaStavke->Filtered = true;
			 */

			// cdsStatistika->Active = false;
			// dsetStatistika->ParamByName("idzg")->AsInteger = cdsZaglavlje->FieldByName("id")->AsInteger;
			// dsetStatistika->ParamByName("batch")->AsString = cdsZaglavlje->FieldByName("broj_batcha")->AsString;
			// dsetStatistika->ParamByName("blend")->AsInteger = cdsZaglavlje->FieldByName("idblend")->AsInteger;
			// cdsStatistika->Active = true;

			cdsStatistikaMG->Active = false;
			sqlStatistikaMG->ParamByName("idzg")->AsInteger = cdsAktivniBatchevi->FieldByName("id")->AsInteger;
			sqlStatistikaMG->ParamByName("blend")->AsInteger = cdsAktivniBatchevi->FieldByName("idblend")->AsInteger;
			cdsStatistikaMG->Active = true;

			cxPC->ActivePage = cxTabSheet1;

			cxBarkod->Text = "";
			cxBarkod->SetFocus();

			AktiviranBatch = true;
		}
		catch (Exception& e)
		{
			ShowMessage("Greska!! " + e.Message);
		}
	}
	else
	{
		ShowMessage("Nemate prava da menjate podatke!");
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cxGridDBTableView1CustomDrawCell(TcxCustomGridTableView* Sender, TcxCanvas* ACanvas, TcxGridTableDataCellViewInfo* AViewInfo,
	bool& ADone)
{
	if (cdsAktivniBatchevi->FieldByName("BROJ_BL_KOOPERANTA")->AsInteger > 0)
	{

	} // BROJ_BL_KOOPERANTA

}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::TimerPozadineTimer(TObject* Sender)
{
	cxGridBale->Styles->Background = NULL; // ovde se vrati pozadina
	cxGridBale->Styles->Content    = NULL;
	TimerPozadine->Enabled         = false;
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::FormActivate(TObject* Sender)
{
	cxBarkod->SetFocus();
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cxGridBaleDataControllerSummaryAfterSummary(TcxDataSummary* ASender)
{
	if ((cdsObradaStavke->Active == true) && (!cdsObradaStavke->IsEmpty()))
	{
		TcxDataSummary* FqiIndex = cxGridBale->DataController->Summary;

		if (VarIsNull(FqiIndex->FooterSummaryValues[4]))
			return;
		if (VarIsNull(FqiIndex->FooterSummaryValues[2]))
			return;

		if ((double)FqiIndex->FooterSummaryValues[4] > 0)
		{
			FqiIndex->FooterSummaryValues[3] = RoundTo((double)FqiIndex->FooterSummaryValues[2] / (double)FqiIndex->FooterSummaryValues[4], -2);

			if (cdsObrada->Active)
			{
				cdsObrada->Edit();
				cdsObrada->FieldByName("FQI_INDEX")->AsFloat = FqiIndex->FooterSummaryValues[3];
				cdsObrada->Post();
			}
		}
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cxKolicinaKeyPress(TObject* Sender, wchar_t& Key)
{
	if (Key == VK_RETURN)
	{
		cxBarkod->SetFocus();
		cxBarkod->SelectAll();
	}
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cdsObradaReconcileError(TCustomClientDataSet* DataSet,
	EReconcileError* E, TUpdateKind UpdateKind, TReconcileAction& Action)

{
	ShowMessage(E->Message);
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::cdsObradaStavkeReconcileError(TCustomClientDataSet* DataSet,
	EReconcileError* E, TUpdateKind UpdateKind, TReconcileAction& Action)

{
	ShowMessage(E->Message);
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::Reklas1Click(TObject* Sender)
{
	// Timer1->Enabled = false;
	Screen->Cursor                        = crHourGlass;
	TfmPromenaPodataka* fmPromenaPodataka = new TfmPromenaPodataka(this, cdsObradaStavke->FieldByName("BARKOD")->AsInteger);
	if (fmPromenaPodataka->ShowModal() == mrOk)
	{ // FormStyle = fsMDIChild;
		Screen->Cursor = crDefault;
		// Timer1->Enabled = true;

		try
		{
			cdsObradaStavke->Delete();

			// cdsStatistika->Active = false;
			// dsetStatistika->ParamByName("idzg")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
			// dsetStatistika->ParamByName("batch")->AsString = cdsObrada->FieldByName("broj_batcha")->AsString;
			// dsetStatistika->ParamByName("blend")->AsInteger = cdsObrada->FieldByName("idblend")->AsInteger;
			// cdsStatistika->Active = true;

			cdsStatistikaMG->Active = false;
			sqlStatistikaMG->ParamByName("idzg")->AsInteger = cdsAktivniBatchevi->FieldByName("id")->AsInteger;
			sqlStatistikaMG->ParamByName("blend")->AsInteger = cdsAktivniBatchevi->FieldByName("idblend")->AsInteger;
			cdsStatistikaMG->Active = true;

			cdsObradaStavke->Active = false;
			dsetObradaStavke->ParamByName("id")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
			cdsObradaStavke->Active = true;

			cdsBaleProizvodjaca->Active = false;
			dsetBaleProizvodjaca->ParamByName("id")->AsInteger = cdsObrada->FieldByName("id")->AsInteger;
			cdsBaleProizvodjaca->Active = true;

			cxBarkod->Text = "";
			cxBarkod->SetFocus();
		}
		catch (Exception& e)
		{
			ShowMyMessageRed->Show("Greska!! " + e.Message, 0x00FFDDFF);
			cxBarkod->Text = "";
			cxBarkod->SetFocus();
		}
	}
	Screen->Cursor = crDefault;
}
// ---------------------------------------------------------------------------

void __fastcall TODObradaVagaI::Vratistatusnaaktivno1Click(TObject* Sender)
{
	if (MessageBoxA(Handle, "Da li ste sigurni da zelite da izmenite status batch-a?", "izmeni batch ", MB_YESNO) == IDYES)
	{
		sqlPromenaStatusa->Active = false;
		sqlPromenaStatusa->ParamByName("ID")->AsInteger = cdsZaglavlje->FieldByName("ID")->AsInteger;
		sqlPromenaStatusa->ExecSQL(0);

		cxMagacini->EditValue  = MAGACIN_BUFFER;  // myTKorisnik->default_mg;
		cxDokumenti->EditValue = DOC_PROIZVODNJE; // DM->cdsRadnici->FieldByName("id_def_ulaz_dok")->AsInteger;

		od_datuma->Date = StartOfTheMonth(Date());
		do_datuma->Date = Date();

		cdsDokumenti->Active = false;
		sdsDokumenti->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
		cdsDokumenti->Active = true;

		cdsMagacin->Active = false;
		dsetMagacin->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
		cdsMagacin->Active = true;

		cdsAktivniBatchevi->Active = false;
		dsetAktivniBatchevi->ParamByName("tip")->AsInteger = 1;
		dsetAktivniBatchevi->ParamByName("rad_mesto")->AsInteger = 1;
		dsetAktivniBatchevi->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
		dsetAktivniBatchevi->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
		cdsAktivniBatchevi->Active = true;
	}
}

void PaintCxGridCell(TcxCanvas* aCanvas, TcxGridTableDataCellViewInfo* aViewInfo, int aColor)
{
	if (aColor <= 0)
		aColor = clWhite;
	if (aViewInfo->GridRecord->Selected)

		aCanvas->Brush->Color = aColor;
}

// ---------------------------------------------------------------------------
void __fastcall TODObradaVagaI::cxGrid8DBTableView1CustomDrawCell(TcxCustomGridTableView* Sender,
	TcxCanvas* ACanvas, TcxGridTableDataCellViewInfo* AViewInfo,
	bool& ADone)
{
	AnsiString procenat = AViewInfo->GridRecord->DisplayTexts[cxGrid8DBTableView1PROCENAT->Index];
	if (StrToFloat(procenat) > 100)
	{
		ACanvas->Brush->Color = clRed;
		PaintCxGridCell(ACanvas, AViewInfo, ACanvas->Brush->Color);
	}
}
// ---------------------------------------------------------------------------
