//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_Obrada_TP.h"
#include "OD_DM.h"
#include "fmMessageRed.h"
#include "fmMessageYellow.h"
#include "OD_funkcije.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxButtons"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxPC"
#pragma link "cxStyles"
#pragma link "cxTextEdit"
#pragma link "cxCalendar"
#pragma link "cxDropDownEdit"
#pragma link "cxMaskEdit"
#pragma link "cxCheckBox"
#pragma link "cxDateUtils"
#pragma link "cxNavigator"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxCore"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"

//extern "C" __declspec(dllimport) double MerenjeTezine(int a, TSQLConnection *SC); //AnsiString &IzmerenaVrednost,
//extern "C" __declspec(dllimport) bool SetCommPort(int a,int b,bool c,int d);

extern int MAGACIN_BUFFER;
extern int DOC_PROIZVODNJE;
extern int MAGACIN_PROIZVODNJE;
int STATUS_U_OBRADI=4;
extern TKorisnik *myTKorisnik;

TfmPrijemBalaUObradu_TP *fmPrijemBalaUObradu_TP;
//---------------------------------------------------------------------------
__fastcall TfmPrijemBalaUObradu_TP::TfmPrijemBalaUObradu_TP(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{
	cxOdDatuma->Date = StartOfTheMonth(Date());
	cxDoDatuma->Date = EndOfTheMonth(Date());
}
//---------------------------------------------------------------------------
void __fastcall TfmPrijemBalaUObradu_TP::cxBarkodKeyPress(TObject *Sender, wchar_t &Key)
{
	if(Key == VK_RETURN) {

			 sqlPostojiBala->Active = false;
			 sqlPostojiBala->ParamByName("barkod")->AsString = cxBarkod->Text;
			 sqlPostojiBala->Active = true;

			 if(sqlPostojiBala->FieldByName("postoji_bala")->AsInteger > 0) {
					ShowMyMessageRed->Show("Bala je vec usla u obradu!!\r\rBarkod: "+cxBarkod->Text, 0x00FFDDFF);
					cxBarkod->Text = "";
					cxBarkod->SetFocus();
					return;
			 }

			 if(cbInterneKlase->Checked) {
				cxIntKlasa->SetFocus();
			 }
			 else UnesiBalu();
	}
}
//---------------------------------------------------------------------------
void TfmPrijemBalaUObradu_TP::UnesiBalu()
{
	  AnsiString BarKod;

	  try {// da li je ispravno unet barkod
			try {
			  BarKod = cxBarkod->Text;
			}
			catch(...) {
			  ShowMyMessageRed->Show("Nije unet ispravan barkod: "+cxBarkod->Text, 0x00FFDDFF);
			  return;
			}

			 double Tezina=0;

			 try {
				if(DM_OD->cdsSystemOD->FieldByName("EXT_MR_TEZINE")->AsInteger != 0)
				{
					Tezina = 0;// MerenjeTezine(1, DM_OD->SC_OD);
				}
				else
				{

				}
			 }
			 catch(Exception &e) {
					ShowMyMessageRed->Show("Proverite da li je ispravno definisan komunikacioni port!!", 0x00CCF8F9);
					Tezina=-1;
			 }
			 /*
			 sqlPostojiBala->Active = false;
			 sqlPostojiBala->ParamByName("barkod")->AsString = BarKod;
			 sqlPostojiBala->Active = true;

			 if(sqlPostojiBala->FieldByName("postoji_bala")->AsInteger > 0) {
					ShowMyMessageRed->Show("Bala je vec usla u obradu!!\r\rBarkod: "+cxBarkod->Text, 0x00FFDDFF);
					cxBarkod->Text = "";
					cxBarkod->SetFocus();
					return;
			 }
         */
			 cds->Append();
			 cds->FieldByName("barkod")->AsString = BarKod;
			 cds->FieldByName("vreme")->Value= Now();
			 cds->FieldByName("Tezina")->AsCurrency = Tezina;
			 cds->FieldByName("Tezina_vg")->AsCurrency = Tezina;
			 cds->FieldByName("Int_klasa")->AsString = cxIntKlasa->Text;
			 cds->Post();

			 cxBarkod->Text = "";
			 cxBarkod->SetFocus();
	  }
	  catch(Exception &e) {
			 ShowMyMessageRed->Show(e.Message, 0x00FFDDFF);
	  }
}
//---------------------------------------------------------------------------
void __fastcall TfmPrijemBalaUObradu_TP::cdsAfterPost(TDataSet *DataSet)
{
	if( SnimiCDS(dsp, cds, ds) ) {
		ShowMyMessageRed->Show("Greska prilikom snimanja podatka o bali sa barkodom: "+cxBarkod->Text, 0x00FFDDFF);
	}

	//cds->Refresh();      // ovo sam stavio zato sto me je zazao kod promene podatka na bali ili kod brisanja prethodno unete bale
									 // nesto nije radio deo koji
}
//---------------------------------------------------------------------------
void __fastcall TfmPrijemBalaUObradu_TP::cdsNewRecord(TDataSet *DataSet)
{
	sp->Prepared = true;
	sp->ExecProc();
	cds->FieldByName("id")->AsInteger = sp->ParamByName("ID")->Value;
}
//---------------------------------------------------------------------------
void __fastcall TfmPrijemBalaUObradu_TP::FormClose(TObject *Sender, TCloseAction &Action)
{
   Action = caFree;
}
//---------------------------------------------------------------------------
void __fastcall TfmPrijemBalaUObradu_TP::FormCreate(TObject *Sender)
{
	cds->Active = false;
	sql->ParamByName("id")->AsInteger = -1;
	cds->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall TfmPrijemBalaUObradu_TP::cxButton1Click(TObject *Sender)
{
	cdsPregled->Active = false;
	sqlPregled->ParamByName("od_datuma")->Value = cxOdDatuma->Date;
	sqlPregled->ParamByName("do_datuma")->Value = cxDoDatuma->Date;
	cdsPregled->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall TfmPrijemBalaUObradu_TP::cxIntKlasaKeyPress(TObject *Sender, wchar_t &Key)
{
	if(Key == VK_RETURN) {

		UnesiBalu();
		cxIntKlasa->Text = "";
	}
}
//---------------------------------------------------------------------------
void __fastcall TfmPrijemBalaUObradu_TP::Export1Click(TObject *Sender)
{
	SaveDialog1->Title = "Izvoz podataka u excel";
  if (SaveDialog1->Execute())
	{
	  ExportGridToExcel(SaveDialog1->FileName, cxGrid2, False, True, True, "xls");
	}
}
//---------------------------------------------------------------------------
void __fastcall TfmPrijemBalaUObradu_TP::cbInterneKlasePropertiesChange(TObject *Sender)
{
		cxLabelKlasa->Visible = cbInterneKlase->Checked;
		cxIntKlasa->Visible = cbInterneKlase->Checked;
}
//---------------------------------------------------------------------------
