//---------------------------------------------------------------------------

#ifndef OD_OtvaranjeBatchaH
#define OD_OtvaranjeBatchaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "cxControls.hpp"
#include "cxGraphics.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxPC.hpp"
#include "OD_OsnovnaPrazna.h"
#include <ActnList.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxContainer.hpp"
#include "cxDBEdit.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxLabel.hpp"
#include "cxLookupEdit.hpp"
#include "cxMaskEdit.hpp"
#include "cxTextEdit.hpp"
#include <ExtCtrls.hpp>
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxFilter.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxStyles.hpp"
#include "cxDateUtils.hpp"
#include "cxNavigator.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxCore.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
#include <Vcl.ComCtrls.hpp>
//---------------------------------------------------------------------------
class TfmOtvaranjeBatcha : public TfmOsnovnaPrazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPageControl1;
	TcxTabSheet *cxTabSheet1;
	TcxTabSheet *cxTabSheet2;
	TSQLDataSet *dsetBatch;
	TDataSetProvider *dspBatch;
	TClientDataSet *cdsBatch;
	TDataSource *dsBatch;
	TcxDBTextEdit *cxIDBatch;
	TPanel *Panel1;
	TPanel *Panel2;
	TcxButton *btNoviDoc;
	TcxButton *btSnimi;
	TcxButton *btStampaj;
	TcxButton *btFunkcije;
	TcxLabel *cxLabel8;
	TIntegerField *cdsBatchID;
	TStringField *cdsBatchBATCH_NO;
	TIntegerField *cdsBatchSTATUS;
	TIntegerField *cdsBatchIDBLEND;
	TIntegerField *cdsBatchSIFRA_RADNIKA;
	TIntegerField *cdsBatchBROJ_BATCHA;
	TSQLTimeStampField *cdsBatchVREME;
	TcxDBTextEdit *cxBrojBatch;
	TcxDBTextEdit *cxBlend;
	TcxDBDateEdit *cxDatum;
	TcxDBDateEdit *cxVreme;
	TcxDBLookupComboBox *cxStatus;
	TcxLabel *cxLabel1;
	TcxLabel *cxLabel2;
	TcxLabel *cxLabel3;
	TcxLabel *cxLabel4;
	TcxLabel *cxLabel6;
	TcxLabel *cxLabel7;
	TStringField *cdsBatchOPIS;
	TcxLabel *cxLabel5;
	TcxDBTextEdit *cxNapomena;
	TSQLStoredProc *spBatch;
	TIntegerField *dsetBatchID;
	TStringField *dsetBatchBATCH_NO;
	TIntegerField *dsetBatchSTATUS;
	TIntegerField *dsetBatchIDBLEND;
	TIntegerField *dsetBatchSIFRA_RADNIKA;
	TIntegerField *dsetBatchBROJ_BATCHA;
	TSQLTimeStampField *dsetBatchVREME;
	TStringField *dsetBatchOPIS;
	TStringField *dsetBatchBLEND;
	TStringField *cdsBatchBLEND;
	TcxDBCheckBox *cxAktivan;
	TSmallintField *dsetBatchAKTIVAN;
	TSmallintField *cdsBatchAKTIVAN;
	TIntegerField *dsetBatchSIFRA_KOMITENTA;
	TIntegerField *dsetBatchSIFRA_DOKUMENTA;
	TIntegerField *dsetBatchSIFRA_MAGACINA;
	TDateField *dsetBatchDATUMDPO;
	TStringField *dsetBatchBID;
	TIntegerField *dsetBatchBROJ;
	TIntegerField *cdsBatchSIFRA_KOMITENTA;
	TIntegerField *cdsBatchSIFRA_DOKUMENTA;
	TIntegerField *cdsBatchSIFRA_MAGACINA;
	TDateField *cdsBatchDATUMDPO;
	TStringField *cdsBatchBID;
	TIntegerField *cdsBatchBROJ;
	TPanel *Panel3;
	TcxDateEdit *cxOdDatuma;
	TcxDateEdit *cxDoDatuma;
	TcxLabel *cxLabel9;
	TcxLabel *cxLabel10;
	TcxButton *cxButton1;
	TcxButton *cxButton2;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxPregledZaglavlje;
	TcxGridLevel *cxGrid1Level1;
	TSQLDataSet *dsetZaglavlje;
	TDataSetProvider *dspZaglavlje;
	TClientDataSet *cdsZaglavlje;
	TIntegerField *IntegerField10;
	TStringField *StringField5;
	TIntegerField *IntegerField11;
	TIntegerField *IntegerField12;
	TIntegerField *IntegerField13;
	TIntegerField *IntegerField14;
	TSQLTimeStampField *SQLTimeStampField2;
	TStringField *StringField6;
	TSmallintField *SmallintField2;
	TIntegerField *IntegerField15;
	TIntegerField *IntegerField16;
	TIntegerField *IntegerField17;
	TDateField *DateField2;
	TStringField *StringField7;
	TIntegerField *IntegerField18;
	TStringField *StringField8;
	TDataSource *dsZaglavlje;
	TcxGridDBColumn *cxPregledZaglavljeID;
	TcxGridDBColumn *cxPregledZaglavljeBATCH_NO;
	TcxGridDBColumn *cxPregledZaglavljeSTATUS;
	TcxGridDBColumn *cxPregledZaglavljeIDBLEND;
	TcxGridDBColumn *cxPregledZaglavljeSIFRA_RADNIKA;
	TcxGridDBColumn *cxPregledZaglavljeBROJ_BATCHA;
	TcxGridDBColumn *cxPregledZaglavljeVREME;
	TcxGridDBColumn *cxPregledZaglavljeOPIS;
	TcxGridDBColumn *cxPregledZaglavljeAKTIVAN;
	TcxGridDBColumn *cxPregledZaglavljeSIFRA_KOMITENTA;
	TcxGridDBColumn *cxPregledZaglavljeSIFRA_DOKUMENTA;
	TcxGridDBColumn *cxPregledZaglavljeSIFRA_MAGACINA;
	TcxGridDBColumn *cxPregledZaglavljeDATUMDPO;
	TcxGridDBColumn *cxPregledZaglavljeBID;
	TcxGridDBColumn *cxPregledZaglavljeBROJ;
	TcxGridDBColumn *cxPregledZaglavljeBLEND;
	TStringField *cdsZaglavljeOPIS_STATUSA;
	TcxGridDBColumn *cxPregledZaglavljeOPIS_STATUSA;
	TStringField *cdsZaglavljeRADNIK;
	TcxGridDBColumn *cxPregledZaglavljeRADNIK;
	TSQLQuery *sqlDelete;
	TIntegerField *dsetBatchSIFRA_MAGACINA_U;
	TIntegerField *cdsBatchSIFRA_MAGACINA_U;
	TFloatField *dsetBatchUKUPNO_BALA_BATCH;
	TFloatField *dsetBatchBR_BALA_KOOPER;
	TSmallintField *dsetBatchPROV_POREKLA;
	TFloatField *dsetBatchBROJ_KOOPER_GRUPE;
	TFloatField *dsetBatchBROJ_BALA_GRUPE;
	TcxDBCheckBox *cxDBCheckBox1;
	TcxDBTextEdit *cxDBTextEdit1;
	TcxLabel *cxLabel11;
	TFloatField *cdsBatchUKUPNO_BALA_BATCH;
	TFloatField *cdsBatchBR_BALA_KOOPER;
	TSmallintField *cdsBatchPROV_POREKLA;
	TFloatField *cdsBatchBROJ_KOOPER_GRUPE;
	TFloatField *cdsBatchBROJ_BALA_GRUPE;
	TcxDBTextEdit *cxDBTextEdit2;
	TcxLabel *cxLabel12;
	TcxDBTextEdit *cxDBTextEdit3;
	TcxLabel *cxLabel13;
	TcxLabel *cxLabel14;
	TcxDBTextEdit *cxDBTextEdit4;
	TFloatField *cdsZaglavljeUKUPNO_BALA_BATCH;
	TFloatField *cdsZaglavljeBR_BALA_KOOPER;
	TSmallintField *cdsZaglavljePROV_POREKLA;
	TFloatField *cdsZaglavljeBROJ_KOOPER_GRUPE;
	TFloatField *cdsZaglavljeBROJ_BALA_GRUPE;
	TcxGridDBColumn *cxPregledZaglavljeUKUPNO_BALA_BATCH;
	TcxGridDBColumn *cxPregledZaglavljeBR_BALA_KOOPER;
	TcxGridDBColumn *cxPregledZaglavljePROV_POREKLA;
	TcxGridDBColumn *cxPregledZaglavljeBROJ_KOOPER_GRUPE;
	TcxGridDBColumn *cxPregledZaglavljeBROJ_BALA_GRUPE;
	TSQLQuery *sqlBrojBatcha;
	TLargeintField *sqlBrojBatchaBROJ_BATCHA;
	TcxDBTextEdit *cxDBTextEdit5;
	TcxLabel *cxLabel15;
	TIntegerField *dsetBatchIDRECEPTURE;
	TIntegerField *dsetBatchIDBLENDA;
	TIntegerField *cdsBatchIDRECEPTURE;
	TIntegerField *cdsBatchIDBLENDA;
	TFloatField *dsetBatchFQI_INDEX;
	TFloatField *cdsBatchFQI_INDEX;
	TFloatField *cdsZaglavljeFQI_INDEX;
	TcxGridDBColumn *cxPregledZaglavljeFQI_INDEX;
	TSQLTimeStampField *cdsZaglavljeDATUM_OD;
	TSQLTimeStampField *cdsZaglavljeDATUM_OBRADE;
	TcxGridDBColumn *cxPregledZaglavljeDATUM_OD;
	TcxGridDBColumn *cxPregledZaglavljeDATUM_OBRADE;
	TSmallintField *dsetBatchKONTROLA_KOL;
	TSmallintField *cdsBatchKONTROLA_KOL;
	TcxDBCheckBox *cxDBCheckBox2;
	TSmallintField *cdsZaglavljeKONTROLA_KOL;
	TcxGridDBColumn *cxPregledZaglavljeKONTROLA_KOL;
	TSQLTimeStampField *dsetBatchDATUM_OD;
	TSQLTimeStampField *dsetBatchDATUM_OBRADE;
	TFloatField *dsetBatchBROJ_BALA;
	TSQLTimeStampField *cdsBatchDATUM_OD;
	TSQLTimeStampField *cdsBatchDATUM_OBRADE;
	TFloatField *cdsBatchBROJ_BALA;
	void __fastcall btSnimiClick(TObject *Sender);
	void __fastcall cdsBatchNewRecord(TDataSet *DataSet);
	void __fastcall btNoviDocClick(TObject *Sender);
	void __fastcall cxBlendKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxButton2Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall cxBrojBatchKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall cxNapomenaKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall Izmeni1Click(TObject *Sender);
	void __fastcall Obrisi1Click(TObject *Sender);
	void __fastcall cdsBatchIDBLENDChange(TField *Sender);
	void __fastcall cdsBatchSTATUSChange(TField *Sender);
private:	// User declarations
	bool actionInsert;
public:		// User declarations
	__fastcall TfmOtvaranjeBatcha(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmOtvaranjeBatcha *fmOtvaranjeBatcha;
//---------------------------------------------------------------------------
#endif
