//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_PraznjenjeSilosa.h"
#include "OD_DM.h"
#include "fmMessageRed.h"
#include "fmMessageYellow.h"
#include "OD_funkcije.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_prazna"
#pragma link "cxButtons"
#pragma link "cxCheckBox"
#pragma link "cxClasses"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxStyles"
#pragma link "cxNavigator"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"
TfmPraznjenjeSilosa *fmPraznjenjeSilosa;

extern int MAGACIN_BUFFER;
extern int DOC_PROIZVODNJE;
extern int MAGACIN_PROIZVODNJE;
int STATUS_U_OBRADI=40;
extern TKorisnik *myTKorisnik;
//---------------------------------------------------------------------------
__fastcall TfmPraznjenjeSilosa::TfmPraznjenjeSilosa(TComponent* Owner)
	: TfmOsnovna_prazna(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfmPraznjenjeSilosa::FormCreate(TObject *Sender)
{
	cdsAktivniBatchevi->Active = false;
	dsetAktivniBatchevi->ParamByName("tip")->AsInteger = 1;
	dsetAktivniBatchevi->ParamByName("rad_mesto")->AsInteger = 2;
	dsetAktivniBatchevi->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
	dsetAktivniBatchevi->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
	cdsAktivniBatchevi->Active = true;
}
//---------------------------------------------------------------------------
void __fastcall TfmPraznjenjeSilosa::cxSledecaBalaClick(TObject *Sender)
{
 //	if(cxGridStatistika->Styles->Content != cxStyle5) {

//		 if(cdsAktivniBatchevi->FieldByName("aktivan")->AsInteger) {
//			ShowMyMessageRed->Show("Batch "+cdsAktivniBatchevi->FieldByName("broj_batcha")->AsString+" NIJE pripremljen do kraja!! ", 0x00FFDDFF);
//		 }

//		 if(MessageBoxA(Handle,"Da li ste sigurni da zelite ipak da promenite STATUSE batch-eva?", "Izmena statusa ", MB_YESNO) == IDNO)
//		 {
//		  //	cxBarkod->Text = "";
//		  //	cxBarkod->SetFocus();
//			return;
//		 }
 //	}

	if(MessageBoxA(Handle,"Da li ste sigurni da zelite da promenite statuse batch-eva? ", "Zavrsetak ", MB_YESNO) == IDYES)
	{
			cdsAktivniBatchevi->First();

			while(!cdsAktivniBatchevi->Eof) {

				if(cdsAktivniBatchevi->FieldByName("aktivan")->AsInteger) {

					cdsAktivniBatchevi->Edit();
					cdsAktivniBatchevi->FieldByName("status")->AsInteger =cdsAktivniBatchevi->FieldByName("novo_stanje")->AsInteger;
					cdsAktivniBatchevi->Post();
				}
				cdsAktivniBatchevi->Next();
			}

			bool Snimljeno = SnimiCDS(dspAktivniBatchevi, cdsAktivniBatchevi, dsAktivniBatchevi);

			try {

				cdsAktivniBatchevi->Active = false;
				dsetAktivniBatchevi->ParamByName("tip")->AsInteger = 1;
				dsetAktivniBatchevi->ParamByName("rad_mesto")->AsInteger = 2;
				dsetAktivniBatchevi->ParamByName("mg")->AsInteger = MAGACIN_BUFFER;
				dsetAktivniBatchevi->ParamByName("doc")->AsInteger = DOC_PROIZVODNJE;
				cdsAktivniBatchevi->Active = true;

			} catch (Exception &e) {
				ShowMyMessageRed->Show("Greska prilikom promene statusa BATCH-a: "+e.Message, 0x00FFDDFF);
			}
	}
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------


