//---------------------------------------------------------------------------

#ifndef OD_PraznjenjeSilosaH
#define OD_PraznjenjeSilosaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxButtons.hpp"
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxStyles.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxNavigator.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
//---------------------------------------------------------------------------
class TfmPraznjenjeSilosa : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TSQLDataSet *dsetAktivniBatchevi;
	TIntegerField *dsetAktivniBatcheviID;
	TSmallintField *dsetAktivniBatcheviZAVRSENO;
	TIntegerField *dsetAktivniBatcheviSIFRA_KOMITENTA;
	TIntegerField *dsetAktivniBatcheviSIFRA_DOKUMENTA;
	TIntegerField *dsetAktivniBatcheviSIFRA_MAGACINA;
	TIntegerField *dsetAktivniBatcheviID_LINIJE;
	TIntegerField *dsetAktivniBatcheviID_VOZILA;
	TIntegerField *dsetAktivniBatcheviID_VOZACA;
	TIntegerField *dsetAktivniBatcheviVEZA;
	TIntegerField *dsetAktivniBatcheviSIFRA_KOMITENTA2;
	TIntegerField *dsetAktivniBatcheviSIFRA_RADNIKA;
	TIntegerField *dsetAktivniBatcheviSIFRA_MAGACINA_U;
	TIntegerField *dsetAktivniBatcheviVEZA_IDN;
	TDateField *dsetAktivniBatcheviDATUM_RADA;
	TDateField *dsetAktivniBatcheviDATUMDPO;
	TDateField *dsetAktivniBatcheviDATUMVALUTE;
	TStringField *dsetAktivniBatcheviBID;
	TStringField *dsetAktivniBatcheviBUD;
	TStringField *dsetAktivniBatcheviOPIS;
	TIntegerField *dsetAktivniBatcheviBROJ;
	TStringField *dsetAktivniBatcheviBATCH_NO;
	TIntegerField *dsetAktivniBatcheviSTATUS;
	TIntegerField *dsetAktivniBatcheviIDBLEND;
	TIntegerField *dsetAktivniBatcheviBROJ_BATCHA;
	TSQLTimeStampField *dsetAktivniBatcheviVREME;
	TSQLTimeStampField *dsetAktivniBatcheviDATUM_OD;
	TSmallintField *dsetAktivniBatcheviAKTIVAN;
	TIntegerField *dsetAktivniBatcheviBROJ_BLENDA;
	TStringField *dsetAktivniBatcheviNAPOMENA;
	TStringField *dsetAktivniBatcheviOPIS_STATUSA;
	TSmallintField *dsetAktivniBatcheviNOVO_STANJE;
	TStringField *dsetAktivniBatcheviOPIS_BLENDA;
	TIntegerField *dsetAktivniBatcheviBROJ_BL_KOOPERANTA;
	TFloatField *dsetAktivniBatcheviUKUPNO_BALA;
	TDateField *dsetAktivniBatcheviVAZI_OD;
	TDataSetProvider *dspAktivniBatchevi;
	TClientDataSet *cdsAktivniBatchevi;
	TIntegerField *cdsAktivniBatcheviID;
	TStringField *cdsAktivniBatcheviBATCH_NO;
	TIntegerField *cdsAktivniBatcheviSTATUS;
	TIntegerField *cdsAktivniBatcheviIDBLEND;
	TIntegerField *cdsAktivniBatcheviSIFRA_RADNIKA;
	TIntegerField *cdsAktivniBatcheviBROJ_BATCHA;
	TSQLTimeStampField *cdsAktivniBatcheviVREME;
	TStringField *cdsAktivniBatcheviOPIS;
	TIntegerField *cdsAktivniBatcheviBROJ_BLENDA;
	TStringField *cdsAktivniBatcheviNAPOMENA;
	TStringField *cdsAktivniBatcheviOPIS_STATUSA;
	TDateField *cdsAktivniBatcheviDATUMDPO;
	TSmallintField *cdsAktivniBatcheviNOVO_STANJE;
	TSmallintField *cdsAktivniBatcheviAKTIVAN;
	TSQLTimeStampField *cdsAktivniBatcheviDATUM_OD;
	TStringField *cdsAktivniBatcheviOPIS_BLENDA;
	TIntegerField *cdsAktivniBatcheviBROJ_BL_KOOPERANTA;
	TFloatField *cdsAktivniBatcheviUKUPNO_BALA;
	TDateField *cdsAktivniBatcheviVAZI_OD;
	TDataSource *dsAktivniBatchevi;
	TcxGrid *cxGrid2;
	TcxGridDBTableView *cxGridBatch;
	TcxGridDBColumn *cxGridBatchID;
	TcxGridDBColumn *cxGridBatchBROJ_BATCHA;
	TcxGridDBColumn *cxGridBatchBATCH_NO;
	TcxGridDBColumn *cxGridBatchUKUPNO_BALA;
	TcxGridDBColumn *cxGridBatchBROJ_BL_KOOPERANTA;
	TcxGridDBColumn *cxGridBatchSTATUS;
	TcxGridDBColumn *cxGridBatchIDBLEND;
	TcxGridDBColumn *cxGridBatchSIFRA_RADNIKA;
	TcxGridDBColumn *cxGridBatchVREME;
	TcxGridDBColumn *cxGridBatchIZMENA;
	TcxGridDBColumn *cxGridBatchIZMENIO;
	TcxGridDBColumn *cxGridBatchOPIS;
	TcxGridDBColumn *cxGridBatchBROJ_BLENDA;
	TcxGridDBColumn *cxGridBatchNAPOMENA;
	TcxGridDBColumn *cxGridBatchAKTIVAN;
	TcxGridDBColumn *cxGridBatchDATUMDPO;
	TcxGridDBColumn *cxGridBatchNOVO_STANJE;
	TcxGridDBColumn *cxGridBatchDATUM_OD;
	TcxGridDBColumn *cxGridBatchOPIS_BLENDA;
	TcxGridDBColumn *cxGridBatchVAZI_OD;
	TcxGridLevel *cxGrid2Level1;
	TPanel *Panel1;
	TcxButton *cxSledecaBala;
	TcxButton *cxButton1;
	TcxStyleRepository *cxStyleRepository1;
	TcxStyle *cxStyle1;
	TcxStyleRepository *cxStyleRepository2;
	TcxStyle *cxStyle2;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall cxSledecaBalaClick(TObject *Sender);

private:	// User declarations
public:		// User declarations
	__fastcall TfmPraznjenjeSilosa(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmPraznjenjeSilosa *fmPraznjenjeSilosa;
//---------------------------------------------------------------------------
#endif
