//---------------------------------------------------------------------------

#ifndef OD_PromenaStatusaBatchaH
#define OD_PromenaStatusaBatchaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxClasses.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxStyles.hpp"
#include <DB.hpp>
#include "cxCheckBox.hpp"
#include "cxContainer.hpp"
#include "cxDBEdit.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxLabel.hpp"
#include "cxLookupEdit.hpp"
#include "cxMaskEdit.hpp"
#include "cxTextEdit.hpp"
#include <DBCGrids.hpp>
#include "cxPC.hpp"
#include "cxButtons.hpp"
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
//---------------------------------------------------------------------------
class TfmPromenaStatusaBatcha : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TcxPageControl *cxPageControl1;
	TcxTabSheet *cxTabSheet1;
	TcxTabSheet *cxTabSheet2;
	TcxGrid *cxGrid1;
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridDBColumn *cxGrid1DBTableView1ID;
	TcxGridDBColumn *cxGrid1DBTableView1BATCH_NO;
	TcxGridDBColumn *cxGrid1DBTableView1STATUS;
	TcxGridDBColumn *cxGrid1DBTableView1IDBLEND;
	TcxGridDBColumn *cxGrid1DBTableView1SIFRA_RADNIKA;
	TcxGridDBColumn *cxGrid1DBTableView1BROJ_BATCHA;
	TcxGridDBColumn *cxGrid1DBTableView1VREME;
	TcxGridDBColumn *cxGrid1DBTableView1OPIS;
	TcxGridDBColumn *cxGrid1DBTableView1BROJ_BLENDA;
	TcxGridDBColumn *cxGrid1DBTableView1NAPOMENA;
	TcxGridDBColumn *cxGrid1DBTableView1OPIS_STATUSA;
	TcxGridDBColumn *cxGrid1DBTableView1DATUMDPO;
	TcxGridDBColumn *cxGrid1DBTableView1NOVO_STANJE;
	TcxGridDBColumn *cxGrid1DBTableView1AKTIVAN;
	TcxGridLevel *cxGrid1Level1;
	TDBCtrlGrid *DBCtrlGrid1;
	TcxDBTextEdit *cxDBTextEdit1;
	TcxLabel *cxLabel1;
	TcxDBLookupComboBox *cxDBLookupComboBox1;
	TcxLabel *cxLabel2;
	TPanel *Panel1;
	TcxButton *btSnimi;
	TcxButton *cxButton1;
	TSQLDataSet *dsetBatch;
	TIntegerField *dsetBatchID;
	TStringField *dsetBatchBATCH_NO;
	TIntegerField *dsetBatchSTATUS;
	TIntegerField *dsetBatchIDBLEND;
	TIntegerField *dsetBatchSIFRA_RADNIKA;
	TIntegerField *dsetBatchBROJ_BATCHA;
	TSQLTimeStampField *dsetBatchVREME;
	TStringField *dsetBatchOPIS;
	TSmallintField *dsetBatchAKTIVAN;
	TIntegerField *dsetBatchSIFRA_KOMITENTA;
	TIntegerField *dsetBatchSIFRA_DOKUMENTA;
	TIntegerField *dsetBatchSIFRA_MAGACINA;
	TDateField *dsetBatchDATUMDPO;
	TStringField *dsetBatchBID;
	TIntegerField *dsetBatchBROJ;
	TStringField *dsetBatchBLEND;
	TDataSetProvider *dspBatch;
	TClientDataSet *cdsBatch;
	TIntegerField *cdsBatchID;
	TStringField *cdsBatchBATCH_NO;
	TIntegerField *cdsBatchSTATUS;
	TIntegerField *cdsBatchIDBLEND;
	TIntegerField *cdsBatchSIFRA_RADNIKA;
	TIntegerField *cdsBatchBROJ_BATCHA;
	TSQLTimeStampField *cdsBatchVREME;
	TStringField *cdsBatchOPIS;
	TSmallintField *cdsBatchAKTIVAN;
	TIntegerField *cdsBatchSIFRA_KOMITENTA;
	TIntegerField *cdsBatchSIFRA_DOKUMENTA;
	TIntegerField *cdsBatchSIFRA_MAGACINA;
	TDateField *cdsBatchDATUMDPO;
	TStringField *cdsBatchBID;
	TIntegerField *cdsBatchBROJ;
	TStringField *cdsBatchBLEND;
	TDataSource *dsBatch;
	TSQLStoredProc *spBatch;
	TSQLQuery *sqlPoslednjiBatch;
	TIntegerField *sqlPoslednjiBatchID;
	TIntegerField *sqlPoslednjiBatchSIFRA_KOMITENTA;
	TIntegerField *sqlPoslednjiBatchSIFRA_DOKUMENTA;
	TIntegerField *sqlPoslednjiBatchSIFRA_MAGACINA;
	TIntegerField *sqlPoslednjiBatchSIFRA_RADNIKA;
	TDateField *sqlPoslednjiBatchDATUMDPO;
	TStringField *sqlPoslednjiBatchBID;
	TStringField *sqlPoslednjiBatchOPIS;
	TIntegerField *sqlPoslednjiBatchBROJ;
	TStringField *sqlPoslednjiBatchBATCH_NO;
	TIntegerField *sqlPoslednjiBatchSTATUS;
	TIntegerField *sqlPoslednjiBatchIDBLEND;
	TIntegerField *sqlPoslednjiBatchBROJ_BATCHA;
	TSQLTimeStampField *sqlPoslednjiBatchVREME;
	TSmallintField *sqlPoslednjiBatchAKTIVAN;
	TcxLabel *cxLabel3;
	TcxDBTextEdit *cxDBTextEdit2;
	TSQLDataSet *dsetAktivniBatchevi;
	TSmallintField *dsetAktivniBatcheviZAVRSENO;
	TIntegerField *dsetAktivniBatcheviSIFRA_KOMITENTA;
	TIntegerField *dsetAktivniBatcheviSIFRA_DOKUMENTA;
	TIntegerField *dsetAktivniBatcheviID;
	TIntegerField *dsetAktivniBatcheviSIFRA_MAGACINA;
	TIntegerField *dsetAktivniBatcheviID_LINIJE;
	TIntegerField *dsetAktivniBatcheviID_VOZILA;
	TIntegerField *dsetAktivniBatcheviID_VOZACA;
	TIntegerField *dsetAktivniBatcheviVEZA;
	TIntegerField *dsetAktivniBatcheviSIFRA_KOMITENTA2;
	TIntegerField *dsetAktivniBatcheviSIFRA_RADNIKA;
	TIntegerField *dsetAktivniBatcheviSIFRA_MAGACINA_U;
	TIntegerField *dsetAktivniBatcheviVEZA_IDN;
	TDateField *dsetAktivniBatcheviDATUM_RADA;
	TDateField *dsetAktivniBatcheviDATUMDPO;
	TDateField *dsetAktivniBatcheviDATUMVALUTE;
	TStringField *dsetAktivniBatcheviBID;
	TStringField *dsetAktivniBatcheviBUD;
	TStringField *dsetAktivniBatcheviOPIS;
	TIntegerField *dsetAktivniBatcheviBROJ;
	TStringField *dsetAktivniBatcheviBATCH_NO;
	TIntegerField *dsetAktivniBatcheviSTATUS;
	TIntegerField *dsetAktivniBatcheviIDBLEND;
	TIntegerField *dsetAktivniBatcheviBROJ_BATCHA;
	TSQLTimeStampField *dsetAktivniBatcheviVREME;
	TSmallintField *dsetAktivniBatcheviAKTIVAN;
	TStringField *dsetAktivniBatcheviOPIS_1;
	TIntegerField *dsetAktivniBatcheviBROJ_BLENDA;
	TStringField *dsetAktivniBatcheviNAPOMENA;
	TStringField *dsetAktivniBatcheviOPIS_STATUSA;
	TSmallintField *dsetAktivniBatcheviNOVO_STANJE;
	TDataSetProvider *dspAktivniBatchevi;
	TClientDataSet *cdsAktivniBatchevi;
	TIntegerField *cdsAktivniBatcheviID;
	TStringField *cdsAktivniBatcheviBATCH_NO;
	TIntegerField *cdsAktivniBatcheviSTATUS;
	TIntegerField *cdsAktivniBatcheviIDBLEND;
	TIntegerField *cdsAktivniBatcheviSIFRA_RADNIKA;
	TIntegerField *cdsAktivniBatcheviBROJ_BATCHA;
	TSQLTimeStampField *cdsAktivniBatcheviVREME;
	TStringField *cdsAktivniBatcheviOPIS;
	TIntegerField *cdsAktivniBatcheviBROJ_BLENDA;
	TStringField *cdsAktivniBatcheviNAPOMENA;
	TStringField *cdsAktivniBatcheviOPIS_STATUSA;
	TDateField *cdsAktivniBatcheviDATUMDPO;
	TSmallintField *cdsAktivniBatcheviNOVO_STANJE;
	TSmallintField *cdsAktivniBatcheviAKTIVAN;
	TDataSource *dsAktivniBatchevi;
	TStringField *cdsAktivniBatcheviOPIS_1;
	void __fastcall btSnimiClick(TObject *Sender);
	void __fastcall cxButton1Click(TObject *Sender);
	void __fastcall cxButton2Click(TObject *Sender);
	void __fastcall cdsBatchNewRecord(TDataSet *DataSet);
	void __fastcall cxDBTextEdit1PropertiesEditValueChanged(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfmPromenaStatusaBatcha(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmPromenaStatusaBatcha *fmPromenaStatusaBatcha;
//---------------------------------------------------------------------------
#endif
