//---------------------------------------------------------------------------

#ifndef PromenaPodatakaBaleH
#define PromenaPodatakaBaleH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_prazna.h"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxEdit.hpp"
#include "cxGraphics.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include <DBClient.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxDBEdit.hpp"
#include "cxClasses.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxFilter.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxStyles.hpp"
#include "cxButtons.hpp"
#include <Menus.hpp>
#include "cxDBLookupComboBox.hpp"
#include <ActnList.hpp>
#include "frxClass.hpp"
#include "frxDBSet.hpp"
#include "frxExportPDF.hpp"
#include "cxNavigator.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
//---------------------------------------------------------------------------
class TfmPromenaPodataka : public TfmOsnovna_prazna
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TPanel *Panel2;
	TcxLabel *cxLabel16;
	TcxTextEdit *cxBarCode;
	TSQLDataSet *dsetBala;
	TDataSetProvider *dspBala;
	TClientDataSet *cdsBala;
	TDataSource *dsBala;
	TPanel *Panel3;
	TSQLDataSet *dsetBalaMG;
	TDataSetProvider *dspBalaMG;
	TClientDataSet *cdsBalaMG;
	TDataSource *dsBalaMG;
	TSQLStoredProc *spBalaMG;
	TcxGrid *cxGrid2;
	TcxGridDBTableView *cxGridDBTableView1;
	TcxGridLevel *cxGridLevel1;
	TcxLookAndFeelController *cxLookAndFeelController1;
	TcxButton *cxDodaj;
	TcxButton *cxObrisi;
	TcxButton *cxSveObrisi;
	TSQLQuery *sqlObrisanaBala;
	TcxButton *cxButton1;
	TcxButton *cxSnimi;
	TSQLDataSet *dsetIntKlasa;
	TDataSetProvider *dspIntKlasa;
	TClientDataSet *cdsIntKlasa;
	TDataSource *dsIntKlasa;
	TSQLQuery *sqlObrisiBalu;
	TActionList *ActionList1;
	TAction *ZatvoriFormu;
	TcxButton *cxButton2;
	TSQLQuery *sqlNovaKlasa;
	TIntegerField *cdsBalaMGID;
	TIntegerField *cdsBalaMGKLASAID_OLD;
	TIntegerField *cdsBalaMGKLASAID_NEW;
	TSQLTimeStampField *cdsBalaMGVREME;
	TIntegerField *cdsBalaMGSIFRA_RADNIKA;
	TcxGridDBColumn *cxGridDBTableView1ID;
	TcxGridDBColumn *cxGridDBTableView1BARKOD;
	TcxGridDBColumn *cxGridDBTableView1KLASAID_OLD;
	TcxGridDBColumn *cxGridDBTableView1KLASAID_NEW;
	TcxGridDBColumn *cxGridDBTableView1VREME;
	TcxGridDBColumn *cxGridDBTableView1SIFRA_RADNIKA;
	TIntegerField *cdsBalaMGID_STAVKE;
	TStringField *cdsBalaMGBARKOD;
	TIntegerField *cdsBalaID;
	TIntegerField *cdsBalaBALAID;
	TIntegerField *cdsBalaKUTIJAID;
	TStringField *cdsBalaBARKOD;
	TIntegerField *cdsBalaBRBARKODA;
	TIntegerField *cdsBalaSORTAID;
	TIntegerField *cdsBalaPODSORTAID;
	TIntegerField *cdsBalaKLASA;
	TIntegerField *cdsBalaKLASAID;
	TFloatField *cdsBalaAMBALAZA;
	TIntegerField *cdsBalaPRASINA;
	TFMTBCDField *cdsBalaVLAGA;
	TFMTBCDField *cdsBalaBRUTOMASA;
	TFMTBCDField *cdsBalaNETOMASA;
	TFMTBCDField *cdsBalaPRASINAODBITAK;
	TFMTBCDField *cdsBalaVLAGAODBITAK;
	TStringField *cdsBalaOZNAKA_VLAGE;
	TIntegerField *cdsBalaKOOPERANTID;
	TSQLTimeStampField *cdsBalaDATUM_PRIJEMA;
	TSmallintField *cdsBalaOBRISANO;
	TStringField *cdsBalaNAVODNJAVAN;
	TStringField *cdsBalaSECEN;
	TSmallintField *cdsBalaPRIMESE;
	TStringField *cdsBalaGRUPA;
	TIntegerField *cdsBalaRACK;
	TSQLTimeStampField *cdsBalaIZMENA;
	TIntegerField *cdsBalaIZMENIO;
	TIntegerField *cdsBalaVEZA_ID;
	TIntegerField *cdsBalaSIFRA_MG;
	TIntegerField *cdsBalaSIFRA_LOKACIJE;
	TIntegerField *cdsBalaSIFRA_MG_U;
	TIntegerField *cdsBalaTIP_PROIZVODA;
	TSmallintField *cdsBalaZAVRSENO;
	TStringField *cdsBalaFUMIG_CERTIF;
	TDateField *cdsBalaFUMIG_DATUM;
	TIntegerField *cdsBalaCROP;
	TDateField *cdsBalaDATUM_OTKUPA;
	TSQLTimeStampField *cdsBalaVREME_CIPH;
	TSmallintField *cdsBalaBLOKADA;
	TcxStyleRepository *cxStyleRepository1;
	TcxStyle *cxStyle1;
	TcxButton *cxButton3;
	TIntegerField *cdsBalaMGIDBALAMG;
	TIntegerField *dsetBalaMGID;
	TStringField *dsetBalaMGBARKOD;
	TIntegerField *dsetBalaMGKLASAID_OLD;
	TIntegerField *dsetBalaMGKLASAID_NEW;
	TSQLTimeStampField *dsetBalaMGVREME;
	TIntegerField *dsetBalaMGSIFRA_RADNIKA;
	TIntegerField *dsetBalaMGID_STAVKE;
	TIntegerField *dsetBalaMGIDBALAMG;
	TfrxReport *frxReport1;
	TfrxDBDataset *frxDBDataset1;
	TfrxPDFExport *frxPDFExport1;
	TSQLQuery *sqlNovaKL;
	TSQLQuery *sqlOznaka;
	void __fastcall cxBarCodeKeyPress(TObject *Sender, wchar_t &Key);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall cdsBalaMGNewRecord(TDataSet *DataSet);
	void __fastcall cxDodajClick(TObject *Sender);
	void __fastcall cxObrisiClick(TObject *Sender);
	void __fastcall cxSveObrisiClick(TObject *Sender);
	void __fastcall cxButton1Click(TObject *Sender);
	void __fastcall dspBalaMGBeforeUpdateRecord(TObject *Sender, TDataSet *SourceDS, TCustomClientDataSet *DeltaDS, TUpdateKind UpdateKind,
          bool &Applied);
	void __fastcall cxSnimiClick(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall ZatvoriFormuExecute(TObject *Sender);
	void __fastcall cxButton2Click(TObject *Sender);
	void __fastcall cxButton3Click(TObject *Sender);
private:	// User declarations
int barkod;
public:		// User declarations
	__fastcall TfmPromenaPodataka(TComponent* Owner,int barkod);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmPromenaPodataka *fmPromenaPodataka;
//---------------------------------------------------------------------------
#endif
