//---------------------------------------------------------------------------

#ifndef od_raspored_stolovaH
#define od_raspored_stolovaH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include "cxClasses.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxNavigator.hpp"
#include "cxStyles.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <Data.DB.hpp>
#include <Data.FMTBcd.hpp>
#include <Data.SqlExpr.hpp>
#include <Datasnap.DBClient.hpp>
#include <Datasnap.Provider.hpp>
#include "cxDBLookupComboBox.hpp"
#include <Vcl.ExtCtrls.hpp>
#include "cxButtons.hpp"
#include <Vcl.Menus.hpp>
//---------------------------------------------------------------------------
class Tod_raspored_stol : public TForm
{
__published:	// IDE-managed Components
	TcxGridDBTableView *cxGrid1DBTableView1;
	TcxGridLevel *cxGrid1Level1;
	TcxGrid *cxGrid1;
	TSQLStoredProc *spStolovi;
	TSQLDataSet *dsetStolovi;
	TDataSetProvider *dspStolovi;
	TClientDataSet *cdsStolovi;
	TIntegerField *cdsStoloviID;
	TStringField *cdsStoloviINT_KLASA;
	TIntegerField *cdsStoloviIDBLENDA;
	TSQLTimeStampField *cdsStoloviDATUM;
	TStringField *cdsStoloviID_STOLA;
	TIntegerField *cdsStoloviBROJ_BALA;
	TDataSource *dsStolovi;
	TSQLDataSet *sqlStatistika;
	TDataSetProvider *dspStatistika;
	TClientDataSet *cdsStatistika;
	TDataSource *dsStatistika;
	TStringField *cdsStatistikaINT_KLASA;
	TFloatField *cdsStatistikaUKUPNO;
	TStringField *cdsStatistikaGRADE;
	TFloatField *cdsStatistikaKG;
	TStringField *cdsStatistikaKLASA;
	TStringField *cdsStatistikaLIST;
	TcxGridDBColumn *cxGrid1DBTableView1INT_KLASA;
	TcxGridDBColumn *cxGrid1DBTableView1PROC_MG_KG;
	TcxGridDBColumn *cxGrid1DBTableView1UKUPNO;
	TcxGridDBColumn *cxGrid1DBTableView1GRADE;
	TcxGridDBColumn *cxGrid1DBTableView1KG;
	TcxGridDBColumn *cxGrid1DBTableView1KLASA;
	TcxGridDBColumn *cxGrid1DBTableView1LIST;
	TcxGrid *cxGrid5;
	TcxGridDBTableView *cxGridStolovi;
	TcxGridDBColumn *cxGridStoloviID;
	TcxGridDBColumn *cxGridStoloviID_STOLA;
	TcxGridDBColumn *cxGridStoloviINT_KLASA;
	TcxGridDBColumn *cxGridStoloviIDBLENDA;
	TcxGridDBColumn *cxGridStoloviDATUM;
	TcxGridDBColumn *cxGridStoloviBROJ_BALA;
	TcxGridLevel *cxGrid5Level1;
	TPanel *Panel1;
	TSQLDataSet *dsetOznakaStola;
	TDataSetProvider *dspOznakaStola;
	TClientDataSet *cdsOznakaStola;
	TStringField *cdsOznakaStolaID;
	TStringField *cdsOznakaStolaOPIS;
	TStringField *cdsOznakaStolaSTRANA;
	TStringField *cdsOznakaStolaBROJ;
	TDataSource *dsOznakaStola;
	TcxButton *btSnimi;
	TcxGridDBColumn *cxGridStoloviKG;
	TcxButton *btRaspored;
	TSQLDataSet *dsetBlend;
	TDataSetProvider *dspBlend;
	TClientDataSet *cdsBlend;
	TIntegerField *cdsBlendID;
	TStringField *cdsBlendOPIS;
	TStringField *cdsBlendBATCH_NO;
	TStringField *cdsBlendORDER_NO;
	TIntegerField *cdsBlendBERBA;
	TDateField *cdsBlendVAZI_OD;
	TIntegerField *cdsBlendBROJ_BLENDA;
	TDateField *cdsBlendDATUM;
	TStringField *cdsBlendSMENA;
	TSmallintField *cdsBlendAKTIVAN;
	TStringField *cdsBlendNAPOMENA;
	TIntegerField *cdsBlendSIFRA_RADNIKA;
	TFloatField *cdsBlendUKUPNO_BALA;
	TIntegerField *cdsBlendIDBLENDA;
	TIntegerField *cdsBlendBROJ_BL_KOOPERANTA;
	TIntegerField *cdsBlendIDGRUPE;
	TFloatField *cdsBlendBROJ_KOOPER_GRUPE;
	TFloatField *cdsBlendBROJ_BALA_GRUPE;
	TSmallintField *cdsBlendPROV_POREKLA;
	TStringField *cdsBlendGRUPA_FQI;
	TFMTBCDField *cdsBlendFQI_MIN;
	TFloatField *cdsBlendFQI_MAX;
	TFloatField *cdsBlendUKUPNO_KG;
	TDataSource *dsBlend;
	TSQLDataSet *sqlRasporedStolova;
	TClientDataSet *cdsRasporedStolova;
	TDataSource *dsRasporedStolova;
	TDataSetProvider *dspRasporedStolova;
	TStringField *cdsRasporedStolovaINT_KLASA;
	TFloatField *cdsRasporedStolovaUKUPNO;
	TStringField *cdsRasporedStolovaGRADE;
	TFloatField *cdsRasporedStolovaKG;
	TStringField *cdsRasporedStolovaKLASA;
	TStringField *cdsRasporedStolovaLIST;
	TFMTBCDField *cdsRasporedStolovaPROC_MG_KG;
	TFMTBCDField *cdsStatistikaPROC_MG_KG;
	TFMTBCDField *cdsStoloviKG;
	void __fastcall cdsStoloviNewRecord(TDataSet *DataSet);
	void __fastcall btSnimiClick(TObject *Sender);
	void __fastcall btRasporedClick(TObject *Sender);
private:	// User declarations
           int idblend;
public:		// User declarations
	__fastcall Tod_raspored_stol(TComponent* Owner,int idblend);
};
//---------------------------------------------------------------------------
extern PACKAGE Tod_raspored_stol *od_raspored_stol;
//---------------------------------------------------------------------------
#endif
