//---------------------------------------------------------------------------

#ifndef OD_setup_etiketaH
#define OD_setup_etiketaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_setup.h"
#include "cxButtons.hpp"
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBEdit.hpp"
#include "cxDBNavigator.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxGroupBox.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxNavigator.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <ActnList.hpp>
#include <DB.hpp>
#include <DBActns.hpp>
#include <DBClient.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
//---------------------------------------------------------------------------
class TfmSetupEtikete : public TfmOsnovna__Setup
{
__published:	// IDE-managed Components
	TIntegerField *cdsID;
	TStringField *cdsDEALER;
	TStringField *cdsORIGIN;
	TIntegerField *cdsBERBA;
	TFloatField *cdsSTAND_NETO;
	TFloatField *cdsSTAND_TARA;
	TSQLTimeStampField *cdsIZMENA;
	TIntegerField *cdsSIFRA_RADNIKA;
	TSmallintField *cdsAKTIVAN;
	TcxGridDBColumn *dbgID;
	TcxGridDBColumn *dbgDEALER;
	TcxGridDBColumn *dbgORIGIN;
	TcxGridDBColumn *dbgBERBA;
	TcxGridDBColumn *dbgSTAND_NETO;
	TcxGridDBColumn *dbgSTAND_TARA;
	TcxGridDBColumn *dbgIZMENA;
	TcxGridDBColumn *dbgSIFRA_RADNIKA;
	TcxGridDBColumn *dbgAKTIVAN;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TcxDBTextEdit *cxDBTextEdit2;
	TcxDBTextEdit *cxDBTextEdit4;
	TcxDBTextEdit *cxDBTextEdit5;
	TcxDBTextEdit *cxDBTextEdit6;
	TcxDBCheckBox *cxDBCheckBox1;
	TStringField *cdsBC_ORIGIN;
	TStringField *cdsSUPPLIER;
	TLabel *Label5;
	TLabel *Label6;
	TcxDBTextEdit *cxDBTextEdit7;
	TcxDBTextEdit *cxDBTextEdit8;
	TcxGridDBColumn *dbgBC_ORIGIN;
	TcxGridDBColumn *dbgSUPPLIER;
	void __fastcall cdsNewRecord(TDataSet *DataSet);
private:	// User declarations
public:		// User declarations
	__fastcall TfmSetupEtikete(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmSetupEtikete *fmSetupEtikete;
//---------------------------------------------------------------------------
#endif
