//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "OD_setup_grade.h"
#include "OD_funkcije.h"
#include "OD_DM.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BUS_osnovna_setup"
#pragma link "cxButtons"
#pragma link "cxCheckBox"
#pragma link "cxClasses"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxCustomData"
#pragma link "cxData"
#pragma link "cxDataStorage"
#pragma link "cxDBData"
#pragma link "cxDBEdit"
#pragma link "cxDBNavigator"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxFilter"
#pragma link "cxGraphics"
#pragma link "cxGrid"
#pragma link "cxGridCustomTableView"
#pragma link "cxGridCustomView"
#pragma link "cxGridDBTableView"
#pragma link "cxGridLevel"
#pragma link "cxGridTableView"
#pragma link "cxGroupBox"
#pragma link "cxLabel"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxMaskEdit"
#pragma link "cxNavigator"
#pragma link "cxPC"
#pragma link "cxStyles"
#pragma link "cxTextEdit"
#pragma link "cxDBLookupComboBox"
#pragma link "cxDBLookupEdit"
#pragma link "cxLookupEdit"
#pragma link "cxPCdxBarPopupMenu"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinDevExpressDarkStyle"
#pragma link "dxSkinDevExpressStyle"
#pragma link "dxSkinFoggy"
#pragma link "dxSkinOffice2010Black"
#pragma link "dxSkinOffice2010Blue"
#pragma link "dxSkinOffice2010Silver"
#pragma link "dxSkinsCore"
#pragma link "dxSkinscxPCPainter"
#pragma link "dxSkinSevenClassic"
#pragma link "dxSkinVS2010"
#pragma resource "*.dfm"
TOD_SetupGrade *OD_SetupGrade;
extern AnsiString DIR_STAMPE;
extern TKorisnik *myTKorisnik;
//---------------------------------------------------------------------------
__fastcall TOD_SetupGrade::TOD_SetupGrade(TComponent* Owner)
	: TfmOsnovna__Setup(Owner)
{
	  if(cds->Active == false) cds->Active = true;

	pravoDelete = DM_OD->cdsProveraSelectPRAVO_DELETE->AsInteger;
	pravoInsert = DM_OD->cdsProveraSelectPRAVO_INSERT->AsInteger;
	pravoUpdate = DM_OD->cdsProveraSelectPRAVO_UPDATE->AsInteger;
}
//---------------------------------------------------------------------------
void __fastcall TOD_SetupGrade::cdsNewRecord(TDataSet *DataSet)
{
	cds->FieldByName("ID")->AsInteger = cds->RecordCount+1;
	cds->FieldByName("VREME")->Value = Now();
	cds->FieldByName("sifra_radnika")->AsInteger = myTKorisnik->sifra_usera;
}
//---------------------------------------------------------------------------

void __fastcall TOD_SetupGrade::FormCreate(TObject *Sender)
{
	if(!DM_OD->cdsStatusBatcha->Active ) DM_OD->cdsStatusBatcha->Active = true;
	if (!cdsVrstaProiz->Active) cdsVrstaProiz->Active=true;
}
//---------------------------------------------------------------------------

void __fastcall TOD_SetupGrade::Azurirajpodatkeuobradi1Click(TObject *Sender)
{
     TTransactionDesc TD;
		int greska;

	  try {

		TD.TransactionID = 1;
		TD.IsolationLevel = 0;// xilREADCOMMITTED;  //xilREADCOMMITTED

		 if (!DM_OD->SC_OD->InTransaction)  {

			DM_OD->SC_OD->StartTransaction(TD);

			if(MessageBoxA(Handle,"Svi podaci u obradi bi?e promenjeni!!\r\rDa li ste sigurni da zelite da nastavite?", "Azuriranje podataka ", MB_YESNO) == IDYES)
			{
				sqlAzuriranje->ParamByName("sap")->AsString = cds->FieldByName("sap_batch")->AsString;
				sqlAzuriranje->ParamByName("mopi")->AsString = cds->FieldByName("mo_pi")->AsString;
				sqlAzuriranje->ParamByName("grade")->AsString = cds->FieldByName("oznaka")->AsString;
				sqlAzuriranje->ParamByName("idoznakablenda")->AsString = cds->FieldByName("doznaka")->AsString;
				sqlAzuriranje->ExecSQL();
			}

			if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Commit(TD);
		 }
	  }
	  catch(Exception &e) {
			if (DM_OD->SC_OD->InTransaction) DM_OD->SC_OD->Rollback(TD);
			ShowMessage("Greska: "+e.Message);
	  }
}
//---------------------------------------------------------------------------





