//---------------------------------------------------------------------------

#ifndef OD_setup_gradeH
#define OD_setup_gradeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_setup.h"
#include "cxButtons.hpp"
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBEdit.hpp"
#include "cxDBNavigator.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxGroupBox.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxNavigator.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <ActnList.hpp>
#include <DB.hpp>
#include <DBActns.hpp>
#include <DBClient.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <FMTBcd.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxLookupEdit.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinVS2010.hpp"
#include <System.Actions.hpp>
//---------------------------------------------------------------------------
class TOD_SetupGrade : public TfmOsnovna__Setup
{
__published:	// IDE-managed Components
	TcxGridDBColumn *dbgID;
	TcxGridDBColumn *dbgNAZIV;
	TcxGridDBColumn *dbgOPIS;
	TcxGridDBColumn *dbgSIFRA_RADNIKA;
	TcxGridDBColumn *dbgVREME;
	TcxDBTextEdit *cxDBTextEdit2;
	TcxLabel *cxLabel2;
	TStringField *cdsID;
	TStringField *cdsNAZIV;
	TStringField *cdsOZNAKA;
	TStringField *cdsOPIS;
	TIntegerField *cdsSIFRA_RADNIKA;
	TSQLTimeStampField *cdsVREME;
	TStringField *cdsSAP_BATCH;
	TStringField *cdsMO_PI;
	TStringField *cdsBATCH;
	TcxGridDBColumn *dbgOZNAKA;
	TcxGridDBColumn *dbgSAP_BATCH;
	TcxGridDBColumn *dbgMO_PI;
	TcxGridDBColumn *dbgBATCH;
	TcxLabel *cxLabel4;
	TcxDBTextEdit *cxDBTextEdit4;
	TcxLabel *cxLabel5;
	TcxDBTextEdit *cxDBTextEdit5;
	TcxDBTextEdit *cxDBTextEdit6;
	TcxLabel *cxLabel6;
	TcxLabel *cxLabel7;
	TcxDBLookupComboBox *cxDBLookupComboBox1;
	TStringField *cdsDOZNAKA;
	TcxGridDBColumn *dbgDOZNAKA;
	TcxLabel *cxLabel8;
	TcxDBTextEdit *cxDBTextEdit7;
	TMenuItem *N1;
	TMenuItem *Azurirajpodatkeuobradi1;
	TSQLQuery *sqlAzuriranje;
	TStringField *cdsBC_GRADE;
	TStringField *cdsBC_PACK_TYPE;
	TcxLabel *cxLabel9;
	TcxDBTextEdit *cxDBTextEdit8;
	TcxLabel *cxLabel10;
	TcxDBTextEdit *cxDBTextEdit9;
	TcxGridDBColumn *dbgBC_GRADE;
	TcxGridDBColumn *dbgBC_PACK_TYPE;
	TcxGridDBColumn *dbgBC_TYPE;
	TcxDBTextEdit *cxDBTextEdit10;
	TcxLabel *cxLabel11;
	TSmallintField *cdsTIP_STAMPE;
	TFloatField *cdsNETO_AMB;
	TFloatField *cdsTARA_AMB;
	TStringField *cdsLIST;
	TFloatField *cdsVLAGA_TARGET;
	TFloatField *cdsUCL;
	TFloatField *cdsLCL;
	TcxGridDBColumn *dbgTIP_STAMPE;
	TcxGridDBColumn *dbgNETO_AMB;
	TcxGridDBColumn *dbgTARA_AMB;
	TcxGridDBColumn *dbgLIST;
	TcxGridDBColumn *dbgVLAGA_TARGET;
	TcxGridDBColumn *dbgUCL;
	TcxGridDBColumn *dbgLCL;
	TSmallintField *cdsSTAMPA_BARKODA;
	TcxGridDBColumn *dbgSTAMPA_BARKODA;
	TcxDBCheckBox *cxDBCheckBox1;
	TFloatField *cdsMAX_TEZINA;
	TFloatField *cdsMIN_TEZINA;
	TcxLabel *cxLabel1;
	TcxDBTextEdit *cxDBTextEdit1;
	TcxDBTextEdit *cxDBTextEdit3;
	TcxLabel *cxLabel3;
	TcxGridDBColumn *dbgMAX_TEZINA;
	TcxGridDBColumn *dbgMIN_TEZINA;
	TStringField *cdsBC_TYPE;
	TcxLabel *cxLabel12;
	TcxDBTextEdit *cxDBTextEdit11;
	TcxLabel *cxLabel13;
	TcxDBTextEdit *cxDBTextEdit12;
	TcxDBLookupComboBox *cxDBLookupComboBox2;
	TcxLabel *cxLabel14;
	TSQLDataSet *sqlVrstaProiz;
	TDataSetProvider *dspVrstaProiz;
	TClientDataSet *cdsVrstaProiz;
	TDataSource *dsVrstaProiz;
	TIntegerField *cdsVrstaProizID;
	TStringField *cdsVrstaProizNAZIV;
	void __fastcall cdsNewRecord(TDataSet *DataSet);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall Azurirajpodatkeuobradi1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TOD_SetupGrade(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOD_SetupGrade *OD_SetupGrade;
//---------------------------------------------------------------------------
#endif
