//---------------------------------------------------------------------------

#ifndef BUS_OsnovnaPretraga_NH
#define BUS_OsnovnaPretraga_NH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include "cxButtons.hpp"
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxGroupBox.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxMaskEdit.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <DB.hpp>
#include <Menus.hpp>
#include "cxLookAndFeels.hpp"
#include <ActnList.hpp>
//---------------------------------------------------------------------------
class Tfm_osnovna_pretraga : public TForm
{
__published:	// IDE-managed Components
 TcxGroupBox *cxGroupBox3;
 TcxLabel *cxLabel1;
 TcxComboBox *cbFilter;
 TcxTextEdit *edTekst;
 TcxButton *btTrazi;
 TcxCheckBox *cxFilter;
 TcxCheckBox *cxNacinPretrage;
 TcxGroupBox *cxGroupBox2;
 TcxLabel *cxLabel2;
 TcxTextEdit *cxPronadji;
 TcxButton *btPronadji;
 TcxGrid *cxGrid;
 TcxGridDBTableView *dbg;
 TcxGridLevel *cxGridLevel1;
 TcxGroupBox *cxGroupBox1;
 TcxButton *cxButton1;
 TcxButton *cxButton2;
 TcxLookAndFeelController *cxLookAndFeelController1;
 TActionList *ActionList1;
 TAction *ZatvoriFormu;
 TAction *Pronadji;
 void __fastcall edTekstKeyPress(TObject *Sender, char &Key);
 void __fastcall dbgKeyPress(TObject *Sender, char &Key);
 void __fastcall btTraziClick(TObject *Sender);
 void __fastcall edTekstEnter(TObject *Sender);
 void __fastcall cxPronadjiEnter(TObject *Sender);
 void __fastcall FormCreate(TObject *Sender);
 void __fastcall dbgDblClick(TObject *Sender);
 void __fastcall btPronadjiClick(TObject *Sender);
 void __fastcall cxPronadjiKeyPress(TObject *Sender, char &Key);
 void __fastcall ZatvoriFormuExecute(TObject *Sender);
 void __fastcall PronadjiExecute(TObject *Sender);
private:	// User declarations
public:		// User declarations
        TClientDataSet *cds;
        TClientDataSet *cds0;
        TSQLDataSet *dset0;
        AnsiString kol1,kol2,kol3,kol4;
 __fastcall Tfm_osnovna_pretraga(TComponent* Owner);
 __fastcall Tfm_osnovna_pretraga(TSQLDataSet *dset, TDataSource *ds, AnsiString kolona1, AnsiString kolona2, TComponent* Owner);
 __fastcall Tfm_osnovna_pretraga(TSQLDataSet *dset, TDataSource *ds, AnsiString kolona1, AnsiString kolona2, AnsiString kolona3, TComponent* Owner);
 __fastcall Tfm_osnovna_pretraga(TSQLDataSet *dset, TDataSource *ds, AnsiString kolona1, AnsiString kolona2, AnsiString kolona3, AnsiString kolona4, TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE Tfm_osnovna_pretraga *fm_osnovna_pretraga;
//---------------------------------------------------------------------------
#endif
