//---------------------------------------------------------------------------

#ifndef SetupIntKlaseH
#define SetupIntKlaseH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BUS_osnovna_setup.h"
#include "cxButtons.hpp"
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxDBNavigator.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxGroupBox.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxNavigator.hpp"
#include "cxPC.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include <ActnList.hpp>
#include <DB.hpp>
#include <DBActns.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include "cxDBEdit.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxLookupEdit.hpp"
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
//---------------------------------------------------------------------------
class TfmSetupIntKlasa : public TfmOsnovna__Setup
{
__published:	// IDE-managed Components
	TcxGridDBColumn *dbgSORTAID;
	TcxGridDBColumn *dbgOZNAKA;
	TcxGridDBColumn *dbgPOM_KLASAID;
	TcxGridDBColumn *dbgMAGACINID;
	TcxGridDBColumn *dbgVRSTALISTAID;
	TcxGridDBColumn *dbgKLASAID;
	TcxGridDBColumn *dbgBOJAID;
	TcxGridDBColumn *dbgSKLADISTEID;
	TcxGridDBColumn *dbgOSTECENJEID;
	TcxGridDBColumn *dbgNEODREDJENOID;
	TcxGridDBColumn *dbgKLASACENAID;
	TcxGridDBColumn *dbgCEOOPIS;
	TcxGridDBColumn *dbgCENAMAGACINAID;
	TcxGridDBColumn *dbgPOINTS;
	TLabel *Label1;
	TLabel *Label15;
	TcxDBTextEdit *cxDBTextEdit3;
	TcxDBLookupComboBox *cxDBLookupComboBox1;
	TIntegerField *cdsMAGACINID;
	TIntegerField *cdsVRSTALISTAID;
	TIntegerField *cdsKLASAID;
	TIntegerField *cdsBOJAID;
	TIntegerField *cdsSKLADISTEID;
	TStringField *cdsOZNAKA;
	TIntegerField *cdsSORTAID;
	TIntegerField *cdsOSTECENJEID;
	TIntegerField *cdsNEODREDJENOID;
	TIntegerField *cdsKLASACENAID;
	TStringField *cdsCEOOPIS;
	TFMTBCDField *cdsCENAMAGACINAID;
	TIntegerField *cdsPOM_KLASAID;
	TFloatField *cdsPOINTS;
	TSmallintField *cdsPICKING;
	TIntegerField *cdsINSERCIJAID;
	TSmallintField *cdsEXT_KLASA;
	TSQLDataSet *sql_pomklase;
	TDataSetProvider *dsp_pomklase;
	TClientDataSet *cdspomklase;
	TIntegerField *cdspomklaseSORTAID;
	TStringField *cdspomklaseOZNAKA;
	TIntegerField *cdspomklasePOM_KLASAID;
	TIntegerField *cdspomklaseMAGACINID;
	TIntegerField *cdspomklaseVRSTALISTAID;
	TIntegerField *cdspomklaseKLASAID;
	TIntegerField *cdspomklaseBOJAID;
	TIntegerField *cdspomklaseSKLADISTEID;
	TIntegerField *cdspomklaseOSTECENJEID;
	TIntegerField *cdspomklaseNEODREDJENOID;
	TIntegerField *cdspomklaseKLASACENAID;
	TStringField *cdspomklaseCEOOPIS;
	TFMTBCDField *cdspomklaseCENAMAGACINAID;
	TFloatField *cdspomklasePOINTS;
	TSmallintField *cdspomklaseEXT_KLASA;
	TSmallintField *cdspomklasePICKING;
	TDataSource *ds_pomklase;
private:	// User declarations
public:		// User declarations
	__fastcall TfmSetupIntKlasa(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmSetupIntKlasa *fmSetupIntKlasa;
//---------------------------------------------------------------------------
#endif
