CREATE TABLE OD_SMENE (
    ID VARCHAR(10) NOT NULL,
    NAZIV VARCHAR(20));

alter table OD_SMENE add constraint PK_OD_SMENE primary key (ID);

CREATE TABLE OD_M_UZORKA (
    ID VARCHAR(10) NOT NULL,
    NAZIV VARCHAR(30),
    IDMASINE VARCHAR(10),
    IDODELJENJA INTEGER);

alter table OD_M_UZORKA add constraint PK_OD_M_UZORKA primary key (ID);


CREATE TABLE OD_BLAND (
    ID VARCHAR(10) NOT NULL,
    NAZIV VARCHAR(30));

alter table OD_BLAND add constraint PK_OD_BLAND primary key (ID);

CREATE TABLE OD_GRUPE_PRIM (
    ID VARCHAR(10) NOT NULL,
    NAZIV VARCHAR(30));

alter table OD_GRUPE_PRIM add constraint PK_OD_GRUPE_PRIM primary key (ID);


CREATE TABLE OD_PRIMESE (
    ID VARCHAR(10) NOT NULL,
    NAZIV VARCHAR(30),
    IDGRUPE VARCHAR(10));

alter table OD_PRIMESE add constraint PK_OD_PRIMESE primary key (ID);

alter table OD_PRIMESE add constraint FK_OD_PRIMESE_1 foreign key (IDGRUPE) references OD_GRUPE_PRIM(ID);


CREATE TABLE OD_LIST (
    ID VARCHAR(10) NOT NULL,
    NAZIV VARCHAR(30),
    OZNAKA VARCHAR(10),
    OPIS VARCHAR(150));

alter table OD_LIST add constraint PK_OD_LIST primary key (ID);


CREATE TABLE OD_SITO (
    ID VARCHAR(10) NOT NULL,
    NAZIV VARCHAR(30),
    OPIS VARCHAR(150),
    IDMASINE INTEGER);

alter table OD_SITO add constraint PK_OD_SITO primary key (ID);


alter table OD_SITO add constraint FK_OD_SITO_1 foreign key (IDMASINE) references PRMASINA(ID);


CREATE TABLE OD_GRADE (
    ID VARCHAR(10) NOT NULL,
    NAZIV VARCHAR(30),
    OPIS VARCHAR(150));

alter table OD_GRADE add constraint PK_OD_GRADE primary key (ID);


CREATE TABLE OD_STANDARDNE_VRED (
    ID VARCHAR(10) NOT NULL,
    OPIS VARCHAR(50),
    MIN_VALUE DOUBLE PRECISION,
    MAX_VALUE DOUBLE PRECISION,
    STAND_VALUE DOUBLE PRECISION,
    GRUPA VARCHAR(10),
    PARAMETAR VARCHAR(30));

alter table OD_STANDARDNE_VRED add constraint PK_OD_STANDARDNE_VRED primary key (ID);
